package com.goodix.fingerprint.proxy;

import android.util.Log;
import hwbinder.DaemonProxy;

public class DaemonManager {
    private static final int PROXY_DEFAULT = 0;
    private static final int PROXY_SET = 0;
    private static final int PROXY_XIAOMI = 1;
    private static final String TAG = "DaemonManager";
    private static DaemonManager mInstance;
    private DaemonProxyBase mDaemonProxy = null;

    private DaemonManager() {
        boolean z = false;
        switch (z) {
            case false:
                this.mDaemonProxy = new DaemonProxy();
                return;
            default:
                return;
        }
    }

    public static DaemonManager getInstance() {
        Log.d(TAG, TAG);
        DaemonManager daemonManager = new DaemonManager();
        mInstance = daemonManager;
        return daemonManager;
    }

    public IGFDaemon getGoodixFingerprintDaemon(IGFDaemonCallback callback) {
        return this.mDaemonProxy.getGoodixFingerprintDaemon(callback);
    }

    public IGFDaemonFido getGoodixFingerprintDaemonFido(IGFDaemonCallback callback) {
        return this.mDaemonProxy.getGoodixFingerprintDaemonFido(callback);
    }
}
