package com.sec.factory.aporiented.athandler;

import android.content.Context;
import com.sec.factory.R;
import com.sec.factory.modules.ModuleCommon;
import egis.client.api.EgisFingerprint;

public class AtFcmptest extends AtCommandHandler {
    Context mContext;
    ModuleCommon moduleCommon;

    public AtFcmptest(Context context) {
        super(context);
        Context applicationContext = this.context.getApplicationContext();
        this.mContext = applicationContext;
        this.moduleCommon = ModuleCommon.instance(applicationContext);
        this.CMD_NAME = "FCMPTEST";
        this.CLASS_NAME = "AtFcmptest";
        this.NUM_ARGS = 3;
    }

    @Override // com.sec.factory.aporiented.athandler.AtCommandHandler
    public synchronized String handleCommand(String[] argu) {
        String resData;
        if (argu.length != (STAGE_PARALLEL ? this.NUM_ARGS + 1 : this.NUM_ARGS)) {
            return responseNA();
        }
        mModuleAudio.setMode(0);
        mModuleAudio.stopMedia();
        if (checkArgu(argu, new String[]{"0", EgisFingerprint.MAJOR_VERSION, "0"})) {
            mModuleAudio.playMedia(R.raw.mp3_1khz, true);
            resData = responseOK(argu[0]);
        } else if (checkArgu(argu, new String[]{"0", EgisFingerprint.MAJOR_VERSION, EgisFingerprint.MAJOR_VERSION})) {
            resData = responseOK(argu[0]);
        } else {
            resData = responseNA();
        }
        return resData;
    }
}
