package com.sec.factory.aporiented.athandler;

import android.content.BroadcastReceiver;
import android.content.Context;
import android.content.Intent;
import android.content.IntentFilter;
import android.util.Log;
import com.sec.factory.aporiented.ResponseWriter;
import com.sec.factory.support.FtUtil;
import egis.client.api.EgisFingerprint;

public class AtFeliCaRfCal extends AtCommandHandler {
    private static final String ACTION_FELICA_CHANGE_CAL_RESPONSE = "com.sec.android.app.felicatest.FELICA_TEST_RESPONSE";
    private static final String ACTION_FELICA_END_RESPONSE = "com.sec.android.app.felicatest.FELICA_TEST_GETNV_RESPONSE";
    private static final String ACTION_FELICA_FAIL_RESPONSE = "com.sec.android.app.felicatest.FELICA_TEST_FAIL_RESPONSE";
    private static final String ACTION_FELICA_GETIDM_RESPONSE = "com.sec.android.app.felicatest.FELICA_GET_IDM_RESPONSE";
    private static final String ACTION_FELICA_LOCK_RESET_FAIL_RESPONSE = "com.samsung.felicalock.FELICA_LOCK_RESET_FAIL_RESPONSE";
    private static final String ACTION_FELICA_LOCK_RESET_PASS_RESPONSE = "com.samsung.felicalock.FELICA_LOCK_RESET_PASS_RESPONSE";
    private static final String ACTION_FELICA_LOCK_STATUS_ERROR_RESPONSE = "com.samsung.felicalock.FELICA_LOCK_STATUS_ERROR_RESPONSE";
    private static final String ACTION_FELICA_LOCK_STATUS_LOCK_RESPONSE = "com.samsung.felicalock.FELICA_LOCK_STATUS_LOCK_RESPONSE";
    private static final String ACTION_FELICA_LOCK_STATUS_UNLOCK_RESPONSE = "com.samsung.felicalock.FELICA_LOCK_STATUS_UNLOCK_RESPONSE";
    private static final String ACTION_FELICA_PASS_RESPONSE = "com.sec.android.app.felicatest.FELICA_TEST_PASS_RESPONSE";
    private static final String ACTION_FELICA_SET_EDC_RESPONSE = "com.sec.android.app.felicatest.FELICA_SET_EDC_RESPONSE";
    private static final String ACTION_FELICA_START_APC_RESPONSE = "com.sec.android.app.felicatest.FELICA_START_APC_RESPONSE";
    private static final String ACTION_FELICA_START_RESPONSE = "com.sec.android.app.felicatest.FELICA_TEST_SETNV_RESPONSE";
    private static boolean isLaunchFeliCaTest = false;
    public BroadcastReceiver mReceiver = new BroadcastReceiver() {
        /* class com.sec.factory.aporiented.athandler.AtFeliCaRfCal.AnonymousClass1 */

        public void onReceive(Context context, Intent intent) {
            String action = intent.getAction();
            if (AtFeliCaRfCal.ACTION_FELICA_CHANGE_CAL_RESPONSE.equals(action) || AtFeliCaRfCal.ACTION_FELICA_SET_EDC_RESPONSE.equals(action)) {
                Log.d(AtFeliCaRfCal.this.CLASS_NAME, AtFeliCaRfCal.ACTION_FELICA_CHANGE_CAL_RESPONSE);
                AtFeliCaRfCal.this.writer.write(AtFeliCaRfCal.this.responseString(EgisFingerprint.MAJOR_VERSION, intent.getStringExtra("S_DATA")));
                AtFeliCaRfCal.this.stopReceiver();
            } else if (AtFeliCaRfCal.ACTION_FELICA_START_RESPONSE.equals(action)) {
                Log.d(AtFeliCaRfCal.this.CLASS_NAME, AtFeliCaRfCal.ACTION_FELICA_START_RESPONSE);
                AtFeliCaRfCal.this.writer.write(AtFeliCaRfCal.this.responseString("0", intent.getStringExtra("S_DATA")));
                boolean unused = AtFeliCaRfCal.isLaunchFeliCaTest = true;
                AtFeliCaRfCal.this.stopReceiver();
            } else if (AtFeliCaRfCal.ACTION_FELICA_END_RESPONSE.equals(action) || AtFeliCaRfCal.ACTION_FELICA_START_APC_RESPONSE.equals(action)) {
                Log.d(AtFeliCaRfCal.this.CLASS_NAME, AtFeliCaRfCal.ACTION_FELICA_END_RESPONSE);
                AtFeliCaRfCal.this.writer.write(AtFeliCaRfCal.this.responseString("0", intent.getStringExtra("S_DATA")));
                boolean unused2 = AtFeliCaRfCal.isLaunchFeliCaTest = false;
                AtFeliCaRfCal.this.stopReceiver();
            } else if (AtFeliCaRfCal.ACTION_FELICA_PASS_RESPONSE.equals(action)) {
                Log.d(AtFeliCaRfCal.this.CLASS_NAME, AtFeliCaRfCal.ACTION_FELICA_PASS_RESPONSE);
                AtFeliCaRfCal.this.writer.write(AtFeliCaRfCal.this.responseString("2", intent.getStringExtra("S_DATA")));
                AtFeliCaRfCal.this.stopReceiver();
            } else if (AtFeliCaRfCal.ACTION_FELICA_FAIL_RESPONSE.equals(action)) {
                Log.d(AtFeliCaRfCal.this.CLASS_NAME, AtFeliCaRfCal.ACTION_FELICA_FAIL_RESPONSE);
                AtFeliCaRfCal.this.writer.write(AtFeliCaRfCal.this.responseString("2", intent.getStringExtra("S_DATA")));
                AtFeliCaRfCal.this.stopReceiver();
            } else if (AtFeliCaRfCal.ACTION_FELICA_GETIDM_RESPONSE.equals(action)) {
                Log.d(AtFeliCaRfCal.this.CLASS_NAME, AtFeliCaRfCal.ACTION_FELICA_GETIDM_RESPONSE);
                AtFeliCaRfCal.this.writer.write(AtFeliCaRfCal.this.responseString(egis.optical.client.api.EgisFingerprint.MAJOR_VERSION, intent.getStringExtra("S_DATA")));
                AtFeliCaRfCal.this.stopReceiver();
            } else if (AtFeliCaRfCal.ACTION_FELICA_LOCK_STATUS_LOCK_RESPONSE.equals(action)) {
                Log.d(AtFeliCaRfCal.this.CLASS_NAME, AtFeliCaRfCal.ACTION_FELICA_LOCK_STATUS_LOCK_RESPONSE);
                intent.getStringExtra("S_DATA");
                AtFeliCaRfCal.this.writer.write(AtFeliCaRfCal.this.responseString("4", "LOCK"));
                AtFeliCaRfCal.this.stopReceiver();
            } else if (AtFeliCaRfCal.ACTION_FELICA_LOCK_STATUS_UNLOCK_RESPONSE.equals(action)) {
                Log.d(AtFeliCaRfCal.this.CLASS_NAME, AtFeliCaRfCal.ACTION_FELICA_LOCK_STATUS_UNLOCK_RESPONSE);
                intent.getStringExtra("S_DATA");
                AtFeliCaRfCal.this.writer.write(AtFeliCaRfCal.this.responseString("4", "UNLOCK"));
                AtFeliCaRfCal.this.stopReceiver();
            } else if (AtFeliCaRfCal.ACTION_FELICA_LOCK_STATUS_ERROR_RESPONSE.equals(action)) {
                Log.d(AtFeliCaRfCal.this.CLASS_NAME, AtFeliCaRfCal.ACTION_FELICA_LOCK_STATUS_ERROR_RESPONSE);
                intent.getStringExtra("S_DATA");
                AtFeliCaRfCal.this.writer.write(AtFeliCaRfCal.this.responseString("4", "ERROR"));
                AtFeliCaRfCal.this.stopReceiver();
            } else if (AtFeliCaRfCal.ACTION_FELICA_LOCK_RESET_PASS_RESPONSE.equals(action)) {
                Log.d(AtFeliCaRfCal.this.CLASS_NAME, AtFeliCaRfCal.ACTION_FELICA_LOCK_RESET_PASS_RESPONSE);
                intent.getStringExtra("S_DATA");
                AtFeliCaRfCal.this.writer.write(AtFeliCaRfCal.this.responseString("4", "OK"));
                AtFeliCaRfCal.this.stopReceiver();
            } else if (AtFeliCaRfCal.ACTION_FELICA_LOCK_RESET_FAIL_RESPONSE.equals(action)) {
                Log.d(AtFeliCaRfCal.this.CLASS_NAME, AtFeliCaRfCal.ACTION_FELICA_LOCK_RESET_FAIL_RESPONSE);
                intent.getStringExtra("S_DATA");
                AtFeliCaRfCal.this.writer.write(AtFeliCaRfCal.this.responseString("4", "NG"));
                AtFeliCaRfCal.this.stopReceiver();
            }
        }
    };

    public AtFeliCaRfCal(Context context, ResponseWriter writer) {
        super(context);
        this.CMD_NAME = "FLCRFCAL";
        this.CLASS_NAME = "AtFeliCaRfCal";
        this.NUM_ARGS = 2;
        this.writer = writer;
    }

    @Override // com.sec.factory.aporiented.athandler.AtCommandHandler
    public void startReceiver() {
        Log.d(this.CLASS_NAME, "Receiver is started");
        IntentFilter filter = new IntentFilter();
        filter.addAction(ACTION_FELICA_START_RESPONSE);
        filter.addAction(ACTION_FELICA_CHANGE_CAL_RESPONSE);
        filter.addAction(ACTION_FELICA_END_RESPONSE);
        filter.addAction(ACTION_FELICA_PASS_RESPONSE);
        filter.addAction(ACTION_FELICA_FAIL_RESPONSE);
        filter.addAction(ACTION_FELICA_GETIDM_RESPONSE);
        filter.addAction(ACTION_FELICA_SET_EDC_RESPONSE);
        filter.addAction(ACTION_FELICA_START_APC_RESPONSE);
        filter.addAction(ACTION_FELICA_LOCK_STATUS_LOCK_RESPONSE);
        filter.addAction(ACTION_FELICA_LOCK_STATUS_UNLOCK_RESPONSE);
        filter.addAction(ACTION_FELICA_LOCK_STATUS_ERROR_RESPONSE);
        filter.addAction(ACTION_FELICA_LOCK_RESET_PASS_RESPONSE);
        filter.addAction(ACTION_FELICA_LOCK_RESET_FAIL_RESPONSE);
        this.context.registerReceiver(this.mReceiver, filter);
    }

    public void stopReceiver() {
        Log.d(this.CLASS_NAME, "Receiver is stopped");
        this.context.unregisterReceiver(this.mReceiver);
    }

    @Override // com.sec.factory.aporiented.athandler.AtCommandHandler
    public synchronized String handleCommand(String[] argu) {
        String resData = null;
        Log.d(this.CLASS_NAME, "handleCommand");
        if (argu.length != (STAGE_PARALLEL ? this.NUM_ARGS + 1 : this.NUM_ARGS)) {
            return responseNA();
        }
        startReceiver();
        if (checkArgu(argu, new String[]{"0", "0"})) {
            mModuleCommunication.felicaDeactivationWhereAtCmd();
            Log.d(this.CLASS_NAME, "AT+FLCRFCAL=0,0");
            String str = this.CLASS_NAME;
            FtUtil.log_d(str, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=0,0", "Felica Tx Stop + Cal Mode Off"));
        } else if (checkArgu(argu, new String[]{"0", EgisFingerprint.MAJOR_VERSION})) {
            mModuleCommunication.felicaActivationWhereAtcmd();
            Log.d(this.CLASS_NAME, "AT+FLCRFCAL=0,1");
            String str2 = this.CLASS_NAME;
            FtUtil.log_d(str2, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=0,1", "Felica Cal Mode On"));
        } else if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION})) {
            mModuleCommunication.felicaSetDataNTxWhereAtcmd(Integer.valueOf(argu[1]).intValue());
            String str3 = this.CLASS_NAME;
            Log.d(str3, "AT+FLCRFCAL=1," + argu[1]);
            String str4 = this.CLASS_NAME;
            FtUtil.log_d(str4, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=1,{data}", "Set Data & Felica Tx On"));
        } else if (checkArgu(argu, new String[]{"2", EgisFingerprint.MAJOR_VERSION})) {
            mModuleCommunication.felicaSetDataPassWhereAtCmd();
            Log.d(this.CLASS_NAME, "AT+FLCRFCAL=2,1");
            String str5 = this.CLASS_NAME;
            FtUtil.log_d(str5, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=2,1", "Display Felica Cal Result PASS"));
        } else if (checkArgu(argu, new String[]{"2", "0"})) {
            mModuleCommunication.felicaSetDataFailWhereAtCmd();
            Log.d(this.CLASS_NAME, "AT+FLCRFCAL=2,0");
            String str6 = this.CLASS_NAME;
            FtUtil.log_d(str6, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=2,0", "Display Felica Cal Result FAIL"));
        } else if (checkArgu(argu, new String[]{egis.optical.client.api.EgisFingerprint.MAJOR_VERSION, "0"})) {
            mModuleCommunication.felicafelicaIDmReadWhereAtCmd();
            Log.d(this.CLASS_NAME, "AT+FLCRFCAL=3,0");
            String str7 = this.CLASS_NAME;
            FtUtil.log_d(str7, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=3,0", "Felica IDm Read"));
        } else if (checkArgu(argu, new String[]{"4", EgisFingerprint.MAJOR_VERSION})) {
            mModuleCommunication.felicaInitPassword();
            Log.d(this.CLASS_NAME, "AT+FLCRFCAL=4,1");
            String str8 = this.CLASS_NAME;
            FtUtil.log_d(str8, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=4,1", "Felica Password Initialize"));
        } else if (checkArgu(argu, new String[]{"4", "2"})) {
            mModuleCommunication.felicaReadPassword();
            Log.d(this.CLASS_NAME, "AT+FLCRFCAL=4,2");
            String str9 = this.CLASS_NAME;
            FtUtil.log_d(str9, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=4,2", "Felica Lock Setting Read"));
        } else {
            resData = responseNA();
            FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME, "N/A - NOT registerd index"));
        }
        return resData;
    }
}
