package com.sec.factory.aporiented.athandler;

import android.content.Context;
import android.os.FactoryTest;

public class AtKey extends AtCommandHandler {
    public AtKey(Context context) {
        super(context);
        this.CMD_NAME = "KEY";
        this.CLASS_NAME = "AtKey";
        this.NUM_ARGS = 1;
    }

    @Override // com.sec.factory.aporiented.athandler.AtCommandHandler
    public synchronized String handleCommand(String[] argu) {
        if (argu.length != (STAGE_PARALLEL ? this.NUM_ARGS + 1 : this.NUM_ARGS)) {
            return "wrong";
        }
        if (FactoryTest.checkAutomationTestOption(this.context, 1)) {
            return null;
        }
        mModuleDFT.DftKey(argu[0]);
        return "OK\r\n";
    }
}
