package com.sec.factory.aporiented.athandler;

import android.content.BroadcastReceiver;
import android.content.Context;
import android.content.Intent;
import android.content.IntentFilter;
import com.sec.factory.aporiented.FtClient;
import com.sec.factory.aporiented.ResponseWriter;
import com.sec.factory.modules.ModuleCommon;
import com.sec.factory.support.FtUtil;
import java.io.File;

public class AtPreconfg extends AtCommandHandler {
    private static final String CSC_FAIL = "CSC FAIL";
    private static final String PRECONFIG_FAIL = "PRECONFIG FAIL";
    public BroadcastReceiver mReceiver = new BroadcastReceiver() {
        /* class com.sec.factory.aporiented.athandler.AtPreconfg.AnonymousClass1 */

        public void onReceive(Context context, Intent intent) {
            String mAction = intent.getAction();
            String str = AtPreconfg.this.CLASS_NAME;
            FtUtil.log_i(str, "onReceive", "Get intent : " + mAction);
            if ("com.sec.factory.aporiented.athandler.atpreconfg".equals(mAction)) {
                String resData = intent.getStringExtra("code");
                String str2 = AtPreconfg.this.CLASS_NAME;
                FtUtil.log_i(str2, "onReceive", "code value : " + resData);
                AtPreconfg.this.writer.write(AtPreconfg.this.responseString("0", resData));
                AtPreconfg atPreconfg = AtPreconfg.this;
                atPreconfg.stopReceiver(atPreconfg.mReceiver);
            }
        }
    };

    public AtPreconfg(Context context, ResponseWriter writer) {
        super(context);
        this.CMD_NAME = "PRECONFG";
        this.CLASS_NAME = "AtPreconfg";
        this.NUM_ARGS = 2;
        this.writer = writer;
    }

    @Override // com.sec.factory.aporiented.athandler.AtCommandHandler
    public synchronized String handleCommand(String[] argu) {
        if (argu.length != (STAGE_PARALLEL ? this.NUM_ARGS + 1 : this.NUM_ARGS)) {
            return responseNA();
        }
        if (checkArgu(argu, new String[]{"0", "0"})) {
            FtUtil.log_i(this.CLASS_NAME, "handleCommand", "sendbroadcast");
            Intent i = new Intent(FtClient.CSC_MODEM_SETTING);
            i.setFlags(268435456);
            i.addFlags(16777216);
            i.putExtra("MODE", "COMPARE_VERIFY_MODEM");
            this.context.sendBroadcast(i);
        }
        if (!ModuleCommon.instance(this.context).isConnectionModeNone()) {
            return "NOT_APPLICABLE";
        }
        if (checkArgu(argu, new String[]{"0", "0"})) {
            FtUtil.log_i(this.CLASS_NAME, "handleCommand", "AtPreconfg=0,0");
            startReceiver();
            String str = this.CLASS_NAME;
            FtUtil.log_i(str, "handleCommand", "intentName=" + "com.samsung.intent.action.CSC_COMPARE");
            Intent i2 = new Intent("com.samsung.intent.action.CSC_COMPARE");
            i2.addFlags(16777216);
            this.context.sendBroadcast(i2);
            String str2 = this.CLASS_NAME;
            FtUtil.log_d(str2, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=0,0", "Broadcast CSC_COMPARE"));
        }
        return null;
    }

    public boolean isFileExist(String aFile) {
        return new File(aFile).exists();
    }

    @Override // com.sec.factory.aporiented.athandler.AtCommandHandler
    public void startReceiver() {
        IntentFilter mFilter = new IntentFilter();
        mFilter.addAction("com.sec.factory.aporiented.athandler.atpreconfg");
        this.context.registerReceiver(this.mReceiver, mFilter);
    }
}
