package com.sec.factory.aporiented.athandler;

import android.content.Context;
import com.sec.factory.support.FtUtil;
import com.sec.xmldata.support.Support;

public class AtSetDoTestNV1 extends AtCommandHandler {
    private final int MAX_ITEM_COUNT = 40;

    public AtSetDoTestNV1(Context context) {
        super(context);
        this.CMD_NAME = "SETDOTESTNV1";
        this.CLASS_NAME = "AtSetDoTestNV1";
        this.NUM_ARGS = 1;
    }

    @Override // com.sec.factory.aporiented.athandler.AtCommandHandler
    public synchronized String handleCommand(String[] argu) {
        String resData;
        if (argu.length < this.NUM_ARGS) {
            FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME, "Fail - NUM_ARGS ERROR"));
            return responseNA();
        } else if (argu[0] == null || argu[0].length() <= 0) {
            return responseNA();
        } else {
            if (argu[0].length() != 40) {
                resData = responseString("NG");
            } else if (Support.Kernel.writeNsync(Support.Kernel.SVC_CAL_NV, argu[0])) {
                resData = responseString(argu[0]);
                String str = this.CLASS_NAME;
                String str2 = this.CMD_NAME;
                FtUtil.log_d(str, "handleCommand", FtUtil.setMspSeqMessage(3, str2, "Success write " + argu[0]));
            } else {
                resData = responseString("NG");
            }
            return resData;
        }
    }
}
