package com.sec.factory.aporiented.athandler;

import android.content.Context;
import egis.optical.client.api.EgisFingerprint;

public class AtSwdlmode extends AtCommandHandler {
    public AtSwdlmode(Context context) {
        super(context);
        this.CMD_NAME = "SWDLMODE";
        this.CLASS_NAME = "AtSwdlmode";
        this.NUM_ARGS = 1;
    }

    @Override // com.sec.factory.aporiented.athandler.AtCommandHandler
    public synchronized String handleCommand(String[] argu) {
        String resData;
        if (argu.length != (STAGE_PARALLEL ? this.NUM_ARGS + 1 : this.NUM_ARGS)) {
            return responseNA();
        }
        if (checkArgu(argu, new String[]{"0"})) {
            resData = responseOK(argu[0]);
            mModulePower.reboot((byte) 1);
        } else if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION})) {
            resData = responseOK(argu[0]);
            mModulePower.reboot((byte) 2);
        } else {
            resData = responseNA();
        }
        return resData;
    }
}
