package com.sec.factory.aporiented.athandler;

import android.content.BroadcastReceiver;
import android.content.Context;
import android.content.Intent;
import android.content.IntentFilter;
import com.google.common.net.HttpHeaders;
import com.sec.factory.aporiented.ResponseWriter;
import com.sec.factory.support.FtUtil;
import egis.client.api.EgisFingerprint;

public class AtVibstest extends AtCommandHandler {
    private static String returnArgu = "0";
    private Context mContext;
    public BroadcastReceiver mReceiver = new BroadcastReceiver() {
        /* class com.sec.factory.aporiented.athandler.AtVibstest.AnonymousClass1 */

        public void onReceive(Context context, Intent intent) {
            AtVibstest atVibstest = AtVibstest.this;
            atVibstest.stopReceiver(atVibstest.mReceiver);
            String mAction = intent.getAction();
            String str = AtVibstest.this.CLASS_NAME;
            FtUtil.log_d(str, "onReceive", "mAction : " + mAction);
            if ("com.sec.factory.vibratorself.ACTION_TEST_STATUS".equals(mAction)) {
                FtUtil.log_d(AtVibstest.this.CLASS_NAME, "onReceive", "ACTION_TEST_STATUS");
                String mActionResult = intent.getStringExtra("state");
                String str2 = AtVibstest.this.CLASS_NAME;
                FtUtil.log_d(str2, "onReceive", "mActionResult : " + mActionResult);
                AtVibstest.this.writer.write(AtVibstest.this.responseString(AtVibstest.returnArgu, mActionResult));
            }
        }
    };

    public AtVibstest(Context context, ResponseWriter writer) {
        super(context);
        this.CMD_NAME = "VIBSTEST";
        this.CLASS_NAME = "AtVibstest";
        this.NUM_ARGS = 3;
        this.mContext = context;
        this.writer = writer;
    }

    @Override // com.sec.factory.aporiented.athandler.AtCommandHandler
    public void startReceiver() {
        IntentFilter mFilter = new IntentFilter();
        mFilter.addAction("com.sec.factory.vibratorself.ACTION_TEST_STATUS");
        FtUtil.log_d(this.CLASS_NAME, "startReceiver", "request to register mReceiver - start");
        this.context.registerReceiver(this.mReceiver, mFilter);
        FtUtil.log_d(this.CLASS_NAME, "startReceiver", "request to register mReceiver - done");
    }

    private void sendConnectBroadcast(String[] arg, String ConnectionState) {
        returnArgu = arg[0];
        Intent i = new Intent("com.sec.factory.vibratorself.ACTION_CONNECTION");
        i.putExtra("state", ConnectionState);
        i.setFlags(268435456);
        FtUtil.log_d(this.CLASS_NAME, "sendConnectIntent", ConnectionState);
        this.context.sendBroadcast(i);
    }

    @Override // com.sec.factory.aporiented.athandler.AtCommandHandler
    public synchronized String handleCommand(String[] argu) {
        String resData = null;
        if (argu.length != (STAGE_PARALLEL ? this.NUM_ARGS + 1 : this.NUM_ARGS)) {
            return responseNA();
        }
        if (checkArgu(argu, new String[]{"0", EgisFingerprint.MAJOR_VERSION, "0"})) {
            startReceiver();
            sendConnectBroadcast(argu, "Disconnection");
        } else if (checkArgu(argu, new String[]{"0", EgisFingerprint.MAJOR_VERSION, EgisFingerprint.MAJOR_VERSION})) {
            startReceiver();
            sendConnectBroadcast(argu, HttpHeaders.CONNECTION);
        } else {
            resData = "NOT_APPLICABLE";
        }
        return resData;
    }
}
