package com.sec.factory.aporiented.athandler;

import android.content.BroadcastReceiver;
import android.content.Context;
import android.content.Intent;
import android.content.IntentFilter;
import com.sec.factory.aporiented.ResponseWriter;
import com.sec.factory.support.FtUtil;
import egis.client.api.EgisFingerprint;
import java.io.File;

public class AtWifiidrw extends AtCommandHandler {
    public static final String ACTION_WIFI_ID_RESPONSE = "com.sec.android.app.wlantest.WIFI_ID_RESPONSE";
    private static String subString = null;
    private BroadcastReceiver mReceiver = new BroadcastReceiver() {
        /* class com.sec.factory.aporiented.athandler.AtWifiidrw.AnonymousClass1 */

        public void onReceive(Context context, Intent intent) {
            String resData = intent.getStringExtra("S_DATA");
            AtWifiidrw atWifiidrw = AtWifiidrw.this;
            atWifiidrw.stopReceiver(atWifiidrw.mReceiver);
            if ("OK".equals(resData)) {
                if (!"boot".equals(AtWifiidrw.subString)) {
                    AtWifiidrw.this.writer.write(AtWifiidrw.this.responseString(AtWifiidrw.subString, resData));
                }
            } else if (!"NG".equals(resData)) {
                String mData = "";
                String[] splitdata = resData.split(":");
                for (int i = 0; i < splitdata.length; i++) {
                    mData = mData + splitdata[i];
                }
                AtWifiidrw.this.writer.write(AtWifiidrw.this.responseString(AtWifiidrw.subString, mData));
            } else if (!"boot".equals(AtWifiidrw.subString)) {
                AtWifiidrw.this.writer.write(AtWifiidrw.this.responseString(AtWifiidrw.subString, resData));
            }
        }
    };

    public AtWifiidrw(Context context, ResponseWriter writer) {
        super(context);
        this.CMD_NAME = "WIFIIDRW";
        this.CLASS_NAME = "AtWifiidrw";
        this.NUM_ARGS = 2;
        this.writer = writer;
        subString = "boot";
    }

    @Override // com.sec.factory.aporiented.athandler.AtCommandHandler
    public void startReceiver() {
        IntentFilter filter = new IntentFilter();
        filter.addAction(ACTION_WIFI_ID_RESPONSE);
        this.context.registerReceiver(this.mReceiver, filter);
    }

    @Override // com.sec.factory.aporiented.athandler.AtCommandHandler
    public synchronized String handleCommand(String[] argu) {
        String resData = null;
        if (argu.length != (STAGE_PARALLEL ? this.NUM_ARGS + 1 : this.NUM_ARGS)) {
            return responseNA();
        }
        subString = argu[0];
        if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, "0"})) {
            String str = this.CLASS_NAME;
            FtUtil.log_d(str, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=1,0", "Wireless LAN ID Read"));
            startReceiver();
            mModuleCommunication.readWifiId();
        } else if (checkArgu(argu, new String[]{"2"})) {
            String str2 = this.CLASS_NAME;
            FtUtil.log_d(str2, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=2,{data}", "Wireless LAN ID Write"));
            if (argu[1].length() != 12) {
                resData = responseNG(argu[0]);
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME, "Fail - data value is NOT correct"));
            } else {
                startReceiver();
                mModuleCommunication.writeWifiId(argu[1]);
            }
        } else {
            resData = responseNA();
            FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME, "N/A - NOT registerd index"));
        }
        return resData;
    }

    public boolean isFileExist(String aFile) {
        return new File(aFile).exists();
    }

    public String addColon(String aAddr) {
        String temp = "";
        if (aAddr != null && aAddr.length() == 12) {
            for (int i = 0; i < 6; i++) {
                temp = temp + aAddr.substring(i * 2, (i * 2) + 2);
                if (i != 5) {
                    temp = temp + ":";
                }
            }
        }
        return temp;
    }
}
