package com.sec.factory.app.ui;

import android.app.Fragment;
import android.content.Context;
import android.os.Bundle;
import android.os.Handler;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.TableRow;
import android.widget.TextView;
import com.sec.factory.R;
import com.sec.factory.app.factorytest.FactoryTestManager;
import com.sec.factory.support.FtUtil;
import com.sec.xmldata.support.Support;
import egis.client.api.EgisFingerprint;
import java.io.File;

public class FragmentGeomagneticSTMicro extends Fragment {
    private final String CLASS_NAME;
    private String bgcResult;
    private Context mContext;
    private TableRow mTableRow_ADC;
    private TableRow mTableRow_Initialized;
    private TableRow mTableRow_SX;
    private TableRow mTableRow_SY;
    private TableRow mTableRow_SZ;
    private TableRow mTableRow_Status;
    private TextView mTextResult;
    private TextView mText_ADC_Title;
    private TextView mText_ADC_X;
    private TextView mText_ADC_Y;
    private TextView mText_ADC_Z;
    private TextView mText_Initialized;
    private TextView mText_Initialized_Title;
    private TextView mText_SELF_X;
    private TextView mText_SELF_Y;
    private TextView mText_SELF_Z;
    private TextView mText_SX_Title;
    private TextView mText_SY_Title;
    private TextView mText_SZ_Title;
    private TextView mText_Status;
    private TextView mText_Status_Title;
    private TextView mText_Title;
    private TextView mText_X_Title;
    private TextView mText_Y_Title;
    private TextView mText_Z_Title;
    public float[] self_data;

    public static class DataGeomagneticSTMicro {
        public String mADC_Result;
        public String mADC_X;
        public String mADC_Y;
        public String mADC_Z;
        public String mInitialized;
        public boolean mIsDisplay_ADC;
        public boolean mIsDisplay_Initialized;
        public boolean mIsDisplay_Self;
        public boolean mIsDisplay_Status;
        public String mSelf_Result;
        public String mSelf_X;
        public String mSelf_Y;
        public String mSelf_Z;
        public String mStatus;
        public String mStatus_Result;
    }

    public FragmentGeomagneticSTMicro() {
        this.CLASS_NAME = "FragmentGeomagneticSTMicro";
        this.bgcResult = "";
        this.self_data = new float[4];
    }

    public FragmentGeomagneticSTMicro(Context context) {
        this.CLASS_NAME = "FragmentGeomagneticSTMicro";
        this.bgcResult = "";
        this.self_data = new float[4];
        this.mContext = context;
    }

    public View onCreateView(LayoutInflater inflater, ViewGroup container, Bundle savedInstanceState) {
        FtUtil.log_d("FragmentGeomagneticSTMicro", "onCreateView", null);
        View view = inflater.inflate(R.layout.fragment_geomagnetic_stmicro, (ViewGroup) null);
        init(view);
        setUIRate();
        return view;
    }

    private void init(View view) {
        FtUtil.log_d("FragmentGeomagneticSTMicro", "init", null);
        this.mText_Title = (TextView) view.findViewById(R.id.title);
        this.mTableRow_Initialized = (TableRow) view.findViewById(R.id.tablerow_initialized);
        this.mText_Initialized_Title = (TextView) view.findViewById(R.id.initialized_title);
        this.mText_Initialized = (TextView) view.findViewById(R.id.initialized);
        this.mTableRow_Status = (TableRow) view.findViewById(R.id.tablerow_status);
        this.mText_Status_Title = (TextView) view.findViewById(R.id.status_title);
        this.mText_Status = (TextView) view.findViewById(R.id.status);
        this.mTableRow_SX = (TableRow) view.findViewById(R.id.tablerow_sx);
        this.mTableRow_SY = (TableRow) view.findViewById(R.id.tablerow_sy);
        this.mTableRow_SZ = (TableRow) view.findViewById(R.id.tablerow_sz);
        this.mText_SX_Title = (TextView) view.findViewById(R.id.sx_title);
        this.mText_SY_Title = (TextView) view.findViewById(R.id.sy_title);
        this.mText_SZ_Title = (TextView) view.findViewById(R.id.sz_title);
        this.mText_SELF_X = (TextView) view.findViewById(R.id.self_x);
        this.mText_SELF_Y = (TextView) view.findViewById(R.id.self_y);
        this.mText_SELF_Z = (TextView) view.findViewById(R.id.self_z);
        this.mText_X_Title = (TextView) view.findViewById(R.id.x_title);
        this.mText_Y_Title = (TextView) view.findViewById(R.id.y_title);
        this.mText_Z_Title = (TextView) view.findViewById(R.id.z_title);
        this.mTableRow_ADC = (TableRow) view.findViewById(R.id.tablerow_adc);
        this.mText_ADC_Title = (TextView) view.findViewById(R.id.adc_title);
        this.mText_ADC_X = (TextView) view.findViewById(R.id.adc_x);
        this.mText_ADC_Y = (TextView) view.findViewById(R.id.adc_y);
        this.mText_ADC_Z = (TextView) view.findViewById(R.id.adc_z);
        this.mTextResult = (TextView) view.findViewById(R.id.result);
    }

    private void setUIRate() {
        float rate = Support.FactoryTestMenu.getUIRate(FactoryTestManager.convertorID_XML((byte) 20));
        FtUtil.log_d("FragmentGeomagneticSTMicro", "setUIRate", "rate : " + rate);
        if (rate != 0.0f && rate != 1.0f) {
            TextView textView = this.mText_Title;
            textView.setTextSize(0, textView.getTextSize() * rate);
            TextView textView2 = this.mText_Initialized_Title;
            textView2.setTextSize(0, textView2.getTextSize() * rate);
            TextView textView3 = this.mText_Initialized;
            textView3.setTextSize(0, textView3.getTextSize() * rate);
            TextView textView4 = this.mText_Status_Title;
            textView4.setTextSize(0, textView4.getTextSize() * rate);
            TextView textView5 = this.mText_Status;
            textView5.setTextSize(0, textView5.getTextSize() * rate);
            TextView textView6 = this.mText_SX_Title;
            textView6.setTextSize(0, textView6.getTextSize() * rate);
            TextView textView7 = this.mText_SY_Title;
            textView7.setTextSize(0, textView7.getTextSize() * rate);
            TextView textView8 = this.mText_SZ_Title;
            textView8.setTextSize(0, textView8.getTextSize() * rate);
            TextView textView9 = this.mText_SELF_X;
            textView9.setTextSize(0, textView9.getTextSize() * rate);
            TextView textView10 = this.mText_SELF_Y;
            textView10.setTextSize(0, textView10.getTextSize() * rate);
            TextView textView11 = this.mText_SELF_Z;
            textView11.setTextSize(0, textView11.getTextSize() * rate);
            TextView textView12 = this.mText_X_Title;
            textView12.setTextSize(0, textView12.getTextSize() * rate);
            TextView textView13 = this.mText_Y_Title;
            textView13.setTextSize(0, textView13.getTextSize() * rate);
            TextView textView14 = this.mText_Z_Title;
            textView14.setTextSize(0, textView14.getTextSize() * rate);
            TextView textView15 = this.mText_ADC_Title;
            textView15.setTextSize(0, textView15.getTextSize() * rate);
            TextView textView16 = this.mText_ADC_X;
            textView16.setTextSize(0, textView16.getTextSize() * rate);
            TextView textView17 = this.mText_ADC_Y;
            textView17.setTextSize(0, textView17.getTextSize() * rate);
            TextView textView18 = this.mText_ADC_Z;
            textView18.setTextSize(0, textView18.getTextSize() * rate);
            TextView textView19 = this.mTextResult;
            textView19.setTextSize(0, textView19.getTextSize() * rate);
        }
    }

    public void update(DataGeomagneticSTMicro data, Handler handler) {
        FtUtil.log_i("FragmentGeomagneticSTMicro", "update", null);
        if (data == null) {
            FtUtil.log_e("FragmentGeomagneticSTMicro", "update", "Warning: data is null.");
            return;
        }
        boolean isPass = true;
        if (data.mIsDisplay_Initialized) {
            this.mTableRow_Initialized.setVisibility(0);
            if (data.mInitialized != null) {
                if (data.mInitialized.equals(EgisFingerprint.MAJOR_VERSION)) {
                    FtUtil.log_d("FragmentGeomagneticSTMicro", "update", "Initialized - Pass");
                } else {
                    FtUtil.log_e("FragmentGeomagneticSTMicro", "update", "Initialized - Fail");
                    isPass = false;
                }
                this.mText_Initialized.setText(data.mInitialized);
                FtUtil.log_i("FragmentGeomagneticSTMicro", "update", "Initialized Return : " + data.mInitialized);
            } else {
                isPass = false;
                this.mText_Initialized.setText("NONE");
                FtUtil.log_e("FragmentGeomagneticSTMicro", "update", "Initialized - Fail : null");
            }
        } else {
            FtUtil.log_e("FragmentGeomagneticSTMicro", "update", "Initialized> data==null || Display==false");
        }
        if (data.mIsDisplay_Status) {
            this.mTableRow_Status.setVisibility(0);
            if (data.mStatus == null || data.mStatus_Result == null) {
                isPass = false;
                this.mText_Status.setText("NONE");
                FtUtil.log_e("FragmentGeomagneticSTMicro", "update", "Status - Fail : null");
            } else {
                if (data.mStatus_Result.equals("OK")) {
                    FtUtil.log_d("FragmentGeomagneticSTMicro", "update", "Status - Pass");
                } else {
                    FtUtil.log_e("FragmentGeomagneticSTMicro", "update", "Status - Fail");
                    isPass = false;
                }
                this.mText_Status.setText(data.mStatus);
                FtUtil.log_i("FragmentGeomagneticSTMicro", "update", "Retuen : " + data.mStatus_Result + ", Status : " + data.mStatus);
            }
        } else {
            FtUtil.log_e("FragmentGeomagneticSTMicro", "update", "Status> data==null || Display==false");
        }
        if (data.mIsDisplay_Self) {
            this.mTableRow_SX.setVisibility(0);
            this.mTableRow_SY.setVisibility(0);
            this.mTableRow_SZ.setVisibility(0);
            if (data.mSelf_X == null || data.mSelf_Y == null || data.mSelf_Z == null || data.mSelf_Result == null) {
                isPass = false;
                this.mText_SELF_X.setText("NONE");
                this.mText_SELF_Y.setText("NONE");
                this.mText_SELF_Z.setText("NONE");
                FtUtil.log_e("FragmentGeomagneticSTMicro", "update", "SELFTEST - Fail : null");
            } else {
                if (data.mSelf_Result.equals(EgisFingerprint.MAJOR_VERSION)) {
                    FtUtil.log_d("FragmentGeomagneticSTMicro", "update", "SelfTest- Pass");
                } else {
                    FtUtil.log_e("FragmentGeomagneticSTMicro", "update", "SelfTest - Fail");
                    isPass = false;
                }
                this.mText_SELF_X.setText(data.mSelf_X);
                this.mText_SELF_Y.setText(data.mSelf_Y);
                this.mText_SELF_Z.setText(data.mSelf_Z);
                FtUtil.log_i("FragmentGeomagneticSTMicro", "update", "Retuen : " + data.mSelf_Result + ", [SELF]X:" + data.mSelf_X + ", Y:" + data.mSelf_Y + ", Z:" + data.mSelf_Z);
            }
        }
        if (data.mIsDisplay_ADC) {
            this.mTableRow_ADC.setVisibility(0);
            if (data.mSelf_X == null || data.mSelf_Y == null || data.mSelf_Z == null || data.mSelf_Result == null) {
                isPass = false;
                this.mText_ADC_X.setText("NONE");
                this.mText_ADC_Y.setText("NONE");
                this.mText_ADC_Z.setText("NONE");
                FtUtil.log_e("FragmentGeomagneticSTMicro", "update", "ADC - Fail : null");
            } else {
                if (data.mADC_Result.equals("OK")) {
                    FtUtil.log_d("FragmentGeomagneticSTMicro", "update", "ADC - Pass");
                } else {
                    FtUtil.log_e("FragmentGeomagneticSTMicro", "update", "ADC - Fail");
                    isPass = false;
                }
                this.mText_ADC_X.setText(data.mADC_X);
                this.mText_ADC_Y.setText(data.mADC_Y);
                this.mText_ADC_Z.setText(data.mADC_Z);
                FtUtil.log_i("FragmentGeomagneticSTMicro", "update", "Retuen : " + data.mADC_Result + ", [ADC]X:" + data.mADC_X + ", Y:" + data.mADC_Y + ", Z:" + data.mADC_Z);
            }
        } else {
            FtUtil.log_e("FragmentGeomagneticSTMicro", "update", "ADC> data==null || Display==false");
        }
        this.bgcResult += data.mInitialized;
        this.bgcResult += ",";
        this.bgcResult += data.mADC_Result;
        this.bgcResult += ",";
        this.bgcResult += data.mADC_X;
        this.bgcResult += ",";
        this.bgcResult += data.mADC_Y;
        this.bgcResult += ",";
        this.bgcResult += data.mADC_Z;
        this.bgcResult += ",";
        this.bgcResult += data.mSelf_Result;
        this.bgcResult += ",";
        this.bgcResult += data.mSelf_X;
        this.bgcResult += ",";
        this.bgcResult += data.mSelf_Y;
        this.bgcResult += ",";
        this.bgcResult += data.mSelf_Z;
        FtUtil.log_d("FragmentGeomagneticSTMicro", "DataGeomagneticSTMicro", "BackGroundCommandResult : " + this.bgcResult);
        Support.Kernel.writeToPathNsync(new File("/data/log/GeoMagneticData.log").getPath(), this.bgcResult);
        this.mTextResult.setText(isPass ? "PASS" : "FAIL");
        this.mTextResult.setTextColor(isPass ? UiHallICTest.FONT_COLOR_PASS : -65536);
        if (isPass) {
            handler.sendEmptyMessage(UIGeomagneticGyro.WHAT_GEOMAGNETIC_PASS);
        } else {
            handler.sendEmptyMessage(UIGeomagneticGyro.WHAT_GEOMAGNETIC_FAIL);
        }
    }

    public void MagneticGetSelfTest() {
        String str = Support.Kernel.readFromPath("/sys/class/sensors/magnetic_sensor/selftest", false);
        if (str != null) {
            String[] SelfTestData = str.split(",");
            if (SelfTestData[0] == null) {
                SelfTestData[0] = "0.0";
            }
            if (SelfTestData[1] == null) {
                SelfTestData[1] = "0.0";
            }
            if (SelfTestData[2] == null) {
                SelfTestData[2] = "0.0";
            }
            if (SelfTestData[3] == null) {
                SelfTestData[3] = "0.0";
            }
            this.self_data[0] = Float.valueOf(SelfTestData[0]).floatValue();
            this.self_data[1] = Float.valueOf(SelfTestData[1]).floatValue();
            this.self_data[2] = Float.valueOf(SelfTestData[2]).floatValue();
            this.self_data[3] = Float.valueOf(SelfTestData[3]).floatValue();
            return;
        }
        FtUtil.log_d("FragmentGeomagneticSTMicro", "MagneticGetSelfTest() str is null", str);
    }
}
