package com.sec.factory.app.ui;

import android.app.Activity;
import android.content.Context;
import android.os.Bundle;
import android.support.v4.view.InputDeviceCompat;
import android.util.DisplayMetrics;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.AdapterView;
import android.widget.BaseAdapter;
import android.widget.Button;
import android.widget.GridView;
import android.widget.LinearLayout;
import android.widget.ListAdapter;
import android.widget.TextView;
import com.sec.factory.R;
import com.sec.factory.support.FtUtil;
import com.sec.xmldata.support.NVAccessor;
import com.sec.xmldata.support.Support;

public class NvControl extends Activity implements View.OnClickListener {
    private static final String CLASS_NAME = "NvControl";
    private static final int NV_SIZE = 500;
    private NvControlAdapter mAdaptor;
    private DisplayMetrics mMetrics;
    private Button mNvControlAllClearButton;
    private Button mNvControlAllPassButton;
    private Button mNvControlMainRepairButton;
    private Button mNvControlPbaRepairButton;
    private TextView mNvControlTitle;
    private Button mNvControlToggleHexaButton;
    private String[] mNvResult = {"N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N", "N"};
    private String[] mNvTitle = {"SMD FUNCTION", "SMD CAL", "", "PBA TEST", "REWORK", "STA NV ERASE", "RF CAL 1", "RF CAL 2", "RST", "LTE CAL", "FINAL 1", "FINAL3", " NONRFTEST_RFCAL", "WLAN", "FINAL 2", "IMEI WRITE", "RCV 200", "FM RADIO", "FUNC 1", "FUNC 2", "SIMPLE TEST", "LOOPBACK", "BT", "SD CARD", "SPK 1", "MP 3", "KEY TEST", "DMB", "MAIN NAD", "NFC", "MAIN FUNCTION", "EARPHONE", "EARPHONE KEY", "TSP TEST", "BATTERY CHECK", "", "SIM CARD", "PROX_LIGHT", "CHARGE", "HALL IC", "", "SPEN DRAWING", "IRLED", "CHARGE 2", "SPK 2", "OTG", "PA_TSP SELF", "HDMI", "GYRO", "MAGNETIC SENSOR", "GRIP", "", "LOOPBACK 2", "SIM CARD 2", "COLOR BALANCE 2", "BT 4.0", "FELICA CAL", "FINGER PRINT", "TSP TEST 2", "KEY TEST 2", "LCD TEST", "BARCODE EMUL", "DMB DETACH", "SPK 3", "MOT TEST", "CAMERA", "SWITCHED SIM", "SPEN DETECTION", "NFC SELF CAL", "PA_F_TOUCH SELF", "PA_F_TOUCH PRESS", "NFC2", "SPK LOOPBACK", "PA_TSP DRAWING", "SPEN KEY", "PRE MFT", "USB 3.1 Gen 1", "SIM CARD 3", "POWER PACK TEST", "HI GALAXY", "TSP OPEN SHORT", "ID CHIP", "LED FLIP COVER", "", Support.SensorTestMenu.SENSOR_TEST_NAME_HRM, "AF CHARGE", "ECHO", "PA_TSP_OPSH", "LEAK CURRENT", "PRE FINAL", "OIS_GYRO", "MOTOR SELF", "SPEN 2 DRAWING", "BLOOD GLUCOSE", " RF CAL SVC PBA", "", "HDMI UHD", "PBA REPAIR", "MAIN REPAIR", "", "", "COAXIAL CABLE DETECT", "PBA MFT", "PRE FINAL 2", "PRE WLAN", "MCD", "WLAN 2", "SPK CAL", "MST", "", "W SELF CHARGE", "NONRFTEST_FINAL", "OFM", "BAROMETER", "BT_FINAL", "Finger Print ENV", "NFC CARD MODE", "W AFC SELF CHARGE", "AUTO_LCD", "AUTO_SVCLED", "AUTO_KEYBLIGHT", "AUTO_FCAM", "AUTO_RCAM", "SIDE_CONTACT", "AUTO_FLASH", "AUTO_ACCSENSOR", "", "FCT_PC", "MFG 1_PC", "ZIGBEE FINAL", "ZWAVE FINAL", "TSP CAL", "15 ALL FIN", "SCAM_ISO", "SCAM_DEFECT PIXEL", "SCAM_MOT", "SCAM_DUST", "SCAM_MOVIE", "SCAM_OPTICAL AXIS", "SCAM_NOISE", "OIS AUTO", "AF CHARGE 2", "MOTOR SOUND", "W AFC EFFICIENCY", "NFC SWP", "RCV NOISE", "WATER PROOF", "POGO OTG_CHARGE", "SVC PBA SCOPE", "FORCE PASS SMD", "S_SD CARD", "S_SIM CARD 1", "S_MEGA CAM", "S_SELF CAM", "S_MOTOR", "S_PROXI LIGHT", "S_ACSENSOR", "S_HRM", "S_LOOPBACK 1", "S_LOOPBACK 2", "S_BAROMETER", "S_EARPHONE", "S_SIM CARD 2", "S_BT", "S_LCD", "S_TSP", "S_GYRO", "S_MAGNETIC SENSOR", "S_ACC_GYRO", "S_MEGA CAM DOT", "S_CHARGE_USB", "S_KEYTEST", "S_NFC", "S_ECHO", "S_FINGER PRINT", "S_SPK", "S_CAL", "", "S_LOOPBACK 3", "", "S_SPK CAL", "", "S_CAL 2", "S_IR THERMOMETER", "S_BLOOD GLUCOSE", "S_MIC", "S_W SELF CHARGE", "S_MCD", "S_OFM", "S_SELF CAM2", "S_SPK", "S_BT_FINAL", "S_SPEN TOUCH", "S_HALL IC", "S_OIS AUTO", "S_BATT CONTACT", "S_SVC LED", "S_RCV", "S_OIS_GYRO", "S_MST", "S_NFCSELF", "S_TILT", "S_TSP CAL", "S_F_TOUCH_SELF", "S_EARPHONE_KEY", "S_POGO", "S_IRIS_CAM", "S_IRIS_LED", "S_DIGITIZER_SELF", "S_DIGITIZER_DRAW", "", "S_SMARTGLOW", "S_EAR_LOOP", "S_ALWAYS_EARMIC", "S_FLICKER SENSOR", "S_PROX_LIGHT 2", "S_SUB_ACC_GYRO", "S_KEYLESS_NORMAL", "", "S_ALL FIN", "OBD TEST", "IRIS CAM", "IRIS LED", "PD IC 2", "PD IC", "FLASH", "SCAM_ISO2", "SCAM_ISO3", "IRIS EV", "QUICK CHARGE", "GPU Test", "NFC SWP 2", "DP", "POGO PIN", "CAMERA_CAPTURE", "COLOR BALANCE", "F_TOUCH_CAL_HM", "F_TOUCH_TEST_HM", "BATT_OCV_1", "BATT_OCV_2", "NAD & DRAM", "SENSING OPEN", "SCAM_AWBT1", "SCAM_AWBT2", "", "IRIS_PROX", "NFC TYPEB", "PALM TOUCH", "", "HRM_XTALK", "RF CAL BATT OCV", "POGO_CHARGE", "TVOC", "NFC_F0", "", "F_TOUCH_CAL_FP", "F_TOUCH_TEST_FP", "DELTA_OCV", "FLARE", "APERTURE", "VISION TEST", "CAMERA AF CODE", "PROXIMITY 2", "LEAK CURRENT FT", "AUDIO BOX", "FINGER_NORMAL", "", "MIC DIFF", "VGL_DISP", " FINGERPRINT INT CHECK", "ALWAYS_EARMIC", "TSP 2 CAL ", "TSP 2 OPEN SHORT", "FLICKER SENSOR", "USB 3.1 Gen 2", "CAMERA 2 CAPTURE", "POWER SHARE", "PALM TOUCH 2", "", "SUB ACC_GYRO TEST", "PROX_LIGHT 2", "RCV SPK LOOPBACK", "BARCODE EMUL 2", "RF CAL 5G mmWave", "FINAL 5G mmWave", "MIC GAIN", "TSP SELF", "TSP 2 SELF", "MCD 2", "SUB DISPLAY", "PA_TSP 2 OPSH", "PA_TSP 2 SELF", "REAR TOF CAMERA TEST", "FRONT TOF CAMERA TEST", "PROXIMITY_HOVER", "PA_PROXIMITY_HOVER", "W FASTCHARGE2.0", "DIRECT CHARGE", "PA_SUB_ACC_GYRO", "LOGO_LIGHT", "DIGITAL HALL IC", "GRIP - ANT SENSOR", "VCSEL PD", "WATER INT_CC & SBU", "TSP TEST 1-1", "DIGITIZER ELECTRIC", "KEYLESS CALIBRATION", "KEYLESS PRESS", "GEARED MOTOR", "2.1A F-TOF CAMERA", "DTV ANT DETECT", "REAR TOF CAMERA CAL", "FRONT TOF CAMERA CAL", "TSP JITTER", "MCPTT ACC", "ECG TEST", "W FASTCHARGE2.1", "SLIDE CAM TILT", "", "SPEN_PAIRING", "NAD 5.0", "KEYBOARD VISION", "MACRO CAMERA CAPTURE", "", "FOLDED TELE CAMERA CAPTURE", "", " MIC MUTE", "3D Digital Hall IC CAL", "3D Digital Hall IC TEST", "LCD Gradation 120Hz", "Rear Camera Multi Cal", " Sub MCD Presentation", "Sub TSP Self Presentation", "Sub TSP Open/Short Presentation", "MIC ECHO-PARALLEL", "MIC GAIN-PARALLEL", "LEAK CURRENT 2", "", "MIC MUTE-PARALLEL", "SUB VISION", "", "FOLDER TENSION", "HLPM DISPLAY OFFON", "UWB CAL", "UWB FINAL", "M.2 PIN", "RANGING CAL", "RANGING TEST 300", "WIFI CAL", "RANGING TEST 500", "LCD 9GRAY 120Hz", "LCD FREQ 120-10", "LCD 9GRAY 60Hz", "UWB AoA CAL", "TSP 2 JITTER", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "O_TSP_DRAWING", "O_SPEN_DRAWING", "O_SPEN_DETECT", "O_HALL_IC", "O_MOTOR", "O_KEY_TEST", "O_PROXIMITY", "O_LIGHT", "O_FINGERPRINT", "O_ACSENSOR", "O_AF CHARGE", "O_W CHARGE", "O_OFT", "O_VISION", "O_CAMERA", "O_NFC ", "O_MST", "O_DIRECT CHARGE", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", ""};
    private int mToggleHexa = 0;
    private boolean mWriteable = false;

    private void initialize() {
        this.mNvControlTitle = (TextView) findViewById(R.id.title);
        Button button = (Button) findViewById(R.id.btn_nv_control_toggle_hexa);
        this.mNvControlToggleHexaButton = button;
        button.setOnClickListener(this);
        if (this.mWriteable) {
            this.mNvControlAllClearButton = (Button) findViewById(R.id.btn_nv_control_all_clear);
            this.mNvControlAllPassButton = (Button) findViewById(R.id.btn_nv_control_all_pass);
            this.mNvControlPbaRepairButton = (Button) findViewById(R.id.btn_nv_control_pba_repair);
            this.mNvControlMainRepairButton = (Button) findViewById(R.id.btn_nv_control_main_repair);
            this.mNvControlAllClearButton.setOnClickListener(this);
            this.mNvControlAllPassButton.setOnClickListener(this);
            this.mNvControlPbaRepairButton.setOnClickListener(this);
            this.mNvControlMainRepairButton.setOnClickListener(this);
            this.mNvControlAllClearButton.setVisibility(0);
            this.mNvControlAllPassButton.setVisibility(0);
            this.mNvControlPbaRepairButton.setVisibility(0);
            this.mNvControlMainRepairButton.setVisibility(0);
            this.mNvControlTitle.setText(R.string.nv_control_title);
        } else {
            this.mNvControlTitle.setText(R.string.nv_control_title_readonly);
        }
        GridView gridview = (GridView) findViewById(R.id.nv_control_view);
        NvControlAdapter nvControlAdapter = new NvControlAdapter(this);
        this.mAdaptor = nvControlAdapter;
        gridview.setAdapter((ListAdapter) nvControlAdapter);
        if (this.mWriteable) {
            gridview.setOnItemClickListener(new AdapterView.OnItemClickListener() {
                /* class com.sec.factory.app.ui.NvControl.AnonymousClass1 */

                @Override // android.widget.AdapterView.OnItemClickListener
                public void onItemClick(AdapterView<?> adapterView, View v, int position, long id) {
                    if ("P".equals(NvControl.this.mNvResult[position])) {
                        NVAccessor.setNV(position + 1, (byte) 78);
                    } else {
                        NVAccessor.setNV(position + 1, (byte) 80);
                    }
                    NvControl.this.parseNVData();
                }
            });
        }
        this.mMetrics = new DisplayMetrics();
        getWindowManager().getDefaultDisplay().getMetrics(this.mMetrics);
    }

    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.nv_control);
        this.mWriteable = getIntent().getBooleanExtra("writeable", false);
        initialize();
    }

    public void onResume() {
        super.onResume();
        parseNVData();
    }

    /* access modifiers changed from: protected */
    public void onStop() {
        super.onStop();
        finish();
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void parseNVData() {
        String nvData = NVAccessor.getFullTestNV();
        if (nvData == null || nvData.length() == 0) {
            FtUtil.log_d(CLASS_NAME, "parseNVData", "No Item");
            return;
        }
        FtUtil.log_d(CLASS_NAME, "parseNVData", "[Data] size: " + nvData.length() + ", value: " + nvData);
        for (int i = 0; i < nvData.length(); i += 4) {
            String NVKey = nvData.substring(i, i + 3);
            String NVValue = nvData.substring(i + 3, i + 4);
            FtUtil.log_d(CLASS_NAME, "parseNVData", "NVKey : " + NVKey + ", NVValue : " + NVValue);
            this.mNvResult[Integer.parseInt(NVKey, 10) + -1] = NVValue;
        }
        this.mAdaptor.notifyDataSetChanged();
    }

    public void onClick(View v) {
        String fullnv = NVAccessor.getFullTestNV();
        switch (v.getId()) {
            case R.id.btn_nv_control_all_clear:
                for (int i = 1; i < 501; i++) {
                    fullnv = NVAccessor.setLocalTestNV(fullnv, i, (byte) 78);
                }
                NVAccessor.setFullTestNV(fullnv);
                break;
            case R.id.btn_nv_control_all_pass:
                for (int i2 = 1; i2 < 501; i2++) {
                    if (i2 == 98 || i2 == 99) {
                        fullnv = NVAccessor.setLocalTestNV(fullnv, i2, (byte) 78);
                    } else {
                        fullnv = NVAccessor.setLocalTestNV(fullnv, i2, (byte) 80);
                    }
                }
                NVAccessor.setFullTestNV(fullnv);
                break;
            case R.id.btn_nv_control_main_repair:
                NVAccessor.setNV(99, (byte) 80);
                break;
            case R.id.btn_nv_control_pba_repair:
                NVAccessor.setNV(98, (byte) 80);
                break;
            case R.id.btn_nv_control_toggle_hexa:
                if (this.mToggleHexa == 0) {
                    this.mToggleHexa = 1;
                    this.mNvControlToggleHexaButton.setText(R.string.nv_control_toggle_hexa);
                    break;
                } else {
                    this.mToggleHexa = 0;
                    this.mNvControlToggleHexaButton.setText(R.string.nv_control_toggle_decimal);
                    break;
                }
        }
        parseNVData();
    }

    /* access modifiers changed from: private */
    public class NvControlAdapter extends BaseAdapter {
        private Context mContext;

        public NvControlAdapter(Context c) {
            this.mContext = c;
        }

        public int getCount() {
            return NvControl.this.mNvResult.length;
        }

        public Object getItem(int position) {
            return NvControl.this.mNvResult[position];
        }

        public long getItemId(int position) {
            return (long) position;
        }

        public View getView(int position, View convertView, ViewGroup parent) {
            View view = convertView;
            if (convertView == null) {
                view = ((LayoutInflater) this.mContext.getSystemService("layout_inflater")).inflate(R.layout.nv_control_item, parent, false);
            }
            if (convertView != null) {
                view.setLayoutParams(new LinearLayout.LayoutParams(-1, -1));
            }
            TextView textView = (TextView) view.findViewById(R.id.tv_nv_control_item);
            textView.setPadding(2, 2, 2, 2);
            if (NvControl.this.mToggleHexa == 0) {
                textView.setText(NvControl.this.mNvTitle[position] + "\n" + String.valueOf(position + 1) + " : " + NvControl.this.mNvResult[position]);
            } else {
                textView.setText(NvControl.this.mNvTitle[position] + "\n0x" + Integer.toHexString(position + 1).toUpperCase() + " : " + NvControl.this.mNvResult[position]);
            }
            if ("P".equals(NvControl.this.mNvResult[position])) {
                textView.setTextColor(-1);
                textView.setBackgroundColor(UiHallICTest.FONT_COLOR_PASS);
            } else if ("N".equals(NvControl.this.mNvResult[position])) {
                textView.setTextColor(-16777216);
                textView.setBackgroundColor(this.mContext.getResources().getColor(R.color.background_gray));
            } else if ("E".equals(NvControl.this.mNvResult[position])) {
                textView.setTextColor(-16777216);
                textView.setBackgroundColor(InputDeviceCompat.SOURCE_ANY);
            } else {
                textView.setTextColor(-1);
                textView.setBackgroundColor(-65536);
            }
            return view;
        }
    }
}
