package com.sec.factory.app.ui;

import android.os.Bundle;
import android.widget.TextView;
import com.sec.factory.R;
import com.sec.xmldata.support.Support;

public class UIBackCoverType extends UIBase {
    private final String CLASS_NAME = "UIBackCoverType";
    private TextView backCoverType;

    public UIBackCoverType() {
        super("UIBackCoverType");
    }

    /* access modifiers changed from: protected */
    @Override // com.sec.factory.app.ui.UIBase
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.ui_backcovertype);
        this.backCoverType = (TextView) findViewById(R.id.backcovertype);
        if ("QUALCOMM".equalsIgnoreCase(Support.Feature.getString(Support.Feature.CHIPSET_MANUFACTURE))) {
            String type = Support.Properties.get(Support.Properties.BACK_COVER_TYPE);
            TextView textView = this.backCoverType;
            textView.setText("Back Cover Type : " + type);
        }
    }

    /* access modifiers changed from: protected */
    @Override // com.sec.factory.app.ui.UIBase
    public void onResume() {
        super.onResume();
    }

    /* access modifiers changed from: protected */
    @Override // com.sec.factory.app.ui.UIBase
    public void onPause() {
        super.onPause();
    }

    @Override // com.sec.factory.app.ui.UIBase
    public void onDestroy() {
        super.onDestroy();
    }
}
