package com.sec.factory.modules;

import android.app.Service;
import android.content.Intent;
import android.content.SharedPreferences;
import android.os.Handler;
import android.os.IBinder;
import com.sec.factory.app.ui.UIProximityHoverSelftest;
import com.sec.factory.support.FtUtil;
import java.util.Objects;

public class ProximityHoverService extends Service {
    private static final String CLASS_NAME = "ProximityHoverService";

    public void onCreate() {
        FtUtil.log_i(CLASS_NAME, "onCreate", "");
        super.onCreate();
    }

    public int onStartCommand(Intent intent, int flags, int startId) {
        FtUtil.log_i(CLASS_NAME, "onStartCommand");
        SharedPreferences.Editor accEditor = getSharedPreferences("PROXIMITY_HOVER_SELF_RESULT", 0).edit();
        accEditor.putString("RESULT_DATA", "NONE");
        accEditor.commit();
        UIProximityHoverSelftest mUIProximityHoverSelftest = new UIProximityHoverSelftest("ATCMD", this);
        Handler handler = mUIProximityHoverSelftest.mHandler;
        Objects.requireNonNull(mUIProximityHoverSelftest);
        handler.sendEmptyMessage(1000);
        return 2;
    }

    public void onDestroy() {
    }

    public IBinder onBind(Intent intent) {
        return null;
    }
}
