package com.sec.factory.modules.check;

import com.sec.factory.support.FtUtil;

public class CheckViewCpData {
    private static final String CLASS_NAME = "CpDataNode";
    private int[][] _cpDataArr;

    public int[] getMinMaxViewCpData(int[][] ref) {
        int[] result = new int[2];
        this._cpDataArr = ref;
        int cpDataMin = 99999;
        int cpDataMax = 0;
        for (int[] linear : ref) {
            for (int value : linear) {
                if (value > cpDataMax) {
                    cpDataMax = value;
                    FtUtil.log_d(CLASS_NAME, "getMinMaxViewCpData", "cpDataMax: " + cpDataMax);
                }
                if (value < cpDataMin) {
                    cpDataMin = value;
                    FtUtil.log_d(CLASS_NAME, "getMinMaxViewCpData", "cpDataMin: " + cpDataMin);
                }
            }
        }
        FtUtil.log_d(CLASS_NAME, "getMaxViewCpData", "cpDataMin: " + cpDataMin + ", cpDataMax: " + cpDataMax);
        result[0] = cpDataMin;
        result[1] = cpDataMax;
        return result;
    }
}
