package com.sec.factory.modules.vrr;

import android.provider.Settings;

public final class VRRcontants {
    public static final int REFRESH_RATE_120HZ = 120;
    public static final int REFRESH_RATE_60HZ = 60;
    public static final int REFRESH_RATE_90HZ = 90;
    public static final int REFRESH_RATE_CHANGED = 1;
    public static final int REFRESH_RATE_MODE_ADAPTIVE = getRefreshRateMode("REFRESH_RATE_MODE_ADAPTIVE");
    public static final int REFRESH_RATE_MODE_ALWAYS = getRefreshRateMode("REFRESH_RATE_MODE_ALWAYS");
    public static final int REFRESH_RATE_MODE_CHANGED = 0;
    public static final int REFRESH_RATE_MODE_NORMAL = getRefreshRateMode("REFRESH_RATE_MODE_NORMAL");

    private static int getRefreshRateMode(String Mode) {
        try {
            return ((Integer) Settings.Secure.class.getDeclaredField(Mode).get(Settings.Secure.class)).intValue();
        } catch (Exception e) {
            e.printStackTrace();
            return 2;
        } catch (Throwable th) {
            return 2;
        }
    }
}
