package com.sec.factory.support;

public enum Status {
    NOTEST(-1),
    PASS(0),
    FAIL(1),
    FAIL_CAL(2),
    FAIL_TOUCH(3),
    FAIL_SPECOUT(4),
    FAIL_SCAN(5),
    FAIL_TIMEOUT(6),
    FAIL_CALLBACK_TIMEOUT(7),
    FAIL_SENSORID(8),
    FAIL_INIT(9),
    FAIL_INT1(10),
    FAIL_INT2(11),
    FAIL_AbnormalFinish(21),
    FAIL_AbnormalData(22),
    READY(100),
    RUNNING(200),
    STOP(300),
    FAIL_UNKNOWN(501),
    FAIL_CONTAMINATION_WEAK(502),
    FAIL_CONTAMINATION_STRONG(503),
    FAIL_MEMORY_DEFECT(504),
    FAIL_M0_DEFECT(505),
    FAIL_SANITY_ERROR_20(507),
    FAIL_INVALID_TEMP(508),
    FAIL_NOT_DEFINED(509),
    ERROR(1000);
    
    private final int status;

    private Status(int status2) {
        this.status = status2;
    }
}
