package org.apache.poi.hpsf;

import org.apache.poi.util.Internal;
import org.apache.poi.util.LittleEndian;

/* access modifiers changed from: package-private */
@Internal
public class Decimal {
    static final int SIZE = 16;
    private short field_1_wReserved;
    private byte field_2_scale;
    private byte field_3_sign;
    private int field_4_hi32;
    private long field_5_lo64;

    Decimal(byte[] data, int startOffset) {
        this.field_1_wReserved = LittleEndian.getShort(data, startOffset);
        int offset = startOffset + 2;
        this.field_2_scale = data[offset];
        int offset2 = offset + 1;
        this.field_3_sign = data[offset2];
        int offset3 = offset2 + 1;
        this.field_4_hi32 = LittleEndian.getInt(data, offset3);
        int offset4 = offset3 + 4;
        this.field_5_lo64 = LittleEndian.getLong(data, offset4);
        int offset5 = offset4 + 8;
    }
}
