package org.apache.poi.hpsf;

public class HPSFRuntimeException extends RuntimeException {
    private static final long serialVersionUID = -7804271670232727159L;
    private Throwable reason;

    public HPSFRuntimeException() {
    }

    public HPSFRuntimeException(String msg) {
        super(msg);
    }

    public HPSFRuntimeException(Throwable reason2) {
        this.reason = reason2;
    }

    public HPSFRuntimeException(String msg, Throwable reason2) {
        super(msg);
        this.reason = reason2;
    }

    public Throwable getReason() {
        return this.reason;
    }
}
