package org.apache.poi.ss.formula.eval;

public final class NotImplementedFunctionException extends NotImplementedException {
    private static final long serialVersionUID = 1208119411557559057L;
    private String functionName;

    public NotImplementedFunctionException(String functionName2) {
        super(functionName2);
        this.functionName = functionName2;
    }

    public NotImplementedFunctionException(String functionName2, NotImplementedException cause) {
        super(functionName2, cause);
        this.functionName = functionName2;
    }

    public String getFunctionName() {
        return this.functionName;
    }
}
