package org.apache.poi.ss.usermodel;

public enum PrintCellComments {
    NONE(1),
    AS_DISPLAYED(2),
    AT_END(3);
    
    private static PrintCellComments[] _table = new PrintCellComments[4];
    private int comments;

    static {
        PrintCellComments[] arr$ = values();
        for (PrintCellComments c : arr$) {
            _table[c.getValue()] = c;
        }
    }

    private PrintCellComments(int comments2) {
        this.comments = comments2;
    }

    public int getValue() {
        return this.comments;
    }

    public static PrintCellComments valueOf(int value) {
        return _table[value];
    }
}
