package com.example.aaudiorecorder;

public class AAudioRecorder {
    private native void setRecOn(boolean z);

    private native void setRecordingDeviceId(int i);

    public native void close();

    public native boolean create(int i, int i2, int i3, int i4);

    public native int getBufferCapacityInFrames();

    public native int getBufferSizeInFrames();

    public native int getFramesPerBurst();

    public native int getFramesPerDataCallback();

    public native int getSamplesPerFrame();

    public native int read(byte[] bArr, int i);

    public native boolean start();

    static {
        System.loadLibrary("audiocoreaaudiorecorder");
    }

    public class AAudioSource {
        public static final int AAUDIO_INPUT_PRESET_CAMCORDER = 5;
        public static final int AAUDIO_INPUT_PRESET_GENERIC = 1;
        public static final int AAUDIO_INPUT_PRESET_UNPROCESSED = 9;
        public static final int AAUDIO_INPUT_PRESET_VOICE_COMMUNICATION = 7;
        public static final int AAUDIO_INPUT_PRESET_VOICE_RECOGNITION = 6;

        public AAudioSource() {
        }
    }

    public class AAudioFormat {
        public static final int AAUDIO_FORMAT_INVALID = -1;
        public static final int AAUDIO_FORMAT_PCM_FLOAT = 2;
        public static final int AAUDIO_FORMAT_PCM_I16 = 1;
        public static final int AAUDIO_FORMAT_UNSPECIFIED = 0;

        public AAudioFormat() {
        }
    }
}
