package com.goodix.cap.fingerprint.proxy;

import android.util.Log;

public class DaemonManager {
    private static final String TAG = "DaemonManager";
    private static DaemonManager mInstance;
    private DaemonProxyBase mDaemonProxy;

    public DaemonManager() {
        this.mDaemonProxy = null;
        this.mDaemonProxy = new DaemonProxy();
    }

    public static DaemonManager getInstance() {
        Log.d(TAG, TAG);
        if (mInstance == null) {
            mInstance = new DaemonManager();
        }
        return mInstance;
    }

    public IGFDaemon getGoodixFingerprintDaemon(IGFDaemonCallback callback) {
        return this.mDaemonProxy.getGoodixFingerprintDaemon(callback);
    }
}
