package com.goodix.fingerprint;

import android.os.Parcel;
import android.os.Parcelable;

public class CmdResult implements Parcelable {
    public static final Parcelable.Creator<CmdResult> CREATOR = new Parcelable.Creator<CmdResult>() {
        /* class com.goodix.fingerprint.CmdResult.AnonymousClass1 */

        @Override // android.os.Parcelable.Creator
        public CmdResult createFromParcel(Parcel in) {
            return new CmdResult(in);
        }

        @Override // android.os.Parcelable.Creator
        public CmdResult[] newArray(int size) {
            return new CmdResult[size];
        }
    };
    public int mResultCode;
    public byte[] mResultData;

    public CmdResult() {
        this.mResultCode = 0;
        this.mResultData = null;
    }

    private CmdResult(Parcel in) {
        this.mResultCode = 0;
        this.mResultData = null;
        this.mResultCode = in.readInt();
        this.mResultData = in.createByteArray();
    }

    public CmdResult(CmdResult result) {
        this.mResultCode = 0;
        this.mResultData = null;
        this.mResultCode = result.mResultCode;
        byte[] bArr = result.mResultData;
        if (bArr != null && bArr.length != 0) {
            byte[] bArr2 = new byte[bArr.length];
            this.mResultData = bArr2;
            byte[] bArr3 = result.mResultData;
            System.arraycopy(bArr3, 0, bArr2, 0, bArr3.length);
        }
    }

    public int describeContents() {
        return 0;
    }

    public void writeToParcel(Parcel out, int flags) {
        out.writeInt(this.mResultCode);
        byte[] bArr = this.mResultData;
        if (bArr == null || bArr.length <= 0) {
            out.writeInt(0);
        } else {
            out.writeByteArray(bArr);
        }
    }
}
