package com.goodix.fingerprint;

public class DelmarConstants {
    public static final int CLOSE_HBM_MODE = 5;
    public static final int DEBUG_TOOLS_CMD_CANCEL = 200008;
    public static final int DEBUG_TOOLS_CMD_COLLECT_RGB_DATA = 200014;
    public static final int DEBUG_TOOLS_CMD_DATA_SAMPLING = 200017;
    public static final int DEBUG_TOOLS_CMD_DELETE_UNTRUSTED_ENROLLED_FINGER = 200006;
    public static final int DEBUG_TOOLS_CMD_ENUMERATE = 200007;
    public static final int DEBUG_TOOLS_CMD_FIND_SENSOR = 200010;
    public static final int DEBUG_TOOLS_CMD_FINGER_DOWN = 200001;
    public static final int DEBUG_TOOLS_CMD_FINGER_UP = 200003;
    public static final int DEBUG_TOOLS_CMD_GET_FAKE_CFG = 200022;
    public static final int DEBUG_TOOLS_CMD_GET_SAMPLING_CFG = 200016;
    public static final int DEBUG_TOOLS_CMD_GET_SENSOR_CONFIG = 200013;
    public static final int DEBUG_TOOLS_CMD_GET_VERSION = 200009;
    public static final int DEBUG_TOOLS_CMD_LIGHT_AREA_STABLE = 200002;
    public static final int DEBUG_TOOLS_CMD_READ_FLASH = 200018;
    public static final int DEBUG_TOOLS_CMD_SAMPLE = 200011;
    public static final int DEBUG_TOOLS_CMD_SET_ACTIVE_GROUP = 200020;
    public static final int DEBUG_TOOLS_CMD_SET_FAKE_CFG = 200021;
    public static final int DEBUG_TOOLS_CMD_SET_SAMPLING_CFG = 200015;
    public static final int DEBUG_TOOLS_CMD_SET_SENSOR_CONFIG = 200012;
    public static final int DEBUG_TOOLS_CMD_UNTRUSTED_AUTHENTICATE = 200005;
    public static final int DEBUG_TOOLS_CMD_UNTRUSTED_ENROLL = 200004;
    public static final int DEBUG_TOOLS_CMD_WRITE_FLASH = 200019;
    public static final int DEBUG_TOOLS_DELMAR_CMD_MAX = 200023;
    public static final int DEBUG_TOOLS_DELMAR_CMD_UPPER_LIMIT = 299999;
    public static final int DEFAULT_AUTH_MAIN_BACKGROUND_COLOR = -16;
    public static final int DEFAULT_BINDING_SENSOR_HEIGHT = 20;
    public static final int DEFAULT_BINDING_SENSOR_WIDTH = 40;
    public static final int DEFAULT_CF_MARK = 0;
    public static final int DEFAULT_CF_MASK_TYPE = 0;
    public static final boolean DEFAULT_COUNT_DIRTY_PARTIAL = false;
    public static final int DEFAULT_FAKE_FLAG = 0;
    public static final float DEFAULT_FINGER_DOWN_THRESHOLD = 0.05f;
    public static final float DEFAULT_LIGHT_AREA_RADIUS = 7.5f;
    public static final int DEFAULT_LIGHT_STABLE_DELAY = 250;
    public static final int DEFAULT_MAIN_BACKGROUND_COLOR = -16777216;
    public static final int DEFAULT_MORPHOTYPE = 0;
    public static final int DEFAULT_SENSOR_AREA_BACKGROUND_COLOR = 0;
    public static final int DEFAULT_SENSOR_BINDING_MODE = 1;
    public static final float DEFAULT_SENSOR_INDICATOR_HEIGHT = 15.0f;
    public static final float DEFAULT_SENSOR_INDICATOR_WIDTH = 40.0f;
    public static final float DEFAULT_SHIFT_ENROLL_X = 2.0f;
    public static final float DEFAULT_SHIFT_ENROLL_Y = 3.0f;
    public static final float DEFAULT_VALID_PRESS_MARGIN = 0.0f;
    public static final int FRRFAR_TOOLS_CMD_CANCEL = 300004;
    public static final int FRRFAR_TOOLS_CMD_CANCEL_FRRFAR = 300014;
    public static final int FRRFAR_TOOLS_CMD_FINGER_DOWN = 300001;
    public static final int FRRFAR_TOOLS_CMD_FINGER_UP = 300003;
    public static final int FRRFAR_TOOLS_CMD_FRRFAR = 300010;
    public static final int FRRFAR_TOOLS_CMD_GET_PROGRESS = 300011;
    public static final int FRRFAR_TOOLS_CMD_GET_RESULT = 300012;
    public static final int FRRFAR_TOOLS_CMD_LIGHT_AREA_STABLE = 300002;
    public static final int FRRFAR_TOOLS_CMD_POST_FRRFAR = 300013;
    public static final int FRRFAR_TOOLS_CMD_POST_PREPROCESS = 300008;
    public static final int FRRFAR_TOOLS_CMD_PREPROCESS = 300007;
    public static final int FRRFAR_TOOLS_CMD_PRE_FRRFAR = 300009;
    public static final int FRRFAR_TOOLS_CMD_PRE_PREPROCESS = 300006;
    public static final int FRRFAR_TOOLS_CMD_SAMPLE = 300005;
    public static final int FRRFAR_TOOLS_DELMAR_CMD_MAX = 300015;
    public static final int FRRFAR_TOOLS_DELMAR_CMD_UPPER_LIMIT = 399999;
    public static final int GF_FINGERPRINT_PREVIEW_DISPLAY_CONTROL = 1006;
    public static final int GF_FINGERPRINT_SENSOR_DISPLAY_CONTROL = 1005;
    public static final int MAX_SENSOR_NUM = 1;
    public static final int OPEN_HBM_MODE = 4;
    public static final String PREFERENCE_KEY_SENSOR_BINDING_MODE = "sensor_binding_mode";
    public static final int PRODUCT_TEST_CMD_CANCEL = 12;
    public static final int PRODUCT_TEST_CMD_CLOSE_HBM_MODE = 15;
    public static final int PRODUCT_TEST_CMD_GET_GAIN_TARGET = 17;
    public static final int PRODUCT_TEST_CMD_GET_OTP_INFO = 13;
    public static final int PRODUCT_TEST_CMD_OPEM_HBM_MODE = 14;
    public static final int PRODUCT_TEST_CMD_OTP_FLASH = 10;
    public static final int PRODUCT_TEST_CMD_PERFORMANCE_TESTING = 11;
    public static final int PRODUCT_TEST_CMD_RESET_INTERRUPT_PIN = 9;
    public static final int PRODUCT_TEST_CMD_SET_BRIGHTNESS_LEVEL = 18;
    public static final int PRODUCT_TEST_CMD_SET_GAIN_TARGET = 16;
    public static final int PRODUCT_TEST_CMD_SPI = 8;
    public static final int PRODUCT_TEST_CMD_UPPER_LIMIT = 99999;
    public static final int SENSOR_BINDING_MODE_1X1 = 0;
    public static final int SENSOR_BINDING_MODE_1X4 = 1;
    public static final int SENSOR_BINDING_MODE_2X2 = 2;
    public static final int SENSOR_BINDING_MODE_2X4 = 4;
    public static final int SENSOR_BINDING_MODE_4X1 = 3;
    public static final int SENSOR_BINDING_MODE_4X2 = 5;
    public static final int SENSOR_BINDING_MODE_SINGLE_0 = 101;
    public static final int SENSOR_BINDING_MODE_SINGLE_1 = 102;
    public static final int SENSOR_BINDING_MODE_SINGLE_2 = 103;
    public static final int SENSOR_BINDING_MODE_SINGLE_3 = 104;
    public static final int TEST_SPI_CHIP_ID = 18;

    public static boolean isProductCmd(int cmd) {
        if (cmd <= 99999) {
            return true;
        }
        return false;
    }

    public static boolean isExtCmd(int cmd) {
        if (cmd < 200001 || cmd > 299999) {
            return false;
        }
        return true;
    }

    public static boolean isFrrFarCmd(int cmd) {
        if (cmd < 300001 || cmd > 399999) {
            return false;
        }
        return true;
    }
}
