package com.sec.factory.aporiented;

import android.content.Context;
import android.os.SystemProperties;
import com.sec.factory.aporiented.athandler.AtAcsensor;
import com.sec.factory.aporiented.athandler.AtActtdata;
import com.sec.factory.aporiented.athandler.AtAirpmode;
import com.sec.factory.aporiented.athandler.AtAlertdis;
import com.sec.factory.aporiented.athandler.AtApMemCrc;
import com.sec.factory.aporiented.athandler.AtApchiptt;
import com.sec.factory.aporiented.athandler.AtArpcheck;
import com.sec.factory.aporiented.athandler.AtBarcodeE;
import com.sec.factory.aporiented.athandler.AtBaromete;
import com.sec.factory.aporiented.athandler.AtBatttest;
import com.sec.factory.aporiented.athandler.AtBootmode;
import com.sec.factory.aporiented.athandler.AtBrightcn;
import com.sec.factory.aporiented.athandler.AtBtidtest;
import com.sec.factory.aporiented.athandler.AtBtletest;
import com.sec.factory.aporiented.athandler.AtCalidate;
import com.sec.factory.aporiented.athandler.AtCametest;
import com.sec.factory.aporiented.athandler.AtChipIdtt;
import com.sec.factory.aporiented.athandler.AtCofpdata;
import com.sec.factory.aporiented.athandler.AtCommandHandler;
import com.sec.factory.aporiented.athandler.AtConntest;
import com.sec.factory.aporiented.athandler.AtControlN;
import com.sec.factory.aporiented.athandler.AtCountrst;
import com.sec.factory.aporiented.athandler.AtCteicode;
import com.sec.factory.aporiented.athandler.AtDebugLvC;
import com.sec.factory.aporiented.athandler.AtDisptest;
import com.sec.factory.aporiented.athandler.AtEmemtest;
import com.sec.factory.aporiented.athandler.AtEwriteck;
import com.sec.factory.aporiented.athandler.AtFacmtest;
import com.sec.factory.aporiented.athandler.AtFactolog;
import com.sec.factory.aporiented.athandler.AtFactorst;
import com.sec.factory.aporiented.athandler.AtFaildump;
import com.sec.factory.aporiented.athandler.AtFailhist;
import com.sec.factory.aporiented.athandler.AtFcbttest;
import com.sec.factory.aporiented.athandler.AtFceptest;
import com.sec.factory.aporiented.athandler.AtFcfmtest;
import com.sec.factory.aporiented.athandler.AtFeliCaRfCal;
import com.sec.factory.aporiented.athandler.AtFirmvers;
import com.sec.factory.aporiented.athandler.AtFpsensorEgis;
import com.sec.factory.aporiented.athandler.AtFpsensorGoodix;
import com.sec.factory.aporiented.athandler.AtFpsensorQcom;
import com.sec.factory.aporiented.athandler.AtFuelgaic;
import com.sec.factory.aporiented.athandler.AtFunctest;
import com.sec.factory.aporiented.athandler.AtGeomagss;
import com.sec.factory.aporiented.athandler.AtGpsstest;
import com.sec.factory.aporiented.athandler.AtGripsens;
import com.sec.factory.aporiented.athandler.AtGyroscop;
import com.sec.factory.aporiented.athandler.AtHaictest;
import com.sec.factory.aporiented.athandler.AtHeadinfo;
import com.sec.factory.aporiented.athandler.AtHmacmism;
import com.sec.factory.aporiented.athandler.AtHrmosens;
import com.sec.factory.aporiented.athandler.AtHwindick;
import com.sec.factory.aporiented.athandler.AtHwparamd;
import com.sec.factory.aporiented.athandler.AtIdChiptt;
import com.sec.factory.aporiented.athandler.AtIfpmiccn;
import com.sec.factory.aporiented.athandler.AtImemtest;
import com.sec.factory.aporiented.athandler.AtKey;
import com.sec.factory.aporiented.athandler.AtKeyhold;
import com.sec.factory.aporiented.athandler.AtKstringb;
import com.sec.factory.aporiented.athandler.AtLduccsum;
import com.sec.factory.aporiented.athandler.AtLedlampt;
import com.sec.factory.aporiented.athandler.AtLightest;
import com.sec.factory.aporiented.athandler.AtLooptest;
import com.sec.factory.aporiented.athandler.AtNcamtest;
import com.sec.factory.aporiented.athandler.AtNeedcmdt;
import com.sec.factory.aporiented.athandler.AtNfcmtest;
import com.sec.factory.aporiented.athandler.AtOqcsbftt;
import com.sec.factory.aporiented.athandler.AtPayments;
import com.sec.factory.aporiented.athandler.AtPdpbacku;
import com.sec.factory.aporiented.athandler.AtPmictest;
import com.sec.factory.aporiented.athandler.AtPowreset;
import com.sec.factory.aporiented.athandler.AtPreconfg;
import com.sec.factory.aporiented.athandler.AtProximit;
import com.sec.factory.aporiented.athandler.AtQuestchk;
import com.sec.factory.aporiented.athandler.AtRamsizec;
import com.sec.factory.aporiented.athandler.AtRapplist;
import com.sec.factory.aporiented.athandler.AtReadRssi;
import com.sec.factory.aporiented.athandler.AtRgbpdisp;
import com.sec.factory.aporiented.athandler.AtRstcompc;
import com.sec.factory.aporiented.athandler.AtRstcount;
import com.sec.factory.aporiented.athandler.AtSWizSkip;
import com.sec.factory.aporiented.athandler.AtScampara;
import com.sec.factory.aporiented.athandler.AtSecurebt;
import com.sec.factory.aporiented.athandler.AtSelftest;
import com.sec.factory.aporiented.athandler.AtSensorHb;
import com.sec.factory.aporiented.athandler.AtSerialno;
import com.sec.factory.aporiented.athandler.AtSimdetec;
import com.sec.factory.aporiented.athandler.AtSpkstest;
import com.sec.factory.aporiented.athandler.AtSvcainit;
import com.sec.factory.aporiented.athandler.AtSwdlmode;
import com.sec.factory.aporiented.athandler.AtSysscope;
import com.sec.factory.aporiented.athandler.AtSyssleep;
import com.sec.factory.aporiented.athandler.AtTemptest;
import com.sec.factory.aporiented.athandler.AtTestapku;
import com.sec.factory.aporiented.athandler.AtTjiginfo;
import com.sec.factory.aporiented.athandler.AtTouch;
import com.sec.factory.aporiented.athandler.AtTspptestStandard;
import com.sec.factory.aporiented.athandler.AtTssCheck;
import com.sec.factory.aporiented.athandler.AtUartswit;
import com.sec.factory.aporiented.athandler.AtUbcttest;
import com.sec.factory.aporiented.athandler.AtUencrypt;
import com.sec.factory.aporiented.athandler.AtUsbdebug;
import com.sec.factory.aporiented.athandler.AtUserdata;
import com.sec.factory.aporiented.athandler.AtUwbdtest;
import com.sec.factory.aporiented.athandler.AtVersname;
import com.sec.factory.aporiented.athandler.AtVibrtest;
import com.sec.factory.aporiented.athandler.AtWColorid;
import com.sec.factory.aporiented.athandler.AtWifiidrw;
import com.sec.factory.aporiented.athandler.AtWifitest;
import com.sec.factory.aporiented.athandler.AtWprotect;
import com.sec.factory.modules.ModuleCommon;
import com.sec.factory.support.FtUtil;
import com.sec.xmldata.support.Support;
import java.util.HashMap;
import java.util.Locale;

public class RegisterCommonHandler {
    public static final String CLASS_NAME = "RegisterCommonHandler";
    protected HashMap<String, AtCommandHandler> mAtHandlers;
    protected Context mContext;
    protected ResponseWriter mWriter;

    public RegisterCommonHandler(HashMap<String, AtCommandHandler> atHandlers, Context context, ResponseWriter writer) {
        this.mContext = context;
        this.mAtHandlers = atHandlers;
        this.mWriter = writer;
    }

    public void registerSpecificHandler() {
        FtUtil.log_d(CLASS_NAME, "registerSpecificHandler", "Register AT command handler for COMMON specific!");
    }

    private void registerCommonHandler() {
        AtCommandHandler fpSensorAthandler;
        FtUtil.log_d(CLASS_NAME, "registerCommonHandler()", "Register AT command handler for COMMON");
        this.mAtHandlers.put("AT+ACSENSOR", new AtAcsensor(this.mContext));
        this.mAtHandlers.put("AT+ACTTDATA", new AtActtdata(this.mContext));
        this.mAtHandlers.put("AT+AIRPMODE", new AtAirpmode(this.mContext));
        this.mAtHandlers.put("AT+ALERTDIS", new AtAlertdis(this.mContext, this.mWriter));
        this.mAtHandlers.put("AT+APCHIPTT", new AtApchiptt(this.mContext));
        this.mAtHandlers.put("AT+ARPCHECK", new AtArpcheck(this.mContext));
        this.mAtHandlers.put("AT+BARCODEE", new AtBarcodeE(this.mContext));
        this.mAtHandlers.put("AT+BAROMETE", new AtBaromete(this.mContext, this.mWriter));
        this.mAtHandlers.put("AT+BATTTEST", new AtBatttest(this.mContext));
        this.mAtHandlers.put("AT+BOOTMODE", new AtBootmode(this.mContext));
        this.mAtHandlers.put("AT+BTIDTEST", new AtBtidtest(this.mContext, this.mWriter));
        this.mAtHandlers.put("AT+BTLETEST", new AtBtletest(this.mContext, this.mWriter));
        this.mAtHandlers.put("AT+CAMETEST", new AtCametest(this.mContext, this.mWriter));
        this.mAtHandlers.put("AT+CHIPIDTT", new AtChipIdtt(this.mContext, this.mWriter));
        this.mAtHandlers.put("AT+COFPDATA", new AtCofpdata(this.mContext));
        this.mAtHandlers.put("AT+CONNTEST", new AtConntest(this.mContext));
        this.mAtHandlers.put("AT+CONTROLN", new AtControlN(this.mContext));
        this.mAtHandlers.put("AT+COUNTRST", new AtCountrst(this.mContext));
        this.mAtHandlers.put("AT+DEBUGLVC", new AtDebugLvC(this.mContext));
        this.mAtHandlers.put("AT+DISPTEST", new AtDisptest(this.mContext, this.mWriter));
        this.mAtHandlers.put("AT+EMEMTEST", new AtEmemtest(this.mContext));
        this.mAtHandlers.put("AT+EWRITECK", new AtEwriteck(this.mContext, this.mWriter));
        this.mAtHandlers.put("AT+FACMTEST", new AtFacmtest(this.mContext, this.mWriter));
        this.mAtHandlers.put("AT+FACTOLOG", new AtFactolog(this.mContext));
        this.mAtHandlers.put("AT+FACTORST", new AtFactorst(this.mContext));
        this.mAtHandlers.put("AT+FAILDUMP", new AtFaildump(this.mContext, this.mWriter));
        this.mAtHandlers.put("AT+FAILHIST", new AtFailhist(this.mContext, this.mWriter));
        this.mAtHandlers.put("AT+FCBTTEST", new AtFcbttest(this.mContext, this.mWriter));
        this.mAtHandlers.put("AT+FCEPTEST", new AtFceptest(this.mContext));
        this.mAtHandlers.put("AT+FIRMVERS", new AtFirmvers(this.mContext));
        this.mAtHandlers.put("AT+FLCRFCAL", new AtFeliCaRfCal(this.mContext, this.mWriter));
        this.mAtHandlers.put("AT+FUELGAIC", new AtFuelgaic(this.mContext));
        this.mAtHandlers.put("AT+FUNCTEST", new AtFunctest(this.mContext, this.mWriter));
        this.mAtHandlers.put("AT+GEOMAGSS", new AtGeomagss(this.mContext));
        this.mAtHandlers.put("AT+GRIPSENS", new AtGripsens(this.mContext));
        this.mAtHandlers.put("AT+GYROSCOP", new AtGyroscop(this.mContext));
        this.mAtHandlers.put("AT+HAICTEST", new AtHaictest(this.mContext, this.mWriter));
        this.mAtHandlers.put("AT+HEADINFO", new AtHeadinfo(this.mContext));
        this.mAtHandlers.put("AT+HMACMISM", new AtHmacmism(this.mContext));
        this.mAtHandlers.put("AT+HRMOSENS", new AtHrmosens(this.mContext, this.mWriter));
        this.mAtHandlers.put("AT+HWINDICK", new AtHwindick(this.mContext));
        this.mAtHandlers.put("AT+HWPARAMD", new AtHwparamd(this.mContext, this.mWriter));
        this.mAtHandlers.put("AT+IDCHIPTT", new AtIdChiptt(this.mContext, this.mWriter));
        this.mAtHandlers.put("AT+IFPMICCN", new AtIfpmiccn(this.mContext, this.mWriter));
        this.mAtHandlers.put("AT+IMEMTEST", new AtImemtest(this.mContext));
        this.mAtHandlers.put("AT+KEY", new AtKey(this.mContext));
        this.mAtHandlers.put("AT+KEYHOLD", new AtKeyhold(this.mContext));
        this.mAtHandlers.put("AT+KSTRINGB", new AtKstringb(this.mContext));
        this.mAtHandlers.put("AT+LDUCCSUM", new AtLduccsum(this.mContext));
        this.mAtHandlers.put("AT+LEDLAMPT", new AtLedlampt(this.mContext));
        this.mAtHandlers.put("AT+LIGHTEST", new AtLightest(this.mContext, this.mWriter));
        this.mAtHandlers.put("AT+LOOPTEST", new AtLooptest(this.mContext));
        this.mAtHandlers.put("AT+NCAMTEST", new AtNcamtest(this.mContext, this.mWriter));
        this.mAtHandlers.put("AT+NEEDCMDT", new AtNeedcmdt(this.mContext));
        this.mAtHandlers.put("AT+NFCMTEST", new AtNfcmtest(this.mContext, this.mWriter));
        this.mAtHandlers.put("AT+OQCSBFTT", new AtOqcsbftt(this.mContext));
        this.mAtHandlers.put("AT+PAYMENTS", new AtPayments(this.mContext));
        this.mAtHandlers.put("AT+PDPBACKU", new AtPdpbacku(this.mContext));
        this.mAtHandlers.put("AT+POWRESET", new AtPowreset(this.mContext));
        this.mAtHandlers.put("AT+PRECONFG", new AtPreconfg(this.mContext, this.mWriter));
        this.mAtHandlers.put("AT+PROXIMIT", new AtProximit(this.mContext));
        this.mAtHandlers.put("AT+RAMSIZEC", new AtRamsizec(this.mContext));
        this.mAtHandlers.put("AT+RAPPLIST", new AtRapplist(this.mContext));
        this.mAtHandlers.put("AT+READRSSI", new AtReadRssi(this.mContext));
        this.mAtHandlers.put("AT+RGBPDISP", new AtRgbpdisp(this.mContext, this.mWriter));
        this.mAtHandlers.put("AT+RSTCOMPC", new AtRstcompc(this.mContext));
        this.mAtHandlers.put("AT+RSTCOUNT", new AtRstcount(this.mContext));
        this.mAtHandlers.put("AT+SCAMPARA", new AtScampara(this.mContext, this.mWriter));
        this.mAtHandlers.put("AT+SECUREBT", new AtSecurebt(this.mContext));
        this.mAtHandlers.put("AT+SELFTEST", new AtSelftest(this.mContext));
        this.mAtHandlers.put("AT+SENSORHB", new AtSensorHb(this.mContext));
        this.mAtHandlers.put("AT+SERIALNO", new AtSerialno(this.mContext));
        this.mAtHandlers.put("AT+SPKSTEST", new AtSpkstest(this.mContext));
        this.mAtHandlers.put("AT+SVCAINIT", new AtSvcainit(this.mContext));
        this.mAtHandlers.put("AT+SWDLMODE", new AtSwdlmode(this.mContext));
        this.mAtHandlers.put("AT+SWIZSKIP", new AtSWizSkip(this.mContext));
        this.mAtHandlers.put("AT+SYSSCOPE", new AtSysscope(this.mContext, this.mWriter));
        this.mAtHandlers.put("AT+SYSSLEEP", new AtSyssleep(this.mContext));
        this.mAtHandlers.put("AT+TEMPTEST", new AtTemptest(this.mContext));
        this.mAtHandlers.put("AT+TESTAPKU", new AtTestapku(this.mContext));
        this.mAtHandlers.put("AT+TJIGINFO", new AtTjiginfo(this.mContext, this.mWriter));
        this.mAtHandlers.put("AT+TOUCH", new AtTouch(this.mContext));
        this.mAtHandlers.put("AT+TSPPTEST", new AtTspptestStandard(this.mContext, this.mWriter));
        this.mAtHandlers.put("AT+TSSCHECK", new AtTssCheck(this.mContext));
        this.mAtHandlers.put("AT+UARTSWIT", new AtUartswit(this.mContext, this.mWriter));
        this.mAtHandlers.put("AT+UBCTTEST", new AtUbcttest(this.mContext));
        this.mAtHandlers.put("AT+UENCRYPT", new AtUencrypt(this.mContext));
        this.mAtHandlers.put("AT+USBDEBUG", new AtUsbdebug(this.mContext));
        this.mAtHandlers.put("AT+USERDATA", new AtUserdata(this.mContext));
        this.mAtHandlers.put("AT+UWBDTEST", new AtUwbdtest(this.mContext, this.mWriter));
        this.mAtHandlers.put("AT+VERSNAME", new AtVersname(this.mContext));
        this.mAtHandlers.put("AT+VIBRTEST", new AtVibrtest(this.mContext, this.mWriter));
        this.mAtHandlers.put("AT+WCOLORID", new AtWColorid(this.mContext));
        this.mAtHandlers.put("AT+WIFIIDRW", new AtWifiidrw(this.mContext, this.mWriter));
        this.mAtHandlers.put("AT+WIFITEST", new AtWifitest(this.mContext, this.mWriter));
        this.mAtHandlers.put("AT+WPROTECT", new AtWprotect(this.mContext));
        this.mAtHandlers.put("AT+APMEMCRC", new AtApMemCrc(this.mContext));
        this.mAtHandlers.put("AT+PMICTEST", new AtPmictest(this.mContext));
        this.mAtHandlers.put("AT+BRIGHTCN", new AtBrightcn(this.mContext));
        this.mAtHandlers.put("AT+QUESTCHK", new AtQuestchk(this.mContext));
        this.mAtHandlers.put("AT+CTEICODE", new AtCteicode(this.mContext));
        this.mAtHandlers.put("AT+SIMDETEC", new AtSimdetec(this.mContext));
        if (ModuleCommon.instance(this.mContext).isConnectionModeNone() && Support.TestCase.getEnabled(Support.TestCase.AT_CALIDATE)) {
            this.mAtHandlers.put("AT+CALIDATE", new AtCalidate(this.mContext));
        }
        if (FtUtil.isFactoryBinary() || checkEngBinaryAndNoneProductShip()) {
            this.mAtHandlers.put("AT+FCFMTEST", new AtFcfmtest(this.mContext, this.mWriter));
        }
        if ("true".equals(Support.FactoryTestMenu.getEnableForAllMenu("67")) && (fpSensorAthandler = getFPSensorAtHandler()) != null) {
            this.mAtHandlers.put("AT+FPSENSOR", fpSensorAthandler);
        }
        if (Support.TestCase.getEnabled(Support.TestCase.AT_GPSSTEST)) {
            this.mAtHandlers.put("AT+GPSSTEST", new AtGpsstest(this.mContext, this.mWriter));
        }
    }

    public void registerHandler() {
        registerCommonHandler();
        registerSpecificHandler();
    }

    private AtCommandHandler getFPSensorAtHandler() {
        if (FtUtil.isFactoryBinary()) {
            int type = -2;
            try {
                type = Integer.parseInt(Support.Kernel.readFromPath("/sys/class/fingerprint/fingerprint/type_check", true));
            } catch (NumberFormatException ne) {
                FtUtil.log_e(ne);
            }
            if (type <= 0) {
                FtUtil.log_d(CLASS_NAME, "getFPSensorAtHandler", "fingerprint type_check is not normal ");
                return null;
            }
        }
        String mFingerPrint_Vendor = Support.Kernel.read(Support.Kernel.FINGERPRINT_VENDOR);
        String mFingerPrint_Name = Support.Kernel.read(Support.Kernel.FINGERPRINT_CHIP_NAME);
        FtUtil.log_d(CLASS_NAME, "getFPSensorAtHandler", " Vendor:" + mFingerPrint_Vendor + " Name:" + mFingerPrint_Name);
        FPVendorChip fpvendorchip = null;
        if (mFingerPrint_Vendor != null && !"".equalsIgnoreCase(mFingerPrint_Vendor) && mFingerPrint_Name != null && !"".equalsIgnoreCase(mFingerPrint_Name)) {
            fpvendorchip = FPVendorChip.fromStringsToEnum(mFingerPrint_Vendor, mFingerPrint_Name);
        }
        if (fpvendorchip == null) {
            return null;
        }
        switch (AnonymousClass1.$SwitchMap$com$sec$factory$aporiented$RegisterCommonHandler$FPVendorChip[fpvendorchip.ordinal()]) {
            case 1:
                return new AtFpsensorGoodix(this.mContext, this.mWriter);
            case 2:
                return new AtFpsensorEgis(this.mContext, this.mWriter);
            case 3:
                return new AtFpsensorQcom(this.mContext, this.mWriter);
            default:
                FtUtil.log_d(CLASS_NAME, "getFPSensorAtHandler", "Can not find the vendor's name or chip's name");
                return null;
        }
    }

    /* access modifiers changed from: package-private */
    /* renamed from: com.sec.factory.aporiented.RegisterCommonHandler$1  reason: invalid class name */
    public static /* synthetic */ class AnonymousClass1 {
        static final /* synthetic */ int[] $SwitchMap$com$sec$factory$aporiented$RegisterCommonHandler$FPVendorChip;

        static {
            int[] iArr = new int[FPVendorChip.values().length];
            $SwitchMap$com$sec$factory$aporiented$RegisterCommonHandler$FPVendorChip = iArr;
            try {
                iArr[FPVendorChip.GOODIX.ordinal()] = 1;
            } catch (NoSuchFieldError e) {
            }
            try {
                $SwitchMap$com$sec$factory$aporiented$RegisterCommonHandler$FPVendorChip[FPVendorChip.EGISTEC.ordinal()] = 2;
            } catch (NoSuchFieldError e2) {
            }
            try {
                $SwitchMap$com$sec$factory$aporiented$RegisterCommonHandler$FPVendorChip[FPVendorChip.QCOM.ordinal()] = 3;
            } catch (NoSuchFieldError e3) {
            }
        }
    }

    /* access modifiers changed from: private */
    public enum FPVendorChip {
        SYNAPTICS_NAMSAN,
        SYNAPTICS_VIPER,
        GOODIX,
        EGISTEC,
        QCOM,
        INVALID_VAL;

        public static FPVendorChip fromStringsToEnum(String string1, String string2) {
            try {
                String string12 = string1.trim().toUpperCase(Locale.ENGLISH);
                String string22 = string2.trim().toUpperCase(Locale.ENGLISH);
                if ("EGISTEC".equals(string12)) {
                    return valueOf(string12);
                }
                if ("GOODIX".equals(string12)) {
                    return valueOf(string12);
                }
                if ("QCOM".equals(string12)) {
                    return valueOf(string12);
                }
                String combinedString = string12 + "_" + string22;
                FPVendorChip[] values = values();
                for (FPVendorChip fpvendorchip : values) {
                    if (fpvendorchip.name().equals(combinedString)) {
                        return fpvendorchip;
                    }
                }
                return INVALID_VAL;
            } catch (NullPointerException e) {
                FtUtil.log_e(e);
                return INVALID_VAL;
            }
        }
    }

    private boolean checkEngBinaryAndNoneProductShip() {
        return "eng".equalsIgnoreCase(Support.Properties.get(Support.Properties.BUILD_TYPE)) && !SystemProperties.get("ro.product_ship", "FALSE").trim().toUpperCase(Locale.ENGLISH).equalsIgnoreCase("TRUE");
    }
}
