package com.sec.factory.aporiented.athandler;

import android.content.Context;
import android.os.SystemProperties;
import com.sec.xmldata.support.Support;
import egis.client.api.EgisFingerprint;

public class AtArpcheck extends AtCommandHandler {
    public AtArpcheck(Context context) {
        super(context);
        this.CMD_NAME = "ARPCHECK";
        this.CLASS_NAME = "AtArpcheck";
        this.NUM_ARGS = 3;
    }

    @Override // com.sec.factory.aporiented.athandler.AtCommandHandler
    public synchronized String handleCommand(String[] argu) {
        String resData;
        if (argu.length != (STAGE_PARALLEL ? this.NUM_ARGS + 1 : this.NUM_ARGS)) {
            return responseNA();
        }
        if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, "0", "0"})) {
            resData = responseString(argu[0], SystemProperties.get("ro.boot.rp", Support.Properties.PROPERTIES_DEFAULT_STRING));
        } else {
            resData = responseNA();
        }
        return resData;
    }
}
