package com.sec.factory.aporiented.athandler;

import android.content.BroadcastReceiver;
import android.content.Context;
import android.content.Intent;
import android.content.IntentFilter;
import android.media.MediaScannerConnection;
import android.net.Uri;
import com.sec.factory.aporiented.ResponseWriter;
import com.sec.factory.support.FtUtil;
import egis.client.api.EgisFingerprint;
import java.io.File;
import java.io.IOException;
import java.text.SimpleDateFormat;
import java.util.Date;

public class AtCameauto extends AtCommandHandler {
    private static String returnArgu = "0";
    private Context mContext;
    public BroadcastReceiver mReceiver = new BroadcastReceiver() {
        /* class com.sec.factory.aporiented.athandler.AtCameauto.AnonymousClass1 */

        public void onReceive(Context context, Intent intent) {
            AtCameauto atCameauto = AtCameauto.this;
            atCameauto.stopReceiver(atCameauto.mReceiver);
            String mAction = intent.getAction();
            if ("com.sec.factory.camera.ACTION_TEST_STATUS".equals(mAction)) {
                FtUtil.log_d(AtCameauto.this.CLASS_NAME, "onReceive", "ACTION_TEST_STATUS");
                String mActionResult = intent.getStringExtra("result");
                String mActionDetailResult = intent.getStringExtra("result_details");
                if ("OK".equalsIgnoreCase(mActionResult)) {
                    if (mActionDetailResult == null || mActionDetailResult.equalsIgnoreCase("")) {
                        AtCameauto.this.writer.write(AtCameauto.this.responseOK(AtCameauto.returnArgu));
                        return;
                    }
                    String str = AtCameauto.this.CLASS_NAME;
                    FtUtil.log_d(str, "onReceive", "result_details : " + mActionDetailResult);
                    ResponseWriter responseWriter = AtCameauto.this.writer;
                    AtCameauto atCameauto2 = AtCameauto.this;
                    String str2 = AtCameauto.returnArgu;
                    responseWriter.write(atCameauto2.responseString(str2, "OK," + mActionDetailResult));
                } else if (mActionDetailResult == null || mActionDetailResult.equalsIgnoreCase("")) {
                    AtCameauto.this.writer.write(AtCameauto.this.responseString(AtCameauto.returnArgu, "NG"));
                } else {
                    String str3 = AtCameauto.this.CLASS_NAME;
                    FtUtil.log_d(str3, "onReceive", "result_details : " + mActionDetailResult);
                    ResponseWriter responseWriter2 = AtCameauto.this.writer;
                    AtCameauto atCameauto3 = AtCameauto.this;
                    String str4 = AtCameauto.returnArgu;
                    responseWriter2.write(atCameauto3.responseString(str4, "NG," + mActionDetailResult));
                }
            } else if ("com.android.samsungtest.CAMERA_GOOD".equals(mAction)) {
                FtUtil.log_d(AtCameauto.this.CLASS_NAME, "onReceive", "CAMERA_GOOD");
                AtCameauto.this.writer.write(AtCameauto.this.responseOK("0"));
            } else if ("com.android.samsungtest.CAMERA_BAD".equals(mAction)) {
                FtUtil.log_d(AtCameauto.this.CLASS_NAME, "onReceive", "CAMERA_BAD");
                AtCameauto.this.writer.write(AtCameauto.this.responseNG("0"));
            } else if ("com.android.samsungtest.CAMERA_STOP_ACK".equals(mAction)) {
                FtUtil.log_d(AtCameauto.this.CLASS_NAME, "onReceive", "CAMERA_STOP_ACK");
                AtCameauto.this.writer.write(AtCameauto.this.responseOK("0"));
            } else if ("com.android.samsungtest.CAMERA_SHOT_ACK".equals(mAction)) {
                FtUtil.log_d(AtCameauto.this.CLASS_NAME, "onReceive", "CAMERA_SHOT_ACK");
                if (intent.getExtras().getInt("result", 0) == 0) {
                    AtCameauto.this.writer.write(AtCameauto.this.responseOK("0"));
                    return;
                }
                ResponseWriter responseWriter3 = AtCameauto.this.writer;
                AtCameauto atCameauto4 = AtCameauto.this;
                responseWriter3.write(atCameauto4.responseString("0", "NG," + intent.getExtras().getInt("result", 0)));
            } else if ("com.android.samsungtest.RECORDING_START_ACK".equals(mAction)) {
                FtUtil.log_d(AtCameauto.this.CLASS_NAME, "onReceive", "RECORDING_START_ACK");
                if (intent.getExtras().getInt("result", 0) == 0) {
                    AtCameauto.this.writer.write(AtCameauto.this.responseOK("0"));
                    return;
                }
                ResponseWriter responseWriter4 = AtCameauto.this.writer;
                AtCameauto atCameauto5 = AtCameauto.this;
                responseWriter4.write(atCameauto5.responseString("0", "NG," + intent.getExtras().getInt("result", 0)));
            } else if ("com.android.samsungtest.RECORDING_STOP_ACK".equals(mAction)) {
                FtUtil.log_d(AtCameauto.this.CLASS_NAME, "onReceive", "RECORDING_STOP_ACK");
                if (intent.getExtras().getInt("result", 0) == 0) {
                    AtCameauto.this.writer.write(AtCameauto.this.responseOK("0"));
                    return;
                }
                ResponseWriter responseWriter5 = AtCameauto.this.writer;
                AtCameauto atCameauto6 = AtCameauto.this;
                responseWriter5.write(atCameauto6.responseString("0", "NG," + intent.getExtras().getInt("result", 0)));
            }
        }
    };

    public AtCameauto(Context context, ResponseWriter writer) {
        super(context);
        this.CMD_NAME = "CAMEAUTO";
        this.CLASS_NAME = "AtCameauto";
        this.mContext = context;
        this.NUM_ARGS = 5;
        this.writer = writer;
    }

    @Override // com.sec.factory.aporiented.athandler.AtCommandHandler
    public void startReceiver() {
        IntentFilter mFilter = new IntentFilter();
        mFilter.addAction("com.sec.factory.camera.ACTION_TEST_STATUS");
        mFilter.addAction("com.android.samsungtest.CAMERA_GOOD");
        mFilter.addAction("com.android.samsungtest.CAMERA_BAD");
        mFilter.addAction("com.android.samsungtest.CAMERA_STOP_ACK");
        mFilter.addAction("com.android.samsungtest.CAMERA_SHOT_ACK");
        mFilter.addAction("com.android.samsungtest.RECORDING_START_ACK");
        mFilter.addAction("com.android.samsungtest.RECORDING_STOP_ACK");
        this.context.registerReceiver(this.mReceiver, mFilter);
    }

    private void sendCameraBroadcast(String[] arg) {
        returnArgu = arg[0];
        Intent i = new Intent("com.sec.samsungtest.ACTION_CAMERATEST");
        i.putExtra("testtype", "CAMEAUTO");
        i.putExtra("arg1", arg[0]);
        i.putExtra("arg2", arg[1]);
        i.putExtra("arg3", arg[2]);
        i.putExtra("arg4", arg[3]);
        i.putExtra("arg5", arg[4]);
        String str = this.CLASS_NAME;
        FtUtil.log_d(str, "sendCameraIntent", "CAMEAUTO=" + arg[0] + "," + arg[1] + "," + arg[2] + "," + arg[3] + "," + arg[4]);
        this.context.sendBroadcast(i, "com.sec.factory.cameralyzer.PERMISSION_CAMERASCRIPT");
    }

    @Override // com.sec.factory.aporiented.athandler.AtCommandHandler
    public synchronized String handleCommand(String[] argu) {
        String resData = null;
        if (argu.length != (STAGE_PARALLEL ? this.NUM_ARGS + 1 : this.NUM_ARGS)) {
            return responseNA();
        }
        if (checkArgu(argu, new String[]{"0", EgisFingerprint.MAJOR_VERSION, "0", "0"})) {
            String str = this.CLASS_NAME;
            FtUtil.log_d(str, "handleCommand", "Take Photo & File Name : " + argu[4]);
            sendCameraBroadcast(argu);
            startReceiver();
        } else if (checkArgu(argu, new String[]{"0", EgisFingerprint.MAJOR_VERSION, "0", EgisFingerprint.MAJOR_VERSION})) {
            String str2 = this.CLASS_NAME;
            FtUtil.log_d(str2, "handleCommand", "Take Photo without AF & File Name : " + argu[4]);
            sendCameraBroadcast(argu);
            startReceiver();
        } else if (checkArgu(argu, new String[]{"0", EgisFingerprint.MAJOR_VERSION, "0", "2"})) {
            String str3 = this.CLASS_NAME;
            FtUtil.log_d(str3, "handleCommand", "Screen Capture & File Name : " + argu[4]);
            int result = screenCapture(argu[4]);
            String str4 = this.CLASS_NAME;
            FtUtil.log_d(str4, "screenCapture", "result : " + result);
            resData = result == 1 ? responseOK(argu[0]) : responseNG(argu[0]);
        } else if (checkArgu(argu, new String[]{"0", "2", "0", "0"})) {
            String str5 = this.CLASS_NAME;
            FtUtil.log_d(str5, "handleCommand", "Camcoder Recording Stop : " + argu[4]);
            sendCameraBroadcast(argu);
            startReceiver();
        } else if (checkArgu(argu, new String[]{"0", "2", "0", EgisFingerprint.MAJOR_VERSION})) {
            String str6 = this.CLASS_NAME;
            FtUtil.log_d(str6, "handleCommand", "Camcoder Recording Start & File Name : " + argu[4]);
            sendCameraBroadcast(argu);
            startReceiver();
        } else if (checkArgu(argu, new String[]{"0", "2", "0", "2"})) {
            String str7 = this.CLASS_NAME;
            FtUtil.log_d(str7, "handleCommand", "Camcoder Recording Start without AF & File Name : " + argu[4]);
            sendCameraBroadcast(argu);
            startReceiver();
        } else {
            resData = responseNA();
        }
        return resData;
    }

    /* JADX WARNING: Removed duplicated region for block: B:23:0x00f3  */
    /* JADX WARNING: Removed duplicated region for block: B:24:0x0120  */
    public int screenCapture(String FileName) {
        int index;
        String setfileName;
        String[] shell_command;
        InterruptedException e;
        Exception e2;
        String findFileName;
        FtUtil.log_i(this.CLASS_NAME, "ScreenCapture", "ScreenCapture Start");
        long curr = System.currentTimeMillis();
        SimpleDateFormat formatter = new SimpleDateFormat("_yyyyMMddhhmmss");
        File dataLogDirectory = new File("/sdcard/fImage");
        String strCaptureCMD = "screencap";
        String strDefaultDir = dataLogDirectory.getPath() + "/";
        String strDefaultCMD = strCaptureCMD + " " + strDefaultDir;
        if (!dataLogDirectory.exists()) {
            dataLogDirectory.mkdirs();
        }
        String[] fileList = dataLogDirectory.list();
        if (fileList == null) {
            findFileName = null;
        } else if (fileList.length > 0) {
            String findFileName2 = null;
            FtUtil.log_i(this.CLASS_NAME, "screenCapture", "fileList.length : " + fileList.length);
            int i = 0;
            index = 1;
            while (true) {
                if (i >= fileList.length) {
                    break;
                }
                FtUtil.log_i(this.CLASS_NAME, "screenCapture", "fileList.fileName : " + fileList[i]);
                if (fileList[i].contains("SCREENIMAGE")) {
                    String findFileName3 = fileList[i].substring(11, 13);
                    if (Integer.parseInt(findFileName3) != index) {
                        break;
                    }
                    index++;
                    findFileName2 = findFileName3;
                }
                i++;
                dataLogDirectory = dataLogDirectory;
                strCaptureCMD = strCaptureCMD;
            }
            if (index >= 10) {
                setfileName = strDefaultCMD + "SCREENIMAGE0" + index + "_" + FileName + "_" + formatter.format(new Date(curr)) + ".jpg";
            } else {
                setfileName = strDefaultCMD + "SCREENIMAGE" + index + "_" + FileName + "_" + formatter.format(new Date(curr)) + ".jpg";
            }
            FtUtil.log_i(this.CLASS_NAME, "screenCapture", FileName + index + " / " + setfileName);
            shell_command = new String[]{"/system/bin/sh", "-c", setfileName};
            FtUtil.log_i(this.CLASS_NAME, "ScreenCapture", "capture command");
            try {
                Runtime.getRuntime().exec(shell_command).waitFor();
                FtUtil.log_i(this.CLASS_NAME, "ScreenCapture", "capture done");
                try {
                    FtUtil.log_d(this.CLASS_NAME, "ScreenCapture", "request to scan");
                    MediaScannerConnection.scanFile(this.mContext, new String[]{strDefaultDir}, null, new MediaScanCompletedListner());
                } catch (Exception e3) {
                    e2 = e3;
                    e2.printStackTrace();
                    FtUtil.log_i(this.CLASS_NAME, "ScreenCapture", "ScreenCapture done");
                    return 1;
                }
                FtUtil.log_i(this.CLASS_NAME, "ScreenCapture", "ScreenCapture done");
                return 1;
            } catch (IOException e4) {
            } catch (SecurityException e5) {
                FtUtil.log_e(this.CLASS_NAME, "ScreenCapture", "ScreenCapture - SecurityException");
                return -1;
            } catch (InterruptedException e6) {
                e = e6;
                e.printStackTrace();
                return -1;
            }
        } else {
            findFileName = null;
        }
        index = 1;
        if (index >= 10) {
        }
        FtUtil.log_i(this.CLASS_NAME, "screenCapture", FileName + index + " / " + setfileName);
        shell_command = new String[]{"/system/bin/sh", "-c", setfileName};
        try {
            FtUtil.log_i(this.CLASS_NAME, "ScreenCapture", "capture command");
            Runtime.getRuntime().exec(shell_command).waitFor();
            FtUtil.log_i(this.CLASS_NAME, "ScreenCapture", "capture done");
            FtUtil.log_d(this.CLASS_NAME, "ScreenCapture", "request to scan");
            try {
                MediaScannerConnection.scanFile(this.mContext, new String[]{strDefaultDir}, null, new MediaScanCompletedListner());
            } catch (Exception e7) {
                e2 = e7;
            }
            FtUtil.log_i(this.CLASS_NAME, "ScreenCapture", "ScreenCapture done");
            return 1;
        } catch (IOException e8) {
            FtUtil.log_e(this.CLASS_NAME, "ScreenCapture", "ScreenCapture - IOException");
            return -1;
        } catch (SecurityException e9) {
            FtUtil.log_e(this.CLASS_NAME, "ScreenCapture", "ScreenCapture - SecurityException");
            return -1;
        } catch (InterruptedException e10) {
            e = e10;
            e.printStackTrace();
            return -1;
        }
    }

    /* access modifiers changed from: private */
    public class MediaScanCompletedListner implements MediaScannerConnection.OnScanCompletedListener {
        private MediaScanCompletedListner() {
        }

        public void onScanCompleted(String path, Uri uri) {
            FtUtil.log_d(AtCameauto.this.CLASS_NAME, "onScanCompleted", "onScanCompleted");
        }
    }
}
