package com.sec.factory.aporiented.athandler;

import android.content.BroadcastReceiver;
import android.content.Context;
import android.content.Intent;
import android.content.IntentFilter;
import android.media.MediaScannerConnection;
import android.net.Uri;
import android.os.Environment;
import android.os.Handler;
import android.os.Looper;
import android.os.Message;
import com.sec.factory.aporiented.ResponseWriter;
import com.sec.factory.modules.ModuleCommunicationService;
import com.sec.factory.support.FtUtil;
import com.sec.xmldata.support.Support;
import egis.client.api.EgisFingerprint;
import java.io.File;
import java.io.IOException;
import java.nio.ByteBuffer;
import java.text.DecimalFormat;
import java.text.DecimalFormatSymbols;
import java.text.SimpleDateFormat;
import java.util.Date;
import java.util.Locale;

public class AtCametest extends AtCommandHandler {
    public static final int STOP_RECEIVE_FRS_RESPONSE = 0;
    public static final int TIMEOUT = 15000;
    private static String returnArgu = "0";
    private Handler handler = new Handler(Looper.getMainLooper()) {
        /* class com.sec.factory.aporiented.athandler.AtCametest.AnonymousClass2 */

        public void handleMessage(Message msg) {
            if (msg.what == 0) {
                FtUtil.log_d(AtCametest.this.CLASS_NAME, "handleMessage", "STOP_RECEIVER_RESPONSE");
                AtCametest.this.handler.removeMessages(0);
                AtCametest.this.writer.write(AtCametest.this.responseNG("0"));
            }
            super.handleMessage(msg);
        }
    };
    private Context mContext;
    public BroadcastReceiver mReceiver = new BroadcastReceiver() {
        /* class com.sec.factory.aporiented.athandler.AtCametest.AnonymousClass1 */

        public void onReceive(Context context, Intent intent) {
            AtCametest atCametest = AtCametest.this;
            atCametest.stopReceiver(atCametest.mReceiver);
            String mAction = intent.getAction();
            AtCametest.this.handler.removeMessages(0);
            String str = AtCametest.this.CLASS_NAME;
            FtUtil.log_d(str, "onReceive", "mAction : " + mAction);
            if ("com.sec.factory.camera.ACTION_TEST_STATUS".equals(mAction)) {
                FtUtil.log_d(AtCametest.this.CLASS_NAME, "onReceive", "ACTION_TEST_STATUS");
                String mActionResult = intent.getStringExtra("result");
                String str2 = AtCametest.this.CLASS_NAME;
                FtUtil.log_d(str2, "onReceive", "mActionResult : " + mActionResult);
                String mActionDetailResult = intent.getStringExtra("result_details");
                if ("OK".equalsIgnoreCase(mActionResult)) {
                    if (mActionDetailResult == null || mActionDetailResult.equalsIgnoreCase("")) {
                        AtCametest.this.writer.write(AtCametest.this.responseOK(AtCametest.returnArgu));
                        return;
                    }
                    String str3 = AtCametest.this.CLASS_NAME;
                    FtUtil.log_d(str3, "onReceive", "result_details : " + mActionDetailResult);
                    ResponseWriter responseWriter = AtCametest.this.writer;
                    AtCametest atCametest2 = AtCametest.this;
                    String str4 = AtCametest.returnArgu;
                    responseWriter.write(atCametest2.responseString(str4, "OK," + mActionDetailResult));
                } else if ("NONE".equalsIgnoreCase(mActionResult)) {
                    if (mActionDetailResult == null || mActionDetailResult.equalsIgnoreCase("")) {
                        AtCametest.this.writer.write(AtCametest.this.responseString(AtCametest.returnArgu, "NONE"));
                        return;
                    }
                    String str5 = AtCametest.this.CLASS_NAME;
                    FtUtil.log_d(str5, "onReceive", "result_details : " + mActionDetailResult);
                    ResponseWriter responseWriter2 = AtCametest.this.writer;
                    AtCametest atCametest3 = AtCametest.this;
                    String str6 = AtCametest.returnArgu;
                    responseWriter2.write(atCametest3.responseString(str6, "OK," + mActionDetailResult));
                } else if (mActionDetailResult == null || mActionDetailResult.equalsIgnoreCase("")) {
                    AtCametest.this.writer.write(AtCametest.this.responseString(AtCametest.returnArgu, "NG"));
                } else {
                    String str7 = AtCametest.this.CLASS_NAME;
                    FtUtil.log_d(str7, "onReceive", "result_details : " + mActionDetailResult);
                    ResponseWriter responseWriter3 = AtCametest.this.writer;
                    AtCametest atCametest4 = AtCametest.this;
                    String str8 = AtCametest.returnArgu;
                    responseWriter3.write(atCametest4.responseString(str8, "NG," + mActionDetailResult));
                }
            } else if ("com.android.samsungtest.CAMERA_GOOD".equals(mAction)) {
                FtUtil.log_d(AtCametest.this.CLASS_NAME, "onReceive", "CAMERA_GOOD");
                AtCametest.this.writer.write(AtCametest.this.responseOK("0"));
            } else if ("com.android.samsungtest.CAMERA_BAD".equals(mAction)) {
                FtUtil.log_d(AtCametest.this.CLASS_NAME, "onReceive", "CAMERA_BAD");
                AtCametest.this.writer.write(AtCametest.this.responseNG("0"));
            } else if ("com.android.samsungtest.CAMERA_STOP_ACK".equals(mAction)) {
                FtUtil.log_d(AtCametest.this.CLASS_NAME, "onReceive", "CAMERA_STOP_ACK");
                AtCametest.this.writer.write(AtCametest.this.responseOK("0"));
            } else if ("com.android.samsungtest.CAMERA_SHOT_ACK".equals(mAction)) {
                FtUtil.log_d(AtCametest.this.CLASS_NAME, "onReceive", "CAMERA_SHOT_ACK");
                if (intent.getExtras().getInt("result", 0) == 0) {
                    AtCametest.this.writer.write(AtCametest.this.responseOK("0"));
                    return;
                }
                ResponseWriter responseWriter4 = AtCametest.this.writer;
                AtCametest atCametest5 = AtCametest.this;
                responseWriter4.write(atCametest5.responseString("0", "NG," + intent.getExtras().getInt("result", 0)));
            } else if ("com.android.samsungtest.CAMERA_NONE".equals(mAction)) {
                FtUtil.log_d(AtCametest.this.CLASS_NAME, "onReceive", "CAMERA_NONE");
                AtCametest.this.writer.write(AtCametest.this.responseString("0", "NG"));
            } else if ("com.android.samsungtest.CAMERA_FAIL".equals(mAction)) {
                FtUtil.log_d(AtCametest.this.CLASS_NAME, "onReceive", "CAMERA_FAIL");
                AtCametest.this.writer.write(AtCametest.this.responseString("0", "NG"));
            } else if ("com.android.samsungtest.RECORDING_START_ACK".equals(mAction)) {
                FtUtil.log_d(AtCametest.this.CLASS_NAME, "onReceive", "RECORDING_START_ACK");
                if (intent.getExtras().getInt("result", 0) == 0) {
                    AtCametest.this.writer.write(AtCametest.this.responseOK("0"));
                    return;
                }
                ResponseWriter responseWriter5 = AtCametest.this.writer;
                AtCametest atCametest6 = AtCametest.this;
                responseWriter5.write(atCametest6.responseString("0", "NG," + intent.getExtras().getInt("result", 0)));
            } else if ("com.android.samsungtest.RECORDING_STOP_ACK".equals(mAction)) {
                FtUtil.log_d(AtCametest.this.CLASS_NAME, "onReceive", "RECORDING_STOP_ACK");
                if (intent.getExtras().getInt("result", 0) == 0) {
                    AtCametest.this.writer.write(AtCametest.this.responseOK("0"));
                    return;
                }
                ResponseWriter responseWriter6 = AtCametest.this.writer;
                AtCametest atCametest7 = AtCametest.this;
                responseWriter6.write(atCametest7.responseString("0", "NG," + intent.getExtras().getInt("result", 0)));
            } else if ("com.android.samsungtest.IRIS_IMAGE_GOOD".equals(mAction)) {
                FtUtil.log_d(AtCametest.this.CLASS_NAME, "onReceive", "IRIS_IMAGE_GOOD");
                AtCametest.this.writer.write(AtCametest.this.responseOK(EgisFingerprint.MAJOR_VERSION));
            } else if ("com.android.samsungtest.IRIS_IMAGE_BAD".equals(mAction)) {
                FtUtil.log_d(AtCametest.this.CLASS_NAME, "onReceive", "IRIS_IMAGE_BAD");
                AtCametest.this.writer.write(AtCametest.this.responseNG(EgisFingerprint.MAJOR_VERSION));
            } else if ("com.android.samsungtest.CAMERA_SET_FILENAME".equals(mAction)) {
                FtUtil.log_d(AtCametest.this.CLASS_NAME, "onReceive", "CAMERA_SET_FILENAME");
                if (intent.getExtras().getInt("result", 0) == 0) {
                    AtCametest.this.writer.write(AtCametest.this.responseOK("2"));
                } else {
                    AtCametest.this.writer.write(AtCametest.this.responseNG("2"));
                }
            }
        }
    };

    public AtCametest(Context context, ResponseWriter writer) {
        super(context);
        this.CMD_NAME = "CAMETEST";
        this.CLASS_NAME = "AtCametest";
        this.mContext = context;
        this.NUM_ARGS = 4;
        this.writer = writer;
    }

    public AtCametest(Context context, ResponseWriter writer, int commandType) {
        super(context);
        this.CMD_NAME = "CAMETEST";
        this.CLASS_NAME = "AtCametest";
        this.NUM_ARGS = 4;
        this.writer = writer;
        this.mCommandType = commandType;
        this.mContext = context;
    }

    @Override // com.sec.factory.aporiented.athandler.AtCommandHandler
    public void startReceiver() {
        IntentFilter mFilter = new IntentFilter();
        mFilter.addAction("com.sec.factory.camera.ACTION_TEST_STATUS");
        mFilter.addAction("com.android.samsungtest.CAMERA_GOOD");
        mFilter.addAction("com.android.samsungtest.CAMERA_BAD");
        mFilter.addAction("com.android.samsungtest.CAMERA_STOP_ACK");
        mFilter.addAction("com.android.samsungtest.CAMERA_SHOT_ACK");
        mFilter.addAction("com.android.samsungtest.CAMERA_NONE");
        mFilter.addAction("com.android.samsungtest.CAMERA_FAIL");
        mFilter.addAction("com.android.samsungtest.RECORDING_START_ACK");
        mFilter.addAction("com.android.samsungtest.RECORDING_STOP_ACK");
        mFilter.addAction("com.android.samsungtest.IRIS_IMAGE_GOOD");
        mFilter.addAction("com.android.samsungtest.IRIS_IMAGE_BAD");
        mFilter.addAction("com.android.samsungtest.CAMERA_SET_FILENAME");
        FtUtil.log_d(this.CLASS_NAME, "startReceiver", "request to register mReceiver - start");
        this.context.registerReceiver(this.mReceiver, mFilter);
        FtUtil.log_d(this.CLASS_NAME, "startReceiver", "request to register mReceiver - done");
    }

    private void sendCameraIntent(String[] arg) {
        returnArgu = arg[0];
        Intent i = new Intent();
        i.setClassName("com.sec.factory.camera", "com.sec.android.app.camera.CameraTestActivity");
        i.putExtra("testtype", "CAMETEST");
        i.putExtra("arg1", arg[0]);
        i.putExtra("arg2", arg[1]);
        i.putExtra("arg3", arg[2]);
        i.putExtra("arg4", arg[3]);
        i.setFlags(335544320);
        String str = this.CLASS_NAME;
        FtUtil.log_d(str, "sendCameraIntent", "CAMETEST=" + arg[0] + "," + arg[1] + "," + arg[2] + "," + arg[3]);
        this.context.startActivity(i);
    }

    private void sendCameraBroadcast(String[] arg) {
        returnArgu = arg[0];
        Intent i = new Intent("com.sec.samsungtest.ACTION_CAMERATEST");
        i.putExtra("testtype", "CAMETEST");
        i.putExtra("arg1", arg[0]);
        i.putExtra("arg2", arg[1]);
        i.putExtra("arg3", arg[2]);
        i.putExtra("arg4", arg[3]);
        String str = this.CLASS_NAME;
        FtUtil.log_d(str, "sendCameraBroadcast", "CAMETEST=" + arg[0] + "," + arg[1] + "," + arg[2] + "," + arg[3]);
        this.context.sendBroadcast(i, "com.sec.factory.cameralyzer.PERMISSION_CAMERASCRIPT");
    }

    @Override // com.sec.factory.aporiented.athandler.AtCommandHandler
    public synchronized String handleCommand(String[] argu) {
        String str;
        String str2;
        String resData = null;
        if (argu.length != (STAGE_PARALLEL ? this.NUM_ARGS + 1 : this.NUM_ARGS)) {
            return responseNA();
        }
        if (checkArgu(argu, new String[]{"0", "0", "0", EgisFingerprint.MAJOR_VERSION})) {
            resData = responseOK(argu[0]);
        } else if (checkArgu(argu, new String[]{"0", EgisFingerprint.MAJOR_VERSION, "0", "0"})) {
            FtUtil.log_d(this.CLASS_NAME, "handleCommand", "Front Preview");
            startReceiver();
            sendCameraIntent(argu);
        } else if (checkArgu(argu, new String[]{"0", EgisFingerprint.MAJOR_VERSION, "0", EgisFingerprint.MAJOR_VERSION})) {
            FtUtil.log_d(this.CLASS_NAME, "handleCommand", "Rear Preview");
            if (Support.Feature.getBoolean(Support.Feature.SUPPORT_REAR_CAMERA)) {
                startReceiver();
                sendCameraIntent(argu);
            } else {
                resData = responseNA();
            }
        } else if (checkArgu(argu, new String[]{"0", EgisFingerprint.MAJOR_VERSION, "0", "2"})) {
            FtUtil.log_d(this.CLASS_NAME, "handleCommand", "Front Preview (Companion IC)");
            startReceiver();
            sendCameraIntent(argu);
        } else if (checkArgu(argu, new String[]{"0", EgisFingerprint.MAJOR_VERSION, "0", "4"})) {
            FtUtil.log_d(this.CLASS_NAME, "handleCommand", "Tele Rear Camera");
            if (Support.Feature.getBoolean(Support.Feature.SUPPORT_REAR_CAMERA)) {
                startReceiver();
                sendCameraIntent(argu);
            } else {
                resData = responseNA();
            }
        } else if (checkArgu(argu, new String[]{"0", EgisFingerprint.MAJOR_VERSION, "0", "5"})) {
            FtUtil.log_d(this.CLASS_NAME, "handleCommand", "Dual Wide Camera");
            if (Support.Feature.getBoolean(Support.Feature.SUPPORT_REAR_CAMERA)) {
                startReceiver();
                sendCameraIntent(argu);
            } else {
                resData = responseNA();
            }
        } else if (checkArgu(argu, new String[]{"0", EgisFingerprint.MAJOR_VERSION, "0", "6"})) {
            FtUtil.log_d(this.CLASS_NAME, "handleCommand", "Dual Tele Camera");
            if (Support.Feature.getBoolean(Support.Feature.SUPPORT_REAR_CAMERA)) {
                startReceiver();
                sendCameraIntent(argu);
            } else {
                resData = responseNA();
            }
        } else if (checkArgu(argu, new String[]{"0", EgisFingerprint.MAJOR_VERSION, "0", "7"})) {
            FtUtil.log_d(this.CLASS_NAME, "handleCommand", "Front Main2 Preview");
            startReceiver();
            sendCameraIntent(argu);
        } else if (checkArgu(argu, new String[]{"0", EgisFingerprint.MAJOR_VERSION, "0", "8"})) {
            FtUtil.log_d(this.CLASS_NAME, "handleCommand", "Front Dual Camera Main1 Preview");
            startReceiver();
            sendCameraIntent(argu);
        } else if (checkArgu(argu, new String[]{"0", EgisFingerprint.MAJOR_VERSION, "0", egis.optical.client.api.EgisFingerprint.JAR_VERSION})) {
            FtUtil.log_d(this.CLASS_NAME, "handleCommand", "Front Dual Camera Main2 Preview");
            startReceiver();
            sendCameraIntent(argu);
        } else if (checkArgu(argu, new String[]{"0", EgisFingerprint.MAJOR_VERSION, EgisFingerprint.MAJOR_VERSION, "0"})) {
            FtUtil.log_d(this.CLASS_NAME, "handleCommand", "dual Rear Cam Preview");
            if (Support.Feature.getBoolean(Support.Feature.SUPPORT_REAR_CAMERA)) {
                startReceiver();
                sendCameraIntent(argu);
            } else {
                resData = responseNA();
            }
        } else if (checkArgu(argu, new String[]{"0", EgisFingerprint.MAJOR_VERSION, EgisFingerprint.MAJOR_VERSION, EgisFingerprint.MAJOR_VERSION})) {
            FtUtil.log_d(this.CLASS_NAME, "handleCommand", "Rear Camera (Main 3) Preview");
            if (Support.Feature.getBoolean(Support.Feature.SUPPORT_REAR_CAMERA)) {
                startReceiver();
                sendCameraIntent(argu);
            } else {
                resData = responseNA();
            }
        } else if (checkArgu(argu, new String[]{"0", EgisFingerprint.MAJOR_VERSION, EgisFingerprint.MAJOR_VERSION, "2"})) {
            FtUtil.log_d(this.CLASS_NAME, "handleCommand", "Rear Camera (Main 4) Preview");
            if (Support.Feature.getBoolean(Support.Feature.SUPPORT_REAR_CAMERA)) {
                startReceiver();
                sendCameraIntent(argu);
            } else {
                resData = responseNA();
            }
        } else if (checkArgu(argu, new String[]{"0", EgisFingerprint.MAJOR_VERSION, "2", "0"})) {
            FtUtil.log_d(this.CLASS_NAME, "handleCommand", "Take Photo");
            sendCameraBroadcast(argu);
            startReceiver();
        } else if (checkArgu(argu, new String[]{"0", EgisFingerprint.MAJOR_VERSION, "2", "2"})) {
            FtUtil.log_d(this.CLASS_NAME, "handleCommand", "Screen Capture");
            int result = screenCapture();
            FtUtil.log_d(this.CLASS_NAME, "screenCapture", "result : " + result);
            resData = result == 1 ? responseOK(argu[0]) : responseNG(argu[0]);
        } else if (checkArgu(argu, new String[]{"0", EgisFingerprint.MAJOR_VERSION, "2", egis.optical.client.api.EgisFingerprint.MAJOR_VERSION})) {
            FtUtil.log_d(this.CLASS_NAME, "handleCommand", "Take Photo without AF");
            sendCameraBroadcast(argu);
            startReceiver();
        } else if (checkArgu(argu, new String[]{"0", EgisFingerprint.MAJOR_VERSION, "2", "4"})) {
            FtUtil.log_d(this.CLASS_NAME, "handleCommand", "QR Test");
            startReceiver();
            sendCameraIntent(argu);
        } else if (checkArgu(argu, new String[]{"0", EgisFingerprint.MAJOR_VERSION, egis.optical.client.api.EgisFingerprint.MAJOR_VERSION, "0"})) {
            FtUtil.log_d(this.CLASS_NAME, "handleCommand", "Check Front CAM AF CAL");
            String value = Support.Kernel.read(Support.Kernel.CAMERA_FRONT_AF_CAL_CHECK);
            if (value == null || value.isEmpty() || value.toUpperCase().contains("NULL")) {
                return responseString(argu[0], "NA");
            }
            resData = responseString(argu[0], value.replaceAll(" ", ","));
        } else if (checkArgu(argu, new String[]{"0", EgisFingerprint.MAJOR_VERSION, egis.optical.client.api.EgisFingerprint.MAJOR_VERSION, EgisFingerprint.MAJOR_VERSION})) {
            FtUtil.log_d(this.CLASS_NAME, "handleCommand", "Check Rear CAM AF CAL");
            String value2 = Support.Kernel.read(Support.Kernel.CAMERA_REAR_AF_CAL_CHECK);
            if (value2 == null || value2.isEmpty() || value2.toUpperCase().contains("NULL")) {
                return responseString(argu[0], "NA");
            }
            return responseString(argu[0], value2.replaceAll(" ", ","));
        } else if (checkArgu(argu, new String[]{"0", EgisFingerprint.MAJOR_VERSION, egis.optical.client.api.EgisFingerprint.MAJOR_VERSION, "2"})) {
            FtUtil.log_d(this.CLASS_NAME, "handleCommand", "Rear Dual Camera(1,2) Module Tilt Cal Data Read");
            String tilt_cal_data = Support.Kernel.read(Support.Kernel.CAMERA_REAR2_TILT);
            if (tilt_cal_data == null || tilt_cal_data.isEmpty()) {
                return responseNG(argu[0]);
            }
            String[] cal_data = tilt_cal_data.split(" ");
            DecimalFormat fmt = new DecimalFormat("0.######", DecimalFormatSymbols.getInstance(Locale.US));
            String value3 = cal_data[0];
            for (int i = 1; i < cal_data.length; i++) {
                String value4 = value3 + ",";
                if (ModuleCommunicationService.SMD_NOK.equals(cal_data[i])) {
                    str2 = value4 + "N";
                } else if (i == cal_data.length - 1) {
                    str2 = value4 + cal_data[i];
                } else {
                    str2 = value4 + fmt.format((double) convertUnsignedIntToFloat(cal_data[i]));
                }
                value3 = str2;
            }
            return responseString(argu[0], value3);
        } else if (checkArgu(argu, new String[]{"0", EgisFingerprint.MAJOR_VERSION, egis.optical.client.api.EgisFingerprint.MAJOR_VERSION, "4"})) {
            FtUtil.log_d(this.CLASS_NAME, "handleCommand", "Check Rear2 CAM AF CAL");
            String value5 = Support.Kernel.read(Support.Kernel.CAMERA_REAR2_AF_CAL_CHECK);
            if (value5 == null || value5.isEmpty() || value5.toUpperCase().contains("NULL")) {
                return responseString(argu[0], "NA");
            }
            return responseString(argu[0], value5.replaceAll(" ", ","));
        } else if (checkArgu(argu, new String[]{"0", EgisFingerprint.MAJOR_VERSION, egis.optical.client.api.EgisFingerprint.MAJOR_VERSION, "5"})) {
            FtUtil.log_d(this.CLASS_NAME, "handleCommand", "Front Dual Camera Module Tilt Cal Data Read");
            String tilt_cal_data2 = Support.Kernel.read(Support.Kernel.CAMERA_FRONT2_TILT);
            if (tilt_cal_data2 == null || tilt_cal_data2.isEmpty()) {
                return responseNG(argu[0]);
            }
            String[] cal_data2 = tilt_cal_data2.split(" ");
            DecimalFormat fmt2 = new DecimalFormat("0.######");
            String value6 = cal_data2[0];
            for (int i2 = 1; i2 < cal_data2.length; i2++) {
                String value7 = value6 + ",";
                value6 = ModuleCommunicationService.SMD_NOK.equals(cal_data2[i2]) ? value7 + "N" : value7 + fmt2.format((double) convertUnsignedIntToFloat(cal_data2[i2]));
            }
            return responseString(argu[0], value6);
        } else if (checkArgu(argu, new String[]{"0", EgisFingerprint.MAJOR_VERSION, egis.optical.client.api.EgisFingerprint.MAJOR_VERSION, "6"})) {
            FtUtil.log_d(this.CLASS_NAME, "handleCommand", "Rear Dual Cal data Read");
            int index = 1;
            if (Support.Kernel.isExistFile(Support.Kernel.CAMERA_REAR_DATA_DUMP)) {
                String filePath = Environment.getExternalStorageDirectory() + "/log/";
                String fileName = Support.Feature.getString(Support.Feature.MODEL_NAME) + "_RearData_" + Support.Kernel.getUniqueNumber() + "_";
                File file = new File(filePath + fileName + 1 + ".bin");
                while (file.exists()) {
                    FtUtil.log_d(this.CLASS_NAME, "handleCommand", index + " rear index file exist");
                    index++;
                    file = new File(filePath + fileName + index + ".bin");
                }
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", "File name: " + filePath + fileName + index + ".bin");
                byte[] rear_dualcal = Support.Kernel.readByte(Support.Kernel.CAMERA_REAR_DATA_DUMP, Integer.parseInt(Support.Kernel.read(Support.Kernel.CAMERA_REAR_DATA_DUMP_SIZE)), true);
                String str3 = this.CLASS_NAME;
                StringBuilder sb = new StringBuilder();
                sb.append("rear_dualcal: ");
                sb.append(rear_dualcal);
                FtUtil.log_d(str3, "handleCommand", sb.toString());
                StringBuilder sb2 = new StringBuilder();
                sb2.append(filePath);
                sb2.append(fileName);
                sb2.append(index);
                sb2.append(".bin");
                resData = Support.Kernel.writeToPathNsync(sb2.toString(), rear_dualcal) ? responseOK(argu[0]) : responseNG(argu[0]);
            } else {
                resData = responseNG(argu[0]);
            }
        } else if (checkArgu(argu, new String[]{"0", EgisFingerprint.MAJOR_VERSION, egis.optical.client.api.EgisFingerprint.MAJOR_VERSION, "7"})) {
            FtUtil.log_d(this.CLASS_NAME, "handleCommand", "Front Dual Cal data Read");
            int index2 = 1;
            if (Support.Kernel.isExistFile(Support.Kernel.CAMERA_FRONT_DATA_DUMP)) {
                String filePath2 = Environment.getExternalStorageDirectory() + "/log/";
                String fileName2 = Support.Feature.getString(Support.Feature.MODEL_NAME) + "_FrontData_" + Support.Kernel.getUniqueNumber() + "_";
                File file2 = new File(filePath2 + fileName2 + 1 + ".bin");
                while (file2.exists()) {
                    FtUtil.log_d(this.CLASS_NAME, "handleCommand", index2 + " front index file exist");
                    index2++;
                    file2 = new File(filePath2 + fileName2 + index2 + ".bin");
                }
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", "File name: " + filePath2 + fileName2 + index2 + ".bin");
                byte[] front_dualcal = Support.Kernel.readByte(Support.Kernel.CAMERA_FRONT_DATA_DUMP, Integer.parseInt(Support.Kernel.read(Support.Kernel.CAMERA_FRONT_DATA_DUMP_SIZE)), true);
                String str4 = this.CLASS_NAME;
                StringBuilder sb3 = new StringBuilder();
                sb3.append("front_dualcal: ");
                sb3.append(front_dualcal);
                FtUtil.log_d(str4, "handleCommand", sb3.toString());
                StringBuilder sb4 = new StringBuilder();
                sb4.append(filePath2);
                sb4.append(fileName2);
                sb4.append(index2);
                sb4.append(".bin");
                resData = Support.Kernel.writeToPathNsync(sb4.toString(), front_dualcal) ? responseOK(argu[0]) : responseNG(argu[0]);
            } else {
                resData = responseNG(argu[0]);
            }
        } else if (checkArgu(argu, new String[]{"0", EgisFingerprint.MAJOR_VERSION, egis.optical.client.api.EgisFingerprint.MAJOR_VERSION, egis.optical.client.api.EgisFingerprint.JAR_VERSION})) {
            FtUtil.log_d(this.CLASS_NAME, "handleCommand", "Rear Dual Camera(1,4) Module Tilt Cal Data Read");
            String tilt_cal_data3 = Support.Kernel.read(Support.Kernel.CAMERA_REAR4_TILT);
            if (tilt_cal_data3 == null || tilt_cal_data3.isEmpty()) {
                return responseNG(argu[0]);
            }
            String[] cal_data3 = tilt_cal_data3.split(" ");
            DecimalFormat fmt3 = new DecimalFormat("0.######", DecimalFormatSymbols.getInstance(Locale.US));
            String value8 = cal_data3[0];
            for (int i3 = 1; i3 < cal_data3.length; i3++) {
                String value9 = value8 + ",";
                if (ModuleCommunicationService.SMD_NOK.equals(cal_data3[i3])) {
                    str = value9 + "N";
                } else if (i3 == cal_data3.length - 1) {
                    str = value9 + cal_data3[i3];
                } else {
                    str = value9 + fmt3.format((double) convertUnsignedIntToFloat(cal_data3[i3]));
                }
                value8 = str;
            }
            return responseString(argu[0], value8);
        } else if (checkArgu(argu, new String[]{"0", EgisFingerprint.MAJOR_VERSION, "4", "0"})) {
            FtUtil.log_d(this.CLASS_NAME, "handleCommand", "Iris Version Check");
            String[] values = Support.Kernel.read(Support.Kernel.IRIS_CHECK_FW_FACTORY).split(" ");
            if (values.length == 4) {
                if ("OK".equalsIgnoreCase(values[0])) {
                    return responseString(argu[0], "OK_01," + values[1] + "," + values[2] + "," + values[3]);
                } else if ("NG_RES".equalsIgnoreCase(values[0])) {
                    return responseString(argu[0], "NG_00," + values[1] + "," + values[2] + "," + values[3]);
                } else if ("NG_VER".equalsIgnoreCase(values[0])) {
                    return responseString(argu[0], "NG_DEV," + values[1] + "," + values[2] + "," + values[3]);
                }
            }
            return responseNG(argu[0]);
        } else if (checkArgu(argu, new String[]{"0", EgisFingerprint.MAJOR_VERSION, "5"})) {
            FtUtil.log_d(this.CLASS_NAME, "handleCommand", "AF Lens Step Setting");
            sendCameraBroadcast(argu);
            startReceiver();
        } else if (checkArgu(argu, new String[]{"0", "2", "2", "0"})) {
            FtUtil.log_d(this.CLASS_NAME, "handleCommand", "Camcoder Recording Start");
            sendCameraBroadcast(argu);
            startReceiver();
        } else if (checkArgu(argu, new String[]{"0", "2", "2", EgisFingerprint.MAJOR_VERSION})) {
            FtUtil.log_d(this.CLASS_NAME, "handleCommand", "Camcoder Recording Stop");
            sendCameraBroadcast(argu);
            startReceiver();
        } else if (checkArgu(argu, new String[]{"0", "2", "2", egis.optical.client.api.EgisFingerprint.MAJOR_VERSION})) {
            FtUtil.log_d(this.CLASS_NAME, "handleCommand", "Camcoder Recording Start without AF");
            sendCameraBroadcast(argu);
            startReceiver();
        } else if (checkArgu(argu, new String[]{"0", egis.optical.client.api.EgisFingerprint.MAJOR_VERSION, "0", "0"})) {
            resData = Support.Kernel.write(Support.Kernel.TORCH_MODE_FLASH_1, "0") ? Support.Kernel.write(Support.Kernel.TORCH_MODE_FLASH_1, "200") ? responseOK(argu[0]) : responseNG(argu[0]) : responseNG(argu[0]);
        } else if (checkArgu(argu, new String[]{"0", egis.optical.client.api.EgisFingerprint.MAJOR_VERSION, "0", EgisFingerprint.MAJOR_VERSION})) {
            int sleepTime = 50;
            try {
                sleepTime = Integer.parseInt(Support.TestCase.getString(Support.TestCase.CAMERA_TORCH_MODE_RESPONSE_MARGINE));
            } catch (NumberFormatException ne) {
                FtUtil.log_e(ne);
            }
            String torch_mode_flash_1_on = Support.Feature.getString(Support.Feature.TORCH_MODE_FLASH_1_ON);
            FtUtil.log_d(this.CLASS_NAME, "handleCommand", "flash on for Sysfs");
            if (Support.Kernel.write(Support.Kernel.TORCH_MODE_FLASH_1, torch_mode_flash_1_on)) {
                try {
                    FtUtil.log_i(this.CLASS_NAME, "delay", " : " + sleepTime);
                    Thread.sleep((long) sleepTime);
                } catch (InterruptedException e) {
                    e.printStackTrace();
                }
                resData = responseOK(argu[0]);
            } else {
                resData = responseNG(argu[0]);
            }
        } else if (checkArgu(argu, new String[]{"0", egis.optical.client.api.EgisFingerprint.MAJOR_VERSION, EgisFingerprint.MAJOR_VERSION, EgisFingerprint.MAJOR_VERSION})) {
            String torch_mode_flash_1_off = Support.Feature.getString(Support.Feature.TORCH_MODE_FLASH_1_OFF);
            FtUtil.log_d(this.CLASS_NAME, "handleCommand", "flash off for Sysfs");
            resData = Support.Kernel.write(Support.Kernel.TORCH_MODE_FLASH_1, torch_mode_flash_1_off) ? responseOK(argu[0]) : responseNG(argu[0]);
        } else if (checkArgu(argu, new String[]{"0", egis.optical.client.api.EgisFingerprint.MAJOR_VERSION, "2", "0"})) {
            boolean result_response = true;
            int rearFlashCount = Support.Feature.getInt(Support.Feature.REAR_FLASH_COUNT);
            FtUtil.log_d(this.CLASS_NAME, "handleCommand", "rearFlashCount = " + rearFlashCount);
            String torch_mode_flash_on_current = Support.Feature.getString(Support.Feature.TORCH_MODE_FLASH_ON_CURRENT);
            for (int i4 = 1; i4 <= rearFlashCount; i4++) {
                String path = "TORCH_MODE_FLASH_" + Integer.toString(i4);
                FtUtil.log_i(this.CLASS_NAME, "allFalshTorchOn", "path = " + path);
                if (!Support.Kernel.write(path, torch_mode_flash_on_current)) {
                    FtUtil.log_i(this.CLASS_NAME, "Fail write sysfs", "path = " + path);
                    result_response = false;
                }
            }
            resData = result_response ? responseOK(argu[0]) : responseNG(argu[0]);
        } else if (checkArgu(argu, new String[]{"0", egis.optical.client.api.EgisFingerprint.MAJOR_VERSION, egis.optical.client.api.EgisFingerprint.MAJOR_VERSION, "0"})) {
            boolean result_response2 = true;
            int rearFlashCount2 = Support.Feature.getInt(Support.Feature.REAR_FLASH_COUNT);
            FtUtil.log_d(this.CLASS_NAME, "handleCommand", "rearFlashCount = " + rearFlashCount2);
            for (int i5 = 1; i5 <= rearFlashCount2; i5++) {
                String path2 = "TORCH_MODE_FLASH_" + Integer.toString(i5);
                FtUtil.log_i(this.CLASS_NAME, "allFalshTorchOff", "path = " + path2);
                if (!Support.Kernel.write(path2, "0")) {
                    FtUtil.log_i(this.CLASS_NAME, "Fail write sysfs", "path = " + path2);
                    result_response2 = false;
                }
            }
            resData = result_response2 ? responseOK(argu[0]) : responseNG(argu[0]);
        } else if (checkArgu(argu, new String[]{"0", egis.optical.client.api.EgisFingerprint.MAJOR_VERSION, "2", "2"})) {
            int sleepTime2 = 50;
            try {
                sleepTime2 = Integer.parseInt(Support.TestCase.getString(Support.TestCase.CAMERA_TORCH_MODE_RESPONSE_MARGINE));
            } catch (NumberFormatException ne2) {
                FtUtil.log_e(ne2);
            }
            String torch_mode_flash_on_current2 = Support.Feature.getString(Support.Feature.TORCH_MODE_FLASH_ON_CURRENT);
            FtUtil.log_d(this.CLASS_NAME, "handleCommand", "flash on for Sysfs");
            if (Support.Kernel.write(Support.Kernel.TORCH_MODE_FRONT_FLASH, torch_mode_flash_on_current2)) {
                try {
                    FtUtil.log_i(this.CLASS_NAME, "delay", " : " + sleepTime2);
                    Thread.sleep((long) sleepTime2);
                } catch (InterruptedException e2) {
                    e2.printStackTrace();
                }
                resData = responseOK(argu[0]);
            } else {
                resData = responseNA();
            }
        } else if (checkArgu(argu, new String[]{"0", egis.optical.client.api.EgisFingerprint.MAJOR_VERSION, egis.optical.client.api.EgisFingerprint.MAJOR_VERSION, "2"})) {
            FtUtil.log_d(this.CLASS_NAME, "handleCommand", "flash off for Sysfs");
            resData = Support.Kernel.write(Support.Kernel.TORCH_MODE_FRONT_FLASH, "0") ? responseOK(argu[0]) : responseNA();
        } else if (checkArgu(argu, new String[]{"0", egis.optical.client.api.EgisFingerprint.MAJOR_VERSION, "2", egis.optical.client.api.EgisFingerprint.MAJOR_VERSION})) {
            int sleepTime3 = 50;
            try {
                sleepTime3 = Integer.parseInt(Support.TestCase.getString(Support.TestCase.CAMERA_TORCH_MODE_RESPONSE_MARGINE));
            } catch (NumberFormatException ne3) {
                FtUtil.log_e(ne3);
            }
            String torch_mode_flash_on_current3 = Support.Feature.getString(Support.Feature.TORCH_MODE_FLASH_ON_CURRENT);
            FtUtil.log_d(this.CLASS_NAME, "handleCommand", "flash2 on for Sysfs");
            if (Support.Kernel.write(Support.Kernel.TORCH_MODE_FLASH_2, torch_mode_flash_on_current3)) {
                try {
                    FtUtil.log_i(this.CLASS_NAME, "delay", " : " + sleepTime3);
                    Thread.sleep((long) sleepTime3);
                } catch (InterruptedException e3) {
                    e3.printStackTrace();
                }
                resData = responseOK(argu[0]);
            }
        } else if (checkArgu(argu, new String[]{"0", egis.optical.client.api.EgisFingerprint.MAJOR_VERSION, egis.optical.client.api.EgisFingerprint.MAJOR_VERSION, egis.optical.client.api.EgisFingerprint.MAJOR_VERSION})) {
            FtUtil.log_d(this.CLASS_NAME, "handleCommand", "flash2 off for Sysfs");
            if (Support.Kernel.write(Support.Kernel.TORCH_MODE_FLASH_2, "0")) {
                responseOK(argu[0]);
            }
            resData = responseOK(argu[0]);
        } else if (checkArgu(argu, new String[]{"0", egis.optical.client.api.EgisFingerprint.MAJOR_VERSION, "2", "4"})) {
            int sleepTime4 = 50;
            try {
                sleepTime4 = Integer.parseInt(Support.TestCase.getString(Support.TestCase.CAMERA_TORCH_MODE_RESPONSE_MARGINE));
            } catch (NumberFormatException ne4) {
                FtUtil.log_e(ne4);
            }
            String torch_mode_flash_on_current4 = Support.Feature.getString(Support.Feature.TORCH_MODE_FLASH_ON_CURRENT);
            FtUtil.log_d(this.CLASS_NAME, "handleCommand", "flash on for Sysfs");
            if (Support.Kernel.write(Support.Kernel.TORCH_MODE_FLASH_1, torch_mode_flash_on_current4)) {
                try {
                    FtUtil.log_i(this.CLASS_NAME, "delay", " : " + sleepTime4);
                    Thread.sleep((long) sleepTime4);
                } catch (InterruptedException e4) {
                    e4.printStackTrace();
                }
                resData = responseOK(argu[0]);
            }
        } else if (checkArgu(argu, new String[]{"0", egis.optical.client.api.EgisFingerprint.MAJOR_VERSION, egis.optical.client.api.EgisFingerprint.MAJOR_VERSION, "4"})) {
            FtUtil.log_d(this.CLASS_NAME, "handleCommand", "flash off for Sysfs");
            if (Support.Kernel.write(Support.Kernel.TORCH_MODE_FLASH_1, "0")) {
                responseOK(argu[0]);
            }
            resData = responseOK(argu[0]);
        } else if (checkArgu(argu, new String[]{"0", egis.optical.client.api.EgisFingerprint.MAJOR_VERSION, "2", "5"})) {
            int sleepTime5 = 50;
            try {
                sleepTime5 = Integer.parseInt(Support.TestCase.getString(Support.TestCase.CAMERA_TORCH_MODE_RESPONSE_MARGINE));
            } catch (NumberFormatException ne5) {
                FtUtil.log_e(ne5);
            }
            String torch_mode_flash_on_current5 = Support.Feature.getString(Support.Feature.TORCH_MODE_FLASH_ON_CURRENT);
            FtUtil.log_d(this.CLASS_NAME, "handleCommand", "flash on for Sysfs");
            if (Support.Kernel.write(Support.Kernel.TORCH_MODE_FLASH_3, torch_mode_flash_on_current5)) {
                try {
                    FtUtil.log_i(this.CLASS_NAME, "delay", " : " + sleepTime5);
                    Thread.sleep((long) sleepTime5);
                } catch (InterruptedException e5) {
                    e5.printStackTrace();
                }
                resData = responseOK(argu[0]);
            }
        } else if (checkArgu(argu, new String[]{"0", egis.optical.client.api.EgisFingerprint.MAJOR_VERSION, egis.optical.client.api.EgisFingerprint.MAJOR_VERSION, "5"})) {
            FtUtil.log_d(this.CLASS_NAME, "handleCommand", "flash off for Sysfs");
            if (Support.Kernel.write(Support.Kernel.TORCH_MODE_FLASH_3, "0")) {
                responseOK(argu[0]);
            }
            resData = responseOK(argu[0]);
        } else if (checkArgu(argu, new String[]{"0", "4", "0", "0"})) {
            FtUtil.log_d(this.CLASS_NAME, "handleCommand", "COMPANION_IC test");
            if (Support.Kernel.write(Support.Kernel.COMPANION_IC_CHECK, EgisFingerprint.MAJOR_VERSION)) {
                String ic_value = null;
                for (int i6 = 0; i6 < 12; i6++) {
                    try {
                        Thread.sleep(250);
                    } catch (InterruptedException e6) {
                        FtUtil.log_d(this.CLASS_NAME, "handleCommand", "InterruptedException");
                    }
                    ic_value = Support.Kernel.read(Support.Kernel.COMPANION_IC_CHECK);
                    if (!(ic_value == null || EgisFingerprint.MAJOR_VERSION.equals(ic_value))) {
                        break;
                    }
                }
                if (ic_value == null) {
                    resData = responseNG(argu[0]);
                } else if ("NG_I2C".equals(ic_value)) {
                    resData = responseString(argu[0], ic_value);
                } else {
                    resData = responseString(argu[0], "OK_" + ic_value);
                }
            } else {
                resData = responseNA();
            }
        } else if (checkArgu(argu, new String[]{"0", "4", EgisFingerprint.MAJOR_VERSION, "0"})) {
            FtUtil.log_d(this.CLASS_NAME, "handleCommand", "OIS Autotest");
            sendCameraBroadcast(argu);
            startReceiver();
        } else if (checkArgu(argu, new String[]{"0", "4", EgisFingerprint.MAJOR_VERSION, EgisFingerprint.MAJOR_VERSION})) {
            FtUtil.log_d(this.CLASS_NAME, "handleCommand", "OIS OFF");
            sendCameraBroadcast(argu);
            startReceiver();
        } else if (checkArgu(argu, new String[]{"0", "4", EgisFingerprint.MAJOR_VERSION, "2"})) {
            FtUtil.log_d(this.CLASS_NAME, "handleCommand", "OIS Autotest");
            sendCameraBroadcast(argu);
            startReceiver();
        } else if (checkArgu(argu, new String[]{"0", "4", EgisFingerprint.MAJOR_VERSION, "5"})) {
            FtUtil.log_d(this.CLASS_NAME, "handleCommand", "OIS TEST APP START");
            sendCameraBroadcast(argu);
            startReceiver();
        } else if (checkArgu(argu, new String[]{"0", "5", "0", "0"})) {
            FtUtil.log_d(this.CLASS_NAME, "handleCommand", "FRS(Camera Dram) Test");
            startReceiver();
            this.handler.sendEmptyMessageDelayed(0, 15000);
            sendCameraIntent(argu);
        } else if (checkArgu(argu, new String[]{"0", "5", "0", EgisFingerprint.MAJOR_VERSION})) {
            FtUtil.log_d(this.CLASS_NAME, "handleCommand", "Front Camera(Main1) Noise SelfTest");
            startReceiver();
            sendCameraIntent(argu);
        } else if (checkArgu(argu, new String[]{"0", "5", "0", "2"})) {
            FtUtil.log_d(this.CLASS_NAME, "handleCommand", "Rear Camera(Main1) Noise SelfTest");
            startReceiver();
            sendCameraIntent(argu);
        } else if (checkArgu(argu, new String[]{"0", "5", "0", egis.optical.client.api.EgisFingerprint.MAJOR_VERSION})) {
            FtUtil.log_d(this.CLASS_NAME, "handleCommand", "Front Camera(Main2) Noise SelfTest");
            startReceiver();
            sendCameraIntent(argu);
        } else if (checkArgu(argu, new String[]{"0", "5", EgisFingerprint.MAJOR_VERSION, "2"})) {
            FtUtil.log_d(this.CLASS_NAME, "handleCommand", "Rear Camera(Main1) Super Slow Mode Self Test");
            startReceiver();
            sendCameraIntent(argu);
        } else if (checkArgu(argu, new String[]{"0", "5", "0", "4"})) {
            FtUtil.log_d(this.CLASS_NAME, "handleCommand", "Rear Camera(Main2) Noise SelfTest");
            startReceiver();
            sendCameraIntent(argu);
        } else if (checkArgu(argu, new String[]{"0", egis.optical.client.api.EgisFingerprint.JAR_VERSION, "0", "0"})) {
            FtUtil.log_d(this.CLASS_NAME, "handleCommand", "Front off");
            startReceiver();
            FtUtil.log_d(this.CLASS_NAME, "handleCommand", "send intent - CameraStop");
            sendCameraBroadcast(argu);
        } else if (checkArgu(argu, new String[]{"0", egis.optical.client.api.EgisFingerprint.JAR_VERSION, EgisFingerprint.MAJOR_VERSION, "0"})) {
            FtUtil.log_d(this.CLASS_NAME, "handleCommand", "Rear off");
            startReceiver();
            FtUtil.log_d(this.CLASS_NAME, "handleCommand", "send intent - CameraStop");
            sendCameraBroadcast(argu);
        } else if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, egis.optical.client.api.EgisFingerprint.MAJOR_VERSION, "0", "8"})) {
            FtUtil.log_d(this.CLASS_NAME, "handleCommand", "Aperture Data Read");
            startReceiver();
            sendCameraBroadcast(argu);
        } else if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, egis.optical.client.api.EgisFingerprint.MAJOR_VERSION, "0", egis.optical.client.api.EgisFingerprint.JAR_VERSION})) {
            FtUtil.log_d(this.CLASS_NAME, "handleCommand", "Aperture Test Y read");
            startReceiver();
            sendCameraBroadcast(argu);
        } else if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, egis.optical.client.api.EgisFingerprint.MAJOR_VERSION, EgisFingerprint.MAJOR_VERSION, "0"})) {
            FtUtil.log_d(this.CLASS_NAME, "handleCommand", "AF code Data read");
            startReceiver();
            sendCameraBroadcast(argu);
        } else if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, "4", "0", "0"})) {
            FtUtil.log_d(this.CLASS_NAME, "handleCommand", "Aperture Test Lens Step read");
            startReceiver();
            sendCameraBroadcast(argu);
        } else if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, "4", EgisFingerprint.MAJOR_VERSION, "0"})) {
            FtUtil.log_d(this.CLASS_NAME, "handleCommand", "Aperture Test EV read");
            startReceiver();
            sendCameraBroadcast(argu);
        } else if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, "5", "0", "0"})) {
            FtUtil.log_d(this.CLASS_NAME, "handleCommand", "Pan PAF Offset Read");
            startReceiver();
            sendCameraBroadcast(argu);
        } else if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, "5", "0", EgisFingerprint.MAJOR_VERSION})) {
            FtUtil.log_d(this.CLASS_NAME, "handleCommand", "Pan PAF Offset Mid Read");
            startReceiver();
            sendCameraBroadcast(argu);
        } else if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, "5", "0", "2"})) {
            FtUtil.log_d(this.CLASS_NAME, "handleCommand", "Aperture1 error check");
            startReceiver();
            sendCameraBroadcast(argu);
        } else if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, "5", "0", egis.optical.client.api.EgisFingerprint.MAJOR_VERSION})) {
            FtUtil.log_d(this.CLASS_NAME, "handleCommand", "Aperture2 error check");
            startReceiver();
            sendCameraBroadcast(argu);
        } else if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, "5", "0", "4"})) {
            FtUtil.log_d(this.CLASS_NAME, "handleCommand", "Aperture2 PAN PAF offset far read");
            startReceiver();
            sendCameraBroadcast(argu);
        } else if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, "5", "0", "5"})) {
            FtUtil.log_d(this.CLASS_NAME, "handleCommand", "Aperture2 PAN PAF offset Mid read");
            startReceiver();
            sendCameraBroadcast(argu);
        } else if (checkArgu(argu, new String[]{"2", "0", "0"})) {
            FtUtil.log_d(this.CLASS_NAME, "handleCommand", "File Name : " + argu[3]);
            sendCameraBroadcast(argu);
            startReceiver();
        } else if (checkArgu(argu, new String[]{egis.optical.client.api.EgisFingerprint.MAJOR_VERSION, "0", "0", "0"})) {
            String mData = Support.Kernel.readFromPath(new File("/data/log/OIS_SelfData.log").getPath(), true);
            resData = mData == null ? responseString(argu[0], "NG_NO DATA") : responseString(argu[0], mData);
        } else if (checkArgu(argu, new String[]{egis.optical.client.api.EgisFingerprint.MAJOR_VERSION, "2", "0"})) {
            FtUtil.log_d(this.CLASS_NAME, "handleCommand", "Input[Script base camera test] : " + argu[3]);
            startReceiver();
            sendCameraBroadcast(argu);
        } else if (checkArgu(argu, new String[]{egis.optical.client.api.EgisFingerprint.MAJOR_VERSION, "2", EgisFingerprint.MAJOR_VERSION, "0"})) {
            FtUtil.log_d(this.CLASS_NAME, "handleCommand", "State[Script base camera test]");
            startReceiver();
            sendCameraBroadcast(argu);
        } else if (checkArgu(argu, new String[]{egis.optical.client.api.EgisFingerprint.MAJOR_VERSION, "2", "2"})) {
            FtUtil.log_d(this.CLASS_NAME, "handleCommand", "Result[Script base camera test] : " + argu[3]);
            startReceiver();
            sendCameraBroadcast(argu);
        } else {
            resData = responseNA();
        }
        return resData;
    }

    /* JADX WARNING: Removed duplicated region for block: B:23:0x00ee  */
    /* JADX WARNING: Removed duplicated region for block: B:24:0x0113  */
    public int screenCapture() {
        int index;
        String setfileName;
        InterruptedException e;
        Exception e2;
        String findFileName;
        int index2;
        FtUtil.log_i(this.CLASS_NAME, "ScreenCapture", "ScreenCapture Start");
        long curr = System.currentTimeMillis();
        SimpleDateFormat formatter = new SimpleDateFormat("_yyyyMMddhhmmss");
        String setfileName2 = null;
        File dataLogDirectory = new File("/sdcard/fImage");
        String strDefaultDir = dataLogDirectory.getPath() + "/";
        String strDefaultCMD = "screencap" + " " + strDefaultDir;
        if (!dataLogDirectory.exists()) {
            dataLogDirectory.mkdirs();
        }
        String[] fileList = dataLogDirectory.list();
        if (fileList != null) {
            index2 = 1;
            if (fileList.length > 0) {
                FtUtil.log_i(this.CLASS_NAME, "screenCapture", "fileList.length : " + fileList.length);
                int i = 0;
                index = 1;
                String findFileName2 = null;
                while (true) {
                    if (i >= fileList.length) {
                        break;
                    }
                    FtUtil.log_i(this.CLASS_NAME, "screenCapture", "fileList.fileName : " + fileList[i]);
                    if (fileList[i].contains("SCREENIMAGE")) {
                        findFileName2 = fileList[i].substring(11, 13);
                        if (Integer.parseInt(findFileName2) != index) {
                            break;
                        }
                        index++;
                    } else {
                        findFileName2 = findFileName2;
                    }
                    i++;
                    setfileName2 = setfileName2;
                    dataLogDirectory = dataLogDirectory;
                }
                if (index >= 10) {
                    setfileName = strDefaultCMD + "SCREENIMAGE0" + index + formatter.format(new Date(curr)) + ".jpg";
                } else {
                    setfileName = strDefaultCMD + "SCREENIMAGE" + index + formatter.format(new Date(curr)) + ".jpg";
                }
                FtUtil.log_i(this.CLASS_NAME, "screenCapture", index + " / " + setfileName);
                String[] shell_command = {"/system/bin/sh", "-c", setfileName};
                FtUtil.log_i(this.CLASS_NAME, "ScreenCapture", "capture command");
                Runtime.getRuntime().exec(shell_command).waitFor();
                FtUtil.log_i(this.CLASS_NAME, "ScreenCapture", "capture done");
                try {
                    FtUtil.log_d(this.CLASS_NAME, "ScreenCapture", "request to scan");
                    MediaScannerConnection.scanFile(this.mContext, new String[]{strDefaultDir}, null, new MediaScanCompletedListner());
                } catch (Exception e3) {
                    e2 = e3;
                    e2.printStackTrace();
                    FtUtil.log_i(this.CLASS_NAME, "ScreenCapture", "ScreenCapture done");
                    return 1;
                }
                FtUtil.log_i(this.CLASS_NAME, "ScreenCapture", "ScreenCapture done");
                return 1;
            }
            findFileName = null;
        } else {
            index2 = 1;
            findFileName = null;
        }
        index = index2;
        if (index >= 10) {
        }
        FtUtil.log_i(this.CLASS_NAME, "screenCapture", index + " / " + setfileName);
        String[] shell_command2 = {"/system/bin/sh", "-c", setfileName};
        try {
            FtUtil.log_i(this.CLASS_NAME, "ScreenCapture", "capture command");
            try {
                Runtime.getRuntime().exec(shell_command2).waitFor();
                FtUtil.log_i(this.CLASS_NAME, "ScreenCapture", "capture done");
                FtUtil.log_d(this.CLASS_NAME, "ScreenCapture", "request to scan");
                try {
                    MediaScannerConnection.scanFile(this.mContext, new String[]{strDefaultDir}, null, new MediaScanCompletedListner());
                } catch (Exception e4) {
                    e2 = e4;
                }
                FtUtil.log_i(this.CLASS_NAME, "ScreenCapture", "ScreenCapture done");
                return 1;
            } catch (IOException e5) {
            } catch (SecurityException e6) {
                FtUtil.log_e(this.CLASS_NAME, "ScreenCapture", "ScreenCapture - SecurityException");
                return -1;
            } catch (InterruptedException e7) {
                e = e7;
                e.printStackTrace();
                return -1;
            }
        } catch (IOException e8) {
            FtUtil.log_e(this.CLASS_NAME, "ScreenCapture", "ScreenCapture - IOException");
            return -1;
        } catch (SecurityException e9) {
            FtUtil.log_e(this.CLASS_NAME, "ScreenCapture", "ScreenCapture - SecurityException");
            return -1;
        } catch (InterruptedException e10) {
            e = e10;
            e.printStackTrace();
            return -1;
        }
    }

    /* access modifiers changed from: private */
    public class MediaScanCompletedListner implements MediaScannerConnection.OnScanCompletedListener {
        private MediaScanCompletedListner() {
        }

        public void onScanCompleted(String path, Uri uri) {
            FtUtil.log_d(AtCametest.this.CLASS_NAME, "onScanCompleted", "onScanCompleted");
        }
    }

    public float convertUnsignedIntToFloat(String intString) {
        String str = this.CLASS_NAME;
        FtUtil.log_i(str, "convertUnsignedIntToFloat", "intString: " + intString);
        float result = Float.intBitsToFloat(Long.valueOf(Long.parseLong(byteToHexString(ByteBuffer.allocate(4).putInt(Integer.parseInt(intString)).array()), 16)).intValue());
        String str2 = this.CLASS_NAME;
        FtUtil.log_i(str2, "convertUnsignedIntToFloat", "result: " + result);
        return result;
    }

    public String byteToHexString(byte[] byteArray) {
        if (byteArray == null) {
            return null;
        }
        StringBuilder hex = new StringBuilder(byteArray.length * 2);
        for (byte b : byteArray) {
            int hiVal = (b & 240) >> 4;
            int loVal = b & 15;
            hex.append((char) (((hiVal / 10) * 7) + hiVal + 48));
            hex.append((char) (((loVal / 10) * 7) + loVal + 48));
        }
        String hexString = hex.toString();
        FtUtil.log_i(this.CLASS_NAME, "convertUnsignedIntToFloat", "hexString: " + hexString);
        return hexString;
    }

    private String readOisAutoData(String file, String value) {
        if (!Support.Kernel.write(file, value)) {
            return null;
        }
        try {
            Thread.sleep(500);
        } catch (InterruptedException e) {
            FtUtil.log_d(this.CLASS_NAME, "readOisAutoData", "InterruptedException");
        }
        String autoResult = Support.Kernel.read(file);
        if (autoResult != null) {
            String result = autoResult.replaceAll(" ", "");
            String str = this.CLASS_NAME;
            FtUtil.log_d(str, "readOisAutoData", "autoResult : " + autoResult);
            return result;
        }
        FtUtil.log_d(this.CLASS_NAME, "readOisAutoData", "autoResult - Data is Null");
        return null;
    }
}
