package com.sec.factory.aporiented.athandler;

import android.content.Context;
import android.content.Intent;
import com.sec.factory.support.FtUtil;

public class AtFactorst extends AtCommandHandler {
    Context contextTemp;

    public AtFactorst(Context context) {
        super(context);
        this.CMD_NAME = "FACTORST";
        this.CLASS_NAME = "AtFactorst";
        this.NUM_ARGS = 2;
    }

    private void DoFactoryReset() {
        Intent i = new Intent("android.intent.action.MAIN");
        i.setClassName("com.sec.factory", "com.sec.factory.sysdump.FactoryReset");
        i.setFlags(335544320);
        this.context.startActivity(i);
    }

    @Override // com.sec.factory.aporiented.athandler.AtCommandHandler
    public synchronized String handleCommand(String[] argu) {
        String resData;
        if (argu.length != (STAGE_PARALLEL ? this.NUM_ARGS + 1 : this.NUM_ARGS)) {
            return responseNA();
        }
        if (checkArgu(argu, new String[]{"0", "0"})) {
            String str = this.CLASS_NAME;
            FtUtil.log_d(str, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=0,0", "Pass"));
            DoFactoryReset();
            resData = responseOK(argu[0]);
        } else if (checkArgu(argu, new String[]{"0", "2"})) {
            FtUtil.log_i(this.CLASS_NAME, "handleCommand", "run CP reset, It is a CP CMD");
            resData = "NOT_APPLICABLE";
        } else if (checkArgu(argu, new String[]{"0", "4"})) {
            FtUtil.log_i(this.CLASS_NAME, "handleCommand", "run CP2 reset, It is a CP CMD");
            resData = "NOT_APPLICABLE";
        } else if (checkArgu(argu, new String[]{"0", "5"})) {
            FtUtil.log_i(this.CLASS_NAME, "handleCommand", "run CP reset after mmW Final, It is a ATD CMD");
            resData = "NOT_APPLICABLE";
        } else if (checkArgu(argu, new String[]{"2", "2"})) {
            FtUtil.log_i(this.CLASS_NAME, "handleCommand", "run CP reset, It is a CP CMD");
            resData = "NOT_APPLICABLE";
        } else {
            FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME, "Fail - NOT registered index"));
            resData = responseNA();
        }
        return resData;
    }
}
