package com.sec.factory.aporiented.athandler;

import android.content.BroadcastReceiver;
import android.content.Context;
import android.content.Intent;
import android.content.IntentFilter;
import com.sec.factory.aporiented.ResponseWriter;
import com.sec.factory.modules.ModuleCommunication;
import com.sec.factory.support.FtUtil;
import egis.client.api.EgisFingerprint;

public class AtFcfmtest extends AtCommandHandler {
    public BroadcastReceiver mReceiver = new BroadcastReceiver() {
        /* class com.sec.factory.aporiented.athandler.AtFcfmtest.AnonymousClass1 */

        public synchronized void onReceive(Context context, Intent intent) {
            String action = intent.getAction();
            intent.getStringExtra("signal_strength");
            FtUtil.log_i(AtFcfmtest.this.CLASS_NAME, "onReceive action: ", action);
            FtUtil.log_i(AtFcfmtest.this.CLASS_NAME, "Stop Receiver ", "");
            AtFcfmtest atFcfmtest = AtFcfmtest.this;
            atFcfmtest.stopReceiver(atFcfmtest.mReceiver);
            if (action.equals(ModuleCommunication.FM_RADIO_TEST_ON_RESPONSE)) {
                if ("OK".equals(intent.getStringExtra("success"))) {
                    AtFcfmtest.this.writer.write(AtFcfmtest.this.responseOK("0"));
                } else {
                    AtFcfmtest.this.writer.write(AtFcfmtest.this.responseNG("0"));
                }
            } else if (action.equals(ModuleCommunication.FM_RADIO_TEST_OFF_RESPONSE)) {
                AtFcfmtest.this.writer.write(AtFcfmtest.this.responseOK("0"));
            } else if (action.equals("test.mode.radio.freq.response")) {
                AtFcfmtest.this.writer.write(AtFcfmtest.this.responseString(EgisFingerprint.MAJOR_VERSION, intent.getStringExtra("signal_strength")));
            }
        }
    };

    public AtFcfmtest(Context context, ResponseWriter writer) {
        super(context);
        this.CMD_NAME = "FCFMTEST";
        this.CLASS_NAME = "AtFcfmtest";
        this.NUM_ARGS = 4;
        this.writer = writer;
    }

    @Override // com.sec.factory.aporiented.athandler.AtCommandHandler
    public synchronized String handleCommand(String[] argu) {
        String resData = null;
        if (argu.length != (STAGE_PARALLEL ? this.NUM_ARGS + 1 : this.NUM_ARGS)) {
            return responseNA();
        }
        if (argu[3] != null && argu[3].contains(".")) {
            argu[3] = argu[3].replace(".", "");
        }
        if (checkArgu(argu, new String[]{"0", "0", "0"})) {
            this.context.registerReceiver(this.mReceiver, new IntentFilter(ModuleCommunication.FM_RADIO_TEST_ON_RESPONSE));
            StringBuilder sb = new StringBuilder();
            sb.append(argu[3]);
            sb.append((argu[3].startsWith(EgisFingerprint.MAJOR_VERSION) || !argu[3].endsWith("30")) ? "00" : "0");
            argu[3] = sb.toString();
            mModuleCommunication.fmRadioOn(argu[3], 0);
        } else if (checkArgu(argu, new String[]{"0", "0", EgisFingerprint.MAJOR_VERSION})) {
            this.context.registerReceiver(this.mReceiver, new IntentFilter(ModuleCommunication.FM_RADIO_TEST_ON_RESPONSE));
            StringBuilder sb2 = new StringBuilder();
            sb2.append(argu[3]);
            sb2.append((argu[3].startsWith(EgisFingerprint.MAJOR_VERSION) || !argu[3].endsWith("30")) ? "00" : "0");
            argu[3] = sb2.toString();
            mModuleCommunication.fmRadioOn(argu[3], 1);
        } else if (checkArgu(argu, new String[]{"0", EgisFingerprint.MAJOR_VERSION, "0", "0"}) || checkArgu(argu, new String[]{"0", EgisFingerprint.MAJOR_VERSION, "0"})) {
            this.context.registerReceiver(this.mReceiver, new IntentFilter(ModuleCommunication.FM_RADIO_TEST_OFF_RESPONSE));
            mModuleCommunication.fmRadioOff();
        } else if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, "0", "0"})) {
            this.context.registerReceiver(this.mReceiver, new IntentFilter("test.mode.radio.freq.response"));
            StringBuilder sb3 = new StringBuilder();
            sb3.append(argu[3]);
            sb3.append((argu[3].startsWith(EgisFingerprint.MAJOR_VERSION) || !argu[3].endsWith("30")) ? "00" : "0");
            argu[3] = sb3.toString();
            mModuleCommunication.fmRadioReadFrequencyIntensity(argu[3]);
        } else {
            resData = responseNA();
        }
        return resData;
    }
}
