package com.sec.factory.aporiented.athandler;

import android.content.Context;
import android.os.Build;
import com.sec.factory.support.FtUtil;
import egis.client.api.EgisFingerprint;

public class AtHeadinfo extends AtCommandHandler {
    private Context mContext;

    public AtHeadinfo(Context context) {
        super(context);
        this.mContext = context;
        this.CMD_NAME = "HEADINFO";
        this.CLASS_NAME = "AtHeadinfo";
        this.NUM_ARGS = 2;
    }

    @Override // com.sec.factory.aporiented.athandler.AtCommandHandler
    public synchronized String handleCommand(String[] argu) {
        String resData;
        resData = null;
        FtUtil.log_i(this.CLASS_NAME, "Read serial no", "Return serial no by FactoryApp");
        if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, "2"})) {
            String serialNo = Build.getSerial();
            if (serialNo == null || "".equals(serialNo)) {
                resData = responseNA();
            } else {
                resData = responseString(argu[0], serialNo.toString());
            }
        }
        return resData;
    }
}
