package com.sec.factory.aporiented.athandler;

import android.content.Context;
import com.sec.factory.support.FtUtil;
import com.sec.xmldata.support.Support;
import egis.client.api.EgisFingerprint;
import java.io.File;

public class AtLeaktest extends AtCommandHandler {
    public AtLeaktest(Context context) {
        super(context);
        this.CMD_NAME = "LEAKTEST";
        this.CLASS_NAME = "AtLeaktest";
        this.NUM_ARGS = 2;
    }

    @Override // com.sec.factory.aporiented.athandler.AtCommandHandler
    public synchronized String handleCommand(String[] argu) {
        String resData;
        if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, "0", "0", "0"})) {
            File dataLeakageFile = new File("data/log/LeakageCurrentData.log");
            String str = argu[0];
            resData = responseString(str, "OK," + Support.Kernel.readFromPath(dataLeakageFile.getPath(), true));
            String str2 = this.CLASS_NAME;
            String str3 = this.CMD_NAME;
            FtUtil.log_i(str2, str3, "Read Leakage current 1: " + Support.Kernel.readFromPath(dataLeakageFile.getPath(), true));
        } else if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, "0", EgisFingerprint.MAJOR_VERSION, "0"})) {
            File dataLeakageFile2 = new File("data/log/LeakageCurrent2Data.log");
            String str4 = argu[0];
            resData = responseString(str4, "OK," + Support.Kernel.readFromPath(dataLeakageFile2.getPath(), true));
            String str5 = this.CLASS_NAME;
            String str6 = this.CMD_NAME;
            FtUtil.log_i(str5, str6, "Read Leakage current 2: " + Support.Kernel.readFromPath(dataLeakageFile2.getPath(), true));
        } else if (checkArgu(argu, new String[]{"2", "0", "0"})) {
            File dataLeakageFile3 = new File("data/log/LeakageCurrentData.log");
            Support.Kernel.writeToPathNsync(dataLeakageFile3.getPath(), argu[3].replaceAll("\"", ""));
            String str7 = this.CLASS_NAME;
            String str8 = this.CMD_NAME;
            FtUtil.log_i(str7, str8, "Write Leakage current 1: " + Support.Kernel.readFromPath(dataLeakageFile3.getPath(), true));
            resData = responseOK(argu[0]);
        } else if (checkArgu(argu, new String[]{"2", "0", EgisFingerprint.MAJOR_VERSION})) {
            File dataLeakageFile4 = new File("data/log/LeakageCurrent2Data.log");
            Support.Kernel.writeToPathNsync(dataLeakageFile4.getPath(), argu[3].replaceAll("\"", ""));
            String str9 = this.CLASS_NAME;
            String str10 = this.CMD_NAME;
            FtUtil.log_i(str9, str10, "Write Leakage current 2: " + Support.Kernel.readFromPath(dataLeakageFile4.getPath(), true));
            resData = responseOK(argu[0]);
        } else {
            resData = responseNA();
        }
        return resData;
    }
}
