package com.sec.factory.app.factorytest;

import android.app.Activity;
import android.content.Context;
import android.content.Intent;
import android.hardware.Sensor;
import android.hardware.SensorEvent;
import android.hardware.SensorEventListener;
import android.hardware.SensorManager;
import android.nfc.NfcAdapter;
import android.os.Handler;
import android.os.Message;
import android.widget.Toast;
import com.qualcomm.qti.biometrics.fingerprint.QFSEvent;
import com.sec.factory.app.ui.UI3dDigitalHallIcCalTest;
import com.sec.factory.app.ui.UI3dDigitalHallIcTest;
import com.sec.factory.app.ui.UIACHMotorSound;
import com.sec.factory.app.ui.UIAFCharge;
import com.sec.factory.app.ui.UIAFCharge2Ports;
import com.sec.factory.app.ui.UIAccCover;
import com.sec.factory.app.ui.UIAccGyro;
import com.sec.factory.app.ui.UIAlwaysMicOnSoundTrigger;
import com.sec.factory.app.ui.UIBarcodeEmulator;
import com.sec.factory.app.ui.UICameraApertureTest;
import com.sec.factory.app.ui.UICameraDualFlashTest;
import com.sec.factory.app.ui.UIColourBalance;
import com.sec.factory.app.ui.UIColourBalanceReference;
import com.sec.factory.app.ui.UID2DCharge;
import com.sec.factory.app.ui.UIDTVANTDetectTest;
import com.sec.factory.app.ui.UIDigitalHallIcCalTest;
import com.sec.factory.app.ui.UIDigitizerElectric;
import com.sec.factory.app.ui.UIDirectChargeTest;
import com.sec.factory.app.ui.UIDisplayLinearTest;
import com.sec.factory.app.ui.UIDmbDetach;
import com.sec.factory.app.ui.UIDockCharge;
import com.sec.factory.app.ui.UIEchoParallelTest;
import com.sec.factory.app.ui.UIEchoParallelTestWithNoLcd;
import com.sec.factory.app.ui.UIFMIntenna;
import com.sec.factory.app.ui.UIFMIntennaManual;
import com.sec.factory.app.ui.UIFeliCa;
import com.sec.factory.app.ui.UIFolderTensionTest;
import com.sec.factory.app.ui.UIGearedMotor;
import com.sec.factory.app.ui.UIGeomagneticGyro;
import com.sec.factory.app.ui.UIGripSXDetection;
import com.sec.factory.app.ui.UIHDMINew;
import com.sec.factory.app.ui.UIHDMINew_Landscape;
import com.sec.factory.app.ui.UIHDMINew_Portrait;
import com.sec.factory.app.ui.UIHDMI_Landscape;
import com.sec.factory.app.ui.UIHDMI_Portrait;
import com.sec.factory.app.ui.UIHardKey;
import com.sec.factory.app.ui.UIHeartRateMeasure;
import com.sec.factory.app.ui.UIHrmOnce;
import com.sec.factory.app.ui.UIHrmXTalkOnce;
import com.sec.factory.app.ui.UIHrmXTalkTest;
import com.sec.factory.app.ui.UIIDDetectCheck;
import com.sec.factory.app.ui.UIIdcheckTest;
import com.sec.factory.app.ui.UIIrLedTest;
import com.sec.factory.app.ui.UIIrisProximityLight;
import com.sec.factory.app.ui.UILCDGradation120Hz;
import com.sec.factory.app.ui.UILEDCover;
import com.sec.factory.app.ui.UILEDKeyTest;
import com.sec.factory.app.ui.UILcd120Hz11HzFreqTest;
import com.sec.factory.app.ui.UILcd120Hz60HzFreqTest;
import com.sec.factory.app.ui.UILcd32Gray120HzBright0Test;
import com.sec.factory.app.ui.UILcd9Gray120HzTest;
import com.sec.factory.app.ui.UILcd9Gray60HzTest;
import com.sec.factory.app.ui.UILcd9GrayHS90HzTest;
import com.sec.factory.app.ui.UILcdBrightDottest;
import com.sec.factory.app.ui.UILcdHLPMAlphabetMain;
import com.sec.factory.app.ui.UILeakageCurrentCheck;
import com.sec.factory.app.ui.UILed_RandomTest;
import com.sec.factory.app.ui.UILightSensor;
import com.sec.factory.app.ui.UILogoLightTest;
import com.sec.factory.app.ui.UILoopBackTest;
import com.sec.factory.app.ui.UIMCPTTAccessoryTest;
import com.sec.factory.app.ui.UIMHL_Selftest;
import com.sec.factory.app.ui.UIMSTTest;
import com.sec.factory.app.ui.UIMcd;
import com.sec.factory.app.ui.UIMicGainParallelTest;
import com.sec.factory.app.ui.UIMicGainTest;
import com.sec.factory.app.ui.UIMicMuteParallelTest;
import com.sec.factory.app.ui.UIMicMuteTest;
import com.sec.factory.app.ui.UIMicroCrack;
import com.sec.factory.app.ui.UIMoodLedTest;
import com.sec.factory.app.ui.UIMotor;
import com.sec.factory.app.ui.UIMotorSound;
import com.sec.factory.app.ui.UINFC;
import com.sec.factory.app.ui.UINFC2;
import com.sec.factory.app.ui.UINfcCardMode;
import com.sec.factory.app.ui.UINfcFelicaSelfCal;
import com.sec.factory.app.ui.UINormalCharge;
import com.sec.factory.app.ui.UIOisGyro;
import com.sec.factory.app.ui.UIOisSelfTestNew;
import com.sec.factory.app.ui.UIPDTest;
import com.sec.factory.app.ui.UIPogoOTGCharge;
import com.sec.factory.app.ui.UIPogoPinTest;
import com.sec.factory.app.ui.UIProximityHoverEntry;
import com.sec.factory.app.ui.UIProximityLight;
import com.sec.factory.app.ui.UIProximitySensorTest;
import com.sec.factory.app.ui.UIQuickCharge;
import com.sec.factory.app.ui.UIRGBPEonoffTest;
import com.sec.factory.app.ui.UIRangingSensorCal;
import com.sec.factory.app.ui.UIRangingSensorTest;
import com.sec.factory.app.ui.UISPDIF;
import com.sec.factory.app.ui.UISensingOpenCheckTest;
import com.sec.factory.app.ui.UISensorHub;
import com.sec.factory.app.ui.UISimple;
import com.sec.factory.app.ui.UISlideCamTilt;
import com.sec.factory.app.ui.UISpenAccuracyTest;
import com.sec.factory.app.ui.UISpenDetectionTest;
import com.sec.factory.app.ui.UISpenKeyTest;
import com.sec.factory.app.ui.UISpenMagneticTest;
import com.sec.factory.app.ui.UISpenTypeTest;
import com.sec.factory.app.ui.UISubDisplayTest;
import com.sec.factory.app.ui.UISubLcd32Gray120HzBright0Test;
import com.sec.factory.app.ui.UISubLcd9Gray120HzTest;
import com.sec.factory.app.ui.UITSP;
import com.sec.factory.app.ui.UITSPDrawingSegmentation;
import com.sec.factory.app.ui.UITSPJitterDeltaTest;
import com.sec.factory.app.ui.UITSPJitterTest;
import com.sec.factory.app.ui.UITspColorDiffTest;
import com.sec.factory.app.ui.UIUCTTest;
import com.sec.factory.app.ui.UIUSB;
import com.sec.factory.app.ui.UIUSBGen2;
import com.sec.factory.app.ui.UIUSBOTG;
import com.sec.factory.app.ui.UIUSBTypeCTest;
import com.sec.factory.app.ui.UIWaterDetectTest;
import com.sec.factory.app.ui.UIWirelessAFCharge;
import com.sec.factory.app.ui.UIWirelessCharge;
import com.sec.factory.app.ui.UIWirelessChargeBuiltIn;
import com.sec.factory.app.ui.UIWirelessChargeNFCRead;
import com.sec.factory.app.ui.UIWirelessChargingTx;
import com.sec.factory.app.ui.UIWirelessFastCharge2;
import com.sec.factory.app.ui.UIWirelessFastCharge3;
import com.sec.factory.app.ui.UiHallICTest;
import com.sec.factory.modules.FactoryTestPhone;
import com.sec.factory.modules.ModuleTouchScreen;
import com.sec.factory.support.FtUtil;
import com.sec.xmldata.support.Support;
import egis.client.api.EgisFingerprint;
import java.io.File;
import java.util.NoSuchElementException;
import java.util.StringTokenizer;

public class FactoryTestMainOuter {
    private static final int GET_SENSORNAME = 1000;
    private static final int SPEN_BUTTON_TEST_AS_ERASER = 1;
    private static final int START_MONITORING = 0;
    private static final int STOP_MONITORING = 1;
    public static String mGripSensorName = null;
    private final String CLASS_NAME = "FactoryTestMainOuter";
    private final Handler IPCHandler;
    private final Context mContext;
    private final Handler mIntentHandler;
    private boolean mIsAtCmd = false;
    private int mTestId = -1;

    public FactoryTestMainOuter(Context context) {
        AnonymousClass1 r0 = new Handler() {
            /* class com.sec.factory.app.factorytest.FactoryTestMainOuter.AnonymousClass1 */
            byte[] mResultData;

            public void handleMessage(Message msg) {
                this.mResultData = msg.getData().getByteArray("response");
                switch (msg.what) {
                    case 1000:
                        byte[] bArr = this.mResultData;
                        if (bArr != null) {
                            FactoryTestMainOuter.mGripSensorName = FactoryTestMainOuter.this.getGripSensorName(bArr);
                            FtUtil.log_d("FactoryTestMainOuter", "MSG_GET_SENSORNAME_FROM_CP", "Grip Sensor Name : " + FactoryTestMainOuter.mGripSensorName);
                            FactoryTestManager.notifyDataSetChanged();
                            return;
                        }
                        return;
                    default:
                        return;
                }
            }
        };
        this.IPCHandler = r0;
        this.mIntentHandler = new Handler() {
            /* class com.sec.factory.app.factorytest.FactoryTestMainOuter.AnonymousClass2 */

            public void handleMessage(Message msg) {
                switch (msg.what) {
                    case 0:
                        FactoryTestMainOuter.this.mContext.sendBroadcast(new Intent("com.samsung.android.aircommandmanager.START_MONITORING"));
                        return;
                    case 1:
                        FactoryTestMainOuter.this.mContext.sendBroadcast(new Intent("com.samsung.android.aircommandmanager.STOP_MONITORING"));
                        return;
                    default:
                        return;
                }
            }
        };
        this.mContext = context;
        if (!"true".equals(Support.FactoryTestMenu.getEnable(FactoryTestManager.convertorID_XML((byte) 34)))) {
            return;
        }
        if ("CP".equalsIgnoreCase(Support.Feature.getString(Support.Feature.GRIPSENSOR_TYPE))) {
            mGripSensorName = "";
            FactoryTestPhone mFactoryPhone = new FactoryTestPhone(context, r0);
            mFactoryPhone.bindSecPhoneService();
            mFactoryPhone.sendGripControlToRil((byte) 112, (byte) 8, 1000);
            return;
        }
        mGripSensorName = Support.Kernel.read(Support.Kernel.GRIP_SENSOR_NAME);
    }

    public void setTestId(int testId) {
        this.mTestId = testId;
    }

    public void setTestMode(boolean isAtCmd) {
        this.mIsAtCmd = isAtCmd;
    }

    public void initCommonParam() {
        this.mTestId = -1;
        this.mIsAtCmd = false;
    }

    public void addCommonParam(Intent i) {
        i.putExtra("mIsAtCmd", this.mIsAtCmd);
        i.putExtra("mTestId", this.mTestId);
    }

    public void startDockCharge() {
        FtUtil.log_d("FactoryTestMainOuter", "startDockCharge", null);
        Intent i = new Intent(this.mContext, UIDockCharge.class);
        addCommonParam(i);
        ((Activity) this.mContext).startActivityForResult(i, 94);
    }

    public void startQuickCharge() {
        FtUtil.log_d("FactoryTestMainOuter", "startQuickCharge", null);
        Intent i = new Intent(this.mContext, UIQuickCharge.class);
        addCommonParam(i);
        ((Activity) this.mContext).startActivityForResult(i, 92);
    }

    public void startAFCharge() {
        FtUtil.log_d("FactoryTestMainOuter", "startAFCharge", null);
        Intent i = new Intent(this.mContext, UIAFCharge.class);
        addCommonParam(i);
        ((Activity) this.mContext).startActivityForResult(i, 99);
    }

    public void startD2DCharge() {
        FtUtil.log_d("FactoryTestMainOuter", "startD2DCharge", null);
        Intent i = new Intent(this.mContext, UID2DCharge.class);
        addCommonParam(i);
        ((Activity) this.mContext).startActivityForResult(i, 139);
    }

    public void startAFCharge2Ports() {
        FtUtil.log_d("FactoryTestMainOuter", "startAFCharge2Ports", null);
        Intent i = new Intent(this.mContext, UIAFCharge2Ports.class);
        addCommonParam(i);
        ((Activity) this.mContext).startActivity(i);
    }

    public void startWirelessChargingTx() {
        FtUtil.log_d("FactoryTestMainOuter", "startWirelessChargingTx", null);
        Intent i = new Intent(this.mContext, UIWirelessChargingTx.class);
        addCommonParam(i);
        ((Activity) this.mContext).startActivity(i);
    }

    public void startPDCharge() {
        FtUtil.log_d("FactoryTestMainOuter", "startPDCharge", null);
        Intent i = new Intent(this.mContext, UIPDTest.class);
        addCommonParam(i);
        ((Activity) this.mContext).startActivityForResult(i, 138);
    }

    public void startNormalCharge() {
        FtUtil.log_d("FactoryTestMainOuter", "startNormalCharge", null);
        Intent i = new Intent(this.mContext, UINormalCharge.class);
        addCommonParam(i);
        ((Activity) this.mContext).startActivityForResult(i, 121);
    }

    public void startSensingOpenCheckTest() {
        FtUtil.log_d("FactoryTestMainOuter", "startSensingOpenCheckTest", null);
        Intent i = new Intent(this.mContext, UISensingOpenCheckTest.class);
        addCommonParam(i);
        ((Activity) this.mContext).startActivityForResult(i, 157);
    }

    public void startDigitizerElectric() {
        FtUtil.log_d("FactoryTestMainOuter", "startDigitizerElectric", null);
        Intent i = new Intent(this.mContext, UIDigitizerElectric.class);
        i.putExtra("testId", this.mTestId);
        i.putExtra("isAtCmd", this.mIsAtCmd);
        addCommonParam(i);
        ((Activity) this.mContext).startActivityForResult(i, this.mTestId);
    }

    public void startFMRadio() {
        FtUtil.log_d("FactoryTestMainOuter", "startFMRadio", null);
        Intent i = new Intent(this.mContext, UIFMIntennaManual.class);
        addCommonParam(i);
        ((Activity) this.mContext).startActivityForResult(i, 113);
    }

    public void startChargeNFCRead() {
        FtUtil.log_d("FactoryTestMainOuter", "startChargeNFCRead", null);
        Intent i = new Intent(this.mContext, UIWirelessChargeNFCRead.class);
        addCommonParam(i);
        ((Activity) this.mContext).startActivityForResult(i, 39);
    }

    public void startGeomagneticGyro() {
        FtUtil.log_d("FactoryTestMainOuter", "startGeomagneticGyro", null);
        Intent i = new Intent(this.mContext, UIGeomagneticGyro.class);
        i.addFlags(65536);
        i.putExtra("requestCode", this.mTestId);
        addCommonParam(i);
        ((Activity) this.mContext).startActivityForResult(i, this.mTestId);
    }

    public void startIDDetectCheck() {
        FtUtil.log_d("FactoryTestMainOuter", "startIDDetectCheck", null);
        Intent i = new Intent(this.mContext, UIIDDetectCheck.class);
        i.addFlags(65536);
        addCommonParam(i);
        ((Activity) this.mContext).startActivityForResult(i, 110);
    }

    public void startGrip() {
        FtUtil.log_d("FactoryTestMainOuter", "onClick", "go to UIGripSXDetection.java");
        Intent i = new Intent(this.mContext, UIGripSXDetection.class);
        i.putExtra("itemid", this.mTestId);
        addCommonParam(i);
        ((Activity) this.mContext).startActivityForResult(i, this.mTestId);
    }

    public void startOis_new() {
        FtUtil.log_d("FactoryTestMainOuter", "startOis", "testId : " + this.mTestId);
        Intent i = new Intent(this.mContext, UIOisSelfTestNew.class);
        i.addFlags(65536);
        i.putExtra("testid", this.mTestId);
        addCommonParam(i);
        ((Activity) this.mContext).startActivityForResult(i, this.mTestId);
    }

    public void startMcdTest() {
        FtUtil.log_d("FactoryTestMainOuter", "startMcdTest", null);
        Intent i = new Intent(this.mContext, UIMcd.class);
        i.addFlags(65536);
        i.putExtra("testid", this.mTestId);
        addCommonParam(i);
        ((Activity) this.mContext).startActivityForResult(i, this.mTestId);
    }

    public void startMicroCrackTest() {
        FtUtil.log_d("FactoryTestMainOuter", "startMicroCrackTest", null);
        Intent i = new Intent(this.mContext, UIMicroCrack.class);
        i.addFlags(65536);
        i.putExtra("testid", this.mTestId);
        addCommonParam(i);
        ((Activity) this.mContext).startActivityForResult(i, this.mTestId);
    }

    public void startMSTTest() {
        FtUtil.log_d("FactoryTestMainOuter", "startMSTTest", null);
        Intent i = new Intent(this.mContext, UIMSTTest.class);
        addCommonParam(i);
        ((Activity) this.mContext).startActivityForResult(i, 116);
    }

    public void startHallIC() {
        FtUtil.log_d("FactoryTestMainOuter", "startHallIC", "test id = " + this.mTestId);
        Intent i = new Intent(this.mContext, UiHallICTest.class);
        i.putExtra("testid", this.mTestId);
        addCommonParam(i);
        ((Activity) this.mContext).startActivityForResult(i, this.mTestId);
    }

    public void startHDMI() {
        FtUtil.log_d("FactoryTestMainOuter", "startHDMI", null);
        Intent i = new Intent();
        String testCase = Support.FactoryTestMenu.getTestCase(FactoryTestManager.convertorID_XML(this.mTestId));
        if (Support.Feature.getBoolean(Support.Feature.SUPPORT_DP_PRESENTATION_TEST, false)) {
            if (testCase == null || !testCase.contains("LAND")) {
                i.setClass(this.mContext, UIHDMINew_Portrait.class);
            } else {
                i.setClass(this.mContext, UIHDMINew_Landscape.class);
            }
        } else if (testCase == null || !testCase.contains("LAND")) {
            i.setClass(this.mContext, UIHDMI_Portrait.class);
        } else {
            i.setClass(this.mContext, UIHDMI_Landscape.class);
        }
        i.putExtra(FactoryTestManager.INTENT_EXTRA_NAME_ENTER15MODE, true);
        i.putExtra("testID", this.mTestId);
        addCommonParam(i);
        ((Activity) this.mContext).startActivityForResult(i, this.mTestId);
    }

    public void startMHL() {
        FtUtil.log_d("FactoryTestMainOuter", "startMHL", null);
        Intent i = new Intent();
        addCommonParam(i);
        String testCase = Support.FactoryTestMenu.getTestCase(FactoryTestManager.convertorID_XML((byte) FactoryTestManager.TEST_MHL));
        if (testCase == null) {
            return;
        }
        if (testCase.contains("MHLVER")) {
            i.setClass(this.mContext, UIMHL_Selftest.class);
            if (testCase == null || !testCase.contains("LAND")) {
                i.putExtra(Support.TestCase.TAG, "PORT");
            } else {
                i.putExtra(Support.TestCase.TAG, "LAND");
            }
            i.addFlags(1073741824);
            ((Activity) this.mContext).startActivityForResult(i, 73);
            return;
        }
        if (Support.Feature.getBoolean(Support.Feature.SUPPORT_DP_PRESENTATION_TEST, false)) {
            i.setClass(this.mContext, UIHDMINew.class);
        } else if (testCase == null || !testCase.contains("LAND")) {
            i.setClass(this.mContext, UIHDMI_Portrait.class);
        } else {
            i.setClass(this.mContext, UIHDMI_Landscape.class);
        }
        i.putExtra("testID", 73);
        i.putExtra(FactoryTestManager.INTENT_EXTRA_NAME_ENTER15MODE, true);
        ((Activity) this.mContext).startActivityForResult(i, 73);
    }

    public void startIRLED() {
        FtUtil.log_d("FactoryTestMainOuter", "startIRLED", null);
        Intent i = new Intent(this.mContext, UIIrLedTest.class);
        addCommonParam(i);
        ((Activity) this.mContext).startActivityForResult(i, 31);
    }

    public void startKey() {
        FtUtil.log_d("FactoryTestMainOuter", "startKey", "test id = " + this.mTestId);
        Intent intent = new Intent(this.mContext, UIHardKey.class);
        intent.putExtra("requestCode", this.mTestId);
        intent.setFlags(603979776);
        addCommonParam(intent);
        ((Activity) this.mContext).startActivityForResult(intent, this.mTestId);
    }

    public void startNFC() {
        FtUtil.log_d("FactoryTestMainOuter", "startNFC", null);
        Intent i = new Intent(this.mContext, UINFC.class);
        addCommonParam(i);
        ((Activity) this.mContext).startActivityForResult(i, 9);
    }

    public void startNFCOnlyReaderMode() {
        FtUtil.log_d("FactoryTestMainOuter", "startNFC", null);
        Intent i = new Intent(this.mContext, UINFC2.class);
        i.putExtra("ID", (byte) 9);
        addCommonParam(i);
        ((Activity) this.mContext).startActivityForResult(i, 9);
    }

    public void startNFC2() {
        FtUtil.log_d("FactoryTestMainOuter", "startNFC2", null);
        Intent i = new Intent(this.mContext, UINFC2.class);
        addCommonParam(i);
        ((Activity) this.mContext).startActivityForResult(i, 61);
    }

    public boolean startNfcCardMode() {
        FtUtil.log_d("FactoryTestMainOuter", "startNfcCardMode", null);
        if (!NfcAdapter.getDefaultAdapter(this.mContext).isEnabled()) {
            FtUtil.log_w("FactoryTestMainOuter", "startNfcCardMode", "NFC Initialzing... Please retry NFC Test later");
            Toast.makeText(this.mContext, "NFC Initialzing... Please retry NFC Test later", 0).show();
            return false;
        } else if (Support.TestCase.getEnabled(Support.TestCase.NFC_CARD_MODE_UI_NOT_USE)) {
            FtUtil.log_w("FactoryTestMainOuter", "startNfcCardMode", "You don't enter into nfc card mode due to 'not_use' option.");
            return false;
        } else {
            Intent i = new Intent(this.mContext, UINfcCardMode.class);
            addCommonParam(i);
            ((Activity) this.mContext).startActivityForResult(i, 72);
            return true;
        }
    }

    public void startMicGainTest() {
        FtUtil.log_d("FactoryTestMainOuter", "startMicGainTest", null);
        Intent i = new Intent(this.mContext, UIMicGainTest.class);
        i.putExtra("requestCode", this.mTestId);
        addCommonParam(i);
        ((Activity) this.mContext).startActivityForResult(i, this.mTestId);
    }

    public void startMicGainParallelTest() {
        FtUtil.log_d("FactoryTestMainOuter", "startMicGainParallelTest", null);
        Intent i = new Intent(this.mContext, UIMicGainParallelTest.class);
        i.putExtra("requestCode", this.mTestId);
        addCommonParam(i);
        ((Activity) this.mContext).startActivityForResult(i, this.mTestId);
    }

    public void startEchoParallelTest() {
        Intent i;
        FtUtil.log_d("FactoryTestMainOuter", "startEchoParallelTest", null);
        if (!"none".equalsIgnoreCase(Support.Feature.getString(Support.Feature.LCD_TYPE))) {
            i = new Intent(this.mContext, UIEchoParallelTest.class);
        } else {
            i = new Intent(this.mContext, UIEchoParallelTestWithNoLcd.class);
        }
        i.putExtra("requestCode", this.mTestId);
        i.putExtra("isCmd", this.mIsAtCmd);
        addCommonParam(i);
        i.setFlags(603979776);
        ((Activity) this.mContext).startActivityForResult(i, FactoryTestManager.TEST_ECHO_PARALLEL);
    }

    public void startMicMuteParallelTest() {
        FtUtil.log_d("FactoryTestMainOuter", "startMicMuteParallelTest", null);
        Intent i = new Intent(this.mContext, UIMicMuteParallelTest.class);
        addCommonParam(i);
        i.setFlags(603979776);
        ((Activity) this.mContext).startActivityForResult(i, this.mTestId);
    }

    public void startMicMuteTest() {
        FtUtil.log_d("FactoryTestMainOuter", "startMicMuteTest", null);
        Intent i = new Intent(this.mContext, UIMicMuteTest.class);
        i.putExtra("requestCode", this.mTestId);
        i.putExtra("isCmd", this.mIsAtCmd);
        addCommonParam(i);
        ((Activity) this.mContext).startActivityForResult(i, FactoryTestManager.TEST_MIC_MUTE);
    }

    public void startIrisProximity() {
        FtUtil.log_d("FactoryTestMainOuter", "startIrisProximity", null);
        Intent i = new Intent(this.mContext, UIIrisProximityLight.class);
        addCommonParam(i);
        ((Activity) this.mContext).startActivityForResult(i, 177);
    }

    public void startProximityLight() {
        FtUtil.log_d("FactoryTestMainOuter", "startProximityLight", "test id = " + this.mTestId);
        Intent i = new Intent(this.mContext, UIProximityLight.class);
        i.putExtra("testID", this.mTestId);
        addCommonParam(i);
        ((Activity) this.mContext).startActivityForResult(i, this.mTestId);
    }

    public void startProximitySensorTest() {
        FtUtil.log_d("FactoryTestMainOuter", "startProximitySensorTest", "test id = " + this.mTestId);
        Intent i = new Intent(this.mContext, UIProximitySensorTest.class);
        i.putExtra("testID", this.mTestId);
        addCommonParam(i);
        ((Activity) this.mContext).startActivityForResult(i, this.mTestId);
    }

    public void startLightSensor() {
        FtUtil.log_d("FactoryTestMainOuter", "startLightSensor", "test id = " + this.mTestId);
        Intent i = new Intent(this.mContext, UILightSensor.class);
        i.putExtra("testID", this.mTestId);
        addCommonParam(i);
        ((Activity) this.mContext).startActivityForResult(i, this.mTestId);
    }

    public void startSPDIFAudioTest() {
        FtUtil.log_d("FactoryTestMainOuter", "startSPDIFAudioTest", null);
        Intent i = new Intent(this.mContext, UISPDIF.class);
        addCommonParam(i);
        ((Activity) this.mContext).startActivityForResult(i, 30);
    }

    public void startSimple() {
        FtUtil.log_d("FactoryTestMainOuter", "startSimple", null);
        Intent i = new Intent(this.mContext, UISimple.class);
        addCommonParam(i);
        ((Activity) this.mContext).startActivityForResult(i, 0);
    }

    public void startSubDisplayTest() {
        FtUtil.log_d("FactoryTestMainOuter", "startSubDisplayTest", null);
        Intent i = new Intent(this.mContext, UISubDisplayTest.class);
        addCommonParam(i);
        ((Activity) this.mContext).startActivityForResult(i, 193);
    }

    public void startLcd() {
        FtUtil.log_d("FactoryTestMainOuter", "startLcd", null);
        Intent i = new Intent(this.mContext, UISimple.class);
        i.putExtra("requestCode", this.mTestId);
        addCommonParam(i);
        ((Activity) this.mContext).startActivityForResult(i, this.mTestId);
    }

    public void startHLPMTest() {
        FtUtil.log_d("FactoryTestMainOuter", "startHLPMTest", null);
        Intent i = new Intent(this.mContext, UILcdHLPMAlphabetMain.class);
        i.putExtra("testID", this.mTestId);
        addCommonParam(i);
        ((Activity) this.mContext).startActivityForResult(i, this.mTestId);
    }

    public void startSPenDrawing() {
        FtUtil.log_d("FactoryTestMainOuter", "startSPenDrawing", "Start SPenDrawing");
        Intent i = new Intent(this.mContext, UISpenAccuracyTest.class);
        i.putExtra("isCmd", this.mIsAtCmd);
        addCommonParam(i);
        ((Activity) this.mContext).startActivityForResult(i, 26);
    }

    public void startSPenDrawing1_1() {
        FtUtil.log_d("FactoryTestMainOuter", "startSPenDrawing", "Start SPenDrawing");
        Intent i = new Intent(this.mContext, UISpenAccuracyTest.class);
        i.putExtra("isCmd", this.mIsAtCmd);
        i.putExtra("isSeparateTest", true);
        addCommonParam(i);
        ((Activity) this.mContext).startActivityForResult(i, FactoryTestManager.TEST_S_PEN_DRAWING1_1);
    }

    public void startSPenMagnetic() {
        FtUtil.log_d("FactoryTestMainOuter", "startSPenMagnetic", "Start SPenMagnetic");
        Intent i = new Intent(this.mContext, UISpenMagneticTest.class);
        i.putExtra("isCmd", this.mIsAtCmd);
        addCommonParam(i);
        ((Activity) this.mContext).startActivityForResult(i, FactoryTestManager.TEST_S_PEN_MAGNETIC);
    }

    public void startRangingSensorTest() {
        FtUtil.log_d("FactoryTestMainOuter", "startRangingSensorTest", null);
        Intent i = new Intent(this.mContext, UIRangingSensorTest.class);
        i.putExtra("testID", this.mTestId);
        addCommonParam(i);
        i.setFlags(872415232);
        ((Activity) this.mContext).startActivityForResult(i, this.mTestId);
    }

    public void startRangingSensorCal() {
        FtUtil.log_d("FactoryTestMainOuter", "startRangingSensorCal", null);
        Intent i = new Intent(this.mContext, UIRangingSensorCal.class);
        i.putExtra("testID", this.mTestId);
        addCommonParam(i);
        ((Activity) this.mContext).startActivityForResult(i, this.mTestId);
    }

    public void startSPenEraser() {
        FtUtil.log_d("FactoryTestMainOuter", "startSPenEraser", "Start SPenEraser(Eraser-Type)");
        Intent i = new Intent(this.mContext, UISpenTypeTest.class);
        i.putExtra("TYPE", 1);
        addCommonParam(i);
        ((Activity) this.mContext).startActivityForResult(i, 28);
    }

    public void startSPenDetection() {
        FtUtil.log_d("FactoryTestMainOuter", "startSPenDectection", "Start SPenDetection");
        Intent i = new Intent(this.mContext, UISpenDetectionTest.class);
        addCommonParam(i);
        ((Activity) this.mContext).startActivityForResult(i, 41);
    }

    public void startBarcodeEmulator() {
        FtUtil.log_d("FactoryTestMainOuter", "startBarcodeEmulatortestID=" + this.mTestId);
        Intent i = new Intent(this.mContext, UIBarcodeEmulator.class);
        i.putExtra("testID", this.mTestId);
        addCommonParam(i);
        ((Activity) this.mContext).startActivityForResult(i, this.mTestId);
    }

    public void startTSP() {
        FtUtil.log_d("FactoryTestMainOuter", "startTSP", "test id = " + this.mTestId);
        Intent i = new Intent(this.mContext, UITSP.class);
        i.addFlags(65536);
        i.putExtra("requestCode", this.mTestId);
        i.putExtra("isCmd", this.mIsAtCmd);
        addCommonParam(i);
        ((Activity) this.mContext).startActivityForResult(i, this.mTestId);
    }

    public void startWirelessCharge() {
        FtUtil.log_d("FactoryTestMainOuter", "startWirelessCharge", null);
        Intent i = new Intent(this.mContext, UIWirelessCharge.class);
        addCommonParam(i);
        ((Activity) this.mContext).startActivityForResult(i, 32);
    }

    public void startWirelessChargeBuiltIn() {
        FtUtil.log_d("FactoryTestMainOuter", "startWirelessChargeBuiltIn", null);
        Intent i = new Intent(this.mContext, UIWirelessChargeBuiltIn.class);
        addCommonParam(i);
        ((Activity) this.mContext).startActivityForResult(i, 117);
    }

    public void startWirelessAFCharge() {
        FtUtil.log_d("FactoryTestMainOuter", "startWirelessAFCharge", null);
        Intent i = new Intent(this.mContext, UIWirelessAFCharge.class);
        addCommonParam(i);
        ((Activity) this.mContext).startActivityForResult(i, 123);
    }

    public void startWirelessFastCharge2() {
        FtUtil.log_d("FactoryTestMainOuter", "startWirelessFastCharge2", null);
        Intent i = new Intent(this.mContext, UIWirelessFastCharge2.class);
        addCommonParam(i);
        ((Activity) this.mContext).startActivityForResult(i, FactoryTestManager.TEST_WIRELESS_FAST_CHARGE_2);
    }

    public void startWirelessFastCharge3() {
        FtUtil.log_d("FactoryTestMainOuter", "startWirelessFastCharge3", null);
        Intent i = new Intent(this.mContext, UIWirelessFastCharge3.class);
        addCommonParam(i);
        ((Activity) this.mContext).startActivityForResult(i, 216);
    }

    public void startFeliCa() {
        FtUtil.log_d("FactoryTestMainOuter", "startFeliCa", null);
        Intent i = new Intent(this.mContext, UIFeliCa.class);
        addCommonParam(i);
        ((Activity) this.mContext).startActivityForResult(i, 40);
    }

    public void startProximityHoverTest() {
        FtUtil.log_d("FactoryTestMainOuter", "startProximityHoverTest", "skipSelftest : " + this.mIsAtCmd);
        Intent i = new Intent(this.mContext, UIProximityHoverEntry.class);
        boolean z = this.mIsAtCmd;
        if (z) {
            i.putExtra("skipSelftest", z);
        }
        addCommonParam(i);
        ((Activity) this.mContext).startActivityForResult(i, 198);
    }

    public void startSensorHub() {
        FtUtil.log_d("FactoryTestMainOuter", "startSensorHub", null);
        Intent i = new Intent(this.mContext, UISensorHub.class);
        addCommonParam(i);
        ((Activity) this.mContext).startActivityForResult(i, 49);
    }

    public void startDmbDetach() {
        FtUtil.log_d("FactoryTestMainOuter", "startDMB_DETACH", null);
        Intent i = new Intent(this.mContext, UIDmbDetach.class);
        addCommonParam(i);
        ((Activity) this.mContext).startActivityForResult(i, 52);
    }

    public void startFMIntennaTest() {
        FtUtil.log_d("FactoryTestMainOuter", "startFMIntennaTest", null);
        Intent i = new Intent(this.mContext, UIFMIntenna.class);
        addCommonParam(i);
        ((Activity) this.mContext).startActivityForResult(i, 51);
    }

    public void startUSB() {
        FtUtil.log_d("FactoryTestMainOuter", "startUSB", null);
        Intent i = new Intent(this.mContext, UIUSB.class);
        addCommonParam(i);
        ((Activity) this.mContext).startActivity(i);
    }

    public void startUSBTypeC() {
        FtUtil.log_d("FactoryTestMainOuter", "startUSBTypeC", null);
        Intent i = new Intent(this.mContext, UIUSBTypeCTest.class);
        addCommonParam(i);
        ((Activity) this.mContext).startActivity(i);
    }

    public void startUSBOTG() {
        FtUtil.log_d("FactoryTestMainOuter", "startUSBOTG", null);
        Intent i = new Intent(this.mContext, UIUSBOTG.class);
        addCommonParam(i);
        ((Activity) this.mContext).startActivity(i);
    }

    public void startMotorSound() {
        FtUtil.log_d("FactoryTestMainOuter", "startMotorSound", null);
        Intent i = new Intent(this.mContext, UIMotorSound.class);
        addCommonParam(i);
        ((Activity) this.mContext).startActivityForResult(i, 130);
    }

    public void startACHMotorSound() {
        FtUtil.log_d("FactoryTestMainOuter", "startACHMotorSound", null);
        Intent i = new Intent(this.mContext, UIACHMotorSound.class);
        addCommonParam(i);
        ((Activity) this.mContext).startActivityForResult(i, FactoryTestManager.TEST_ACH_MOTOR_SOUND);
    }

    public void startCameraAperture() {
        FtUtil.log_d("FactoryTestMainOuter", "startCameraAperture", null);
        Intent i = new Intent(this.mContext, UICameraApertureTest.class);
        addCommonParam(i);
        ((Activity) this.mContext).startActivity(i);
    }

    public void startCameraDualFlash() {
        FtUtil.log_d("FactoryTestMainOuter", "startCameraDualFlash", null);
        Intent i = new Intent(this.mContext, UICameraDualFlashTest.class);
        addCommonParam(i);
        ((Activity) this.mContext).startActivity(i);
    }

    public void startQRtest() {
        FtUtil.log_d("FactoryTestMainOuter", "startQRtest", null);
        Intent i = new Intent(this.mContext, UISimple.class);
        i.putExtra("requestCode", FactoryTestManager.TEST_QR);
        i.setFlags(QFSEvent.QUALITY_PARTIAL_TOUCH);
        addCommonParam(i);
        ((Activity) this.mContext).startActivityForResult(i, 63);
    }

    public void startSPenKey() {
        FtUtil.log_d("FactoryTestMainOuter", "startSPenKey", "Start SPenKey");
        Intent i = new Intent(this.mContext, UISpenKeyTest.class);
        i.setFlags(603979776);
        addCommonParam(i);
        ((Activity) this.mContext).startActivityForResult(i, 64);
    }

    public void startAlwaysMicOn() {
        String testCase = Support.FactoryTestMenu.getTestCase(FactoryTestManager.convertorID_XML(this.mTestId));
        String audioPath = Support.FactoryTestMenu.getAudioPath(FactoryTestManager.convertorID_XML(this.mTestId));
        FtUtil.log_d("FactoryTestMainOuter", "startAlwaysMicOn", "testCase : " + testCase + ", audioPath : " + audioPath);
        Intent i = new Intent(this.mContext, UIAlwaysMicOnSoundTrigger.class);
        i.putExtra("testCase", testCase);
        i.putExtra("testID", this.mTestId);
        i.putExtra("audioPath", audioPath);
        addCommonParam(i);
        ((Activity) this.mContext).startActivityForResult(i, this.mTestId);
    }

    public void startIDCheck() {
        FtUtil.log_d("FactoryTestMainOuter", "startIDCheck", null);
        Intent i = new Intent(this.mContext, UIIdcheckTest.class);
        i.putExtra("testID", this.mTestId);
        addCommonParam(i);
        ((Activity) this.mContext).startActivityForResult(i, this.mTestId);
    }

    public void startLEDCover() {
        FtUtil.log_d("FactoryTestMainOuter", "startLedCover", null);
        Intent i = new Intent(this.mContext, UILEDCover.class);
        addCommonParam(i);
        ((Activity) this.mContext).startActivityForResult(i, 148);
    }

    public void startLoopBackTest() {
        FtUtil.log_d("FactoryTestMainOuter", "startLoopBackTest", "testID=" + this.mTestId);
        Intent i = new Intent(this.mContext, UILoopBackTest.class);
        i.putExtra("testID", this.mTestId);
        addCommonParam(i);
        ((Activity) this.mContext).startActivityForResult(i, this.mTestId);
    }

    public void startHRMTest(boolean autoStart) {
        Intent i;
        FtUtil.log_d("FactoryTestMainOuter", "startHRMTest", null);
        if (Support.Feature.getBoolean(Support.Feature.SUPPORT_HRM_CONCEPT_ONCE)) {
            i = new Intent(this.mContext, UIHrmOnce.class);
        } else {
            i = new Intent(this.mContext, UIHeartRateMeasure.class);
        }
        i.putExtra("testID", this.mTestId);
        i.putExtra("isAutoStart", autoStart);
        addCommonParam(i);
        ((Activity) this.mContext).startActivityForResult(i, this.mTestId);
    }

    public void startLeakageCurrentCheck() {
        FtUtil.log_d("FactoryTestMainOuter", "startLeakageCurrentCheck", "testID=" + this.mTestId);
        Intent i = new Intent(this.mContext, UILeakageCurrentCheck.class);
        i.putExtra("testID", this.mTestId);
        addCommonParam(i);
        ((Activity) this.mContext).startActivityForResult(i, this.mTestId);
    }

    public void startOisGyroTest() {
        FtUtil.log_d("FactoryTestMainOuter", "startOisGyroTest", null);
        Intent i = new Intent(this.mContext, UIOisGyro.class);
        i.putExtra("testID", this.mTestId);
        addCommonParam(i);
        ((Activity) this.mContext).startActivityForResult(i, this.mTestId);
    }

    public void startMotorTest() {
        FtUtil.log_d("FactoryTestMainOuter", "startMotorTest", null);
        Intent i = new Intent(this.mContext, UIMotor.class);
        i.putExtra("testID", this.mTestId);
        addCommonParam(i);
        ((Activity) this.mContext).startActivityForResult(i, this.mTestId);
    }

    public void startTSPDrawingSegmentation() {
        FtUtil.log_d("FactoryTestMainOuter", "startTSPDrawingSegmentation");
        Intent i = new Intent(this.mContext, UITSPDrawingSegmentation.class);
        i.addFlags(65536);
        i.putExtra("requestCode", this.mTestId);
        addCommonParam(i);
        ((Activity) this.mContext).startActivityForResult(i, this.mTestId);
    }

    public void startAccCoverTest() {
        FtUtil.log_d("FactoryTestMainOuter", "startAccCoverTest", null);
        Intent i = new Intent(this.mContext, UIAccCover.class);
        i.putExtra("testID", this.mTestId);
        addCommonParam(i);
        ((Activity) this.mContext).startActivityForResult(i, this.mTestId);
    }

    public void startSvcLedRandomTest() {
        FtUtil.log_d("FactoryTestMainOuter", "startSvcLedRandomTesttestID=" + this.mTestId);
        Intent i = new Intent(this.mContext, UILed_RandomTest.class);
        i.putExtra("testID", this.mTestId);
        addCommonParam(i);
        ((Activity) this.mContext).startActivityForResult(i, this.mTestId);
    }

    public void startMoodLedTest() {
        FtUtil.log_d("FactoryTestMainOuter", "startMoodLedRandomTesttestID=" + this.mTestId);
        Intent i = new Intent(this.mContext, UIMoodLedTest.class);
        i.putExtra("testID", this.mTestId);
        addCommonParam(i);
        ((Activity) this.mContext).startActivityForResult(i, this.mTestId);
    }

    public void startColourBalanceTest() {
        FtUtil.log_d("FactoryTestMainOuter", "startColourBalanceTest", null);
        Intent i = new Intent(this.mContext, UIColourBalance.class);
        i.putExtra("testid", this.mTestId);
        addCommonParam(i);
        ((Activity) this.mContext).startActivityForResult(i, this.mTestId);
    }

    public void startColourBalanceTestReference() {
        FtUtil.log_d("FactoryTestMainOuter", "startColourBalanceTestReference", null);
        Intent i = new Intent(this.mContext, UIColourBalanceReference.class);
        addCommonParam(i);
        ((Activity) this.mContext).startActivity(i);
    }

    public void startPogoPinTest() {
        FtUtil.log_d("FactoryTestMainOuter", "startPogoPinTest", null);
        Intent i = new Intent(this.mContext, UIPogoPinTest.class);
        addCommonParam(i);
        ((Activity) this.mContext).startActivityForResult(i, 158);
    }

    public void startPogoOTGChargeTest() {
        FtUtil.log_d("FactoryTestMainOuter", "startPogoOTGChargeTest", null);
        Intent i = new Intent(this.mContext, UIPogoOTGCharge.class);
        addCommonParam(i);
        ((Activity) this.mContext).startActivityForResult(i, 167);
    }

    public void startHrmXTalkTest() {
        Intent i;
        FtUtil.log_d("FactoryTestMainOuter", "startHrmXTalkTest", null);
        if (Support.Feature.getBoolean(Support.Feature.SUPPORT_HRM_CONCEPT_ONCE)) {
            i = new Intent(this.mContext, UIHrmXTalkOnce.class);
        } else {
            i = new Intent(this.mContext, UIHrmXTalkTest.class);
        }
        addCommonParam(i);
        ((Activity) this.mContext).startActivityForResult(i, 162);
    }

    public void startUSBGen2Test() {
        FtUtil.log_d("FactoryTestMainOuter", "startUSBGen2Test", null);
        Intent i = new Intent(this.mContext, UIUSBGen2.class);
        addCommonParam(i);
        ((Activity) this.mContext).startActivityForResult(i, 183);
    }

    public void startAccGyroTest() {
        FtUtil.log_d("FactoryTestMainOuter", "startAccGyroTest", null);
        Intent i = new Intent(this.mContext, UIAccGyro.class);
        i.putExtra("testid", this.mTestId);
        addCommonParam(i);
        ((Activity) this.mContext).startActivityForResult(i, this.mTestId);
    }

    public void startDirectChargeTest() {
        FtUtil.log_d("FactoryTestMainOuter", "startDirectChargeTest", null);
        Intent i = new Intent(this.mContext, UIDirectChargeTest.class);
        i.putExtra("testid", this.mTestId);
        addCommonParam(i);
        ((Activity) this.mContext).startActivityForResult(i, this.mTestId);
    }

    public void startLogoLightTest() {
        FtUtil.log_d("FactoryTestMainOuter", "startLogoLightTest", null);
        Intent i = new Intent(this.mContext, UILogoLightTest.class);
        addCommonParam(i);
        ((Activity) this.mContext).startActivityForResult(i, 202);
    }

    public void startUCTTest() {
        FtUtil.log_d("FactoryTestMainOuter", "startUCTTest", null);
        Intent i = new Intent(this.mContext, UIUCTTest.class);
        addCommonParam(i);
        ((Activity) this.mContext).startActivityForResult(i, this.mTestId);
    }

    public void startWaterINTTest() {
        FtUtil.log_d("FactoryTestMainOuter", "startWaterINTTest", null);
        Intent i = new Intent(this.mContext, UIWaterDetectTest.class);
        addCommonParam(i);
        ((Activity) this.mContext).startActivityForResult(i, this.mTestId);
    }

    public void startDigitalHallIcCalTest() {
        FtUtil.log_d("FactoryTestMainOuter", "startDigitalHallIcCalTest", "test id = " + this.mTestId);
        Intent i = new Intent(this.mContext, UIDigitalHallIcCalTest.class);
        i.putExtra("testid", this.mTestId);
        addCommonParam(i);
        ((Activity) this.mContext).startActivityForResult(i, this.mTestId);
    }

    public void startGearedMotor() {
        FtUtil.log_d("FactoryTestMainOuter", "startGearedMotor", "test id = " + this.mTestId);
        Intent i = new Intent(this.mContext, UIGearedMotor.class);
        i.putExtra("testid", this.mTestId);
        addCommonParam(i);
        ((Activity) this.mContext).startActivityForResult(i, this.mTestId);
    }

    public void startDTVANTDetectTest() {
        FtUtil.log_d("FactoryTestMainOuter", "startDTVANTDetectTest", "test id = " + this.mTestId);
        Intent i = new Intent(this.mContext, UIDTVANTDetectTest.class);
        i.putExtra("testid", this.mTestId);
        addCommonParam(i);
        ((Activity) this.mContext).startActivityForResult(i, this.mTestId);
    }

    public void startTspJitterTest() {
        FtUtil.log_d("FactoryTestMainOuter", "startTspJitterTest", "");
        Intent i = new Intent(this.mContext, UITSPJitterTest.class);
        i.putExtra("testid", this.mTestId);
        addCommonParam(i);
        ((Activity) this.mContext).startActivityForResult(i, this.mTestId);
    }

    public void startTspJitterDeltaTest() {
        FtUtil.log_d("FactoryTestMainOuter", "startTspJitterDeltaTest", "");
        Intent i = new Intent(this.mContext, UITSPJitterDeltaTest.class);
        i.putExtra("testid", this.mTestId);
        addCommonParam(i);
        ((Activity) this.mContext).startActivityForResult(i, this.mTestId);
    }

    public void startMCPTTAccessoryTest() {
        FtUtil.log_d("FactoryTestMainOuter", "startMCPTTAccessoryTest", "");
        Intent i = new Intent(this.mContext, UIMCPTTAccessoryTest.class);
        i.putExtra("testid", this.mTestId);
        addCommonParam(i);
        ((Activity) this.mContext).startActivityForResult(i, this.mTestId);
    }

    public void startSlideCamTiltTest() {
        FtUtil.log_d("FactoryTestMainOuter", "startSlideCamTiltTest", "test id = " + this.mTestId);
        Intent i = new Intent(this.mContext, UISlideCamTilt.class);
        i.putExtra("testid", this.mTestId);
        addCommonParam(i);
        ((Activity) this.mContext).startActivityForResult(i, this.mTestId);
    }

    public void start3dDigitalHallIcCalTest() {
        FtUtil.log_d("FactoryTestMainOuter", "start3dDigitalHallIcCalTest", "test id = " + this.mTestId);
        Intent i = new Intent(this.mContext, UI3dDigitalHallIcCalTest.class);
        i.addFlags(1073741824);
        i.putExtra("testid", this.mTestId);
        addCommonParam(i);
        ((Activity) this.mContext).startActivityForResult(i, this.mTestId);
    }

    public void start3dDigitalHallIcTest() {
        FtUtil.log_d("FactoryTestMainOuter", "start3dDigitalHallIcTest", "test id = " + this.mTestId);
        Intent i = new Intent(this.mContext, UI3dDigitalHallIcTest.class);
        i.addFlags(1073741824);
        i.putExtra("testid", this.mTestId);
        addCommonParam(i);
        ((Activity) this.mContext).startActivityForResult(i, this.mTestId);
    }

    public void startLcdGradation120HzTest() {
        FtUtil.log_d("FactoryTestMainOuter", "startLcdGradation120HzTest", "test id = " + this.mTestId);
        Intent i = new Intent(this.mContext, UILCDGradation120Hz.class);
        i.putExtra("testid", this.mTestId);
        addCommonParam(i);
        ((Activity) this.mContext).startActivityForResult(i, this.mTestId);
    }

    public void startFolderTensionTest() {
        FtUtil.log_d("FactoryTestMainOuter", "startFolderTensionTest", "test id = " + this.mTestId);
        Intent i = new Intent(this.mContext, UIFolderTensionTest.class);
        i.putExtra("testid", this.mTestId);
        addCommonParam(i);
        ((Activity) this.mContext).startActivityForResult(i, this.mTestId);
    }

    public void startLcd9Gray120HzTest() {
        FtUtil.log_d("FactoryTestMainOuter", "startLcd9Gray120HzTest", "test id = " + this.mTestId);
        Intent i = new Intent(this.mContext, UILcd9Gray120HzTest.class);
        i.putExtra("testid", this.mTestId);
        addCommonParam(i);
        ((Activity) this.mContext).startActivityForResult(i, this.mTestId);
    }

    public void startLcd120Hz11HzFreqTest() {
        FtUtil.log_d("FactoryTestMainOuter", "startLcd120Hz11HzFreqTest", "test id = " + this.mTestId);
        Intent i = new Intent(this.mContext, UILcd120Hz11HzFreqTest.class);
        i.putExtra("testid", this.mTestId);
        addCommonParam(i);
        ((Activity) this.mContext).startActivityForResult(i, this.mTestId);
    }

    public void startLcd120Hz60HzFreqTest() {
        FtUtil.log_d("FactoryTestMainOuter", "startLcd120Hz60HzFreqTest", "test id = " + this.mTestId);
        Intent i = new Intent(this.mContext, UILcd120Hz60HzFreqTest.class);
        i.putExtra("testid", this.mTestId);
        addCommonParam(i);
        ((Activity) this.mContext).startActivityForResult(i, this.mTestId);
    }

    public void startLcd9Gray60HzTest() {
        FtUtil.log_d("FactoryTestMainOuter", "startLcd9Gray60HzTest", "test id = " + this.mTestId);
        Intent i = new Intent(this.mContext, UILcd9Gray60HzTest.class);
        i.putExtra("testid", this.mTestId);
        addCommonParam(i);
        ((Activity) this.mContext).startActivityForResult(i, this.mTestId);
    }

    public void startLcdBrightDotTest() {
        FtUtil.log_d("FactoryTestMainOuter", "startLcdBrightDotTest", "test id = " + this.mTestId);
        Intent i = new Intent(this.mContext, UILcdBrightDottest.class);
        i.putExtra("testid", this.mTestId);
        addCommonParam(i);
        ((Activity) this.mContext).startActivityForResult(i, this.mTestId);
    }

    public void startRGBPEonoffTest() {
        FtUtil.log_d("FactoryTestMainOuter", "startRGBPEonoffTest", "test id = " + this.mTestId);
        Intent i = new Intent(this.mContext, UIRGBPEonoffTest.class);
        addCommonParam(i);
        ((Activity) this.mContext).startActivityForResult(i, this.mTestId);
    }

    public void startLcd32Gray120HzBright0Test() {
        FtUtil.log_d("FactoryTestMainOuter", "startLcd32Gray120HzBright0Test", "test id = " + this.mTestId);
        Intent i = new Intent(this.mContext, UILcd32Gray120HzBright0Test.class);
        addCommonParam(i);
        ((Activity) this.mContext).startActivityForResult(i, this.mTestId);
    }

    public void startLcd9GrayHS90HzTest() {
        FtUtil.log_d("FactoryTestMainOuter", "startLcd9GrayHS90HzTest", "test id = " + this.mTestId);
        Intent i = new Intent(this.mContext, UILcd9GrayHS90HzTest.class);
        i.putExtra("testid", this.mTestId);
        addCommonParam(i);
        ((Activity) this.mContext).startActivityForResult(i, this.mTestId);
    }

    public void startDisplayLinearTest() {
        FtUtil.log_d("FactoryTestMainOuter", "startDisplayLinearTest", "test id = " + this.mTestId);
        Intent i = new Intent(this.mContext, UIDisplayLinearTest.class);
        i.putExtra("testid", this.mTestId);
        addCommonParam(i);
        ((Activity) this.mContext).startActivityForResult(i, this.mTestId);
    }

    public void startSubLcd9Gray120HzTest() {
        FtUtil.log_d("FactoryTestMainOuter", "startSubLcd9Gray120HzTest", "test id = " + this.mTestId);
        Intent i = new Intent(this.mContext, UISubLcd9Gray120HzTest.class);
        i.putExtra("testid", this.mTestId);
        addCommonParam(i);
        ((Activity) this.mContext).startActivityForResult(i, this.mTestId);
    }

    public void startSubLcd32Gray120HzBright0Test() {
        FtUtil.log_d("FactoryTestMainOuter", "startSubLcd32Gray120HzBright0Test", "test id = " + this.mTestId);
        Intent i = new Intent(this.mContext, UISubLcd32Gray120HzBright0Test.class);
        i.putExtra("testid", this.mTestId);
        addCommonParam(i);
        ((Activity) this.mContext).startActivityForResult(i, this.mTestId);
    }

    public void startDMB1() {
        FtUtil.log_d("FactoryTestMainOuter", "startDMB1", null);
        Intent i = new Intent("com.sec.factory.action.DMB_SELFTEST");
        i.putExtra("STARTMODE", "FactoryTest");
        addCommonParam(i);
        ((Activity) this.mContext).startActivityForResult(i, 7);
    }

    public void startDMB2() {
        FtUtil.log_d("FactoryTestMainOuter", "startDMB2", null);
        int PASS_RSSI = -85;
        int PASS_BER = 500;
        StringTokenizer st = new StringTokenizer(Support.FactoryTestMenu.getExtra(FactoryTestManager.convertorID_XML((byte) 8)), "||");
        try {
            String rssiStr = st.nextToken();
            PASS_RSSI = Integer.parseInt(rssiStr.substring(rssiStr.lastIndexOf("=") + 1));
        } catch (NoSuchElementException e) {
            e.printStackTrace();
        }
        try {
            String berStr = st.nextToken();
            PASS_BER = Integer.parseInt(berStr.substring(berStr.lastIndexOf("=") + 1));
        } catch (NoSuchElementException e2) {
            e2.printStackTrace();
        }
        FtUtil.log_d("FactoryTestMainOuter", "startDMB2", "PASS_RSSI Spec = " + PASS_RSSI + "PASS_BER Spec = " + PASS_BER);
        Intent i = new Intent();
        i.setClassName("com.samsung.sec.mtv", "com.samsung.sec.mtv.ui.TestMode.MtvUiTestMode");
        i.putExtra("fromFactoryTest", true);
        i.putExtra("PASS_RSSI", PASS_RSSI);
        i.putExtra("PASS_BER", PASS_BER);
        i.putExtra("AntennaType", "ExternalAntenna");
        addCommonParam(i);
        ((Activity) this.mContext).startActivityForResult(i, 8);
    }

    public void startDMB3() {
        FtUtil.log_d("FactoryTestMainOuter", "startDMB3", null);
        Intent i = new Intent();
        StringTokenizer st = new StringTokenizer(Support.FactoryTestMenu.getExtra(FactoryTestManager.convertorID_XML((byte) FactoryTestManager.TEST_DMB3)), "||");
        try {
            String rssiStr = st.nextToken();
            int PASS_RSSI = Integer.parseInt(rssiStr.substring(rssiStr.lastIndexOf("=") + 1));
            i.putExtra("PASS_RSSI", PASS_RSSI);
            FtUtil.log_d("FactoryTestMainOuter", "startDMB3", "PASS_RSSI Spec = " + PASS_RSSI);
        } catch (NoSuchElementException e) {
            e.printStackTrace();
        }
        try {
            String berStr = st.nextToken();
            int PASS_BER = Integer.parseInt(berStr.substring(berStr.lastIndexOf("=") + 1));
            i.putExtra("PASS_BER", PASS_BER);
            FtUtil.log_d("FactoryTestMainOuter", "startDMB3", "PASS_BER Spec = " + PASS_BER);
        } catch (NoSuchElementException e2) {
            e2.printStackTrace();
        }
        i.setClassName("com.samsung.mobiletv", "com.samsung.mobiletv.testmode.MtvUiTestMode");
        i.putExtra("fromFactoryTest", true);
        addCommonParam(i);
        ((Activity) this.mContext).startActivityForResult(i, 54);
    }

    public void startDMB4() {
        FtUtil.log_d("FactoryTestMainOuter", "startDMB4", null);
        Intent i = new Intent();
        i.setClassName("com.samsung.sec.mtv", "com.samsung.sec.mtv.ui.TestMode.MtvUiTestMode");
        i.putExtra("fromFactoryTest", true);
        i.putExtra("AntennaType", "USBAntenna");
        addCommonParam(i);
        ((Activity) this.mContext).startActivityForResult(i, 62);
    }

    public void startDMB5() {
        FtUtil.log_d("FactoryTestMainOuter", "startDMB5", null);
        Intent i = new Intent("com.samsung.sec.tmm.ACTION_TMM_TEST_SERVICE");
        i.putExtra("fromFactoryTest", true);
        addCommonParam(i);
        ((Activity) this.mContext).startService(i);
    }

    public void stopDMB5() {
        FtUtil.log_d("FactoryTestMainOuter", "stopDMB5", null);
        Intent i = new Intent("com.samsung.sec.tmm.ACTION_TMM_TEST_SERVICE");
        addCommonParam(i);
        ((Activity) this.mContext).stopService(i);
    }

    public void startGripAntenna() {
        FtUtil.log_d("FactoryTestMainOuter", "onClick", "go to AntennaGrip");
        Intent i = new Intent();
        i.setClassName("com.sec.factory.antenna", "com.sec.factory.antenna.AntennaSelfCal");
        i.putExtra("itemid", this.mTestId);
        addCommonParam(i);
        ((Activity) this.mContext).startActivityForResult(i, this.mTestId);
    }

    public void startEchoTest() {
        FtUtil.log_d("FactoryTestMainOuter", "startEchoTest", "test id = " + this.mTestId);
        Intent intent = new Intent();
        intent.setClassName("com.sec.factory", "com.sec.factory.app.ui.UIEchoTest");
        addCommonParam(intent);
        intent.setFlags(603979776);
        ((Activity) this.mContext).startActivityForResult(intent, this.mTestId);
    }

    public void startMicDiffTest() {
        FtUtil.log_d("FactoryTestMainOuter", "startMicDiffTest", "test id = " + this.mTestId);
        Intent intent = new Intent();
        intent.setClassName("com.sec.factory", "com.sec.factory.app.ui.UIMicDiff");
        intent.putExtra("requestCode", this.mTestId);
        intent.putExtra("isCmd", this.mIsAtCmd);
        addCommonParam(intent);
        intent.setFlags(603979776);
        ((Activity) this.mContext).startActivityForResult(intent, this.mTestId);
    }

    public void startVGLTest() {
        FtUtil.log_d("FactoryTestMainOuter", "startVGLTest", "test id = " + this.mTestId);
        Intent intent = new Intent();
        intent.setClassName("com.sec.factory", "com.sec.factory.app.ui.UIVGLTest");
        intent.putExtra("requestCode", this.mTestId);
        addCommonParam(intent);
        intent.setFlags(603979776);
        ((Activity) this.mContext).startActivityForResult(intent, this.mTestId);
    }

    public void startFlickSensorTest() {
        FtUtil.log_d("FactoryTestMainOuter", "startFlickSensorTest", "test id = " + this.mTestId);
        Intent intent = new Intent();
        intent.setClassName("com.sec.factory", "com.sec.factory.app.ui.UIFlickerSensor");
        intent.putExtra("requestCode", this.mTestId);
        addCommonParam(intent);
        if (Support.Feature.getBoolean(Support.Feature.IS_FLICKER_SENSOR_EOL_MODE_USE_FLASH)) {
            intent.putExtra("mode", 100);
        } else {
            intent.putExtra("mode", 1);
        }
        intent.setFlags(603979776);
        ((Activity) this.mContext).startActivityForResult(intent, this.mTestId);
    }

    public void startCaptureTest(String arg1) {
        FtUtil.log_d("FactoryTestMainOuter", "startCaptureTest", "test id = " + this.mTestId);
        ((Activity) this.mContext).sendBroadcast(new Intent("com.samsung.android.aircommandmanager.STOP_MONITORING"));
        Intent i = new Intent();
        i.setClassName("com.sec.factory.camera", "com.sec.android.app.camera.CameraTestActivity");
        i.putExtra("testtype", Support.HwTestMenu.LCD_TEST_GRIP);
        i.putExtra("arg1", arg1);
        addCommonParam(i);
        ((Activity) this.mContext).startActivityForResult(i, this.mTestId);
    }

    public void startAFCodeTest() {
        FtUtil.log_d("FactoryTestMainOuter", "startAFCodeTest", null);
        ((Activity) this.mContext).sendBroadcast(new Intent("com.samsung.android.aircommandmanager.STOP_MONITORING"));
        Intent i = new Intent();
        i.setClassName("com.sec.factory.camera", "com.sec.android.app.camera.CameraTestActivity");
        i.putExtra("testtype", Support.HwTestMenu.LCD_TEST_GRIP);
        i.putExtra("arg1", "afcode");
        addCommonParam(i);
        ((Activity) this.mContext).startActivityForResult(i, 175);
    }

    public void startRecordTest() {
        FtUtil.log_d("FactoryTestMainOuter", "startRecordTest", null);
        ((Activity) this.mContext).sendBroadcast(new Intent("com.samsung.android.aircommandmanager.STOP_MONITORING"));
        Intent i = new Intent();
        i.setClassName("com.sec.factory.camera", "com.sec.android.app.camera.CameraTestActivity");
        i.putExtra("testtype", Support.HwTestMenu.LCD_TEST_GRIP);
        i.putExtra("arg1", "recording");
        addCommonParam(i);
        ((Activity) this.mContext).startActivityForResult(i, 84);
    }

    public void startTofCameraTest() {
        FtUtil.log_d("FactoryTestMainOuter", "startTofCameraTest", "testId=" + this.mTestId);
        ((Activity) this.mContext).sendBroadcast(new Intent("com.samsung.android.aircommandmanager.STOP_MONITORING"));
        Intent i = new Intent();
        i.setClassName("com.sec.factory.camera", "com.sec.android.app.camera.CameraTestActivity");
        i.putExtra("testtype", Support.HwTestMenu.LCD_TEST_GRIP);
        int i2 = this.mTestId;
        if (i2 == 200) {
            i.putExtra("arg1", "tof_rear");
        } else if (i2 == 206) {
            i.putExtra("arg1", "tof_front");
        }
        addCommonParam(i);
        ((Activity) this.mContext).startActivityForResult(i, this.mTestId);
    }

    public void startMacroCameraCaptureTest(int testId) {
        FtUtil.log_d("FactoryTestMainOuter", "startMacroCameraCaptureTest", "test id = " + testId);
        ((Activity) this.mContext).sendBroadcast(new Intent("com.samsung.android.aircommandmanager.STOP_MONITORING"));
        Intent i = new Intent();
        i.setClassName("com.sec.factory.camera", "com.sec.android.app.camera.CameraTestActivity");
        i.putExtra("testtype", Support.HwTestMenu.LCD_TEST_GRIP);
        i.putExtra("arg1", "capture_macro");
        addCommonParam(i);
        ((Activity) this.mContext).startActivityForResult(i, testId);
    }

    public void startUDCCaptureTest(int testId) {
        FtUtil.log_d("FactoryTestMainOuter", "startUDCCaptureTest", "test id = " + testId);
        ((Activity) this.mContext).sendBroadcast(new Intent("com.samsung.android.aircommandmanager.STOP_MONITORING"));
        Intent i = new Intent();
        i.setClassName("com.sec.factory.camera", "com.sec.android.app.camera.CameraTestActivity");
        i.putExtra("testtype", Support.HwTestMenu.LCD_TEST_GRIP);
        i.putExtra("arg1", "capture_udc");
        addCommonParam(i);
        ((Activity) this.mContext).startActivityForResult(i, testId);
    }

    public void startRearCameraMultiCal(int testId) {
        FtUtil.log_d("FactoryTestMainOuter", "startRearCameraMultiCal", "test id = " + testId);
        ((Activity) this.mContext).sendBroadcast(new Intent("com.samsung.android.aircommandmanager.STOP_MONITORING"));
        Intent i = new Intent();
        i.setClassName("com.sec.factory.camera", "com.sec.android.app.camera.CameraTestActivity");
        i.putExtra("testtype", Support.HwTestMenu.LCD_TEST_GRIP);
        i.putExtra("arg1", "multical");
        addCommonParam(i);
        ((Activity) this.mContext).startActivityForResult(i, testId);
    }

    public void startFoldedTeleCameraCaptureTest(int testId) {
        FtUtil.log_d("FactoryTestMainOuter", "startFoldedTeleCameraCaptureTest", "test id = " + testId);
        ((Activity) this.mContext).sendBroadcast(new Intent("com.samsung.android.aircommandmanager.STOP_MONITORING"));
        Intent i = new Intent();
        i.setClassName("com.sec.factory.camera", "com.sec.android.app.camera.CameraTestActivity");
        i.putExtra("testtype", Support.HwTestMenu.LCD_TEST_GRIP);
        i.putExtra("arg1", "capture_tele");
        addCommonParam(i);
        ((Activity) this.mContext).startActivityForResult(i, testId);
    }

    public void startTSPSelftest() {
        FtUtil.log_d("FactoryTestMainOuter", "startTSPSelftest", "test id = " + this.mTestId);
        Intent i = new Intent();
        i.setClassName("com.sec.factory", "com.sec.factory.app.ui.UITSPSelfTestOneCmdFileSpec");
        i.addFlags(1073807360);
        i.putExtra("isHovering", false);
        i.putExtra("testID", this.mTestId);
        addCommonParam(i);
        ((Activity) this.mContext).startActivityForResult(i, this.mTestId);
    }

    public void startAlwaysOnTouch() {
        FtUtil.log_d("FactoryTestMainOuter", "startAlwaysOnTouch", "test id = " + this.mTestId);
        Intent i = new Intent();
        i.setClassName("com.sec.factory", "com.sec.factory.app.ui.UIAlwaysOnTouch");
        i.addFlags(1073807360);
        i.putExtra("testID", this.mTestId);
        addCommonParam(i);
        ((Activity) this.mContext).startActivityForResult(i, this.mTestId);
    }

    public void startMacroAF() {
        FtUtil.log_d("FactoryTestMainOuter", "startMacroAF", null);
        Toast.makeText(this.mContext, "No app for Macro AF test", 0).show();
    }

    public void startCameraWindow() {
        FtUtil.log_d("FactoryTestMainOuter", "startCameraWindow", null);
        ((Activity) this.mContext).sendBroadcast(new Intent("com.samsung.android.aircommandmanager.STOP_MONITORING"));
        Intent i = new Intent();
        i.setClassName("com.sec.factory.camera", "com.sec.android.app.camera.CameraTestActivity");
        i.putExtra("testtype", Support.HwTestMenu.LCD_TEST_GRIP);
        i.putExtra("arg1", "window");
        addCommonParam(i);
        ((Activity) this.mContext).startActivityForResult(i, 128);
    }

    public void startCameraSuperSlow() {
        FtUtil.log_d("FactoryTestMainOuter", "startCameraSuperSlow", null);
        ((Activity) this.mContext).sendBroadcast(new Intent("com.samsung.android.aircommandmanager.STOP_MONITORING"));
        Intent i = new Intent();
        i.setClassName("com.sec.factory.camera", "com.sec.android.app.camera.CameraTestActivity");
        i.putExtra("testtype", Support.HwTestMenu.LCD_TEST_GRIP);
        i.putExtra("arg1", "superslow");
        addCommonParam(i);
        ((Activity) this.mContext).startActivityForResult(i, 172);
    }

    public void startFingerprintTest() {
        FtUtil.log_d("FactoryTestMainOuter", "startFingerprintTest", " testID:" + this.mTestId);
        Intent i = new Intent();
        i.putExtra("testID", this.mTestId);
        i.setFlags(1073741824);
        addCommonParam(i);
        String mFingerPrint_Vendor = Support.Kernel.read(Support.Kernel.FINGERPRINT_VENDOR);
        if ("GOODIX".equalsIgnoreCase(mFingerPrint_Vendor)) {
            i.setClassName("com.sec.factory", "com.sec.factory.app.ui.UIFingerprintTestGoodix");
            ((Activity) this.mContext).startActivityForResult(i, this.mTestId);
        } else if ("EGISTEC".equals(mFingerPrint_Vendor)) {
            i.setClassName("com.sec.factory", "com.sec.factory.app.ui.UIFingerprintTestEgis");
            ((Activity) this.mContext).startActivityForResult(i, this.mTestId);
        } else if ("QCOM".equals(mFingerPrint_Vendor)) {
            Intent i2 = new Intent();
            i2.putExtra("testID", this.mTestId);
            i2.setClassName("com.sec.factory", "com.sec.factory.app.ui.UIFingerprintControllerQcom");
            addCommonParam(i2);
            ((Activity) this.mContext).startActivityForResult(i2, this.mTestId);
        } else {
            FtUtil.log_d("FactoryTestMainOuter", "startFingerprintTest", "Can not find the vendor's name or chip's name");
        }
    }

    public void startFingerprintEnrollTest() {
        FtUtil.log_d("FactoryTestMainOuter", "startFingerprintEnrollTest", " testID:" + this.mTestId);
        Intent i = new Intent();
        String mFingerPrint_Vendor = Support.Kernel.read(Support.Kernel.FINGERPRINT_VENDOR);
        String mFingerPrint_Name = Support.Kernel.read(Support.Kernel.FINGERPRINT_CHIP_NAME);
        if (ModuleTouchScreen.TSP_VENDOR_NAME__SYNAPTICS.equals(mFingerPrint_Vendor) && "NAMSAN".equalsIgnoreCase(mFingerPrint_Name)) {
            i.setClassName("com.sec.factory", "com.sec.factory.app.ui.UIFingerprintEnrollTest_namsan");
        } else if ("GOODIX".equals(mFingerPrint_Vendor)) {
            i.setClassName("com.sec.factory", "com.sec.factory.app.ui.UIFingerprintEnrollTestGoodix");
        } else if ("EGISTEC".equals(mFingerPrint_Vendor)) {
            i.setClassName("com.sec.factory", "com.sec.factory.app.ui.UIFingerprintEnrollTestEgis");
        } else {
            i.setClassName("com.sec.factory", "com.sec.factory.app.ui.UIFingerprintEnrollTest");
        }
        i.putExtra("testID", this.mTestId);
        i.setFlags(1073741824);
        addCommonParam(i);
        ((Activity) this.mContext).startActivityForResult(i, this.mTestId);
    }

    public void startFingerprintIntCheckTest() {
        FtUtil.log_d("FactoryTestMainOuter", "startFingerprintIntCheckTest", " testID:" + this.mTestId);
        Intent i = new Intent();
        if ("QCOM".equals(Support.Kernel.read(Support.Kernel.FINGERPRINT_VENDOR))) {
            i.setClassName("com.sec.factory", "com.sec.factory.app.ui.UIFingerprintIntCheckTestQcom");
        } else {
            FtUtil.log_d("FactoryTestMainOuter", "startFingerprintIntCheckTest", "Can not find the vendor's name or chip's name");
        }
        i.putExtra("testID", this.mTestId);
        i.setFlags(1073741824);
        addCommonParam(i);
        ((Activity) this.mContext).startActivityForResult(i, this.mTestId);
    }

    public void startSpeaker() {
        FtUtil.log_d("FactoryTestMainOuter", "startSpeaker", null);
        Intent i = new Intent();
        if (Support.Feature.getInt(Support.Feature.SPEAKER_COUNT) == 4) {
            i.setClassName("com.sec.factory", "com.sec.factory.app.ui.UISpeaker4");
        } else {
            i.setClassName("com.sec.factory", "com.sec.factory.app.ui.UISpeaker");
        }
        i.putExtra("testID", this.mTestId);
        addCommonParam(i);
        ((Activity) this.mContext).startActivityForResult(i, this.mTestId);
    }

    public void startIrisCamera() {
        FtUtil.log_d("FactoryTestMainOuter", "startIrisCamera", null);
        ((Activity) this.mContext).sendBroadcast(new Intent("com.samsung.android.aircommandmanager.STOP_MONITORING"));
        Intent i = new Intent("android.intent.action.MAIN");
        i.setClassName("com.sec.factory.iris.camera", "com.sec.android.app.iris.cameratest.IrisCameraTest");
        i.putExtra("test_type", "15mode");
        addCommonParam(i);
        ((Activity) this.mContext).startActivityForResult(i, 131);
    }

    public void startIrisLed() {
        FtUtil.log_d("FactoryTestMainOuter", "startIrisLed", null);
        ((Activity) this.mContext).sendBroadcast(new Intent("com.samsung.android.aircommandmanager.STOP_MONITORING"));
        if (Support.FactoryTestMenu.getEnable("161").equalsIgnoreCase("true")) {
            FtUtil.log_d("FactoryTestMainOuter", "startIrisLed", "Skip Checking Proximity adc in IRIS LED test");
        } else if (!checkIrisADC()) {
            FtUtil.log_d("FactoryTestMainOuter", "startIrisLed", "checkIrisADC() == false");
            return;
        }
        Intent i = new Intent("android.intent.action.MAIN");
        i.setClassName("com.sec.factory.iris.camera", "com.sec.android.app.iris.ledtest.IrisLedTest");
        if (this.mIsAtCmd) {
            i.putExtra("test_type", "autotest");
            deleteFile("data/log/irisLedData.log");
        } else {
            i.putExtra("test_type", "15mode");
        }
        int[] specArray = {Support.Spec.getInt(Support.Spec.IRIS_LED_TEST_SPEC_MIN), Support.Spec.getInt(Support.Spec.IRIS_LED_TEST_SPEC_MAX)};
        FtUtil.log_d("FactoryTestMainOuter", "startIrisLed", "min: " + specArray[0] + ", max: " + specArray[1]);
        i.putExtra("spec", specArray);
        addCommonParam(i);
        ((Activity) this.mContext).startActivityForResult(i, 132);
    }

    public void startIrisEnroll() {
        FtUtil.log_d("FactoryTestMainOuter", "startIrisEnroll", null);
        ((Activity) this.mContext).sendBroadcast(new Intent("com.samsung.android.aircommandmanager.STOP_MONITORING"));
        Intent i = new Intent("android.intent.action.MAIN");
        i.setClassName("com.sec.factory.iris.camera", "com.sec.android.app.iris.enrolltest.IrisEnrollTest");
        if (this.mIsAtCmd) {
            i.putExtra("test_type", "autotest");
            deleteFile("data/log/irisEnrollData.log");
        } else {
            i.putExtra("test_type", "15mode");
        }
        addCommonParam(i);
        ((Activity) this.mContext).startActivityForResult(i, 137);
    }

    public void startPalmTouchTest() {
        FtUtil.log_d("FactoryTestMainOuter", "startPalmTouchTest", null);
        Intent i = new Intent();
        i.setClassName("com.sec.factory", "com.sec.factory.app.ui.UIPalmTouch");
        i.putExtra("testid", this.mTestId);
        addCommonParam(i);
        ((Activity) this.mContext).startActivityForResult(i, this.mTestId);
    }

    public void startForceTouch() {
        FtUtil.log_d("FactoryTestMainOuter", "startForceTouch", "test id = " + this.mTestId);
        Intent i = new Intent();
        i.setClassName("com.sec.factory", "com.sec.factory.app.ui.UIForceTouchController");
        i.putExtra("testid", this.mTestId);
        i.putExtra("isCmd", this.mIsAtCmd);
        addCommonParam(i);
        this.mContext.startActivity(i);
    }

    public void startIrisProx() {
        FtUtil.log_d("FactoryTestMainOuter", "startIrisProx", "test id = " + this.mTestId);
        Intent i = new Intent();
        i.setClassName("com.sec.factory", "com.sec.factory.app.ui.UIIrisProx");
        i.putExtra("testid", this.mTestId);
        addCommonParam(i);
        ((Activity) this.mContext).startActivityForResult(i, this.mTestId);
    }

    public void startPogoCharge() {
        FtUtil.log_d("FactoryTestMainOuter", "startPogoCharge", null);
        Intent i = new Intent();
        if (Support.Kernel.isExistFileID(Support.Kernel.POGO_DOCK_INT_PIN1)) {
            i.setClassName("com.sec.factory", "com.sec.factory.app.ui.UIPogoDualCharge");
        } else {
            i.setClassName("com.sec.factory", "com.sec.factory.app.ui.UIPogoCharge");
        }
        addCommonParam(i);
        ((Activity) this.mContext).startActivityForResult(i, 166);
    }

    public void startNfcTypeB() {
        FtUtil.log_d("FactoryTestMainOuter", "startNfcTypeB", null);
        Intent i = new Intent();
        i.setClassName("com.sec.factory", "com.sec.factory.app.ui.UINfcTypeB");
        addCommonParam(i);
        ((Activity) this.mContext).startActivityForResult(i, 165);
    }

    public void startTSPShortTest() {
        FtUtil.log_d("FactoryTestMainOuter", "startTSPShortTest", "test id = " + this.mTestId);
        Intent i = new Intent();
        i.setClassName("com.sec.factory", "com.sec.factory.app.ui.UITSPShortTest");
        i.putExtra("testid", this.mTestId);
        addCommonParam(i);
        ((Activity) this.mContext).startActivityForResult(i, this.mTestId);
    }

    public void startTSPOpenShortTest() {
        FtUtil.log_d("FactoryTestMainOuter", "startTSPOpenShortTest", "test id = " + this.mTestId + ", mIsAtCmd = " + this.mIsAtCmd);
        Intent i = new Intent();
        i.setClassName("com.sec.factory", "com.sec.factory.app.ui.UITSPOpenShortTest");
        i.putExtra("testid", this.mTestId);
        addCommonParam(i);
        ((Activity) this.mContext).startActivityForResult(i, this.mTestId);
    }

    public void startTSPColorDiffTest(int testId) {
        FtUtil.log_d("FactoryTestMainOuter", "startTSPColorDiffTest", "test id = " + testId);
        Intent i = new Intent(this.mContext, UITspColorDiffTest.class);
        addCommonParam(i);
        ((Activity) this.mContext).startActivityForResult(i, FactoryTestManager.TEST_TSP_COLOR_DIFF_TEST);
    }

    public void startFelicaSelfCal() {
        FtUtil.log_d("FactoryTestMainOuter", "startFelicaSelfCal", null);
        Intent i = new Intent(this.mContext, UINfcFelicaSelfCal.class);
        addCommonParam(i);
        ((Activity) this.mContext).startActivityForResult(i, this.mTestId);
    }

    public void startLEDKeyTest() {
        FtUtil.log_d("FactoryTestMainOuter", "startLEDKeyTest", "test id = " + this.mTestId);
        Intent intent = new Intent(this.mContext, UILEDKeyTest.class);
        intent.putExtra("testID", this.mTestId);
        intent.setFlags(603979776);
        addCommonParam(intent);
        ((Activity) this.mContext).startActivityForResult(intent, this.mTestId);
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private String getGripSensorName(byte[] bytes) {
        String Name = "";
        for (byte temp : bytes) {
            if (temp == 0) {
                break;
            }
            Name = Name + ((char) temp);
        }
        return Name;
    }

    private boolean checkIrisADC() {
        Sensor mSensor;
        boolean result;
        FtUtil.log_d("FactoryTestMainOuter", "checkIrisADC", "start");
        int mIrisADC = 0;
        int mIrisThreshold = Support.Spec.getInt(Support.Spec.IRIS_LED_TEST_ADC_THRESHOLD);
        SensorManager mSensorManager = (SensorManager) this.mContext.getSystemService("sensor");
        Sensor mSensor2 = mSensorManager.getDefaultSensor(65592);
        if (mSensor2 == null) {
            mSensor = mSensorManager.getDefaultSensor(8);
        } else {
            mSensor = mSensor2;
        }
        Sensor mIrisSensor = mSensorManager.getDefaultSensor(65582);
        handlersensor mHandlersensor = new handlersensor();
        mSensorManager.registerListener(mHandlersensor, mSensor, 2);
        try {
            Thread.sleep(250);
        } catch (InterruptedException e) {
            FtUtil.log_d("FactoryTestMainOuter", "checkIrisADC", "InterruptedException : " + e);
        }
        mSensorManager.registerListener(mHandlersensor, mIrisSensor, 2);
        try {
            Support.Kernel.write(Support.Kernel.PROXI_SENSOR_ADC_AVG, EgisFingerprint.MAJOR_VERSION);
        } catch (Exception e2) {
            FtUtil.log_d("FactoryTestMainOuter", "checkIrisADC", "Exception accessing prox avg file");
        }
        try {
            Thread.sleep(300);
        } catch (InterruptedException e3) {
            FtUtil.log_d("FactoryTestMainOuter", "checkIrisADC", "InterruptedException : " + e3);
        }
        for (int i = 0; i < 5; i++) {
            int readResult = Support.Kernel.readVal(Support.Kernel.PROXI_SENSOR_ADC);
            FtUtil.log_d("FactoryTestMainOuter", "checkIrisADC", "readResult : " + readResult);
            if (i == 0 || readResult < mIrisADC) {
                mIrisADC = readResult;
                FtUtil.log_d("FactoryTestMainOuter", "checkIrisADC", "mIrisADC : " + mIrisADC);
            }
        }
        if (mIrisADC > mIrisThreshold) {
            FtUtil.log_d("FactoryTestMainOuter", "checkIrisADC", "mIrisADC > mIrisThreshold == Fail");
            new FactoryTestDialog(this.mContext, "IRIS Proximity ADC FAIL", "ADC Min : " + mIrisADC + "\nSPEC : " + mIrisThreshold, new Handler(), 1).show();
            result = false;
        } else {
            result = true;
        }
        try {
            Support.Kernel.write(Support.Kernel.PROXI_SENSOR_ADC_AVG, "0");
        } catch (Exception e4) {
            FtUtil.log_d("FactoryTestMainOuter", "checkIrisADC", "Exception accessing prox avg file");
        }
        mSensorManager.unregisterListener(mHandlersensor);
        return result;
    }

    private void deleteFile(String path) {
        try {
            File mFile = new File(path);
            if (mFile.exists()) {
                FtUtil.log_d("FactoryTestMainOuter", "deleteFile", "Existed file has deleted... Path : " + path);
                mFile.delete();
            }
        } catch (Exception e) {
            e.printStackTrace();
        }
    }

    /* access modifiers changed from: private */
    public class handlersensor implements SensorEventListener {
        private handlersensor() {
        }

        public void onAccuracyChanged(Sensor arg0, int arg1) {
        }

        public void onSensorChanged(SensorEvent event) {
            if (8 == event.sensor.getType() || 65592 == event.sensor.getType()) {
                FtUtil.log_i("FactoryTestMainOuter", "onSensorChanged", "event_sensor_type : " + event.sensor.getType());
                return;
            }
            FtUtil.log_i("FactoryTestMainOuter", "onSensorChanged", "event_values : " + ((int) event.values[0]));
        }

        public void run() {
            FtUtil.log_i("FactoryTestMainOuter", "run", "run");
        }
    }
}
