package com.sec.factory.app.factorytest;

import android.app.Activity;
import android.content.Intent;
import android.os.Bundle;
import com.sec.factory.support.FtUtil;
import com.sec.xmldata.support.NVAccessor;

public class GPUTest extends Activity {
    private static final String CLASS_NAME = "GPUTest";

    /* access modifiers changed from: protected */
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        FtUtil.log_d(CLASS_NAME, "onCreate");
    }

    /* access modifiers changed from: protected */
    public void onResume() {
        super.onResume();
        FtUtil.log_d(CLASS_NAME, "onResume", "Launch GPU TEST");
        Intent i = new Intent("android.intent.action.MAIN");
        i.setClassName("com.android.rs.image", "com.android.rs.image.ImageProcessingActivity");
        i.setFlags(872415232);
        i.addFlags(32);
        i.putExtra("testname", "gputest");
        startActivityForResult(i, 1);
    }

    /* access modifiers changed from: protected */
    public void onActivityResult(int requestCode, int resultCode, Intent data) {
        super.onActivityResult(requestCode, resultCode, data);
        FtUtil.log_d(CLASS_NAME, "onActivityResult", "requestCode : " + requestCode + ", resultCode : " + resultCode);
        switch (requestCode) {
            case 1:
                FtUtil.log_d(CLASS_NAME, "onActivityResult", "PASS");
                setResult((byte) 80);
                finish();
                return;
            default:
                return;
        }
    }

    private void setResult(byte result) {
        NVAccessor.setNV(231, result);
    }
}
