package com.sec.factory.app.factorytest;

import com.sec.factory.support.FtUtil;
import com.sec.xmldata.support.Support;

public class MTVTunerTest {
    private int mCSF = -1;
    private int mLOCK = -1;
    private int mPGA = -1;

    public native int nativeTunerCheckChipStatus();

    public native int nativeoneseg_mod_deinit();

    public native int nativeoneseg_mod_getsiginfo(int i);

    public native int nativeoneseg_mod_init();

    public native int nativeoneseg_mod_settune(int i);

    static {
        if ("SBTVD".equals(Support.TestCase.getString(Support.TestCase.MOBILE_TV_TYPE))) {
            System.loadLibrary("OneSegfactorytest_jni_ltn");
        } else {
            System.loadLibrary("OneSegfactorytest_jni_fb");
        }
    }

    public void setInit() {
        this.mLOCK = -1;
        this.mPGA = -1;
        this.mCSF = -1;
    }

    public int getCSF() {
        return this.mCSF;
    }

    public int getPGA() {
        return this.mPGA;
    }

    public int getLOCK() {
        return this.mLOCK;
    }

    public int tunerCheckChipStatus() {
        setInit();
        int ret = nativeTunerCheckChipStatus();
        if (ret == 0) {
            FtUtil.log_e("MTVTunerTest", "tunerCheckChipStatus(): nativeTunerCheckChipStatus() read Fail");
        }
        FtUtil.log_i("MTVTunerTest", "tunerCheckChipStatus()- ret: " + ret + "CSF: " + this.mCSF + " PGA: " + this.mPGA + " LOCK: " + this.mLOCK);
        return ret;
    }
}
