package com.sec.factory.app.factorytest;

import android.app.Activity;
import android.app.ProgressDialog;
import android.content.Context;
import android.os.Bundle;
import android.os.Handler;
import android.os.Looper;
import android.os.Message;
import android.os.PowerManager;
import android.view.View;
import android.widget.Button;
import android.widget.TextView;
import android.widget.Toast;
import com.sec.factory.R;
import com.sec.factory.modules.ModuleDevice;
import com.sec.factory.support.FtUtil;
import com.sec.xmldata.support.Support;
import com.sec.xmldata.support.XMLDataStorage;
import egis.client.api.EgisFingerprint;
import java.util.ArrayList;
import java.util.Collections;
import java.util.Iterator;

public class SPENGarageTestMode extends Activity {
    private static final int CHECK_FAC_FW_RETURN = 2804;
    private static final int CHECK_GARAGE_MODE_OFF_RETURN = 2808;
    private static final int CHECK_GARAGE_MODE_RETURN = 2806;
    private static final int CHECK_NOR_FW_RETURN = 2805;
    private static final String CLASS_NAME = "SPENGarageTestMode";
    private static final int FAC_FW_UPDATE = 2;
    private static final int GARAGE_MODE = 0;
    private static final int GARAGE_MODE_OFF = 8;
    private static final int NOR_FW_UPDATE = 3;
    private static final int VALUE_PRINT = 4;
    private static final int VALUE_SAVE = 6;
    private final String criterion_WacomIcVersion = "W9020";
    private boolean isWacomIcNew = false;
    private int mAver = 0;
    private int mAver2 = 0;
    private Context mContext;
    private Handler mHandler = new Handler(Looper.getMainLooper()) {
        /* class com.sec.factory.app.factorytest.SPENGarageTestMode.AnonymousClass6 */

        public void handleMessage(Message msg) {
            String val;
            Support.Kernel.write(Support.Kernel.EPEN_BLE_CHARGING_MODE, "0");
            switch (msg.what) {
                case 4:
                    String val2 = SPENGarageTestMode.this.readReturn(4);
                    if (!val2.equals("NG")) {
                        String[] RawValues2 = val2.split(",");
                        FtUtil.log_d(SPENGarageTestMode.CLASS_NAME, "handleMessage", "HandleMessage GARAGE MODE RAW: " + val2);
                        Collections.sort(SPENGarageTestMode.this.mValueList);
                        Collections.sort(SPENGarageTestMode.this.mValueList2);
                        Integer sum = 0;
                        Iterator it = SPENGarageTestMode.this.mValueList.iterator();
                        while (it.hasNext()) {
                            sum = Integer.valueOf(sum.intValue() + ((Integer) it.next()).intValue());
                        }
                        Integer sum2 = 0;
                        Iterator it2 = SPENGarageTestMode.this.mValueList2.iterator();
                        while (it2.hasNext()) {
                            sum2 = Integer.valueOf(sum2.intValue() + ((Integer) it2.next()).intValue());
                        }
                        SPENGarageTestMode.this.mAver = (int) (((float) sum.intValue()) / ((float) SPENGarageTestMode.this.mValueList.size()));
                        SPENGarageTestMode.this.mAver2 = (int) (((float) sum2.intValue()) / ((float) SPENGarageTestMode.this.mValueList.size()));
                        SPENGarageTestMode sPENGarageTestMode = SPENGarageTestMode.this;
                        StringBuilder sb = new StringBuilder();
                        sb.append("");
                        val = val2;
                        sb.append((int) (((double) Integer.parseInt(RawValues2[1])) * Math.pow(2.0d, (double) (Float.parseFloat(RawValues2[0]) / 3.0f))));
                        sPENGarageTestMode.mSpen_Garage_Raw = sb.toString();
                        SPENGarageTestMode sPENGarageTestMode2 = SPENGarageTestMode.this;
                        sPENGarageTestMode2.mSpen_Garage_Avg = "" + SPENGarageTestMode.this.mAver;
                        if (((Integer) SPENGarageTestMode.this.mValueList.get(0)).intValue() < SPENGarageTestMode.this.mMin) {
                            SPENGarageTestMode sPENGarageTestMode3 = SPENGarageTestMode.this;
                            sPENGarageTestMode3.mMin = ((Integer) sPENGarageTestMode3.mValueList.get(0)).intValue();
                            SPENGarageTestMode sPENGarageTestMode4 = SPENGarageTestMode.this;
                            sPENGarageTestMode4.mSpen_Garage_Min = "" + SPENGarageTestMode.this.mValueList.get(0);
                        }
                        if (((Integer) SPENGarageTestMode.this.mValueList.get(SPENGarageTestMode.this.mValueList.size() - 1)).intValue() > SPENGarageTestMode.this.mMax) {
                            SPENGarageTestMode sPENGarageTestMode5 = SPENGarageTestMode.this;
                            sPENGarageTestMode5.mMax = ((Integer) sPENGarageTestMode5.mValueList.get(SPENGarageTestMode.this.mValueList.size() - 1)).intValue();
                            SPENGarageTestMode sPENGarageTestMode6 = SPENGarageTestMode.this;
                            sPENGarageTestMode6.mSpen_Garage_Max = "" + SPENGarageTestMode.this.mValueList.get(SPENGarageTestMode.this.mValueList.size() - 1);
                        }
                        FtUtil.log_i(SPENGarageTestMode.CLASS_NAME, "values", "raw : " + SPENGarageTestMode.this.mSpen_Garage_Raw + " Avg : " + SPENGarageTestMode.this.mSpen_Garage_Avg + " Min : " + SPENGarageTestMode.this.mSpen_Garage_Min + "Max : " + SPENGarageTestMode.this.mSpen_Garage_Max);
                        SPENGarageTestMode sPENGarageTestMode7 = SPENGarageTestMode.this;
                        StringBuilder sb2 = new StringBuilder();
                        sb2.append("");
                        sb2.append((int) (((double) Integer.parseInt(RawValues2[3])) * Math.pow(2.0d, (double) (Float.parseFloat(RawValues2[2]) / 3.0f))));
                        sPENGarageTestMode7.mSpen_Garage_Raw1 = sb2.toString();
                        SPENGarageTestMode sPENGarageTestMode8 = SPENGarageTestMode.this;
                        sPENGarageTestMode8.mSpen_Garage_Avg1 = "" + SPENGarageTestMode.this.mAver2;
                        if (((Integer) SPENGarageTestMode.this.mValueList2.get(0)).intValue() < SPENGarageTestMode.this.mMin2) {
                            SPENGarageTestMode sPENGarageTestMode9 = SPENGarageTestMode.this;
                            sPENGarageTestMode9.mMin2 = ((Integer) sPENGarageTestMode9.mValueList2.get(0)).intValue();
                            SPENGarageTestMode sPENGarageTestMode10 = SPENGarageTestMode.this;
                            sPENGarageTestMode10.mSpen_Garage_Min1 = "" + SPENGarageTestMode.this.mValueList2.get(0);
                        }
                        if (((Integer) SPENGarageTestMode.this.mValueList2.get(SPENGarageTestMode.this.mValueList2.size() - 1)).intValue() > SPENGarageTestMode.this.mMax2) {
                            SPENGarageTestMode sPENGarageTestMode11 = SPENGarageTestMode.this;
                            sPENGarageTestMode11.mMax2 = ((Integer) sPENGarageTestMode11.mValueList2.get(SPENGarageTestMode.this.mValueList2.size() - 1)).intValue();
                            SPENGarageTestMode sPENGarageTestMode12 = SPENGarageTestMode.this;
                            sPENGarageTestMode12.mSpen_Garage_Max1 = "" + SPENGarageTestMode.this.mValueList2.get(SPENGarageTestMode.this.mValueList2.size() - 1);
                        }
                        FtUtil.log_i(SPENGarageTestMode.CLASS_NAME, "values", "raw2 : " + SPENGarageTestMode.this.mSpen_Garage_Raw1 + " Avg2 : " + SPENGarageTestMode.this.mSpen_Garage_Avg1 + "Min2 : " + SPENGarageTestMode.this.mSpen_Garage_Min1 + "Max2 : " + SPENGarageTestMode.this.mSpen_Garage_Max1);
                        SPENGarageTestMode.this.mValueList.clear();
                        SPENGarageTestMode.this.mValueList2.clear();
                        SPENGarageTestMode.this.updateText();
                    } else {
                        val = val2;
                    }
                    SPENGarageTestMode.this.mHandler.sendEmptyMessageDelayed(4, 1000);
                    return;
                case 5:
                    FtUtil.log_d(SPENGarageTestMode.CLASS_NAME, "handleMessage", "handlemsg case 5: " + msg.obj);
                    return;
                case 6:
                    FtUtil.log_d(SPENGarageTestMode.CLASS_NAME, "handleMessage", "HandleMessage VALUE SAVE");
                    String val3 = SPENGarageTestMode.this.readReturn(4);
                    if (!val3.equals("NG")) {
                        String[] RawValues = val3.split(",");
                        SPENGarageTestMode.this.mValueList.add(Integer.valueOf((int) (((double) Integer.parseInt(RawValues[1])) * Math.pow(2.0d, (double) (Float.parseFloat(RawValues[0]) / 3.0f)))));
                        SPENGarageTestMode.this.mValueList2.add(Integer.valueOf((int) (((double) Integer.parseInt(RawValues[3])) * Math.pow(2.0d, (double) (Float.parseFloat(RawValues[2]) / 3.0f)))));
                    }
                    SPENGarageTestMode.this.mHandler.sendEmptyMessageDelayed(6, 30);
                    return;
                case SPENGarageTestMode.CHECK_FAC_FW_RETURN /*{ENCODED_INT: 2804}*/:
                    String val4 = SPENGarageTestMode.this.readReturn(2);
                    FtUtil.log_d(SPENGarageTestMode.CLASS_NAME, "handleMessage", "HandleMessage SPEN FAC FW UPDATE : " + val4);
                    if (val4.equals("PASS")) {
                        if (SPENGarageTestMode.this.mWakeLock.isHeld()) {
                            SPENGarageTestMode.this.mWakeLock.release();
                        }
                        SPENGarageTestMode.this.progressDialog.dismiss();
                        SPENGarageTestMode sPENGarageTestMode13 = SPENGarageTestMode.this;
                        Toast.makeText(sPENGarageTestMode13, "Spen garage Fac FW Update complete! : " + val4, 1).show();
                        SPENGarageTestMode.this.progressDialog.show();
                        SPENGarageTestMode.this.readVersion();
                        SPENGarageTestMode.this.startNewThread(0);
                        return;
                    } else if (val4.equals("FAIL")) {
                        if (SPENGarageTestMode.this.mWakeLock.isHeld()) {
                            SPENGarageTestMode.this.mWakeLock.release();
                        }
                        SPENGarageTestMode.this.progressDialog.dismiss();
                        SPENGarageTestMode sPENGarageTestMode14 = SPENGarageTestMode.this;
                        Toast.makeText(sPENGarageTestMode14, "Failed to update Spen garage Fac FW Update : " + val4, 1).show();
                        return;
                    } else {
                        SPENGarageTestMode.this.waitUpdateComplete(2);
                        return;
                    }
                case SPENGarageTestMode.CHECK_NOR_FW_RETURN /*{ENCODED_INT: 2805}*/:
                    String val5 = SPENGarageTestMode.this.readReturn(3);
                    FtUtil.log_d(SPENGarageTestMode.CLASS_NAME, "handleMessage", "HandleMessage SPEN NOR FW UPDATE : " + val5);
                    if (val5.equals("PASS")) {
                        if (SPENGarageTestMode.this.mWakeLock.isHeld()) {
                            SPENGarageTestMode.this.mWakeLock.release();
                        }
                        SPENGarageTestMode.this.readVersion();
                        SPENGarageTestMode.this.progressDialog.dismiss();
                        SPENGarageTestMode sPENGarageTestMode15 = SPENGarageTestMode.this;
                        Toast.makeText(sPENGarageTestMode15, "Spen garage Nor FW Update  complete : " + val5, 1).show();
                        return;
                    } else if (val5.equals("FAIL")) {
                        if (SPENGarageTestMode.this.mWakeLock.isHeld()) {
                            SPENGarageTestMode.this.mWakeLock.release();
                        }
                        SPENGarageTestMode.this.progressDialog.dismiss();
                        SPENGarageTestMode sPENGarageTestMode16 = SPENGarageTestMode.this;
                        Toast.makeText(sPENGarageTestMode16, "Failed to update Spen garage Nor FW Update : " + val5, 1).show();
                        return;
                    } else {
                        SPENGarageTestMode.this.waitUpdateComplete(3);
                        return;
                    }
                case SPENGarageTestMode.CHECK_GARAGE_MODE_RETURN /*{ENCODED_INT: 2806}*/:
                    String val6 = SPENGarageTestMode.this.readReturn(0);
                    FtUtil.log_d(SPENGarageTestMode.CLASS_NAME, "handleMessage", "HandleMessage SPEN GARAGE MODE: " + val6);
                    if (val6.equals("garage mode IN")) {
                        if (SPENGarageTestMode.this.mWakeLock.isHeld()) {
                            SPENGarageTestMode.this.mWakeLock.release();
                        }
                        SPENGarageTestMode.this.progressDialog.dismiss();
                        SPENGarageTestMode sPENGarageTestMode17 = SPENGarageTestMode.this;
                        Toast.makeText(sPENGarageTestMode17, "Spen garage mode complete : " + val6, 1).show();
                        SPENGarageTestMode.this.mHandler.sendEmptyMessageDelayed(6, 30);
                        SPENGarageTestMode.this.mHandler.sendEmptyMessageDelayed(4, 1000);
                        return;
                    } else if (val6.equals("garage mode OUT")) {
                        if (SPENGarageTestMode.this.mWakeLock.isHeld()) {
                            SPENGarageTestMode.this.mWakeLock.release();
                        }
                        SPENGarageTestMode.this.progressDialog.dismiss();
                        SPENGarageTestMode sPENGarageTestMode18 = SPENGarageTestMode.this;
                        Toast.makeText(sPENGarageTestMode18, "Failed to Spen garage mode : " + val6, 1).show();
                        SPENGarageTestMode.this.updateText();
                        return;
                    } else {
                        SPENGarageTestMode.this.waitUpdateComplete(0);
                        return;
                    }
                case SPENGarageTestMode.CHECK_GARAGE_MODE_OFF_RETURN /*{ENCODED_INT: 2808}*/:
                    String val7 = SPENGarageTestMode.this.readReturn(0);
                    FtUtil.log_d(SPENGarageTestMode.CLASS_NAME, "handleMessage", "HandleMessage SPEN GARAGE MODE OFF: " + val7);
                    if (val7.equals("garage mode OUT")) {
                        if (SPENGarageTestMode.this.mWakeLock.isHeld()) {
                            SPENGarageTestMode.this.mWakeLock.release();
                        }
                        SPENGarageTestMode.this.progressDialog.dismiss();
                        SPENGarageTestMode sPENGarageTestMode19 = SPENGarageTestMode.this;
                        Toast.makeText(sPENGarageTestMode19, "Spen garage mode OFF complete : " + val7, 1).show();
                        if (!SPENGarageTestMode.this.isWacomIcNew) {
                            SPENGarageTestMode.this.progressDialog.show();
                            SPENGarageTestMode.this.startNewThread(3);
                            return;
                        }
                        return;
                    } else if (val7.equals("garage mode IN")) {
                        if (SPENGarageTestMode.this.mWakeLock.isHeld()) {
                            SPENGarageTestMode.this.mWakeLock.release();
                        }
                        SPENGarageTestMode.this.progressDialog.dismiss();
                        SPENGarageTestMode sPENGarageTestMode20 = SPENGarageTestMode.this;
                        Toast.makeText(sPENGarageTestMode20, "Failed to Spen garage mode OFF : " + val7, 1).show();
                        return;
                    } else {
                        SPENGarageTestMode.this.waitUpdateComplete(8);
                        return;
                    }
                default:
                    return;
            }
        }
    };
    private int mMax = 0;
    private int mMax2 = 0;
    private int mMin = 999999999;
    private int mMin2 = 999999999;
    private PowerManager mPowerManager;
    private String mSpen_Garage_Avg;
    private String mSpen_Garage_Avg1;
    private String mSpen_Garage_Max;
    private String mSpen_Garage_Max1;
    private String mSpen_Garage_Min;
    private String mSpen_Garage_Min1;
    private String mSpen_Garage_Raw;
    private String mSpen_Garage_Raw1;
    private String mSpen_fw_version_ic;
    private String mSpen_fw_version_kernel;
    private ArrayList<Integer> mValueList = new ArrayList<>();
    private ArrayList<Integer> mValueList2 = new ArrayList<>();
    PowerManager.WakeLock mWakeLock;
    ProgressDialog progressDialog;
    private TextView tvSpen_Garage_Avg;
    private TextView tvSpen_Garage_Avg1;
    private TextView tvSpen_Garage_Max;
    private TextView tvSpen_Garage_Max1;
    private TextView tvSpen_Garage_Min;
    private TextView tvSpen_Garage_Min1;
    private TextView tvSpen_Garage_Raw;
    private TextView tvSpen_Garage_Raw1;
    private TextView tvSpen_fw_version_ic;
    private TextView tvSpen_fw_version_kernel;

    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.spengaragetestmode);
        if (!XMLDataStorage.instance().wasCompletedParsing()) {
            XMLDataStorage.instance().parseXML(this);
        }
        init();
    }

    public void onDestroy() {
        super.onDestroy();
        this.mHandler.removeMessages(4);
        this.mHandler.removeMessages(6);
        this.mMin = 999999999;
        this.mMax = 0;
        this.mMin2 = 999999999;
        this.mMax2 = 0;
        this.mValueList.clear();
        this.mValueList2.clear();
    }

    private String getWacomIcVersion() {
        FtUtil.log_d(CLASS_NAME, "getWacomIcVersion", "dummy EPEN_CMD_RESULT:" + Support.Kernel.read(Support.Kernel.EPEN_CMD_RESULT));
        FtUtil.log_d(CLASS_NAME, "getWacomIcVersion", "dummy:EPEN_CMD_STATUS:" + Support.Kernel.read(Support.Kernel.EPEN_CMD_STATUS));
        Support.Kernel.write(Support.Kernel.EPEN_CMD, ModuleDevice.TSP_CMD_CHIP_NAME_READ);
        String cmdStatus = null;
        for (int i = 0; i < 5; i++) {
            cmdStatus = Support.Kernel.read(Support.Kernel.EPEN_CMD_STATUS);
            FtUtil.log_d(CLASS_NAME, "getWacomIcVersion", " cmdStatus:" + cmdStatus);
            if ("OK".equals(cmdStatus)) {
                String cmdExecuteResult = Support.Kernel.read(Support.Kernel.EPEN_CMD_RESULT);
                FtUtil.log_d(CLASS_NAME, "getWacomIcVersion", " cmdExecuteResult:" + cmdExecuteResult);
                String[] splitCmdExecuteResult = cmdExecuteResult.split(":");
                if (splitCmdExecuteResult.length >= 2 && splitCmdExecuteResult[1].length() == 5 && splitCmdExecuteResult[1].charAt(0) == 'W') {
                    return splitCmdExecuteResult[1];
                }
                FtUtil.log_d(CLASS_NAME, "getWacomIcVersion", FtUtil.setMspSeqMessage(1, CLASS_NAME, "Fail - cmdExecuteResult: " + cmdExecuteResult));
                return null;
            }
            FtUtil.Sleep.sleep(1000);
        }
        FtUtil.log_d(CLASS_NAME, "getWacomIcVersion", FtUtil.setMspSeqMessage(1, CLASS_NAME, "Fail - cmdStatus: " + cmdStatus));
        return null;
    }

    private void init() {
        this.mContext = this;
        FtUtil.log_d(CLASS_NAME, "init", "init()");
        PowerManager powerManager = (PowerManager) getSystemService("power");
        this.mPowerManager = powerManager;
        this.mWakeLock = powerManager.newWakeLock(805306394, CLASS_NAME);
        String wacomIcVersion = getWacomIcVersion();
        if (wacomIcVersion == null) {
            Toast.makeText(this, "Fail - Wacom IC Version Read", 1).show();
            return;
        }
        Toast.makeText(this, "Wacom IC Version:" + wacomIcVersion, 1).show();
        if ("W9020".compareTo(wacomIcVersion) <= 0) {
            this.isWacomIcNew = true;
        }
        FtUtil.log_d(CLASS_NAME, "init", "isWacomIcNew:" + this.isWacomIcNew);
        ((Button) findViewById(R.id.spen_garage_reset)).setOnClickListener(new View.OnClickListener() {
            /* class com.sec.factory.app.factorytest.SPENGarageTestMode.AnonymousClass1 */

            public void onClick(View v) {
                FtUtil.log_d(SPENGarageTestMode.CLASS_NAME, "onClick", "resetBtn");
                SPENGarageTestMode.this.tvSpen_Garage_Raw.setText("0");
                SPENGarageTestMode.this.tvSpen_Garage_Avg.setText("0");
                SPENGarageTestMode.this.tvSpen_Garage_Min.setText("0");
                SPENGarageTestMode.this.tvSpen_Garage_Max.setText("0");
                SPENGarageTestMode.this.tvSpen_Garage_Raw1.setText("0");
                SPENGarageTestMode.this.tvSpen_Garage_Avg1.setText("0");
                SPENGarageTestMode.this.tvSpen_Garage_Min1.setText("0");
                SPENGarageTestMode.this.tvSpen_Garage_Max1.setText("0");
                SPENGarageTestMode.this.mValueList.clear();
                SPENGarageTestMode.this.mValueList2.clear();
                SPENGarageTestMode.this.mMin = 999999999;
                SPENGarageTestMode.this.mMax = 0;
                SPENGarageTestMode.this.mMin2 = 999999999;
                SPENGarageTestMode.this.mMax2 = 0;
            }
        });
        if (this.isWacomIcNew) {
            Button startBtn = (Button) findViewById(R.id.spen_garage_start);
            startBtn.setOnClickListener(new View.OnClickListener() {
                /* class com.sec.factory.app.factorytest.SPENGarageTestMode.AnonymousClass2 */

                public void onClick(View v) {
                    FtUtil.log_d(SPENGarageTestMode.CLASS_NAME, "onClick", "startBtn");
                    SPENGarageTestMode.this.startNewThread(0);
                }
            });
            Button stopBtn = (Button) findViewById(R.id.spen_garage_stop);
            stopBtn.setOnClickListener(new View.OnClickListener() {
                /* class com.sec.factory.app.factorytest.SPENGarageTestMode.AnonymousClass3 */

                public void onClick(View v) {
                    FtUtil.log_d(SPENGarageTestMode.CLASS_NAME, "onClick", "stopBtn");
                    SPENGarageTestMode.this.mHandler.removeMessages(4);
                    SPENGarageTestMode.this.mHandler.removeMessages(6);
                    SPENGarageTestMode.this.startNewThread(8);
                }
            });
            startBtn.setVisibility(0);
            stopBtn.setVisibility(0);
        } else {
            Button fac_fw_updateBtn = (Button) findViewById(R.id.spen_garage_fw_update_factory);
            fac_fw_updateBtn.setOnClickListener(new View.OnClickListener() {
                /* class com.sec.factory.app.factorytest.SPENGarageTestMode.AnonymousClass4 */

                public void onClick(View v) {
                    FtUtil.log_d(SPENGarageTestMode.CLASS_NAME, "onClick", "fac_fw_updateBtn");
                    if (SPENGarageTestMode.this.startNewThread(2)) {
                        SPENGarageTestMode.this.progressDialog.show();
                    }
                }
            });
            Button nor_fw_updateBtn = (Button) findViewById(R.id.spen_garage_fw_update_user);
            nor_fw_updateBtn.setOnClickListener(new View.OnClickListener() {
                /* class com.sec.factory.app.factorytest.SPENGarageTestMode.AnonymousClass5 */

                public void onClick(View v) {
                    FtUtil.log_d(SPENGarageTestMode.CLASS_NAME, "onClick", "nor_fw_updateBtn");
                    SPENGarageTestMode.this.progressDialog.show();
                    SPENGarageTestMode.this.mHandler.removeMessages(4);
                    SPENGarageTestMode.this.mHandler.removeMessages(6);
                    SPENGarageTestMode.this.mValueList.clear();
                    SPENGarageTestMode.this.mValueList2.clear();
                    SPENGarageTestMode.this.startNewThread(8);
                }
            });
            fac_fw_updateBtn.setVisibility(0);
            nor_fw_updateBtn.setVisibility(0);
        }
        ProgressDialog progressDialog2 = new ProgressDialog(this);
        this.progressDialog = progressDialog2;
        progressDialog2.setIndeterminate(true);
        this.progressDialog.setMessage("Now Updating... Warning!\nDo not turn off!");
        this.progressDialog.setCancelable(false);
        this.tvSpen_Garage_Raw = (TextView) findViewById(R.id.spen_garage_raw);
        this.tvSpen_Garage_Avg = (TextView) findViewById(R.id.spen_garage_avg);
        this.tvSpen_Garage_Min = (TextView) findViewById(R.id.spen_garage_min);
        this.tvSpen_Garage_Max = (TextView) findViewById(R.id.spen_garage_max);
        this.tvSpen_Garage_Raw1 = (TextView) findViewById(R.id.spen_garage_raw1);
        this.tvSpen_Garage_Avg1 = (TextView) findViewById(R.id.spen_garage_avg1);
        this.tvSpen_Garage_Min1 = (TextView) findViewById(R.id.spen_garage_min1);
        this.tvSpen_Garage_Max1 = (TextView) findViewById(R.id.spen_garage_max1);
        this.tvSpen_fw_version_ic = (TextView) findViewById(R.id.spen_fw_version_ic);
        this.tvSpen_fw_version_kernel = (TextView) findViewById(R.id.spen_fw_version_kernel);
        readVersion();
        if ("0011".equals(this.mSpen_fw_version_ic)) {
            this.mHandler.sendEmptyMessageDelayed(CHECK_GARAGE_MODE_RETURN, 500);
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void readVersion() {
        FtUtil.log_d(CLASS_NAME, "readVersion", "ReadVersion()");
        String readString = Support.Kernel.read(Support.Kernel.EPEN_FIRMWARE_VERSION);
        FtUtil.log_i(CLASS_NAME, "readVersion", "readString: " + readString);
        try {
            String[] splitVersion = readString.split("\t");
            if (splitVersion.length >= 2) {
                FtUtil.log_i(CLASS_NAME, "readVersion", "splitVersion[0]: " + splitVersion[0]);
                FtUtil.log_i(CLASS_NAME, "readVersion", "splitVersion[1]: " + splitVersion[1]);
                this.mSpen_fw_version_ic = splitVersion[0];
                this.mSpen_fw_version_kernel = splitVersion[1];
            }
        } catch (Exception e) {
            FtUtil.log_i(CLASS_NAME, "readVersion", "readVersion exception: " + e);
        }
        this.tvSpen_fw_version_ic.setText(this.mSpen_fw_version_ic);
        this.tvSpen_fw_version_kernel.setText(this.mSpen_fw_version_kernel);
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void updateText() {
        FtUtil.log_d(CLASS_NAME, "updateText", "updateText()");
        this.tvSpen_Garage_Raw.setText(this.mSpen_Garage_Raw);
        this.tvSpen_Garage_Avg.setText(this.mSpen_Garage_Avg);
        this.tvSpen_Garage_Min.setText(this.mSpen_Garage_Min);
        this.tvSpen_Garage_Max.setText(this.mSpen_Garage_Max);
        this.tvSpen_Garage_Raw1.setText(this.mSpen_Garage_Raw1);
        this.tvSpen_Garage_Avg1.setText(this.mSpen_Garage_Avg1);
        this.tvSpen_Garage_Min1.setText(this.mSpen_Garage_Min1);
        this.tvSpen_Garage_Max1.setText(this.mSpen_Garage_Max1);
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void waitUpdateComplete(int mode) {
        FtUtil.log_d(CLASS_NAME, "waitUpdateComplete", "waitUpdateComplete()");
        if (mode == 2) {
            this.mHandler.sendEmptyMessageDelayed(CHECK_FAC_FW_RETURN, 1000);
        } else if (mode == 3) {
            this.mHandler.sendEmptyMessageDelayed(CHECK_NOR_FW_RETURN, 1000);
        } else if (mode == 0) {
            this.mHandler.sendEmptyMessageDelayed(CHECK_GARAGE_MODE_RETURN, 500);
        } else if (mode == 8) {
            this.mHandler.sendEmptyMessageDelayed(CHECK_GARAGE_MODE_OFF_RETURN, 500);
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private String readReturn(int mode) {
        String s = null;
        if (mode == 3 || mode == 2) {
            s = Support.Kernel.read(Support.Kernel.EPEN_GARAGE_FIRMWARE_UPDATE_STATUS);
        } else if (mode == 0) {
            try {
                s = Support.Kernel.read(Support.Kernel.EPEN_GARAGE_MODE);
            } catch (Exception e) {
                e.printStackTrace();
                s = "FAIL";
            }
        } else if (mode == 4) {
            s = Support.Kernel.read(Support.Kernel.EPEN_GARAGE_RAWDATA);
        }
        if (s == null || "".equals(s)) {
            s = "nostring";
        }
        return s.trim();
    }

    /* access modifiers changed from: package-private */
    public void updateFirmware(int mode) {
        Message msg = new Message();
        msg.obj = "Thread Started";
        msg.what = 5;
        this.mHandler.dispatchMessage(msg);
        if (!this.mWakeLock.isHeld()) {
            FtUtil.log_d(CLASS_NAME, "updateFirmware", "<harris> Wakelock acquired");
            msg.obj = "Wakelock acquired";
            msg.what = 5;
            this.mHandler.dispatchMessage(msg);
            this.mWakeLock.acquire();
        }
        msg.obj = "Try Start()";
        msg.what = 5;
        this.mHandler.dispatchMessage(msg);
        msg.obj = "Try Completed()";
        msg.what = 5;
        this.mHandler.dispatchMessage(msg);
        if (mode == 2) {
            try {
                if (Support.Feature.getBoolean(Support.Feature.SUPPORT_EPEN)) {
                    Support.Kernel.write(Support.Kernel.EPEN_GARAGE_FIRMWARE_UPDATE, "t");
                }
            } catch (Exception e) {
                e.printStackTrace();
                FtUtil.log_d(CLASS_NAME, "updateFirmware", "write Fail");
            }
        } else if (mode == 3) {
            if (Support.Feature.getBoolean(Support.Feature.SUPPORT_EPEN)) {
                Support.Kernel.write(Support.Kernel.EPEN_GARAGE_FIRMWARE_UPDATE, "k");
            }
        } else if (mode == 0) {
            if (Support.Feature.getBoolean(Support.Feature.SUPPORT_EPEN)) {
                Support.Kernel.write(Support.Kernel.EPEN_GARAGE_MODE, EgisFingerprint.MAJOR_VERSION);
            }
        } else if (mode == 8 && Support.Feature.getBoolean(Support.Feature.SUPPORT_EPEN)) {
            Support.Kernel.write(Support.Kernel.EPEN_GARAGE_MODE, "0");
        }
        FtUtil.log_d(CLASS_NAME, "updateFirmware", "Update button clicked");
        msg.obj = "Thread Notified DelayedMessage";
        msg.what = 5;
        this.mHandler.dispatchMessage(msg);
        if (mode == 2) {
            this.mHandler.sendEmptyMessageDelayed(CHECK_FAC_FW_RETURN, 5000);
        } else if (mode == 3) {
            this.mHandler.sendEmptyMessageDelayed(CHECK_NOR_FW_RETURN, 5000);
        } else if (mode == 0) {
            this.mHandler.sendEmptyMessageDelayed(CHECK_GARAGE_MODE_RETURN, 500);
        } else if (mode == 8) {
            this.mHandler.sendEmptyMessageDelayed(CHECK_GARAGE_MODE_OFF_RETURN, 500);
        }
        FtUtil.log_d(CLASS_NAME, "updateFirmware", "Thread Notified Message");
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private boolean startNewThread(int mode) {
        Thread thread = null;
        if (mode == 2) {
            thread = new Thread(new Runnable() {
                /* class com.sec.factory.app.factorytest.SPENGarageTestMode.AnonymousClass7 */

                public void run() {
                    SPENGarageTestMode.this.updateFirmware(2);
                }
            });
        } else if (mode == 3) {
            thread = new Thread(new Runnable() {
                /* class com.sec.factory.app.factorytest.SPENGarageTestMode.AnonymousClass8 */

                public void run() {
                    SPENGarageTestMode.this.updateFirmware(3);
                }
            });
        } else if (mode == 0) {
            thread = new Thread(new Runnable() {
                /* class com.sec.factory.app.factorytest.SPENGarageTestMode.AnonymousClass9 */

                public void run() {
                    SPENGarageTestMode.this.updateFirmware(0);
                }
            });
        } else if (mode == 8) {
            thread = new Thread(new Runnable() {
                /* class com.sec.factory.app.factorytest.SPENGarageTestMode.AnonymousClass10 */

                public void run() {
                    SPENGarageTestMode.this.updateFirmware(8);
                }
            });
        }
        if (thread == null) {
            return true;
        }
        thread.start();
        return true;
    }
}
