package com.sec.factory.app.ui;

import android.content.BroadcastReceiver;
import android.content.Context;
import android.content.Intent;
import android.content.IntentFilter;
import android.hardware.usb.UsbDevice;
import android.nfc.NfcAdapter;
import android.os.Bundle;
import android.os.Handler;
import android.os.Message;
import android.view.View;
import android.widget.Button;
import android.widget.LinearLayout;
import android.widget.TableLayout;
import android.widget.TextView;
import com.sec.factory.R;
import com.sec.factory.app.factorytest.FactoryTestManager;
import com.sec.factory.modules.ModuleDevice;
import com.sec.factory.modules.ModulePower;
import com.sec.factory.support.FtUtil;
import com.sec.xmldata.support.Support;
import egis.client.api.EgisFingerprint;
import java.io.File;
import java.util.ArrayList;
import java.util.Collections;
import java.util.Iterator;

public class UIPogoOTGCharge extends UIBase implements View.OnClickListener {
    private static final String ACTION_USBHID_MOUSE_EVENT = "android.intent.action.USBHID_MOUSE_EVENT";
    private static final String EXTRA_USB_HID_DEVICE_STATE = "android.intent.extra.device_state";
    private static final int EXTRA_USB_HID_STATE_ATTACHED = 1;
    private static final int EXTRA_USB_HID_STATE_INIT = -1;
    private final int BST5vAdc = 17;
    private int DUMMY = 0;
    private final int TESTSTATE_FAIL;
    private final int TESTSTATE_INIT;
    private final int TESTSTATE_OTG_CONNECT;
    private final int TESTSTATE_PASS;
    private final int TESTSTATE_POGO_ADC_READ;
    private final int TESTSTATE_TA_CONNECT;
    private final int TESTSTATE_TA_CURRENT_CHECK_LCDOFF;
    private final int TESTSTATE_TA_CURRENT_CHECK_READ;
    private final int TESTSTATE_TA_CURRENT_CHECK_START;
    private boolean isDocked;
    private boolean isPlugged = false;
    private int mAdcResult;
    private int mAvgCurrent = 0;
    private BroadcastReceiver mBroadcastReceiver;
    private ArrayList<Integer> mChargeList = new ArrayList<>();
    private TextView mChargeNormaltestRawavg;
    private TextView mChargeNormaltestRawdata1;
    private TextView mChargeNormaltestRawdata2;
    private TextView mChargeNormaltestRawdata3;
    private TextView mChargeNormaltestRawdata4;
    private TextView mChargeNormaltestRawdata5;
    private TextView mChargetestNormalResult;
    private TextView mChargetestNormalSpec;
    private int mCurrentReadCount = 0;
    private int mCurrentSpecMax = 0;
    private int mCurrentSpecMin = 0;
    private Button mExitButton;
    private Button mFailButton;
    private Handler mHandler;
    private LinearLayout mLinearBackground;
    private ModuleDevice mModuleDevice;
    private ModulePower mModulePower;
    private Button mPassButton;
    private LinearLayout mTableButton;
    private LinearLayout mTableCurrent;
    private LinearLayout mTableCurrentData;
    private TableLayout mTableOTG;
    private TableLayout mTableTA;
    private TableLayout mTablebst5v;
    private String mTestCase;
    private int mTestState;
    private TextView mTextOTGResult;
    private TextView mTextPogoAdcResult;
    private TextView mTextTAConnectResult;

    public UIPogoOTGCharge() {
        super("UIPogoOTGCharge", 167);
        int i = 0 + 1;
        this.DUMMY = i;
        this.TESTSTATE_INIT = 0;
        int i2 = i + 1;
        this.DUMMY = i2;
        this.TESTSTATE_OTG_CONNECT = i;
        int i3 = i2 + 1;
        this.DUMMY = i3;
        this.TESTSTATE_TA_CONNECT = i2;
        int i4 = i3 + 1;
        this.DUMMY = i4;
        this.TESTSTATE_TA_CURRENT_CHECK_START = i3;
        int i5 = i4 + 1;
        this.DUMMY = i5;
        this.TESTSTATE_TA_CURRENT_CHECK_LCDOFF = i4;
        int i6 = i5 + 1;
        this.DUMMY = i6;
        this.TESTSTATE_TA_CURRENT_CHECK_READ = i5;
        int i7 = i6 + 1;
        this.DUMMY = i7;
        this.TESTSTATE_PASS = i6;
        int i8 = i7 + 1;
        this.DUMMY = i8;
        this.TESTSTATE_FAIL = i7;
        this.DUMMY = i8 + 1;
        this.TESTSTATE_POGO_ADC_READ = i8;
        this.mTestState = 0;
        this.isDocked = false;
        this.mBroadcastReceiver = new BroadcastReceiver() {
            /* class com.sec.factory.app.ui.UIPogoOTGCharge.AnonymousClass1 */

            public void onReceive(Context context, Intent intent) {
                String action = intent.getAction();
                String str = UIPogoOTGCharge.this.CLASS_NAME;
                FtUtil.log_d(str, "mBroadcastReceiver.onReceive", "action=" + action);
                String str2 = UIPogoOTGCharge.this.CLASS_NAME;
                FtUtil.log_d(str2, "mBroadcastReceiver.onReceive", "mTestState=" + UIPogoOTGCharge.this.mTestState);
                if ("android.hardware.usb.action.USB_DEVICE_ATTACHED".equals(action)) {
                    if (ModuleDevice.instance(context).isUSBMouseAttached((UsbDevice) intent.getParcelableExtra("device"))) {
                        FtUtil.log_i(UIPogoOTGCharge.this.CLASS_NAME, "mBroadcastReceiver.onReceive", "EXTRA_USB_HID_STATE_ATTACHED");
                        if (UIPogoOTGCharge.this.mTestState == UIPogoOTGCharge.this.TESTSTATE_INIT) {
                            UIPogoOTGCharge.this.mHandler.removeMessages(UIPogoOTGCharge.this.TESTSTATE_FAIL);
                            UIPogoOTGCharge uIPogoOTGCharge = UIPogoOTGCharge.this;
                            uIPogoOTGCharge.mTestState = uIPogoOTGCharge.TESTSTATE_OTG_CONNECT;
                            UIPogoOTGCharge.this.mHandler.sendEmptyMessage(UIPogoOTGCharge.this.TESTSTATE_OTG_CONNECT);
                        }
                    }
                } else if (action.equals(ModuleDevice.ACTION_USB_STORAGE_MOUNTED)) {
                    FtUtil.log_i(UIPogoOTGCharge.this.CLASS_NAME, "mBroadcastReceiver.onReceive", "ACTION_USB_STORAGE_MOUNTED");
                    if (UIPogoOTGCharge.this.mTestState == UIPogoOTGCharge.this.TESTSTATE_INIT) {
                        UIPogoOTGCharge.this.mHandler.removeMessages(UIPogoOTGCharge.this.TESTSTATE_FAIL);
                        UIPogoOTGCharge uIPogoOTGCharge2 = UIPogoOTGCharge.this;
                        uIPogoOTGCharge2.mTestState = uIPogoOTGCharge2.TESTSTATE_OTG_CONNECT;
                        UIPogoOTGCharge.this.mHandler.sendEmptyMessage(UIPogoOTGCharge.this.TESTSTATE_OTG_CONNECT);
                    }
                }
            }
        };
        this.mHandler = new Handler() {
            /* class com.sec.factory.app.ui.UIPogoOTGCharge.AnonymousClass2 */

            public void handleMessage(Message msg) {
                String str = UIPogoOTGCharge.this.CLASS_NAME;
                FtUtil.log_i(str, "mHandler", "msg.what = " + msg.what);
                if (msg.what == UIPogoOTGCharge.this.TESTSTATE_OTG_CONNECT) {
                    UIPogoOTGCharge.this.mTextOTGResult.setText("PASS");
                    UIPogoOTGCharge.this.mTextOTGResult.setTextColor(UiHallICTest.FONT_COLOR_PASS);
                    UIPogoOTGCharge.this.mTableTA.setVisibility(0);
                    UIPogoOTGCharge uIPogoOTGCharge = UIPogoOTGCharge.this;
                    uIPogoOTGCharge.mTestState = uIPogoOTGCharge.TESTSTATE_TA_CONNECT;
                    UIPogoOTGCharge.this.mHandler.sendEmptyMessage(UIPogoOTGCharge.this.TESTSTATE_TA_CONNECT);
                } else if (msg.what == UIPogoOTGCharge.this.TESTSTATE_TA_CONNECT) {
                    UIPogoOTGCharge.this.connectionCheck();
                } else if (msg.what == UIPogoOTGCharge.this.TESTSTATE_TA_CURRENT_CHECK_START) {
                    UIPogoOTGCharge uIPogoOTGCharge2 = UIPogoOTGCharge.this;
                    uIPogoOTGCharge2.mTestState = uIPogoOTGCharge2.TESTSTATE_TA_CURRENT_CHECK_LCDOFF;
                    UIPogoOTGCharge.this.mHandler.sendEmptyMessageDelayed(UIPogoOTGCharge.this.TESTSTATE_TA_CURRENT_CHECK_LCDOFF, 1000);
                } else if (msg.what == UIPogoOTGCharge.this.TESTSTATE_TA_CURRENT_CHECK_LCDOFF) {
                    if (UIPogoOTGCharge.this.mModulePower.isScreenOn()) {
                        UIPogoOTGCharge.this.turnLcdOffForCurrentCheck();
                        UIPogoOTGCharge uIPogoOTGCharge3 = UIPogoOTGCharge.this;
                        uIPogoOTGCharge3.mTestState = uIPogoOTGCharge3.TESTSTATE_TA_CURRENT_CHECK_READ;
                        UIPogoOTGCharge.this.mHandler.sendEmptyMessageDelayed(UIPogoOTGCharge.this.TESTSTATE_TA_CURRENT_CHECK_READ, 1000);
                    }
                } else if (msg.what == UIPogoOTGCharge.this.TESTSTATE_TA_CURRENT_CHECK_READ) {
                    UIPogoOTGCharge.this.readcurrent();
                } else if (msg.what == UIPogoOTGCharge.this.TESTSTATE_POGO_ADC_READ) {
                    UIPogoOTGCharge.this.startAdcRead();
                } else if (msg.what == UIPogoOTGCharge.this.TESTSTATE_PASS) {
                    UIPogoOTGCharge uIPogoOTGCharge4 = UIPogoOTGCharge.this;
                    uIPogoOTGCharge4.mTestState = uIPogoOTGCharge4.TESTSTATE_PASS;
                    UIPogoOTGCharge.this.setTestResult((UIPogoOTGCharge) true);
                    UIPogoOTGCharge.this.writeFile();
                    UIPogoOTGCharge.this.finish();
                } else if (msg.what == UIPogoOTGCharge.this.TESTSTATE_FAIL) {
                    if (UIPogoOTGCharge.this.mTestState == UIPogoOTGCharge.this.TESTSTATE_INIT) {
                        UIPogoOTGCharge.this.mTextOTGResult.setText("FAIL");
                        UIPogoOTGCharge.this.mTextOTGResult.setTextColor(-65536);
                    }
                    UIPogoOTGCharge uIPogoOTGCharge5 = UIPogoOTGCharge.this;
                    uIPogoOTGCharge5.mTestState = uIPogoOTGCharge5.TESTSTATE_FAIL;
                    UIPogoOTGCharge.this.setTestResult((UIPogoOTGCharge) false);
                    UIPogoOTGCharge.this.mTableButton.setVisibility(0);
                    UIPogoOTGCharge.this.mExitButton.setVisibility(0);
                }
            }
        };
    }

    /* access modifiers changed from: protected */
    @Override // com.sec.factory.app.ui.UIBase
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.ui_pogo_otg_charge);
        initUI();
        initialize();
        this.mHandler.sendEmptyMessageDelayed(this.TESTSTATE_FAIL, 10000);
    }

    /* access modifiers changed from: protected */
    @Override // com.sec.factory.app.ui.UIBase
    public void onResume() {
        super.onResume();
    }

    private void initialize() {
        FtUtil.log_d(this.CLASS_NAME, "initialize", null);
        this.mTestState = this.TESTSTATE_INIT;
        this.mModuleDevice = ModuleDevice.instance(this);
        this.mModulePower = ModulePower.instance(this);
        IntentFilter mIntentFilter = new IntentFilter();
        mIntentFilter.addAction(ModuleDevice.ACTION_USB_STORAGE_MOUNTED);
        mIntentFilter.addAction("android.hardware.usb.action.USB_DEVICE_ATTACHED");
        mIntentFilter.addAction("android.hardware.usb.action.USB_DEVICE_DETACHED");
        mIntentFilter.addAction("android.intent.action.BATTERY_CHANGED");
        registerReceiver(this.mBroadcastReceiver, mIntentFilter);
        Support.Kernel.writeToPath("/sys/class/sec/switch/pogo_test", EgisFingerprint.MAJOR_VERSION);
        if (NfcAdapter.getDefaultAdapter(getApplicationContext()) != null) {
            Intent intent = new Intent("com.samsung.android.nfc.test.action.REQUEST");
            intent.putExtra("com.samsung.android.nfc.test.extra.ID", 2);
            sendBroadcast(intent);
            FtUtil.log_d(this.CLASS_NAME, "NFC RF discovery enable When Charge test");
        }
        String testCase = Support.FactoryTestMenu.getTestCase(FactoryTestManager.convertorID_XML(167));
        this.mTestCase = testCase;
        if ("REVERSE".equals(testCase)) {
            setRequestedOrientation(8);
        }
    }

    private void initUI() {
        FtUtil.log_d(this.CLASS_NAME, "initUI", null);
        this.mLinearBackground = (LinearLayout) findViewById(R.id.background);
        this.mTableOTG = (TableLayout) findViewById(R.id.table_otg);
        this.mTextOTGResult = (TextView) findViewById(R.id.otg_result);
        this.mTableOTG.setVisibility(0);
        this.mTextOTGResult.setText("Waiting..");
        this.mTextOTGResult.setTextColor(-16777216);
        this.mTextOTGResult.setVisibility(0);
        this.mTableTA = (TableLayout) findViewById(R.id.table_ta);
        this.mTextTAConnectResult = (TextView) findViewById(R.id.ta_connect_result);
        this.mTableCurrent = (LinearLayout) findViewById(R.id.normalchargetesttable);
        this.mTableCurrentData = (LinearLayout) findViewById(R.id.table_chargecurrent);
        this.mChargetestNormalSpec = (TextView) findViewById(R.id.normalchargetestspec);
        this.mChargetestNormalResult = (TextView) findViewById(R.id.normalchargetestresult);
        this.mChargeNormaltestRawdata1 = (TextView) findViewById(R.id.rawdata1);
        this.mChargeNormaltestRawdata2 = (TextView) findViewById(R.id.rawdata2);
        this.mChargeNormaltestRawdata3 = (TextView) findViewById(R.id.rawdata3);
        this.mChargeNormaltestRawdata4 = (TextView) findViewById(R.id.rawdata4);
        this.mChargeNormaltestRawdata5 = (TextView) findViewById(R.id.rawdata5);
        this.mChargeNormaltestRawavg = (TextView) findViewById(R.id.rawdataavg);
        this.mTablebst5v = (TableLayout) findViewById(R.id.table_bst5v);
        this.mTextPogoAdcResult = (TextView) findViewById(R.id.pogo_adc_result);
        this.mTableButton = (LinearLayout) findViewById(R.id.table_button);
        Button button = (Button) findViewById(R.id.pass_button);
        this.mPassButton = button;
        button.setOnClickListener(this);
        Button button2 = (Button) findViewById(R.id.fail_button);
        this.mFailButton = button2;
        button2.setOnClickListener(this);
        Button button3 = (Button) findViewById(R.id.exit_button);
        this.mExitButton = button3;
        button3.setOnClickListener(this);
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void connectionCheck() {
        this.mCurrentSpecMax = Support.Spec.getInt(Support.Spec.NORMAL_CHARGE_CURRRENT_SPEC_MAX);
        this.mCurrentSpecMin = Support.Spec.getInt(Support.Spec.NORMAL_CHARGE_CURRRENT_SPEC_MIN);
        String charging_state = "";
        int count = 10;
        while (true) {
            int count2 = count - 1;
            if (count <= 0) {
                break;
            }
            charging_state = Support.Kernel.read(Support.Kernel.CHARGING_STATE);
            if (!"0".equalsIgnoreCase(charging_state)) {
                break;
            }
            FtUtil.Sleep.sleep(500);
            count = count2;
        }
        if (EgisFingerprint.MAJOR_VERSION.equalsIgnoreCase(charging_state)) {
            FtUtil.log_i(this.CLASS_NAME, "connectionCheck", "Success| Charger Connected");
            this.mTextTAConnectResult.setText("PASS");
            this.mTextTAConnectResult.setTextColor(UiHallICTest.FONT_COLOR_PASS);
            this.mTextTAConnectResult.setVisibility(0);
            this.mTableCurrent.setVisibility(0);
            this.mChargetestNormalSpec.setText("SPEC : " + this.mCurrentSpecMin + "mA ~ " + this.mCurrentSpecMax + "mA");
            this.mTableCurrentData.setVisibility(0);
            int i = this.TESTSTATE_TA_CURRENT_CHECK_START;
            this.mTestState = i;
            this.mHandler.sendEmptyMessage(i);
            return;
        }
        FtUtil.log_d(this.CLASS_NAME, "connectionCheck", FtUtil.setMspSeqMessage(1, "UIPogoOTGCharge", "Fail - Connection Fail"));
        this.mTextTAConnectResult.setText("FAIL");
        this.mTextTAConnectResult.setTextColor(-65536);
        this.mTextTAConnectResult.setVisibility(0);
        this.mHandler.sendEmptyMessage(this.TESTSTATE_FAIL);
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void turnLcdOffForCurrentCheck() {
        FtUtil.log_i(this.CLASS_NAME, "turnLcdOffForCurrentCheck", "Turn LCD Off");
        this.mModulePower.doPartialWakeLock(true);
        this.mModulePower.doWakeLock(false);
        if (Support.Feature.getBoolean(Support.Feature.NEED_LPA_MODE_SET, true)) {
            this.mModuleDevice.setLPAmode(ModuleDevice.LPA_MODE_DISABLE);
        }
        this.mModulePower.gotosleep();
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void readcurrent() {
        int i = this.mCurrentReadCount + 1;
        this.mCurrentReadCount = i;
        if (i <= 5) {
            this.mChargeList.add(Integer.valueOf(Integer.parseInt(Support.Kernel.read(Support.Kernel.HV_CHARGE_CURRENT)) / 1000));
            String str = this.CLASS_NAME;
            StringBuilder sb = new StringBuilder();
            sb.append("Charge Current:");
            ArrayList<Integer> arrayList = this.mChargeList;
            sb.append(arrayList.get(arrayList.size() - 1));
            sb.append(" / mCurrentReadCount : ");
            sb.append(this.mCurrentReadCount);
            FtUtil.log_i(str, "readcurrent", sb.toString());
            this.mHandler.sendEmptyMessageDelayed(this.TESTSTATE_TA_CURRENT_CHECK_READ, 400);
            return;
        }
        this.mCurrentReadCount = 0;
        averageCharge();
    }

    private void averageCharge() {
        TextView textView = this.mChargeNormaltestRawdata1;
        textView.setText("" + this.mChargeList.get(0));
        TextView textView2 = this.mChargeNormaltestRawdata2;
        textView2.setText("" + this.mChargeList.get(1));
        TextView textView3 = this.mChargeNormaltestRawdata3;
        textView3.setText("" + this.mChargeList.get(2));
        TextView textView4 = this.mChargeNormaltestRawdata4;
        textView4.setText("" + this.mChargeList.get(3));
        TextView textView5 = this.mChargeNormaltestRawdata5;
        textView5.setText("" + this.mChargeList.get(4));
        Collections.sort(this.mChargeList);
        ArrayList<Integer> arrayList = this.mChargeList;
        arrayList.remove(arrayList.size() - 1);
        this.mChargeList.remove(0);
        Integer sum = 0;
        Iterator<Integer> it = this.mChargeList.iterator();
        while (it.hasNext()) {
            sum = Integer.valueOf(sum.intValue() + it.next().intValue());
        }
        this.mAvgCurrent = (int) (((float) sum.intValue()) / 3.0f);
        this.mChargeList.clear();
        TextView textView6 = this.mChargeNormaltestRawavg;
        textView6.setText("" + this.mAvgCurrent);
        String str = this.CLASS_NAME;
        FtUtil.log_i(str, "averageCharge", "Average Current: " + this.mAvgCurrent);
        currentCheck();
    }

    private void currentCheck() {
        this.mModulePower.doWakeLock(true);
        this.mTableCurrentData.setVisibility(0);
        int i = this.mAvgCurrent;
        if (i < this.mCurrentSpecMin || i > this.mCurrentSpecMax) {
            FtUtil.log_i(this.CLASS_NAME, "currentCheck", "current NormalTest: FAIL ");
            String str = this.CLASS_NAME;
            FtUtil.log_d(str, "currentCheck", FtUtil.setMspSeqMessage(1, "UIPogoOTGCharge", "Fail - SPEC(" + this.mCurrentSpecMin + "mA ~ " + this.mCurrentSpecMax + "mA) OUT : " + this.mAvgCurrent + "mA"));
            this.mChargetestNormalResult.setTextColor(-65536);
            this.mChargetestNormalResult.setText("FAIL");
            this.mHandler.sendEmptyMessage(this.TESTSTATE_FAIL);
            return;
        }
        FtUtil.log_i(this.CLASS_NAME, "currentCheck", "current NormalTest: PASS ");
        this.mChargetestNormalResult.setTextColor(UiHallICTest.FONT_COLOR_PASS);
        this.mChargetestNormalResult.setText("PASS");
        this.mHandler.sendEmptyMessageDelayed(this.TESTSTATE_PASS, 1000);
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void startAdcRead() {
        FtUtil.log_i(this.CLASS_NAME, "startAdcRead", null);
        String result = Support.Kernel.read(Support.Kernel.POGO_PIN_ADC_READ);
        if (result != null) {
            this.mAdcResult = Integer.parseInt(result, 16);
            this.mTextPogoAdcResult.setVisibility(0);
            TextView textView = this.mTextPogoAdcResult;
            textView.setText(" " + Integer.toString(this.mAdcResult));
            if (this.mAdcResult == 17) {
                this.mTextPogoAdcResult.setTextColor(UiHallICTest.FONT_COLOR_PASS);
                return;
            }
            this.mTextPogoAdcResult.setTextColor(-65536);
            this.mHandler.sendEmptyMessageDelayed(this.TESTSTATE_POGO_ADC_READ, 500);
            return;
        }
        this.mTextPogoAdcResult.setText(" NULL");
        this.mTextPogoAdcResult.setTextColor(-65536);
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void setTestResult(boolean isPass) {
        FtUtil.log_i(this.CLASS_NAME, "setTestResult", null);
        if (isPass) {
            FtUtil.log_d(this.CLASS_NAME, "setTestResult", FtUtil.setMspSeqMessage(1, FactoryTestManager.getItemName_RequestCode(167), "Pass"));
            setResult(-1);
            finish();
            FtUtil.log_i(this.CLASS_NAME, "setTestResult", "PASS");
            return;
        }
        FtUtil.log_d(this.CLASS_NAME, "setTestResult", FtUtil.setMspSeqMessage(1, FactoryTestManager.getItemName_RequestCode(167), "Fail"));
        setTestResultFailCase(167);
    }

    /* access modifiers changed from: protected */
    @Override // com.sec.factory.app.ui.UIBase
    public void onPause() {
        super.onPause();
    }

    /* access modifiers changed from: protected */
    @Override // com.sec.factory.app.ui.UIBase
    public void onDestroy() {
        super.onDestroy();
        this.mHandler.removeCallbacksAndMessages(null);
        NfcAdapter nfc = NfcAdapter.getDefaultAdapter(getApplicationContext());
        if (nfc != null && nfc.isEnabled()) {
            Intent intent = new Intent("com.samsung.android.nfc.test.action.REQUEST");
            intent.putExtra("com.samsung.android.nfc.test.extra.ID", 3);
            sendBroadcast(intent);
            FtUtil.log_d(this.CLASS_NAME, "when screen off / on. NFC RF discovery was enabled. so must be disabled before exit here");
        }
        unregisterReceiver(this.mBroadcastReceiver);
        this.mModulePower.doPartialWakeLock(false);
        Support.Kernel.writeToPath("/sys/class/sec/switch/pogo_test", "0");
    }

    public void onClick(View v) {
        switch (v.getId()) {
            case R.id.exit_button:
                finish();
                return;
            case R.id.fail_button:
                setTestResult(false);
                return;
            case R.id.pass_button:
                setTestResult(true);
                return;
            default:
                return;
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void writeFile() {
        File DataFile = new File("/data/log/Pogo5VData.log");
        Support.Kernel.writeToPathNsync(DataFile.getPath(), "1," + Integer.toString(this.mAvgCurrent));
    }
}
