package com.sec.factory.app.ui;

import android.os.Bundle;
import android.os.Handler;
import com.sec.factory.R;
import com.sec.factory.app.ui.UCTTestBase;
import com.sec.factory.support.FtUtil;

public class UIWaterDetectTest extends UIBase {
    private final String CLASS_NAME = "UIWaterDetectTest";
    private UCTTestBase.TestResultListener mTestResultListener = new UCTTestBase.TestResultListener() {
        /* class com.sec.factory.app.ui.UIWaterDetectTest.AnonymousClass1 */

        @Override // com.sec.factory.app.ui.UCTTestBase.TestResultListener
        public synchronized void onTestEnd(int TEST, boolean _bRes) {
            FtUtil.log_d("UIWaterDetectTest", "onTestEnd", TEST + " is " + _bRes);
            if (_bRes) {
                UIWaterDetectTest.this.setTestResult(204, (byte) 80);
                new Handler().postDelayed(new Runnable() {
                    /* class com.sec.factory.app.ui.UIWaterDetectTest.AnonymousClass1.AnonymousClass1 */

                    public void run() {
                        FtUtil.log_d("UIWaterDetectTest", "run", "finish");
                        UIWaterDetectTest.this.finish();
                    }
                }, 3000);
            }
        }
    };
    private UCTTestBase mUCTWaterDetectTest;

    public UIWaterDetectTest() {
        super("UIWaterDetectTest", 204);
    }

    /* access modifiers changed from: protected */
    @Override // com.sec.factory.app.ui.UIBase
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.ui_waterint);
        init();
    }

    public void init() {
        FtUtil.log_i("UIWaterDetectTest", "init", "");
        UCTWaterDetectTest uCTWaterDetectTest = new UCTWaterDetectTest(this, this.mTestResultListener);
        this.mUCTWaterDetectTest = uCTWaterDetectTest;
        uCTWaterDetectTest.init(true);
        this.mUCTWaterDetectTest.startTest();
    }

    @Override // com.sec.factory.app.ui.UIBase
    public void onDestroy() {
        super.onDestroy();
    }
}
