package com.sec.factory.entry;

import android.content.BroadcastReceiver;
import android.content.Context;
import android.content.Intent;
import android.widget.Toast;
import com.sec.factory.support.FtUtil;
import com.sec.xmldata.support.NVAccessor;
import com.sec.xmldata.support.Support;

public class SMDNVSkipReceiver extends BroadcastReceiver {
    public static final String CLASS_NAME = "SMDNVSkipReceiver";
    private Context mContext;

    public void onReceive(Context context, Intent intent) {
        String action = intent.getAction();
        String version = Support.Properties.get(Support.Properties.PDA_VERSION);
        FtUtil.log_d(CLASS_NAME, "onReceive", "Version: " + version);
        char rpCount = version.charAt(version.length() + -5);
        FtUtil.log_d(CLASS_NAME, "onReceive", "rpCount: " + rpCount);
        this.mContext = context;
        FtUtil.log_d(CLASS_NAME, "mBroadcastReceiver.onReceive", "action=" + action);
        if ("com.sec.factory.entry.SkipSMDNV".equals(intent.getAction())) {
            FtUtil.log_d(CLASS_NAME, "com.sec.factory.entry.SkipSMDNV Started", null);
            if (rpCount == '0') {
                NVAccessor.setNV(1, (byte) 80);
                NVAccessor.setNV(150, (byte) 80);
                FtUtil.log_d(CLASS_NAME, "onReceive", "SMD FT SKIP Success!!");
                Toast.makeText(this.mContext, "SMD FT SKIP Success!!", 0).show();
                return;
            }
            return;
        }
        FtUtil.log_d(CLASS_NAME, "Nothing Started", null);
    }
}
