package com.sec.factory.modules;

import android.content.Context;
import android.os.Handler;
import android.os.Message;
import com.google.common.net.HttpHeaders;
import com.sec.factory.support.FtUtil;
import com.sec.xmldata.support.Support;
import egis.client.api.EgisFingerprint;
import java.lang.reflect.Array;
import java.util.Locale;

public class ModuleTouchScreen extends ModuleObject {
    private static int Default_testID = -1;
    public static final int FORCE_ID__PRESSURE_CAL_CLEAR;
    public static final int FORCE_ID__PRESSURE_CAL_READ;
    public static final int FORCE_ID__PRESSURE_IX_READ;
    public static final int FORCE_ID__PRESSURE_OFFSET_READ;
    public static final int FORCE_ID__PRESSURE_RAWDATA_READ;
    public static final int FORCE_ID__PRESSURE_STRENGTH_FILTERED_READ;
    public static final int FORCE_ID__PRESSURE_STRENGTH_INDEX_READ;
    public static final int FORCE_ID__PRESSURE_STRENGTH_INDEX_SET;
    public static final int FORCE_ID__PRESSURE_STRENGTH_READ;
    public static final int FORCE_ID__PRESSURE_STRENGTH_SET;
    public static final int FORCE_ID__PRESSURE_TEST_MODE_SET;
    public static final int FORCE_ID__RUN_FORCE_PRESSURE_CALIBRATION;
    public static final String TSP_DEVICE_TYPE__PHONE = "phone";
    public static final String TSP_DEVICE_TYPE__TABLET = "tablet";
    public static final int TSP_DUAL_SPEC_1ST = 0;
    public static final int TSP_DUAL_SPEC_2ND = 1;
    public static final int TSP_HOVER_CMD__HOVER_SET_EDGE_DEADLOCK;
    public static final int TSP_HOVER_ID__ABS_CAP;
    public static final int TSP_HOVER_ID__ABS_DELTA;
    private static int TSP_ID_DUMMY = 0;
    public static final int TSP_ID_HOVER_DISABLE;
    public static final int TSP_ID_HOVER_ENABLE;
    public static final int TSP_ID_SCOPE_MAX;
    public static final int TSP_ID_SCOPE_MIN = 1;
    public static final int TSP_ID_SLOPE0;
    public static final int TSP_ID_SLOPE1;
    public static final int TSP_ID_SLOPE_CMCS_TEST;
    public static final int TSP_ID_UNIT_CAL_FLAG_CHECK;
    public static final int TSP_ID__ABS_CAP_NODE;
    public static final int TSP_ID__CHECK_CONNECTION;
    public static final int TSP_ID__CHECK_SRAM;
    public static final int TSP_ID__CHIP_NAME;
    public static final int TSP_ID__CLEAR_HISTORY;
    public static final int TSP_ID__CM_ABS__ALL_NODE__RETURN_MIN_MAX;
    public static final int TSP_ID__CM_ABS__NODE;
    public static final int TSP_ID__CM_DATA__ALL_NODE__RETURN_MIN_MAX;
    public static final int TSP_ID__CM_DATA__NODE;
    public static final int TSP_ID__CM_FORCE_CAL_DATA;
    public static final int TSP_ID__CM_GAP_TX_RX;
    public static final int TSP_ID__CM_OFFSET;
    public static final int TSP_ID__CM_OFFSET_DATA_ALL;
    public static final int TSP_ID__CM_OFFSET_DATA_GAP;
    public static final int TSP_ID__CM_OFFSET_DATA_GAP_GREAT_STYLE;
    public static final int TSP_ID__CM_OFFSET_DATA_GAP_LOW_FREQ;
    public static final int TSP_ID__CM_OFFSET_DATA_GAP_SPLIT_CORNER;
    public static final int TSP_ID__CM_PRE_DELTA;
    public static final int TSP_ID__CM_PRE_DELTA_ALL;
    public static final int TSP_ID__CM_SPEC_OVER;
    public static final int TSP_ID__CONFIG_VERSION;
    public static final int TSP_ID__CONNECTION_CHECK;
    public static final int TSP_ID__CR_VARIANCE_READ;
    public static final int TSP_ID__CX_DATA_ALL_NODE;
    public static final int TSP_ID__CX_DATA_GAP_NODE;
    public static final int TSP_ID__CX_DATA__ALL_NODE__RETURN_NONE;
    public static final int TSP_ID__CX_DATA__NODE;
    public static final int TSP_ID__DELTA__ALL_NODE__RETURN_MIN_MAX;
    public static final int TSP_ID__DELTA__ALL_NODE__RETURN_NONE;
    public static final int TSP_ID__DELTA__NODE;
    public static final int TSP_ID__DEV_COUNT;
    public static final int TSP_ID__DIFFERENCE__ALL_NODE__RETURN_NONE;
    public static final int TSP_ID__DIFFERENCE__NODE;
    public static final int TSP_ID__DND__ALL_NODE__RETURN_MIN_MAX;
    public static final int TSP_ID__DND__ALL_NODE__RETURN_NONE;
    public static final int TSP_ID__DND__DIFF;
    public static final int TSP_ID__DND__NODE;
    public static final int TSP_ID__DUMMY_CP_DATA;
    public static final int TSP_ID__ELVSS_TEST;
    public static final int TSP_ID__EXPANSION__CONNECTION;
    public static final int TSP_ID__EXPANSION__CONNECTION_HOVERING;
    public static final int TSP_ID__FW_CHECKSUM_DATA;
    public static final int TSP_ID__FW_UPDATE;
    public static final int TSP_ID__FW_VERSION_BINARY;
    public static final int TSP_ID__FW_VERSION_IC;
    public static final int TSP_ID__GAP_JITTER__ALL_NODE;
    public static final int TSP_ID__GLOBAL_IDAC__ALL_NODE__RETURN_NONE;
    public static final int TSP_ID__GLOBAL_IDAC__NODE;
    public static final int TSP_ID__HIGH_FREQUENCY;
    public static final int TSP_ID__HIGH_FREQUENCY_H_GAP__ALL_NODE__RETURN_NONE;
    public static final int TSP_ID__HIGH_FREQUENCY_H_GAP__NODE;
    public static final int TSP_ID__HIGH_FREQUENCY_SPEC_ADJUST;
    public static final int TSP_ID__HIGH_FREQUENCY_V_GAP__ALL_NODE__RETURN_NONE;
    public static final int TSP_ID__HIGH_FREQUENCY_V_GAP__NODE;
    public static final int TSP_ID__HIGH_FREQUENCY__ALL_NODE__RETURN_NONE;
    public static final int TSP_ID__HISTORY;
    public static final int TSP_ID__HVDD_CHECK;
    public static final int TSP_ID__H_GAP__ALL_NODE__RETURN_NONE;
    public static final int TSP_ID__H_GAP__NODE;
    public static final int TSP_ID__INSPECTION__ALL_NODE__RETURN_MIN_MAX;
    public static final int TSP_ID__INSPECTION__NODE;
    public static final int TSP_ID__INTENSITY__ALL_NODE__RETURN_MIN_MAX;
    public static final int TSP_ID__INTENSITY__NODE;
    public static final int TSP_ID__INTERFERENCE_METRIC_DATA;
    public static final int TSP_ID__KEY_RAW_DATA;
    public static final int TSP_ID__KEY_READ1;
    public static final int TSP_ID__KEY_READ2;
    public static final int TSP_ID__KEY_TOTAL_CX;
    public static final int TSP_ID__LOCAL_IDAC__ALL_NODE__RETURN_NONE;
    public static final int TSP_ID__LOCAL_IDAC__NODE;
    public static final int TSP_ID__MIS_CAL = 1;
    public static final int TSP_ID__MIS_CALIBRATION;
    public static final int TSP_ID__MIS_CALIBRATION_CHECK;
    public static final int TSP_ID__MIS_CALIBRATION__ALL_NODE__RETURN_MIN_MAX;
    public static final int TSP_ID__MODULE_VENDOR;
    public static final int TSP_ID__MUTUALCAP__ALL_NODE__RETURN_MIN_MAX;
    public static final int TSP_ID__MUTUALCAP__NODE;
    public static final int TSP_ID__NUMBER_X_CHANNEL;
    public static final int TSP_ID__NUMBER_X_CROSS;
    public static final int TSP_ID__NUMBER_X_CX;
    public static final int TSP_ID__NUMBER_Y_CHANNEL;
    public static final int TSP_ID__NUMBER_Y_CROSS;
    public static final int TSP_ID__NUMBER_Y_CX;
    public static final int TSP_ID__PAT_INFOMATION;
    public static final int TSP_ID__POWER_OFF;
    public static final int TSP_ID__POWER_OFF_SECOND_CHIP;
    public static final int TSP_ID__POWER_ON;
    public static final int TSP_ID__POWER_ON_SECOND_CHIP;
    public static final int TSP_ID__RAWCAP__ALL_NODE;
    public static final int TSP_ID__RAWCAP__ALL_NODE__RETURN_MIN_MAX;
    public static final int TSP_ID__RAWCAP__NODE;
    public static final int TSP_ID__RAWCAP__NODE__RETURN_MIN_MAX;
    public static final int TSP_ID__RAW_COUNT__ALL_NODE__RETURN_MIN_MAX;
    public static final int TSP_ID__RAW_COUNT__NODE;
    public static final int TSP_ID__READ_CM_RATIO;
    public static final int TSP_ID__READ_REFERENCE_MAX_DIFF;
    public static final int TSP_ID__REFERENCE__ALL_NODE__RETURN_MIN_MAX;
    public static final int TSP_ID__REFERENCE__ALL_NODE__RETURN_NONE;
    public static final int TSP_ID__REFERENCE__NODE;
    public static final int TSP_ID__REFERENCE__NODE_SINGLE;
    public static final int TSP_ID__REGSITER__RESULT;
    public static final int TSP_ID__RUN_CALIBRATION;
    public static final int TSP_ID__RUN_CP_LPM_DATA;
    public static final int TSP_ID__RUN_CP_SHORT_DATA;
    public static final int TSP_ID__RUN_FORCE_CALIBRATION_CENT;
    public static final int TSP_ID__RUN_FORCE_CALIBRATION_FACT;
    public static final int TSP_ID__RUN_FORCE_CALIBRATION_LCIA;
    public static final int TSP_ID__RUN_FORCE_CALIBRATION_OUTS;
    public static final int TSP_ID__RUN_MIS_CALIBRATION;
    public static final int TSP_ID__RUN_REFERENCE_CALIBRATION;
    public static final int TSP_ID__RX_SHORT_NODE_RETURN;
    public static final int TSP_ID__RX_SHORT_TEST;
    public static final int TSP_ID__RX_TO_RX__ALL_NODE__RETURN_NONE;
    public static final int TSP_ID__RX_TO_RX__NODE;
    public static final int TSP_ID__SCANTIME__ALL_NODE__RETURN_NONE;
    public static final int TSP_ID__SCANTIME__NODE;
    public static final int TSP_ID__SELECT_TSP;
    public static final int TSP_ID__SELF_OFFSET;
    public static final int TSP_ID__SELF_OFFSET_ALL;
    public static final int TSP_ID__SELF_OFFSET_CROSS_GAP;
    public static final int TSP_ID__SELF_PRE_DELTA;
    public static final int TSP_ID__SELF_PRE_DELTA_GAP;
    public static final int TSP_ID__SELF__DND__ALL_NODE;
    public static final int TSP_ID__SELF__DND__ALL_NODE__RETURN_NONE;
    public static final int TSP_ID__SELF__H_GAP__ALL_NODE__RETURN_NONE;
    public static final int TSP_ID__SELF__H_GAP__NODE;
    public static final int TSP_ID__SET_EXTERNAL_FACTORY;
    public static final int TSP_ID__SET_TSP_RESULT;
    public static final int TSP_ID__THRESHOLD;
    public static final int TSP_ID__TOTAL_CX;
    public static final int TSP_ID__TRX_OPEN_SHORT;
    public static final int TSP_ID__TRX_OPEN_TEST;
    public static final int TSP_ID__TRX_SHORT_TEST;
    public static final int TSP_ID__TXRX_SHORT_BY_BIT_NODE_RETURN;
    public static final int TSP_ID__TX_RX_SELF_CR;
    public static final int TSP_ID__TX_SHORT_NODE_RETURN;
    public static final int TSP_ID__TX_SHORT_TEST;
    public static final int TSP_ID__TX_TO_GND__ALL_NODE__RETURN_NONE;
    public static final int TSP_ID__TX_TO_GND__NODE;
    public static final int TSP_ID__TX_TO_TX__ALL_NODE__RETURN_NONE;
    public static final int TSP_ID__TX_TO_TX__NODE;
    public static final int TSP_ID__VENDOR_NAME;
    public static final int TSP_ID__VIEW_CP_DATA;
    public static final int TSP_ID__V_GAP__ALL_NODE__RETURN_NONE;
    public static final int TSP_ID__V_GAP__NODE;
    public static final int TSP_ID__WET_MODE_CHECK;
    public static final int TSP_ID__WTR_CX2_DATA;
    public static final int TSP_ID__WTR_CX2_DATA__ALL_NODE;
    public static final int TSP_ID__WTR_IX_DATA;
    public static final int TSP_ID__WTR_IX_DATA__ALL_NODE;
    public static final int TSP_ID__WTR_SELF_RAWDATA;
    public static final int TSP_ID__WTR_SELF_RAWDATA__ALL_NODE;
    public static final String TSP_PANEL_TYPE__GFF = "GFF";
    public static final String TSP_PANEL_TYPE__OCTA = "OCTA";
    public static final String TSP_PANEL_TYPE__TFT = "TFT";
    public static final String TSP_RESULT_VALUE_CONTINUE = "CONT";
    public static final String TSP_RESULT_VALUE_NG = "NG";
    public static final String TSP_RESULT_VALUE_NOT_APPLICABLE = "NA";
    public static final String TSP_RESULT_VALUE_OK = "OK";
    public static final int TSP_SIDETOUCH_ID__ABS_CAP;
    public static final int TSP_SIDETOUCH_ID__DELTA;
    public static final String TSP_VENDOR_NAME__ATMEL = "ATMEL";
    public static final String TSP_VENDOR_NAME__CYPRESS = "CYPRESS";
    public static final String TSP_VENDOR_NAME__G2 = "G2";
    public static final String TSP_VENDOR_NAME__IMAGIS = "IMAGIS";
    public static final String TSP_VENDOR_NAME__MELFAS = "MELFAS";
    public static final String TSP_VENDOR_NAME__SEC = "SEC";
    public static final String TSP_VENDOR_NAME__SILAB = "SILAB";
    public static final String TSP_VENDOR_NAME__STM = "STM";
    public static final String TSP_VENDOR_NAME__SYNAPTICS = "SYNAPTICS";
    public static final String TSP_VENDOR_NAME__ZI = "ZI";
    public static final String TSP_VENDOR_NAME__ZINITIX = "ZINITIX";
    public static final int TSP_WHAT_SCOPE_MAX = TouchScreenPanel.TSP_WHAT_SCOPE_MAX;
    public static final int TSP_WHAT_SCOPE_MIN = TouchScreenPanel.TSP_WHAT_SCOPE_MIN;
    public static final int TSP_WHAT_STATUS_NA = TouchScreenPanel.TSP_WHAT_STATUS_NA;
    public static final int TSP_WHAT_STATUS_NG = TouchScreenPanel.TSP_WHAT_STATUS_NG;
    public static final int TSP_WHAT_STATUS_OK = TouchScreenPanel.TSP_WHAT_STATUS_OK;
    private static int current_testID = -1;
    private static ModuleTouchScreen mInstance = null;
    private boolean mIsStandardChannel;
    private final TouchScreenPanel mTSP;
    private String mTSPChannelCountX = null;
    private String mTSPChannelCountY = null;
    private String mTSPChannelCrossCountX = null;
    private String mTSPChannelCrossCountY = null;
    private String mTSPChipName;
    private int mTSPConnectionHoveringSpec_Max_X;
    private int mTSPConnectionHoveringSpec_Max_Y;
    private int mTSPConnectionHoveringSpec_Min_X;
    private int mTSPConnectionHoveringSpec_Min_Y;
    private int mTSPConnectionSpec_Max;
    private int mTSPConnectionSpec_Min;
    private int mTSPCxDataGapSpec_X;
    private int mTSPCxDataGapSpec_Y;
    private int mTSPCxDataSpec_Max;
    private int mTSPCxDataSpec_Min;
    private String mTSPDeviceType;
    private int mTSPDummyCpDataSpec_Max;
    private int mTSPDummyCpDataSpec_Min;
    Handler mTSPHandler = new Handler(getApplicationContext().getMainLooper()) {
        /* class com.sec.factory.modules.ModuleTouchScreen.AnonymousClass1 */

        public void handleMessage(Message msg) {
            String result;
            try {
                String str = ModuleTouchScreen.this.CLASS_NAME;
                FtUtil.log_d(str, "mTSPHandler.handleMessage", "msg.arg1 (TSP ID Main) : " + ModuleTouchScreen.convertorTSPID(msg.arg1));
                String str2 = ModuleTouchScreen.this.CLASS_NAME;
                FtUtil.log_d(str2, "mTSPHandler.handleMessage", "msg.obj : " + msg.obj.toString());
            } catch (NullPointerException e) {
                FtUtil.log_e(ModuleTouchScreen.this.CLASS_NAME, "mTSPHandler.handleMessage", "msg.obj is NULL ");
            }
            if (msg.arg1 == ModuleTouchScreen.TSP_ID__EXPANSION__CONNECTION) {
                FtUtil.log_d(ModuleTouchScreen.this.CLASS_NAME, "mTSPHandler.handleMessage", HttpHeaders.CONNECTION);
                if (ModuleTouchScreen.this.mTSPNotiHandler == null) {
                    return;
                }
                if (msg.what == ModuleTouchScreen.TSP_WHAT_STATUS_OK) {
                    FtUtil.log_d(ModuleTouchScreen.this.CLASS_NAME, "mTSPHandler.handleMessage", "TSP_WHAT_STATUS_OK");
                    String result2 = msg.obj.toString();
                    String str3 = ModuleTouchScreen.this.CLASS_NAME;
                    FtUtil.log_d(str3, "mTSPHandler.handleMessage", "result : " + result2);
                    String result3 = ModuleTouchScreen.this.checkTSPConnectionSpec(result2);
                    if (result3.equals("NG")) {
                        ModuleTouchScreen.this.mTSPNotiHandler.sendMessage(ModuleTouchScreen.this.mTSPNotiHandler.obtainMessage(ModuleTouchScreen.TSP_WHAT_STATUS_NG, ModuleTouchScreen.TSP_ID__EXPANSION__CONNECTION, -1));
                    } else {
                        ModuleTouchScreen.this.mTSPNotiHandler.sendMessage(ModuleTouchScreen.this.mTSPNotiHandler.obtainMessage(ModuleTouchScreen.TSP_WHAT_STATUS_OK, ModuleTouchScreen.TSP_ID__EXPANSION__CONNECTION, -1, result3));
                    }
                } else if (msg.what == ModuleTouchScreen.TSP_WHAT_STATUS_NG) {
                    FtUtil.log_d(ModuleTouchScreen.this.CLASS_NAME, "mTSPHandler.handleMessage", "TSP_WHAT_STATUS_NG");
                    ModuleTouchScreen.this.mTSPNotiHandler.sendMessage(ModuleTouchScreen.this.mTSPNotiHandler.obtainMessage(ModuleTouchScreen.TSP_WHAT_STATUS_NG, ModuleTouchScreen.TSP_ID__EXPANSION__CONNECTION, -1));
                } else if (msg.what == ModuleTouchScreen.TSP_WHAT_STATUS_NA) {
                    FtUtil.log_d(ModuleTouchScreen.this.CLASS_NAME, "mTSPHandler.handleMessage", "TSP_WHAT_STATUS_NA");
                    ModuleTouchScreen.this.mTSPNotiHandler.sendMessage(ModuleTouchScreen.this.mTSPNotiHandler.obtainMessage(ModuleTouchScreen.TSP_WHAT_STATUS_NA, ModuleTouchScreen.TSP_ID__EXPANSION__CONNECTION, -1));
                }
            } else if (msg.arg1 == ModuleTouchScreen.TSP_ID__RAWCAP__NODE__RETURN_MIN_MAX) {
                FtUtil.log_d(ModuleTouchScreen.this.CLASS_NAME, "mTSPHandler.handleMessage", HttpHeaders.CONNECTION);
                if (ModuleTouchScreen.this.mTSPNotiHandler == null) {
                    return;
                }
                if (msg.what == ModuleTouchScreen.TSP_WHAT_STATUS_OK) {
                    FtUtil.log_d(ModuleTouchScreen.this.CLASS_NAME, "mTSPHandler.handleMessage", "TSP_WHAT_STATUS_OK");
                    String result4 = msg.obj.toString();
                    String str4 = ModuleTouchScreen.this.CLASS_NAME;
                    FtUtil.log_d(str4, "mTSPHandler.handleMessage", "result : " + result4);
                    String result5 = ModuleTouchScreen.this.checkTSPConnectionSpec(result4);
                    if (result5.equals("NG")) {
                        ModuleTouchScreen.this.mTSPNotiHandler.sendMessage(ModuleTouchScreen.this.mTSPNotiHandler.obtainMessage(ModuleTouchScreen.TSP_WHAT_STATUS_NG, ModuleTouchScreen.TSP_ID__RAWCAP__NODE__RETURN_MIN_MAX, -1));
                    } else {
                        ModuleTouchScreen.this.mTSPNotiHandler.sendMessage(ModuleTouchScreen.this.mTSPNotiHandler.obtainMessage(ModuleTouchScreen.TSP_WHAT_STATUS_OK, ModuleTouchScreen.TSP_ID__RAWCAP__NODE__RETURN_MIN_MAX, -1, result5));
                    }
                } else if (msg.what == ModuleTouchScreen.TSP_WHAT_STATUS_NG) {
                    FtUtil.log_d(ModuleTouchScreen.this.CLASS_NAME, "mTSPHandler.handleMessage", "TSP_WHAT_STATUS_NG");
                    ModuleTouchScreen.this.mTSPNotiHandler.sendMessage(ModuleTouchScreen.this.mTSPNotiHandler.obtainMessage(ModuleTouchScreen.TSP_WHAT_STATUS_NG, ModuleTouchScreen.TSP_ID__RAWCAP__NODE__RETURN_MIN_MAX, -1));
                } else if (msg.what == ModuleTouchScreen.TSP_WHAT_STATUS_NA) {
                    FtUtil.log_d(ModuleTouchScreen.this.CLASS_NAME, "mTSPHandler.handleMessage", "TSP_WHAT_STATUS_NA");
                    ModuleTouchScreen.this.mTSPNotiHandler.sendMessage(ModuleTouchScreen.this.mTSPNotiHandler.obtainMessage(ModuleTouchScreen.TSP_WHAT_STATUS_NA, ModuleTouchScreen.TSP_ID__RAWCAP__NODE__RETURN_MIN_MAX, -1));
                }
            } else if (msg.arg1 == ModuleTouchScreen.TSP_ID__EXPANSION__CONNECTION_HOVERING) {
                FtUtil.log_d(ModuleTouchScreen.this.CLASS_NAME, "mTSPHandler.handleMessage", HttpHeaders.CONNECTION);
                if (ModuleTouchScreen.this.mTSPNotiHandler == null) {
                    return;
                }
                if (msg.what == ModuleTouchScreen.TSP_WHAT_STATUS_OK) {
                    FtUtil.log_d(ModuleTouchScreen.this.CLASS_NAME, "mTSPHandler.handleMessage", "TSP_WHAT_STATUS_OK");
                    String result6 = msg.obj.toString();
                    String str5 = ModuleTouchScreen.this.CLASS_NAME;
                    FtUtil.log_d(str5, "mTSPHandler.handleMessage", "result : " + result6);
                    String result7 = ModuleTouchScreen.this.checkTSPConnectionHoveringSpec(result6);
                    if (result7.equals("NG")) {
                        ModuleTouchScreen.this.mTSPNotiHandler.sendMessage(ModuleTouchScreen.this.mTSPNotiHandler.obtainMessage(ModuleTouchScreen.TSP_WHAT_STATUS_NG, ModuleTouchScreen.TSP_ID__EXPANSION__CONNECTION_HOVERING, -1));
                    } else {
                        ModuleTouchScreen.this.mTSPNotiHandler.sendMessage(ModuleTouchScreen.this.mTSPNotiHandler.obtainMessage(ModuleTouchScreen.TSP_WHAT_STATUS_OK, ModuleTouchScreen.TSP_ID__EXPANSION__CONNECTION_HOVERING, -1, result7));
                    }
                } else if (msg.what == ModuleTouchScreen.TSP_WHAT_STATUS_NG) {
                    FtUtil.log_d(ModuleTouchScreen.this.CLASS_NAME, "mTSPHandler.handleMessage", "TSP_WHAT_STATUS_NG");
                    ModuleTouchScreen.this.mTSPNotiHandler.sendMessage(ModuleTouchScreen.this.mTSPNotiHandler.obtainMessage(ModuleTouchScreen.TSP_WHAT_STATUS_NG, ModuleTouchScreen.TSP_ID__EXPANSION__CONNECTION_HOVERING, -1));
                } else if (msg.what == ModuleTouchScreen.TSP_WHAT_STATUS_NA) {
                    FtUtil.log_d(ModuleTouchScreen.this.CLASS_NAME, "mTSPHandler.handleMessage", "TSP_WHAT_STATUS_NA");
                    ModuleTouchScreen.this.mTSPNotiHandler.sendMessage(ModuleTouchScreen.this.mTSPNotiHandler.obtainMessage(ModuleTouchScreen.TSP_WHAT_STATUS_NA, ModuleTouchScreen.TSP_ID__EXPANSION__CONNECTION_HOVERING, -1));
                }
            } else if (msg.arg1 == ModuleTouchScreen.TSP_ID__RAWCAP__NODE) {
                FtUtil.log_d(ModuleTouchScreen.this.CLASS_NAME, "mTSPHandler.handleMessage", "RAWCAP");
                if (ModuleTouchScreen.this.mTSPNotiHandler == null) {
                    return;
                }
                if (msg.what == ModuleTouchScreen.TSP_WHAT_STATUS_OK) {
                    FtUtil.log_d(ModuleTouchScreen.this.CLASS_NAME, "mTSPHandler.handleMessage", "TSP_WHAT_STATUS_OK");
                    String result8 = msg.obj.toString();
                    String str6 = ModuleTouchScreen.this.CLASS_NAME;
                    FtUtil.log_d(str6, "mTSPHandler.handleMessage", "result : " + result8);
                    String result9 = ModuleTouchScreen.this.checkTSPReferenceGapSpec(result8);
                    if (result9.equals("NG")) {
                        ModuleTouchScreen.this.mTSPNotiHandler.sendMessage(ModuleTouchScreen.this.mTSPNotiHandler.obtainMessage(ModuleTouchScreen.TSP_WHAT_STATUS_NG, ModuleTouchScreen.TSP_ID__RAWCAP__NODE, -1));
                    } else {
                        ModuleTouchScreen.this.mTSPNotiHandler.sendMessage(ModuleTouchScreen.this.mTSPNotiHandler.obtainMessage(ModuleTouchScreen.TSP_WHAT_STATUS_OK, ModuleTouchScreen.TSP_ID__RAWCAP__NODE, -1, result9));
                    }
                } else if (msg.what == ModuleTouchScreen.TSP_WHAT_STATUS_NG) {
                    FtUtil.log_d(ModuleTouchScreen.this.CLASS_NAME, "mTSPHandler.handleMessage", "TSP_WHAT_STATUS_NG");
                    ModuleTouchScreen.this.mTSPNotiHandler.sendMessage(ModuleTouchScreen.this.mTSPNotiHandler.obtainMessage(ModuleTouchScreen.TSP_WHAT_STATUS_NG, ModuleTouchScreen.TSP_ID__RAWCAP__NODE, -1));
                } else if (msg.what == ModuleTouchScreen.TSP_WHAT_STATUS_NA) {
                    FtUtil.log_d(ModuleTouchScreen.this.CLASS_NAME, "mTSPHandler.handleMessage", "TSP_WHAT_STATUS_NA");
                    ModuleTouchScreen.this.mTSPNotiHandler.sendMessage(ModuleTouchScreen.this.mTSPNotiHandler.obtainMessage(ModuleTouchScreen.TSP_WHAT_STATUS_NA, ModuleTouchScreen.TSP_ID__RAWCAP__NODE, -1));
                }
            } else if (msg.arg1 == ModuleTouchScreen.TSP_ID__CX_DATA_GAP_NODE) {
                FtUtil.log_d(ModuleTouchScreen.this.CLASS_NAME, "mTSPHandler.handleMessage", "CXDATA");
                if (ModuleTouchScreen.this.mTSPNotiHandler == null) {
                    return;
                }
                if (msg.what == ModuleTouchScreen.TSP_WHAT_STATUS_OK) {
                    FtUtil.log_d(ModuleTouchScreen.this.CLASS_NAME, "mTSPHandler.handleMessage", "TSP_WHAT_STATUS_OK");
                    String result10 = msg.obj.toString();
                    String str7 = ModuleTouchScreen.this.CLASS_NAME;
                    FtUtil.log_d(str7, "mTSPHandler.handleMessage", "result : " + result10);
                    String result11 = ModuleTouchScreen.this.checkCxDataGapSpec(result10);
                    if (result11.equals("NG")) {
                        ModuleTouchScreen.this.mTSPNotiHandler.sendMessage(ModuleTouchScreen.this.mTSPNotiHandler.obtainMessage(ModuleTouchScreen.TSP_WHAT_STATUS_NG, ModuleTouchScreen.TSP_ID__CX_DATA_GAP_NODE, -1));
                    } else {
                        ModuleTouchScreen.this.mTSPNotiHandler.sendMessage(ModuleTouchScreen.this.mTSPNotiHandler.obtainMessage(ModuleTouchScreen.TSP_WHAT_STATUS_OK, ModuleTouchScreen.TSP_ID__CX_DATA_GAP_NODE, -1, result11));
                    }
                } else if (msg.what == ModuleTouchScreen.TSP_WHAT_STATUS_NG) {
                    FtUtil.log_d(ModuleTouchScreen.this.CLASS_NAME, "mTSPHandler.handleMessage", "TSP_WHAT_STATUS_NG");
                    ModuleTouchScreen.this.mTSPNotiHandler.sendMessage(ModuleTouchScreen.this.mTSPNotiHandler.obtainMessage(ModuleTouchScreen.TSP_WHAT_STATUS_NG, ModuleTouchScreen.TSP_ID__CX_DATA_GAP_NODE, -1));
                } else if (msg.what == ModuleTouchScreen.TSP_WHAT_STATUS_NA) {
                    FtUtil.log_d(ModuleTouchScreen.this.CLASS_NAME, "mTSPHandler.handleMessage", "TSP_WHAT_STATUS_NA");
                    ModuleTouchScreen.this.mTSPNotiHandler.sendMessage(ModuleTouchScreen.this.mTSPNotiHandler.obtainMessage(ModuleTouchScreen.TSP_WHAT_STATUS_NA, ModuleTouchScreen.TSP_ID__CX_DATA_GAP_NODE, -1));
                }
            } else if (msg.arg1 == ModuleTouchScreen.TSP_ID__CX_DATA_ALL_NODE) {
                FtUtil.log_d(ModuleTouchScreen.this.CLASS_NAME, "mTSPHandler.handleMessage", "CXDATA ALL");
                if (ModuleTouchScreen.this.mTSPNotiHandler == null) {
                    return;
                }
                if (msg.what == ModuleTouchScreen.TSP_WHAT_STATUS_OK) {
                    FtUtil.log_d(ModuleTouchScreen.this.CLASS_NAME, "mTSPHandler.handleMessage", "TSP_WHAT_STATUS_OK");
                    String result12 = msg.obj.toString();
                    String str8 = ModuleTouchScreen.this.CLASS_NAME;
                    FtUtil.log_d(str8, "mTSPHandler.handleMessage", "result : " + result12);
                    String result13 = ModuleTouchScreen.this.checkCxDataAllSpec(result12);
                    if (result13.equals("NG")) {
                        ModuleTouchScreen.this.mTSPNotiHandler.sendMessage(ModuleTouchScreen.this.mTSPNotiHandler.obtainMessage(ModuleTouchScreen.TSP_WHAT_STATUS_NG, ModuleTouchScreen.TSP_ID__CX_DATA_ALL_NODE, -1));
                    } else {
                        ModuleTouchScreen.this.mTSPNotiHandler.sendMessage(ModuleTouchScreen.this.mTSPNotiHandler.obtainMessage(ModuleTouchScreen.TSP_WHAT_STATUS_OK, ModuleTouchScreen.TSP_ID__CX_DATA_ALL_NODE, -1, result13));
                    }
                } else if (msg.what == ModuleTouchScreen.TSP_WHAT_STATUS_NG) {
                    FtUtil.log_d(ModuleTouchScreen.this.CLASS_NAME, "mTSPHandler.handleMessage", "TSP_WHAT_STATUS_NG");
                    ModuleTouchScreen.this.mTSPNotiHandler.sendMessage(ModuleTouchScreen.this.mTSPNotiHandler.obtainMessage(ModuleTouchScreen.TSP_WHAT_STATUS_NG, ModuleTouchScreen.TSP_ID__CX_DATA_ALL_NODE, -1));
                } else if (msg.what == ModuleTouchScreen.TSP_WHAT_STATUS_NA) {
                    FtUtil.log_d(ModuleTouchScreen.this.CLASS_NAME, "mTSPHandler.handleMessage", "TSP_WHAT_STATUS_NA");
                    ModuleTouchScreen.this.mTSPNotiHandler.sendMessage(ModuleTouchScreen.this.mTSPNotiHandler.obtainMessage(ModuleTouchScreen.TSP_WHAT_STATUS_NA, ModuleTouchScreen.TSP_ID__CX_DATA_ALL_NODE, -1));
                }
            } else if (msg.arg1 == ModuleTouchScreen.TSP_ID__WTR_SELF_RAWDATA) {
                FtUtil.log_d(ModuleTouchScreen.this.CLASS_NAME, "mTSPHandler.handleMessage", "WTR Self Raw");
                if (ModuleTouchScreen.this.mTSPNotiHandler == null) {
                    return;
                }
                if (msg.what == ModuleTouchScreen.TSP_WHAT_STATUS_OK) {
                    FtUtil.log_d(ModuleTouchScreen.this.CLASS_NAME, "mTSPHandler.handleMessage", "TSP_WHAT_STATUS_OK");
                    String result14 = msg.obj.toString();
                    String str9 = ModuleTouchScreen.this.CLASS_NAME;
                    FtUtil.log_d(str9, "mTSPHandler.handleMessage", "result : " + result14);
                    String result15 = ModuleTouchScreen.this.checkWTRSpec(msg.arg1, result14);
                    if (result15.equals("NG")) {
                        ModuleTouchScreen.this.mTSPNotiHandler.sendMessage(ModuleTouchScreen.this.mTSPNotiHandler.obtainMessage(ModuleTouchScreen.TSP_WHAT_STATUS_NG, ModuleTouchScreen.TSP_ID__WTR_SELF_RAWDATA, -1));
                    } else {
                        ModuleTouchScreen.this.mTSPNotiHandler.sendMessage(ModuleTouchScreen.this.mTSPNotiHandler.obtainMessage(ModuleTouchScreen.TSP_WHAT_STATUS_OK, ModuleTouchScreen.TSP_ID__WTR_SELF_RAWDATA, -1, result15));
                    }
                } else if (msg.what == ModuleTouchScreen.TSP_WHAT_STATUS_NG) {
                    FtUtil.log_d(ModuleTouchScreen.this.CLASS_NAME, "mTSPHandler.handleMessage", "TSP_WHAT_STATUS_NG");
                    ModuleTouchScreen.this.mTSPNotiHandler.sendMessage(ModuleTouchScreen.this.mTSPNotiHandler.obtainMessage(ModuleTouchScreen.TSP_WHAT_STATUS_NG, ModuleTouchScreen.TSP_ID__WTR_SELF_RAWDATA, -1));
                } else if (msg.what == ModuleTouchScreen.TSP_WHAT_STATUS_NA) {
                    FtUtil.log_d(ModuleTouchScreen.this.CLASS_NAME, "mTSPHandler.handleMessage", "TSP_WHAT_STATUS_NA");
                    ModuleTouchScreen.this.mTSPNotiHandler.sendMessage(ModuleTouchScreen.this.mTSPNotiHandler.obtainMessage(ModuleTouchScreen.TSP_WHAT_STATUS_NA, ModuleTouchScreen.TSP_ID__WTR_SELF_RAWDATA, -1));
                }
            } else if (msg.arg1 == ModuleTouchScreen.TSP_ID__WTR_IX_DATA || msg.arg1 == ModuleTouchScreen.TSP_ID__WTR_CX2_DATA) {
                FtUtil.log_d(ModuleTouchScreen.this.CLASS_NAME, "mTSPHandler.handleMessage", "WTR Ix Data or WTR Cx2 Data");
                int tspID = msg.arg1;
                if (ModuleTouchScreen.this.mTSPNotiHandler == null) {
                    return;
                }
                if (msg.what == ModuleTouchScreen.TSP_WHAT_STATUS_OK) {
                    FtUtil.log_d(ModuleTouchScreen.this.CLASS_NAME, "mTSPHandler.handleMessage", "TSP_WHAT_STATUS_OK");
                    String result16 = msg.obj.toString();
                    String str10 = ModuleTouchScreen.this.CLASS_NAME;
                    FtUtil.log_d(str10, "mTSPHandler.handleMessage", "result : " + result16);
                    String result17 = ModuleTouchScreen.this.checkWTRSpec(tspID, result16);
                    if (result17.equals("NG")) {
                        ModuleTouchScreen.this.mTSPNotiHandler.sendMessage(ModuleTouchScreen.this.mTSPNotiHandler.obtainMessage(ModuleTouchScreen.TSP_WHAT_STATUS_NG, tspID, -1));
                    } else {
                        ModuleTouchScreen.this.mTSPNotiHandler.sendMessage(ModuleTouchScreen.this.mTSPNotiHandler.obtainMessage(ModuleTouchScreen.TSP_WHAT_STATUS_OK, tspID, -1, result17));
                    }
                } else if (msg.what == ModuleTouchScreen.TSP_WHAT_STATUS_NG) {
                    FtUtil.log_d(ModuleTouchScreen.this.CLASS_NAME, "mTSPHandler.handleMessage", "TSP_WHAT_STATUS_NG");
                    ModuleTouchScreen.this.mTSPNotiHandler.sendMessage(ModuleTouchScreen.this.mTSPNotiHandler.obtainMessage(ModuleTouchScreen.TSP_WHAT_STATUS_NG, tspID, -1));
                } else if (msg.what == ModuleTouchScreen.TSP_WHAT_STATUS_NA) {
                    FtUtil.log_d(ModuleTouchScreen.this.CLASS_NAME, "mTSPHandler.handleMessage", "TSP_WHAT_STATUS_NA");
                    ModuleTouchScreen.this.mTSPNotiHandler.sendMessage(ModuleTouchScreen.this.mTSPNotiHandler.obtainMessage(ModuleTouchScreen.TSP_WHAT_STATUS_NA, tspID, -1));
                }
            } else if (msg.arg1 == ModuleTouchScreen.TSP_ID__KEY_READ1) {
                FtUtil.log_d(ModuleTouchScreen.this.CLASS_NAME, "mTSPHandler.handleMessage", "KEY CMDATA ALL");
                if (ModuleTouchScreen.this.mTSPNotiHandler == null) {
                    return;
                }
                if (msg.what == ModuleTouchScreen.TSP_WHAT_STATUS_OK) {
                    FtUtil.log_d(ModuleTouchScreen.this.CLASS_NAME, "mTSPHandler.handleMessage", "TSP_WHAT_STATUS_OK");
                    String result18 = msg.obj.toString();
                    String str11 = ModuleTouchScreen.this.CLASS_NAME;
                    FtUtil.log_d(str11, "mTSPHandler.handleMessage", "result : " + result18);
                    String result19 = ModuleTouchScreen.this.checkKeyCmDataAllSpec(result18);
                    if (result19.equals("NG")) {
                        ModuleTouchScreen.this.mTSPNotiHandler.sendMessage(ModuleTouchScreen.this.mTSPNotiHandler.obtainMessage(ModuleTouchScreen.TSP_WHAT_STATUS_NG, ModuleTouchScreen.TSP_ID__KEY_READ1, -1));
                    } else {
                        ModuleTouchScreen.this.mTSPNotiHandler.sendMessage(ModuleTouchScreen.this.mTSPNotiHandler.obtainMessage(ModuleTouchScreen.TSP_WHAT_STATUS_OK, ModuleTouchScreen.TSP_ID__KEY_READ1, -1, result19));
                    }
                } else if (msg.what == ModuleTouchScreen.TSP_WHAT_STATUS_NG) {
                    FtUtil.log_d(ModuleTouchScreen.this.CLASS_NAME, "mTSPHandler.handleMessage", "TSP_WHAT_STATUS_NG");
                    ModuleTouchScreen.this.mTSPNotiHandler.sendMessage(ModuleTouchScreen.this.mTSPNotiHandler.obtainMessage(ModuleTouchScreen.TSP_WHAT_STATUS_NG, ModuleTouchScreen.TSP_ID__KEY_READ1, -1));
                } else if (msg.what == ModuleTouchScreen.TSP_WHAT_STATUS_NA) {
                    FtUtil.log_d(ModuleTouchScreen.this.CLASS_NAME, "mTSPHandler.handleMessage", "TSP_WHAT_STATUS_NA");
                    ModuleTouchScreen.this.mTSPNotiHandler.sendMessage(ModuleTouchScreen.this.mTSPNotiHandler.obtainMessage(ModuleTouchScreen.TSP_WHAT_STATUS_NA, ModuleTouchScreen.TSP_ID__KEY_READ1, -1));
                }
            } else if (msg.arg1 == ModuleTouchScreen.TSP_ID__VIEW_CP_DATA) {
                FtUtil.log_d(ModuleTouchScreen.this.CLASS_NAME, "mTSPHandler.handleMessage", "ViewCpDATA");
                if (ModuleTouchScreen.this.mTSPNotiHandler == null) {
                    return;
                }
                if (msg.what == ModuleTouchScreen.TSP_WHAT_STATUS_OK) {
                    FtUtil.log_d(ModuleTouchScreen.this.CLASS_NAME, "mTSPHandler.handleMessage", "TSP_WHAT_STATUS_OK");
                    String result20 = msg.obj.toString();
                    String str12 = ModuleTouchScreen.this.CLASS_NAME;
                    FtUtil.log_d(str12, "mTSPHandler.handleMessage", "result : " + result20);
                    String result21 = ModuleTouchScreen.this.checkViewCpDataSpec(result20);
                    if (result21.equals("NG")) {
                        ModuleTouchScreen.this.mTSPNotiHandler.sendMessage(ModuleTouchScreen.this.mTSPNotiHandler.obtainMessage(ModuleTouchScreen.TSP_WHAT_STATUS_NG, ModuleTouchScreen.TSP_ID__VIEW_CP_DATA, -1));
                    } else {
                        ModuleTouchScreen.this.mTSPNotiHandler.sendMessage(ModuleTouchScreen.this.mTSPNotiHandler.obtainMessage(ModuleTouchScreen.TSP_WHAT_STATUS_OK, ModuleTouchScreen.TSP_ID__VIEW_CP_DATA, -1, result21));
                    }
                } else if (msg.what == ModuleTouchScreen.TSP_WHAT_STATUS_NG) {
                    FtUtil.log_d(ModuleTouchScreen.this.CLASS_NAME, "mTSPHandler.handleMessage", "TSP_WHAT_STATUS_NG");
                    ModuleTouchScreen.this.mTSPNotiHandler.sendMessage(ModuleTouchScreen.this.mTSPNotiHandler.obtainMessage(ModuleTouchScreen.TSP_WHAT_STATUS_NG, ModuleTouchScreen.TSP_ID__VIEW_CP_DATA, -1));
                } else if (msg.what == ModuleTouchScreen.TSP_WHAT_STATUS_NA) {
                    FtUtil.log_d(ModuleTouchScreen.this.CLASS_NAME, "mTSPHandler.handleMessage", "TSP_WHAT_STATUS_NA");
                    ModuleTouchScreen.this.mTSPNotiHandler.sendMessage(ModuleTouchScreen.this.mTSPNotiHandler.obtainMessage(ModuleTouchScreen.TSP_WHAT_STATUS_NA, ModuleTouchScreen.TSP_ID__VIEW_CP_DATA, -1));
                }
            } else if (msg.arg1 == ModuleTouchScreen.TSP_ID__DUMMY_CP_DATA) {
                FtUtil.log_d(ModuleTouchScreen.this.CLASS_NAME, "mTSPHandler.handleMessage", "DummyCpDATA");
                if (ModuleTouchScreen.this.mTSPNotiHandler == null) {
                    return;
                }
                if (msg.what == ModuleTouchScreen.TSP_WHAT_STATUS_OK) {
                    FtUtil.log_d(ModuleTouchScreen.this.CLASS_NAME, "mTSPHandler.handleMessage", "TSP_WHAT_STATUS_OK");
                    String result22 = msg.obj.toString();
                    String str13 = ModuleTouchScreen.this.CLASS_NAME;
                    FtUtil.log_d(str13, "mTSPHandler.handleMessage", "result : " + result22);
                    String result23 = ModuleTouchScreen.this.checkDummyCpDataSpec(result22);
                    if (result23.equals("NG")) {
                        ModuleTouchScreen.this.mTSPNotiHandler.sendMessage(ModuleTouchScreen.this.mTSPNotiHandler.obtainMessage(ModuleTouchScreen.TSP_WHAT_STATUS_NG, ModuleTouchScreen.TSP_ID__DUMMY_CP_DATA, -1));
                    } else {
                        ModuleTouchScreen.this.mTSPNotiHandler.sendMessage(ModuleTouchScreen.this.mTSPNotiHandler.obtainMessage(ModuleTouchScreen.TSP_WHAT_STATUS_OK, ModuleTouchScreen.TSP_ID__DUMMY_CP_DATA, -1, result23));
                    }
                } else if (msg.what == ModuleTouchScreen.TSP_WHAT_STATUS_NG) {
                    FtUtil.log_d(ModuleTouchScreen.this.CLASS_NAME, "mTSPHandler.handleMessage", "TSP_WHAT_STATUS_NG");
                    ModuleTouchScreen.this.mTSPNotiHandler.sendMessage(ModuleTouchScreen.this.mTSPNotiHandler.obtainMessage(ModuleTouchScreen.TSP_WHAT_STATUS_NG, ModuleTouchScreen.TSP_ID__DUMMY_CP_DATA, -1));
                } else if (msg.what == ModuleTouchScreen.TSP_WHAT_STATUS_NA) {
                    FtUtil.log_d(ModuleTouchScreen.this.CLASS_NAME, "mTSPHandler.handleMessage", "TSP_WHAT_STATUS_NA");
                    ModuleTouchScreen.this.mTSPNotiHandler.sendMessage(ModuleTouchScreen.this.mTSPNotiHandler.obtainMessage(ModuleTouchScreen.TSP_WHAT_STATUS_NA, ModuleTouchScreen.TSP_ID__DUMMY_CP_DATA, -1));
                }
            } else if (msg.arg1 == ModuleTouchScreen.TSP_ID__RAWCAP__ALL_NODE__RETURN_MIN_MAX) {
                FtUtil.log_d(ModuleTouchScreen.this.CLASS_NAME, "mTSPHandler.handleMessage", "RawCapDATA");
                if (ModuleTouchScreen.this.mTSPNotiHandler == null) {
                    return;
                }
                if (msg.what == ModuleTouchScreen.TSP_WHAT_STATUS_OK) {
                    FtUtil.log_d(ModuleTouchScreen.this.CLASS_NAME, "mTSPHandler.handleMessage", "TSP_WHAT_STATUS_OK");
                    String result24 = msg.obj.toString();
                    String str14 = ModuleTouchScreen.this.CLASS_NAME;
                    FtUtil.log_d(str14, "mTSPHandler.handleMessage", "result : " + result24);
                    if (Support.TestCase.getEnabled(Support.TestCase.SUPPORT_TSP_SELFTEST_INCELL)) {
                        result = ModuleTouchScreen.this.checkSeparateRawCapDataSpec(result24);
                    } else {
                        result = ModuleTouchScreen.this.checkRawCapDataSpec(result24);
                    }
                    if (result.equals("NG")) {
                        ModuleTouchScreen.this.mTSPNotiHandler.sendMessage(ModuleTouchScreen.this.mTSPNotiHandler.obtainMessage(ModuleTouchScreen.TSP_WHAT_STATUS_NG, ModuleTouchScreen.TSP_ID__RAWCAP__ALL_NODE__RETURN_MIN_MAX, -1));
                    } else {
                        ModuleTouchScreen.this.mTSPNotiHandler.sendMessage(ModuleTouchScreen.this.mTSPNotiHandler.obtainMessage(ModuleTouchScreen.TSP_WHAT_STATUS_OK, ModuleTouchScreen.TSP_ID__RAWCAP__ALL_NODE__RETURN_MIN_MAX, -1, result));
                    }
                } else if (msg.what == ModuleTouchScreen.TSP_WHAT_STATUS_NG) {
                    FtUtil.log_d(ModuleTouchScreen.this.CLASS_NAME, "mTSPHandler.handleMessage", "TSP_WHAT_STATUS_NG");
                    ModuleTouchScreen.this.mTSPNotiHandler.sendMessage(ModuleTouchScreen.this.mTSPNotiHandler.obtainMessage(ModuleTouchScreen.TSP_WHAT_STATUS_NG, ModuleTouchScreen.TSP_ID__RAWCAP__ALL_NODE__RETURN_MIN_MAX, -1));
                } else if (msg.what == ModuleTouchScreen.TSP_WHAT_STATUS_NA) {
                    FtUtil.log_d(ModuleTouchScreen.this.CLASS_NAME, "mTSPHandler.handleMessage", "TSP_WHAT_STATUS_NA");
                    ModuleTouchScreen.this.mTSPNotiHandler.sendMessage(ModuleTouchScreen.this.mTSPNotiHandler.obtainMessage(ModuleTouchScreen.TSP_WHAT_STATUS_NA, ModuleTouchScreen.TSP_ID__RAWCAP__ALL_NODE__RETURN_MIN_MAX, -1));
                }
            } else if (msg.arg1 == ModuleTouchScreen.TSP_ID__TRX_SHORT_TEST) {
                FtUtil.log_d(ModuleTouchScreen.this.CLASS_NAME, "mTSPHandler.handleMessage", "ShortDATA");
                if (ModuleTouchScreen.this.mTSPNotiHandler == null) {
                    return;
                }
                if (msg.what == ModuleTouchScreen.TSP_WHAT_STATUS_OK) {
                    FtUtil.log_d(ModuleTouchScreen.this.CLASS_NAME, "mTSPHandler.handleMessage", "TSP_WHAT_STATUS_OK");
                    String result25 = msg.obj.toString();
                    String str15 = ModuleTouchScreen.this.CLASS_NAME;
                    FtUtil.log_d(str15, "mTSPHandler.handleMessage", "result : " + result25);
                    String result26 = ModuleTouchScreen.this.checkShortDataSpec(result25);
                    if (result26.equals("NG")) {
                        ModuleTouchScreen.this.mTSPNotiHandler.sendMessage(ModuleTouchScreen.this.mTSPNotiHandler.obtainMessage(ModuleTouchScreen.TSP_WHAT_STATUS_NG, ModuleTouchScreen.TSP_ID__TRX_SHORT_TEST, -1));
                    } else {
                        ModuleTouchScreen.this.mTSPNotiHandler.sendMessage(ModuleTouchScreen.this.mTSPNotiHandler.obtainMessage(ModuleTouchScreen.TSP_WHAT_STATUS_OK, ModuleTouchScreen.TSP_ID__TRX_SHORT_TEST, -1, result26));
                    }
                } else if (msg.what == ModuleTouchScreen.TSP_WHAT_STATUS_NG) {
                    FtUtil.log_d(ModuleTouchScreen.this.CLASS_NAME, "mTSPHandler.handleMessage", "TSP_WHAT_STATUS_NG");
                    ModuleTouchScreen.this.mTSPNotiHandler.sendMessage(ModuleTouchScreen.this.mTSPNotiHandler.obtainMessage(ModuleTouchScreen.TSP_WHAT_STATUS_NG, ModuleTouchScreen.TSP_ID__TRX_SHORT_TEST, -1));
                } else if (msg.what == ModuleTouchScreen.TSP_WHAT_STATUS_NA) {
                    FtUtil.log_d(ModuleTouchScreen.this.CLASS_NAME, "mTSPHandler.handleMessage", "TSP_WHAT_STATUS_NA");
                    ModuleTouchScreen.this.mTSPNotiHandler.sendMessage(ModuleTouchScreen.this.mTSPNotiHandler.obtainMessage(ModuleTouchScreen.TSP_WHAT_STATUS_NA, ModuleTouchScreen.TSP_ID__TRX_SHORT_TEST, -1));
                }
            } else if (msg.arg1 == ModuleTouchScreen.TSP_ID__TRX_OPEN_TEST) {
                FtUtil.log_d(ModuleTouchScreen.this.CLASS_NAME, "mTSPHandler.handleMessage", "OpenDATA");
                if (ModuleTouchScreen.this.mTSPNotiHandler == null) {
                    return;
                }
                if (msg.what == ModuleTouchScreen.TSP_WHAT_STATUS_OK) {
                    FtUtil.log_d(ModuleTouchScreen.this.CLASS_NAME, "mTSPHandler.handleMessage", "TSP_WHAT_STATUS_OK");
                    String result27 = msg.obj.toString();
                    String str16 = ModuleTouchScreen.this.CLASS_NAME;
                    FtUtil.log_d(str16, "mTSPHandler.handleMessage", "result : " + result27);
                    String result28 = ModuleTouchScreen.this.checkOpenDataSpec(result27);
                    if (result28.equals("NG")) {
                        ModuleTouchScreen.this.mTSPNotiHandler.sendMessage(ModuleTouchScreen.this.mTSPNotiHandler.obtainMessage(ModuleTouchScreen.TSP_WHAT_STATUS_NG, ModuleTouchScreen.TSP_ID__TRX_OPEN_TEST, -1));
                    } else {
                        ModuleTouchScreen.this.mTSPNotiHandler.sendMessage(ModuleTouchScreen.this.mTSPNotiHandler.obtainMessage(ModuleTouchScreen.TSP_WHAT_STATUS_OK, ModuleTouchScreen.TSP_ID__TRX_OPEN_TEST, -1, result28));
                    }
                } else if (msg.what == ModuleTouchScreen.TSP_WHAT_STATUS_NG) {
                    FtUtil.log_d(ModuleTouchScreen.this.CLASS_NAME, "mTSPHandler.handleMessage", "TSP_WHAT_STATUS_NG");
                    ModuleTouchScreen.this.mTSPNotiHandler.sendMessage(ModuleTouchScreen.this.mTSPNotiHandler.obtainMessage(ModuleTouchScreen.TSP_WHAT_STATUS_NG, ModuleTouchScreen.TSP_ID__TRX_OPEN_TEST, -1));
                } else if (msg.what == ModuleTouchScreen.TSP_WHAT_STATUS_NA) {
                    FtUtil.log_d(ModuleTouchScreen.this.CLASS_NAME, "mTSPHandler.handleMessage", "TSP_WHAT_STATUS_NA");
                    ModuleTouchScreen.this.mTSPNotiHandler.sendMessage(ModuleTouchScreen.this.mTSPNotiHandler.obtainMessage(ModuleTouchScreen.TSP_WHAT_STATUS_NA, ModuleTouchScreen.TSP_ID__TRX_OPEN_TEST, -1));
                }
            } else if (msg.arg1 == ModuleTouchScreen.TSP_ID__TX_SHORT_TEST) {
                FtUtil.log_d(ModuleTouchScreen.this.CLASS_NAME, "mTSPHandler.handleMessage", "TxShort");
                if (ModuleTouchScreen.this.mTSPNotiHandler == null) {
                    return;
                }
                if (msg.what == ModuleTouchScreen.TSP_WHAT_STATUS_OK) {
                    FtUtil.log_d(ModuleTouchScreen.this.CLASS_NAME, "mTSPHandler.handleMessage", "TSP_WHAT_STATUS_OK");
                    String result29 = msg.obj.toString();
                    String str17 = ModuleTouchScreen.this.CLASS_NAME;
                    FtUtil.log_d(str17, "mTSPHandler.handleMessage", "result : " + result29);
                    String result30 = ModuleTouchScreen.this.checkDataUsing4Spec(result29, Support.Spec.getInt("TSP_SELFTEST_SELF_SHORT_TX_MIN_NON_DIAGONAL"), Support.Spec.getInt("TSP_SELFTEST_SELF_SHORT_TX_MAX_NON_DIAGONAL"), Support.Spec.getInt("TSP_SELFTEST_SELF_SHORT_TX_MIN_DIAGONAL"), Support.Spec.getInt("TSP_SELFTEST_SELF_SHORT_TX_MAX_DIAGONAL"));
                    if (result30.equals("NG")) {
                        ModuleTouchScreen.this.mTSPNotiHandler.sendMessage(ModuleTouchScreen.this.mTSPNotiHandler.obtainMessage(ModuleTouchScreen.TSP_WHAT_STATUS_NG, ModuleTouchScreen.TSP_ID__TX_SHORT_TEST, -1));
                    } else {
                        ModuleTouchScreen.this.mTSPNotiHandler.sendMessage(ModuleTouchScreen.this.mTSPNotiHandler.obtainMessage(ModuleTouchScreen.TSP_WHAT_STATUS_OK, ModuleTouchScreen.TSP_ID__TX_SHORT_TEST, -1, result30));
                    }
                } else if (msg.what == ModuleTouchScreen.TSP_WHAT_STATUS_NG) {
                    FtUtil.log_d(ModuleTouchScreen.this.CLASS_NAME, "mTSPHandler.handleMessage", "TSP_WHAT_STATUS_NG");
                    ModuleTouchScreen.this.mTSPNotiHandler.sendMessage(ModuleTouchScreen.this.mTSPNotiHandler.obtainMessage(ModuleTouchScreen.TSP_WHAT_STATUS_NG, ModuleTouchScreen.TSP_ID__TX_SHORT_TEST, -1));
                } else if (msg.what == ModuleTouchScreen.TSP_WHAT_STATUS_NA) {
                    FtUtil.log_d(ModuleTouchScreen.this.CLASS_NAME, "mTSPHandler.handleMessage", "TSP_WHAT_STATUS_NA");
                    ModuleTouchScreen.this.mTSPNotiHandler.sendMessage(ModuleTouchScreen.this.mTSPNotiHandler.obtainMessage(ModuleTouchScreen.TSP_WHAT_STATUS_NA, ModuleTouchScreen.TSP_ID__TX_SHORT_TEST, -1));
                }
            } else if (msg.arg1 == ModuleTouchScreen.TSP_ID__RX_SHORT_TEST) {
                FtUtil.log_d(ModuleTouchScreen.this.CLASS_NAME, "mTSPHandler.handleMessage", "RxShort");
                if (ModuleTouchScreen.this.mTSPNotiHandler == null) {
                    return;
                }
                if (msg.what == ModuleTouchScreen.TSP_WHAT_STATUS_OK) {
                    FtUtil.log_d(ModuleTouchScreen.this.CLASS_NAME, "mTSPHandler.handleMessage", "TSP_WHAT_STATUS_OK");
                    String result31 = msg.obj.toString();
                    String str18 = ModuleTouchScreen.this.CLASS_NAME;
                    FtUtil.log_d(str18, "mTSPHandler.handleMessage", "result : " + result31);
                    String result32 = ModuleTouchScreen.this.checkDataUsing4Spec(result31, Support.Spec.getInt("TSP_SELFTEST_SELF_SHORT_RX_MIN_NON_DIAGONAL"), Support.Spec.getInt("TSP_SELFTEST_SELF_SHORT_RX_MAX_NON_DIAGONAL"), Support.Spec.getInt("TSP_SELFTEST_SELF_SHORT_RX_MIN_DIAGONAL"), Support.Spec.getInt("TSP_SELFTEST_SELF_SHORT_RX_MAX_DIAGONAL"));
                    if (result32.equals("NG")) {
                        ModuleTouchScreen.this.mTSPNotiHandler.sendMessage(ModuleTouchScreen.this.mTSPNotiHandler.obtainMessage(ModuleTouchScreen.TSP_WHAT_STATUS_NG, ModuleTouchScreen.TSP_ID__RX_SHORT_TEST, -1));
                    } else {
                        ModuleTouchScreen.this.mTSPNotiHandler.sendMessage(ModuleTouchScreen.this.mTSPNotiHandler.obtainMessage(ModuleTouchScreen.TSP_WHAT_STATUS_OK, ModuleTouchScreen.TSP_ID__RX_SHORT_TEST, -1, result32));
                    }
                } else if (msg.what == ModuleTouchScreen.TSP_WHAT_STATUS_NG) {
                    FtUtil.log_d(ModuleTouchScreen.this.CLASS_NAME, "mTSPHandler.handleMessage", "TSP_WHAT_STATUS_NG");
                    ModuleTouchScreen.this.mTSPNotiHandler.sendMessage(ModuleTouchScreen.this.mTSPNotiHandler.obtainMessage(ModuleTouchScreen.TSP_WHAT_STATUS_NG, ModuleTouchScreen.TSP_ID__RX_SHORT_TEST, -1));
                } else if (msg.what == ModuleTouchScreen.TSP_WHAT_STATUS_NA) {
                    FtUtil.log_d(ModuleTouchScreen.this.CLASS_NAME, "mTSPHandler.handleMessage", "TSP_WHAT_STATUS_NA");
                    ModuleTouchScreen.this.mTSPNotiHandler.sendMessage(ModuleTouchScreen.this.mTSPNotiHandler.obtainMessage(ModuleTouchScreen.TSP_WHAT_STATUS_NA, ModuleTouchScreen.TSP_ID__RX_SHORT_TEST, -1));
                }
            }
        }
    };
    private int mTSPKeyCmDataSpec_Max;
    private int mTSPKeyCmDataSpec_Min;
    private String mTSPModuleVendor;
    private Handler mTSPNotiHandler;
    private int mTSPOpenApmOpen1_Max;
    private int mTSPOpenApmOpen1_Min;
    private int mTSPOpenApmOpen2_Max;
    private int mTSPOpenApmOpen2_Min;
    private String mTSPPanelType;
    private int mTSPRawCapMiddleSpec_Max;
    private int mTSPRawCapMiddleSpec_Min;
    private int mTSPRawCapTopBottomSpec_Max;
    private int mTSPRawCapTopBottomSpec_Min;
    private int mTSPReferenceGapSpec_X;
    private int mTSPReferenceGapSpec_Y;
    private int mTSPShortEtoeA_Max;
    private int mTSPShortEtoeA_Min;
    private int mTSPShortEtoeB_Max;
    private int mTSPShortEtoeB_Min;
    private String mTSPVendorName;
    private int mTSPViewCpDataSpec_Max;
    private int mTSPViewCpDataSpec_Min;
    private int mTSPWTRCx2Spec_RxMax;
    private int mTSPWTRCx2Spec_RxMin;
    private int mTSPWTRCx2Spec_TxMax;
    private int mTSPWTRCx2Spec_TxMin;
    private int mTSPWTRIxSpec_RxMax;
    private int mTSPWTRIxSpec_RxMin;
    private int mTSPWTRIxSpec_TxMax;
    private int mTSPWTRIxSpec_TxMin;
    private int mTSPWTRRawSpec_RxMax;
    private int mTSPWTRRawSpec_RxMin;
    private int mTSPWTRRawSpec_TxMax;
    private int mTSPWTRRawSpec_TxMin;
    private int tspDevCount = -1;

    static {
        TSP_ID_DUMMY = 1;
        int i = 1 + 1;
        TSP_ID_DUMMY = i;
        int i2 = i + 1;
        TSP_ID_DUMMY = i2;
        TSP_ID__DEV_COUNT = i;
        int i3 = i2 + 1;
        TSP_ID_DUMMY = i3;
        TSP_ID__FW_UPDATE = i2;
        int i4 = i3 + 1;
        TSP_ID_DUMMY = i4;
        TSP_ID__FW_VERSION_BINARY = i3;
        int i5 = i4 + 1;
        TSP_ID_DUMMY = i5;
        TSP_ID__FW_VERSION_IC = i4;
        int i6 = i5 + 1;
        TSP_ID_DUMMY = i6;
        TSP_ID__FW_CHECKSUM_DATA = i5;
        int i7 = i6 + 1;
        TSP_ID_DUMMY = i7;
        TSP_ID__CONFIG_VERSION = i6;
        int i8 = i7 + 1;
        TSP_ID_DUMMY = i8;
        TSP_ID__THRESHOLD = i7;
        int i9 = i8 + 1;
        TSP_ID_DUMMY = i9;
        TSP_ID__POWER_OFF = i8;
        int i10 = i9 + 1;
        TSP_ID_DUMMY = i10;
        TSP_ID__POWER_ON = i9;
        int i11 = i10 + 1;
        TSP_ID_DUMMY = i11;
        TSP_ID__POWER_OFF_SECOND_CHIP = i10;
        int i12 = i11 + 1;
        TSP_ID_DUMMY = i12;
        TSP_ID__POWER_ON_SECOND_CHIP = i11;
        int i13 = i12 + 1;
        TSP_ID_DUMMY = i13;
        TSP_ID__VENDOR_NAME = i12;
        int i14 = i13 + 1;
        TSP_ID_DUMMY = i14;
        TSP_ID__MODULE_VENDOR = i13;
        int i15 = i14 + 1;
        TSP_ID_DUMMY = i15;
        TSP_ID__CHIP_NAME = i14;
        int i16 = i15 + 1;
        TSP_ID_DUMMY = i16;
        TSP_ID__NUMBER_X_CHANNEL = i15;
        int i17 = i16 + 1;
        TSP_ID_DUMMY = i17;
        TSP_ID__NUMBER_Y_CHANNEL = i16;
        int i18 = i17 + 1;
        TSP_ID_DUMMY = i18;
        TSP_ID__NUMBER_X_CX = i17;
        int i19 = i18 + 1;
        TSP_ID_DUMMY = i19;
        TSP_ID__NUMBER_Y_CX = i18;
        int i20 = i19 + 1;
        TSP_ID_DUMMY = i20;
        TSP_ID__NUMBER_X_CROSS = i19;
        int i21 = i20 + 1;
        TSP_ID_DUMMY = i21;
        TSP_ID__NUMBER_Y_CROSS = i20;
        int i22 = i21 + 1;
        TSP_ID_DUMMY = i22;
        TSP_ID__PAT_INFOMATION = i21;
        int i23 = i22 + 1;
        TSP_ID_DUMMY = i23;
        TSP_ID__CLEAR_HISTORY = i22;
        int i24 = i23 + 1;
        TSP_ID_DUMMY = i24;
        TSP_ID__SET_TSP_RESULT = i23;
        int i25 = i24 + 1;
        TSP_ID_DUMMY = i25;
        TSP_ID__SELECT_TSP = i24;
        int i26 = i25 + 1;
        TSP_ID_DUMMY = i26;
        TSP_ID__REFERENCE__ALL_NODE__RETURN_MIN_MAX = i25;
        int i27 = i26 + 1;
        TSP_ID_DUMMY = i27;
        TSP_ID__REFERENCE__ALL_NODE__RETURN_NONE = i26;
        int i28 = i27 + 1;
        TSP_ID_DUMMY = i28;
        TSP_ID__REFERENCE__NODE = i27;
        int i29 = i28 + 1;
        TSP_ID_DUMMY = i29;
        TSP_ID__REFERENCE__NODE_SINGLE = i28;
        int i30 = i29 + 1;
        TSP_ID_DUMMY = i30;
        TSP_ID__DELTA__ALL_NODE__RETURN_MIN_MAX = i29;
        int i31 = i30 + 1;
        TSP_ID_DUMMY = i31;
        TSP_ID__DELTA__ALL_NODE__RETURN_NONE = i30;
        int i32 = i31 + 1;
        TSP_ID_DUMMY = i32;
        TSP_ID__DELTA__NODE = i31;
        int i33 = i32 + 1;
        TSP_ID_DUMMY = i33;
        TSP_ID__CM_ABS__ALL_NODE__RETURN_MIN_MAX = i32;
        int i34 = i33 + 1;
        TSP_ID_DUMMY = i34;
        TSP_ID__CM_ABS__NODE = i33;
        int i35 = i34 + 1;
        TSP_ID_DUMMY = i35;
        TSP_ID__CM_DATA__ALL_NODE__RETURN_MIN_MAX = i34;
        int i36 = i35 + 1;
        TSP_ID_DUMMY = i36;
        TSP_ID__CM_DATA__NODE = i35;
        int i37 = i36 + 1;
        TSP_ID_DUMMY = i37;
        TSP_ID__CM_FORCE_CAL_DATA = i36;
        int i38 = i37 + 1;
        TSP_ID_DUMMY = i38;
        TSP_ID__INSPECTION__ALL_NODE__RETURN_MIN_MAX = i37;
        int i39 = i38 + 1;
        TSP_ID_DUMMY = i39;
        TSP_ID__INSPECTION__NODE = i38;
        int i40 = i39 + 1;
        TSP_ID_DUMMY = i40;
        TSP_ID__INTENSITY__ALL_NODE__RETURN_MIN_MAX = i39;
        int i41 = i40 + 1;
        TSP_ID_DUMMY = i41;
        TSP_ID__INTENSITY__NODE = i40;
        int i42 = i41 + 1;
        TSP_ID_DUMMY = i42;
        TSP_ID__SCANTIME__ALL_NODE__RETURN_NONE = i41;
        int i43 = i42 + 1;
        TSP_ID_DUMMY = i43;
        TSP_ID__SCANTIME__NODE = i42;
        int i44 = i43 + 1;
        TSP_ID_DUMMY = i44;
        TSP_ID__RAWCAP__ALL_NODE__RETURN_MIN_MAX = i43;
        int i45 = i44 + 1;
        TSP_ID_DUMMY = i45;
        TSP_ID__RAWCAP__ALL_NODE = i44;
        int i46 = i45 + 1;
        TSP_ID_DUMMY = i46;
        TSP_ID__RAWCAP__NODE = i45;
        int i47 = i46 + 1;
        TSP_ID_DUMMY = i47;
        TSP_ID__RAWCAP__NODE__RETURN_MIN_MAX = i46;
        int i48 = i47 + 1;
        TSP_ID_DUMMY = i48;
        TSP_ID__RX_TO_RX__ALL_NODE__RETURN_NONE = i47;
        int i49 = i48 + 1;
        TSP_ID_DUMMY = i49;
        TSP_ID__RX_TO_RX__NODE = i48;
        int i50 = i49 + 1;
        TSP_ID_DUMMY = i50;
        TSP_ID__TX_TO_TX__ALL_NODE__RETURN_NONE = i49;
        int i51 = i50 + 1;
        TSP_ID_DUMMY = i51;
        TSP_ID__TX_TO_TX__NODE = i50;
        int i52 = i51 + 1;
        TSP_ID_DUMMY = i52;
        TSP_ID__TX_TO_GND__ALL_NODE__RETURN_NONE = i51;
        int i53 = i52 + 1;
        TSP_ID_DUMMY = i53;
        TSP_ID__TX_TO_GND__NODE = i52;
        int i54 = i53 + 1;
        TSP_ID_DUMMY = i54;
        TSP_ID__RAW_COUNT__ALL_NODE__RETURN_MIN_MAX = i53;
        int i55 = i54 + 1;
        TSP_ID_DUMMY = i55;
        TSP_ID__RAW_COUNT__NODE = i54;
        int i56 = i55 + 1;
        TSP_ID_DUMMY = i56;
        TSP_ID__DIFFERENCE__ALL_NODE__RETURN_NONE = i55;
        int i57 = i56 + 1;
        TSP_ID_DUMMY = i57;
        TSP_ID__DIFFERENCE__NODE = i56;
        int i58 = i57 + 1;
        TSP_ID_DUMMY = i58;
        TSP_ID__LOCAL_IDAC__ALL_NODE__RETURN_NONE = i57;
        int i59 = i58 + 1;
        TSP_ID_DUMMY = i59;
        TSP_ID__LOCAL_IDAC__NODE = i58;
        int i60 = i59 + 1;
        TSP_ID_DUMMY = i60;
        TSP_ID__GLOBAL_IDAC__ALL_NODE__RETURN_NONE = i59;
        int i61 = i60 + 1;
        TSP_ID_DUMMY = i61;
        TSP_ID__GLOBAL_IDAC__NODE = i60;
        int i62 = i61 + 1;
        TSP_ID_DUMMY = i62;
        TSP_HOVER_ID__ABS_CAP = i61;
        int i63 = i62 + 1;
        TSP_ID_DUMMY = i63;
        TSP_HOVER_ID__ABS_DELTA = i62;
        int i64 = i63 + 1;
        TSP_ID_DUMMY = i64;
        TSP_ID__MUTUALCAP__ALL_NODE__RETURN_MIN_MAX = i63;
        int i65 = i64 + 1;
        TSP_ID_DUMMY = i65;
        TSP_ID__MUTUALCAP__NODE = i64;
        int i66 = i65 + 1;
        TSP_ID_DUMMY = i66;
        TSP_ID__REGSITER__RESULT = i65;
        int i67 = i66 + 1;
        TSP_ID_DUMMY = i67;
        TSP_HOVER_CMD__HOVER_SET_EDGE_DEADLOCK = i66;
        int i68 = i67 + 1;
        TSP_ID_DUMMY = i68;
        TSP_SIDETOUCH_ID__ABS_CAP = i67;
        int i69 = i68 + 1;
        TSP_ID_DUMMY = i69;
        TSP_SIDETOUCH_ID__DELTA = i68;
        int i70 = i69 + 1;
        TSP_ID_DUMMY = i70;
        TSP_ID__TRX_SHORT_TEST = i69;
        int i71 = i70 + 1;
        TSP_ID_DUMMY = i71;
        TSP_ID__TX_SHORT_TEST = i70;
        int i72 = i71 + 1;
        TSP_ID_DUMMY = i72;
        TSP_ID__RX_SHORT_TEST = i71;
        int i73 = i72 + 1;
        TSP_ID_DUMMY = i73;
        TSP_ID__TRX_OPEN_TEST = i72;
        int i74 = i73 + 1;
        TSP_ID_DUMMY = i74;
        TSP_ID__DND__ALL_NODE__RETURN_MIN_MAX = i73;
        int i75 = i74 + 1;
        TSP_ID_DUMMY = i75;
        TSP_ID__DND__ALL_NODE__RETURN_NONE = i74;
        int i76 = i75 + 1;
        TSP_ID_DUMMY = i76;
        TSP_ID__SELF__DND__ALL_NODE__RETURN_NONE = i75;
        int i77 = i76 + 1;
        TSP_ID_DUMMY = i77;
        TSP_ID__SELF__DND__ALL_NODE = i76;
        int i78 = i77 + 1;
        TSP_ID_DUMMY = i78;
        TSP_ID__DND__NODE = i77;
        int i79 = i78 + 1;
        TSP_ID_DUMMY = i79;
        TSP_ID__DND__DIFF = i78;
        int i80 = i79 + 1;
        TSP_ID_DUMMY = i80;
        TSP_ID__V_GAP__ALL_NODE__RETURN_NONE = i79;
        int i81 = i80 + 1;
        TSP_ID_DUMMY = i81;
        TSP_ID__V_GAP__NODE = i80;
        int i82 = i81 + 1;
        TSP_ID_DUMMY = i82;
        TSP_ID__H_GAP__ALL_NODE__RETURN_NONE = i81;
        int i83 = i82 + 1;
        TSP_ID_DUMMY = i83;
        TSP_ID__H_GAP__NODE = i82;
        int i84 = i83 + 1;
        TSP_ID_DUMMY = i84;
        TSP_ID__SELF__H_GAP__ALL_NODE__RETURN_NONE = i83;
        int i85 = i84 + 1;
        TSP_ID_DUMMY = i85;
        TSP_ID__SELF__H_GAP__NODE = i84;
        int i86 = i85 + 1;
        TSP_ID_DUMMY = i86;
        TSP_ID__TX_SHORT_NODE_RETURN = i85;
        int i87 = i86 + 1;
        TSP_ID_DUMMY = i87;
        TSP_ID__RX_SHORT_NODE_RETURN = i86;
        int i88 = i87 + 1;
        TSP_ID_DUMMY = i88;
        TSP_ID__TXRX_SHORT_BY_BIT_NODE_RETURN = i87;
        int i89 = i88 + 1;
        TSP_ID_DUMMY = i89;
        TSP_ID__HIGH_FREQUENCY__ALL_NODE__RETURN_NONE = i88;
        int i90 = i89 + 1;
        TSP_ID_DUMMY = i90;
        TSP_ID__HIGH_FREQUENCY = i89;
        int i91 = i90 + 1;
        TSP_ID_DUMMY = i91;
        TSP_ID__RUN_CALIBRATION = i90;
        int i92 = i91 + 1;
        TSP_ID_DUMMY = i92;
        TSP_ID__SET_EXTERNAL_FACTORY = i91;
        int i93 = i92 + 1;
        TSP_ID_DUMMY = i93;
        TSP_ID__RUN_REFERENCE_CALIBRATION = i92;
        int i94 = i93 + 1;
        TSP_ID_DUMMY = i94;
        TSP_ID__RUN_FORCE_CALIBRATION_CENT = i93;
        int i95 = i94 + 1;
        TSP_ID_DUMMY = i95;
        TSP_ID__RUN_FORCE_CALIBRATION_FACT = i94;
        int i96 = i95 + 1;
        TSP_ID_DUMMY = i96;
        TSP_ID__RUN_FORCE_CALIBRATION_LCIA = i95;
        int i97 = i96 + 1;
        TSP_ID_DUMMY = i97;
        TSP_ID__RUN_FORCE_CALIBRATION_OUTS = i96;
        int i98 = i97 + 1;
        TSP_ID_DUMMY = i98;
        TSP_ID__HIGH_FREQUENCY_SPEC_ADJUST = i97;
        int i99 = i98 + 1;
        TSP_ID_DUMMY = i99;
        TSP_ID__HIGH_FREQUENCY_V_GAP__ALL_NODE__RETURN_NONE = i98;
        int i100 = i99 + 1;
        TSP_ID_DUMMY = i100;
        TSP_ID__HIGH_FREQUENCY_V_GAP__NODE = i99;
        int i101 = i100 + 1;
        TSP_ID_DUMMY = i101;
        TSP_ID__HIGH_FREQUENCY_H_GAP__ALL_NODE__RETURN_NONE = i100;
        int i102 = i101 + 1;
        TSP_ID_DUMMY = i102;
        TSP_ID__HIGH_FREQUENCY_H_GAP__NODE = i101;
        int i103 = i102 + 1;
        TSP_ID_DUMMY = i103;
        TSP_ID__GAP_JITTER__ALL_NODE = i102;
        int i104 = i103 + 1;
        TSP_ID_DUMMY = i104;
        TSP_ID__MIS_CALIBRATION_CHECK = i103;
        int i105 = i104 + 1;
        TSP_ID_DUMMY = i105;
        TSP_ID__RUN_MIS_CALIBRATION = i104;
        int i106 = i105 + 1;
        TSP_ID_DUMMY = i106;
        TSP_ID__WET_MODE_CHECK = i105;
        int i107 = i106 + 1;
        TSP_ID_DUMMY = i107;
        TSP_ID__TX_RX_SELF_CR = i106;
        int i108 = i107 + 1;
        TSP_ID_DUMMY = i108;
        TSP_ID__HVDD_CHECK = i107;
        int i109 = i108 + 1;
        TSP_ID_DUMMY = i109;
        TSP_ID__CHECK_SRAM = i108;
        int i110 = i109 + 1;
        TSP_ID_DUMMY = i110;
        TSP_ID__READ_CM_RATIO = i109;
        int i111 = i110 + 1;
        TSP_ID_DUMMY = i111;
        TSP_ID__CM_GAP_TX_RX = i110;
        int i112 = i111 + 1;
        TSP_ID_DUMMY = i112;
        TSP_ID__TRX_OPEN_SHORT = i111;
        int i113 = i112 + 1;
        TSP_ID_DUMMY = i113;
        TSP_ID__ELVSS_TEST = i112;
        int i114 = i113 + 1;
        TSP_ID_DUMMY = i114;
        TSP_ID__CX_DATA__ALL_NODE__RETURN_NONE = i113;
        int i115 = i114 + 1;
        TSP_ID_DUMMY = i115;
        TSP_ID__CX_DATA__NODE = i114;
        int i116 = i115 + 1;
        TSP_ID_DUMMY = i116;
        TSP_ID__CX_DATA_GAP_NODE = i115;
        int i117 = i116 + 1;
        TSP_ID_DUMMY = i117;
        TSP_ID__CX_DATA_ALL_NODE = i116;
        int i118 = i117 + 1;
        TSP_ID_DUMMY = i118;
        TSP_ID__CONNECTION_CHECK = i117;
        int i119 = i118 + 1;
        TSP_ID_DUMMY = i119;
        TSP_ID__CM_OFFSET = i118;
        int i120 = i119 + 1;
        TSP_ID_DUMMY = i120;
        TSP_ID__CM_OFFSET_DATA_GAP = i119;
        int i121 = i120 + 1;
        TSP_ID_DUMMY = i121;
        TSP_ID__CM_OFFSET_DATA_ALL = i120;
        int i122 = i121 + 1;
        TSP_ID_DUMMY = i122;
        TSP_ID__CM_OFFSET_DATA_GAP_SPLIT_CORNER = i121;
        int i123 = i122 + 1;
        TSP_ID_DUMMY = i123;
        TSP_ID__CM_OFFSET_DATA_GAP_GREAT_STYLE = i122;
        int i124 = i123 + 1;
        TSP_ID_DUMMY = i124;
        TSP_ID__CM_OFFSET_DATA_GAP_LOW_FREQ = i123;
        int i125 = i124 + 1;
        TSP_ID_DUMMY = i125;
        TSP_ID__CM_SPEC_OVER = i124;
        int i126 = i125 + 1;
        TSP_ID_DUMMY = i126;
        TSP_ID__SELF_OFFSET_CROSS_GAP = i125;
        int i127 = i126 + 1;
        TSP_ID_DUMMY = i127;
        TSP_ID__CM_PRE_DELTA = i126;
        int i128 = i127 + 1;
        TSP_ID_DUMMY = i128;
        TSP_ID__CM_PRE_DELTA_ALL = i127;
        int i129 = i128 + 1;
        TSP_ID_DUMMY = i129;
        TSP_ID__SELF_OFFSET = i128;
        int i130 = i129 + 1;
        TSP_ID_DUMMY = i130;
        TSP_ID__SELF_OFFSET_ALL = i129;
        int i131 = i130 + 1;
        TSP_ID_DUMMY = i131;
        TSP_ID__SELF_PRE_DELTA = i130;
        int i132 = i131 + 1;
        TSP_ID_DUMMY = i132;
        TSP_ID__SELF_PRE_DELTA_GAP = i131;
        int i133 = i132 + 1;
        TSP_ID_DUMMY = i133;
        TSP_ID__MIS_CALIBRATION = i132;
        int i134 = i133 + 1;
        TSP_ID_DUMMY = i134;
        TSP_ID__MIS_CALIBRATION__ALL_NODE__RETURN_MIN_MAX = i133;
        int i135 = i134 + 1;
        TSP_ID_DUMMY = i135;
        TSP_ID__KEY_READ1 = i134;
        int i136 = i135 + 1;
        TSP_ID_DUMMY = i136;
        TSP_ID__KEY_READ2 = i135;
        int i137 = i136 + 1;
        TSP_ID_DUMMY = i137;
        TSP_ID__KEY_RAW_DATA = i136;
        int i138 = i137 + 1;
        TSP_ID_DUMMY = i138;
        TSP_ID__WTR_SELF_RAWDATA = i137;
        int i139 = i138 + 1;
        TSP_ID_DUMMY = i139;
        TSP_ID__WTR_SELF_RAWDATA__ALL_NODE = i138;
        int i140 = i139 + 1;
        TSP_ID_DUMMY = i140;
        TSP_ID__WTR_IX_DATA = i139;
        int i141 = i140 + 1;
        TSP_ID_DUMMY = i141;
        TSP_ID__WTR_IX_DATA__ALL_NODE = i140;
        int i142 = i141 + 1;
        TSP_ID_DUMMY = i142;
        TSP_ID__WTR_CX2_DATA = i141;
        int i143 = i142 + 1;
        TSP_ID_DUMMY = i143;
        TSP_ID__WTR_CX2_DATA__ALL_NODE = i142;
        int i144 = i143 + 1;
        TSP_ID_DUMMY = i144;
        TSP_ID__TOTAL_CX = i143;
        int i145 = i144 + 1;
        TSP_ID_DUMMY = i145;
        TSP_ID__KEY_TOTAL_CX = i144;
        int i146 = i145 + 1;
        TSP_ID_DUMMY = i146;
        TSP_ID__READ_REFERENCE_MAX_DIFF = i145;
        int i147 = i146 + 1;
        TSP_ID_DUMMY = i147;
        TSP_ID__ABS_CAP_NODE = i146;
        int i148 = i147 + 1;
        TSP_ID_DUMMY = i148;
        TSP_ID__INTERFERENCE_METRIC_DATA = i147;
        int i149 = i148 + 1;
        TSP_ID_DUMMY = i149;
        TSP_ID__VIEW_CP_DATA = i148;
        int i150 = i149 + 1;
        TSP_ID_DUMMY = i150;
        TSP_ID__DUMMY_CP_DATA = i149;
        int i151 = i150 + 1;
        TSP_ID_DUMMY = i151;
        TSP_ID__RUN_CP_SHORT_DATA = i150;
        int i152 = i151 + 1;
        TSP_ID_DUMMY = i152;
        TSP_ID__RUN_CP_LPM_DATA = i151;
        int i153 = i152 + 1;
        TSP_ID_DUMMY = i153;
        TSP_ID__CR_VARIANCE_READ = i152;
        int i154 = i153 + 1;
        TSP_ID_DUMMY = i154;
        TSP_ID__EXPANSION__CONNECTION = i153;
        int i155 = i154 + 1;
        TSP_ID_DUMMY = i155;
        TSP_ID__EXPANSION__CONNECTION_HOVERING = i154;
        int i156 = i155 + 1;
        TSP_ID_DUMMY = i156;
        TSP_ID_HOVER_ENABLE = i155;
        int i157 = i156 + 1;
        TSP_ID_DUMMY = i157;
        TSP_ID_HOVER_DISABLE = i156;
        int i158 = i157 + 1;
        TSP_ID_DUMMY = i158;
        TSP_ID_SLOPE_CMCS_TEST = i157;
        int i159 = i158 + 1;
        TSP_ID_DUMMY = i159;
        TSP_ID_SLOPE0 = i158;
        int i160 = i159 + 1;
        TSP_ID_DUMMY = i160;
        TSP_ID_SLOPE1 = i159;
        int i161 = i160 + 1;
        TSP_ID_DUMMY = i161;
        TSP_ID_UNIT_CAL_FLAG_CHECK = i160;
        int i162 = i161 + 1;
        TSP_ID_DUMMY = i162;
        FORCE_ID__PRESSURE_RAWDATA_READ = i161;
        int i163 = i162 + 1;
        TSP_ID_DUMMY = i163;
        FORCE_ID__PRESSURE_STRENGTH_SET = i162;
        int i164 = i163 + 1;
        TSP_ID_DUMMY = i164;
        FORCE_ID__PRESSURE_STRENGTH_READ = i163;
        int i165 = i164 + 1;
        TSP_ID_DUMMY = i165;
        FORCE_ID__PRESSURE_CAL_READ = i164;
        int i166 = i165 + 1;
        TSP_ID_DUMMY = i166;
        FORCE_ID__PRESSURE_IX_READ = i165;
        int i167 = i166 + 1;
        TSP_ID_DUMMY = i167;
        FORCE_ID__PRESSURE_STRENGTH_INDEX_READ = i166;
        int i168 = i167 + 1;
        TSP_ID_DUMMY = i168;
        FORCE_ID__PRESSURE_STRENGTH_INDEX_SET = i167;
        int i169 = i168 + 1;
        TSP_ID_DUMMY = i169;
        FORCE_ID__PRESSURE_CAL_CLEAR = i168;
        int i170 = i169 + 1;
        TSP_ID_DUMMY = i170;
        FORCE_ID__PRESSURE_OFFSET_READ = i169;
        int i171 = i170 + 1;
        TSP_ID_DUMMY = i171;
        FORCE_ID__PRESSURE_TEST_MODE_SET = i170;
        int i172 = i171 + 1;
        TSP_ID_DUMMY = i172;
        FORCE_ID__PRESSURE_STRENGTH_FILTERED_READ = i171;
        int i173 = i172 + 1;
        TSP_ID_DUMMY = i173;
        FORCE_ID__RUN_FORCE_PRESSURE_CALIBRATION = i172;
        int i174 = i173 + 1;
        TSP_ID_DUMMY = i174;
        TSP_ID__HISTORY = i173;
        int i175 = i174 + 1;
        TSP_ID_DUMMY = i175;
        TSP_ID__CHECK_CONNECTION = i174;
        TSP_ID_SCOPE_MAX = i175 - 1;
    }

    private ModuleTouchScreen(Context context) {
        super(context, "ModuleTouchScreen");
        FtUtil.log_i(this.CLASS_NAME, "ModuleTouchScreen_test");
        this.mTSPPanelType = Support.Feature.getString(Support.Feature.PANEL_TYPE);
        this.mTSPDeviceType = Support.Feature.getString(Support.Feature.DEVICE_TYPE);
        this.mTSP = new TouchScreenPanel(this.mTSPPanelType, this.mTSPDeviceType);
    }

    public static ModuleTouchScreen instance(Context context) {
        if (mInstance == null) {
            mInstance = new ModuleTouchScreen(context);
        }
        mInstance.setTSPInfo(Default_testID);
        return mInstance;
    }

    public void setTSPInfo(int test_ID) {
        String str = this.CLASS_NAME;
        FtUtil.log_i(str, "setTSPInfo", "current_testID = " + test_ID);
        current_testID = test_ID;
        this.mTSPNotiHandler = null;
        this.mTSPChipName = getTSPResult(TSP_ID__CHIP_NAME).toUpperCase(Locale.ENGLISH);
        this.mTSPVendorName = getTSPResult(TSP_ID__VENDOR_NAME).toUpperCase(Locale.ENGLISH);
        this.mTSPModuleVendor = getTSPResult(TSP_ID__MODULE_VENDOR);
        this.mTSPPanelType = Support.Feature.getString(Support.Feature.PANEL_TYPE);
        this.mTSPDeviceType = Support.Feature.getString(Support.Feature.DEVICE_TYPE);
        this.mTSP.setVendor(this.mTSPVendorName);
        String str2 = this.CLASS_NAME;
        FtUtil.log_d(str2, "setTSPInfo", "mTSPVendorName : " + this.mTSPVendorName);
        String str3 = this.CLASS_NAME;
        FtUtil.log_d(str3, "setTSPInfo", "mTSPPanelType : " + this.mTSPPanelType);
        String str4 = this.CLASS_NAME;
        FtUtil.log_d(str4, "setTSPInfo", "mTSPDeviceType : " + this.mTSPDeviceType);
        setTSPConnectionSpec();
        this.mTSPConnectionHoveringSpec_Min_Y = Support.Spec.getInt("TSP_SELFTEST_HOVERING_MIN_Y_" + this.mTSPVendorName);
        this.mTSPConnectionHoveringSpec_Max_Y = Support.Spec.getInt("TSP_SELFTEST_HOVERING_MAX_Y_" + this.mTSPVendorName);
        this.mTSPConnectionHoveringSpec_Min_X = Support.Spec.getInt("TSP_SELFTEST_HOVERING_MIN_X_" + this.mTSPVendorName);
        this.mTSPConnectionHoveringSpec_Max_X = Support.Spec.getInt("TSP_SELFTEST_HOVERING_MAX_X_" + this.mTSPVendorName);
        this.mTSPReferenceGapSpec_X = Support.Spec.getInt("TSP_SELFTEST_REFRENCE_GAP_X_SYNAPTICS");
        this.mTSPReferenceGapSpec_Y = Support.Spec.getInt("TSP_SELFTEST_REFRENCE_GAP_Y_SYNAPTICS");
        this.mTSPCxDataGapSpec_X = Support.Spec.getInt("TSP_SELFTEST_CX_DATA_X_STM");
        this.mTSPCxDataGapSpec_Y = Support.Spec.getInt("TSP_SELFTEST_CX_DATA_Y_STM");
        this.mTSPCxDataSpec_Min = Support.Spec.getInt("TSP_SELFTEST_CX_DATA_MIN_STM");
        this.mTSPCxDataSpec_Max = Support.Spec.getInt("TSP_SELFTEST_CX_DATA_MAX_STM");
        this.mTSPViewCpDataSpec_Min = Support.Spec.getInt("TSP_SELFTEST_CP_SPEC_MIN");
        this.mTSPViewCpDataSpec_Max = Support.Spec.getInt("TSP_SELFTEST_CP_SPEC_MAX");
        this.mTSPDummyCpDataSpec_Min = Support.Spec.getInt("TSP_SELFTEST_DUMMY_CP_SPEC_MIN");
        this.mTSPDummyCpDataSpec_Max = Support.Spec.getInt("TSP_SELFTEST_DUMMY_CP_SPEC_MAX");
        this.mTSPWTRRawSpec_TxMin = Support.Spec.getInt("TSP_SELFTEST_WTR_RAWTX_MIN_STM");
        this.mTSPWTRRawSpec_TxMax = Support.Spec.getInt("TSP_SELFTEST_WTR_RAWTX_MAX_STM");
        this.mTSPWTRRawSpec_RxMin = Support.Spec.getInt("TSP_SELFTEST_WTR_RAWRX_MIN_STM");
        this.mTSPWTRRawSpec_RxMax = Support.Spec.getInt("TSP_SELFTEST_WTR_RAWRX_MAX_STM");
        this.mTSPWTRIxSpec_TxMin = Support.Spec.getInt("TSP_SELFTEST_WTR_IXTX_MIN_STM");
        this.mTSPWTRIxSpec_TxMax = Support.Spec.getInt("TSP_SELFTEST_WTR_IXTX_MAX_STM");
        this.mTSPWTRIxSpec_RxMin = Support.Spec.getInt("TSP_SELFTEST_WTR_IXRX_MIN_STM");
        this.mTSPWTRIxSpec_RxMax = Support.Spec.getInt("TSP_SELFTEST_WTR_IXRX_MAX_STM");
        this.mTSPWTRCx2Spec_TxMin = Support.Spec.getInt("TSP_SELFTEST_WTR_CX2TX_MIN_STM");
        this.mTSPWTRCx2Spec_TxMax = Support.Spec.getInt("TSP_SELFTEST_WTR_CX2TX_MAX_STM");
        this.mTSPWTRCx2Spec_RxMin = Support.Spec.getInt("TSP_SELFTEST_WTR_CX2RX_MIN_STM");
        this.mTSPWTRCx2Spec_RxMax = Support.Spec.getInt("TSP_SELFTEST_WTR_CX2RX_MAX_STM");
        this.mTSPKeyCmDataSpec_Min = Support.Spec.getInt(Support.Spec.TSP_SELFTEST_KEY_CM_DATA_MIN_STM);
        this.mTSPKeyCmDataSpec_Max = Support.Spec.getInt(Support.Spec.TSP_SELFTEST_KEY_CM_DATA_MAX_STM);
        this.mTSPRawCapTopBottomSpec_Min = Support.Spec.getInt("TSP_SELFTEST_SELF_RAWCAP_TOPBOTTOM_PART_SPEC_MIN");
        this.mTSPRawCapTopBottomSpec_Max = Support.Spec.getInt("TSP_SELFTEST_SELF_RAWCAP_TOPBOTTOM_PART_SPEC_MAX");
        this.mTSPRawCapMiddleSpec_Min = Support.Spec.getInt("TSP_SELFTEST_SELF_RAWCAP_MIDDLE_PART_SPEC_MIN");
        this.mTSPRawCapMiddleSpec_Max = Support.Spec.getInt("TSP_SELFTEST_SELF_RAWCAP_MIDDLE_PART_SPEC_MAX");
        this.mTSPShortEtoeA_Min = Support.Spec.getInt("TSP_SELFTEST_SELF_SHORT_ETOE_A_MIN");
        this.mTSPShortEtoeA_Max = Support.Spec.getInt("TSP_SELFTEST_SELF_SHORT_ETOE_A_MAX");
        this.mTSPShortEtoeB_Min = Support.Spec.getInt("TSP_SELFTEST_SELF_SHORT_ETOE_B_MIN");
        this.mTSPShortEtoeB_Max = Support.Spec.getInt("TSP_SELFTEST_SELF_SHORT_ETOE_B_MAX");
        this.mTSPOpenApmOpen1_Min = Support.Spec.getInt("TSP_SELFTEST_SELF_OPEN_APM_OPEN_1_MIN");
        this.mTSPOpenApmOpen1_Max = Support.Spec.getInt("TSP_SELFTEST_SELF_OPEN_APM_OPEN_1_MAX");
        this.mTSPOpenApmOpen2_Min = Support.Spec.getInt("TSP_SELFTEST_SELF_OPEN_APM_OPEN_2_MIN");
        this.mTSPOpenApmOpen2_Max = Support.Spec.getInt("TSP_SELFTEST_SELF_OPEN_APM_OPEN_2_MAX");
        this.mIsStandardChannel = Support.TestCase.getEnabled(Support.TestCase.IS_TSP_STANDARD_CHANNEL);
        String str5 = this.CLASS_NAME;
        FtUtil.log_d(str5, "setTSPInfo", "mIsStandardChannel : " + this.mIsStandardChannel);
    }

    public boolean getTSPResult(int tspID, String subCommand, Handler notiHandler) {
        this.mTSPNotiHandler = notiHandler;
        if (tspID == TSP_ID__EXPANSION__CONNECTION) {
            getTSPResult_Connection(notiHandler);
            return true;
        }
        this.mTSP.getTSPResult(tspID, subCommand, notiHandler);
        return true;
    }

    public boolean setTSPHistory(int tspID, String subCommand) {
        this.mTSP.setTSPHistory(tspID, subCommand);
        return true;
    }

    public boolean getTSPResult(int tspID, Handler notiHandler) {
        this.mTSPNotiHandler = notiHandler;
        if (tspID == TSP_ID__EXPANSION__CONNECTION) {
            getTSPResult_Connection(notiHandler);
            return true;
        } else if (tspID == TSP_ID__EXPANSION__CONNECTION_HOVERING) {
            getTSPResult_Connection_Hovering(notiHandler);
            return true;
        } else if (tspID == TSP_ID__RAWCAP__NODE) {
            getTSPResult_Rawcap_Gap_Result(notiHandler);
            return true;
        } else if (tspID == TSP_ID__RAWCAP__NODE__RETURN_MIN_MAX) {
            getTSPResult_Connection_Rawcap(notiHandler);
            return true;
        } else if (tspID == TSP_ID_HOVER_ENABLE) {
            this.mTSP.getTSPResult(tspID, EgisFingerprint.MAJOR_VERSION, notiHandler);
            return true;
        } else if (tspID == TSP_ID_HOVER_DISABLE) {
            this.mTSP.getTSPResult(tspID, "0", notiHandler);
            return true;
        } else if (tspID == TSP_ID__CX_DATA_GAP_NODE) {
            getTSPResult_CxData_Gap_Result(notiHandler);
            return true;
        } else if (tspID == TSP_ID__CX_DATA_ALL_NODE) {
            getTSPResult_CxData_All_Result(notiHandler);
            return true;
        } else if (tspID == TSP_ID__WTR_SELF_RAWDATA || tspID == TSP_ID__WTR_IX_DATA || tspID == TSP_ID__WTR_CX2_DATA) {
            getTSPResult_WTR_Result(tspID, notiHandler);
            return true;
        } else if (tspID == TSP_ID__KEY_READ1) {
            getTSPResult_Key_Read1_Result(notiHandler);
            return true;
        } else if (tspID == TSP_ID__VIEW_CP_DATA) {
            getTSPResult_ViewCpData_Result(notiHandler);
            return true;
        } else if (tspID == TSP_ID__DUMMY_CP_DATA) {
            getTSPResult_DummyCpData_Result(notiHandler);
            return true;
        } else if (tspID == TSP_ID__RAWCAP__ALL_NODE__RETURN_MIN_MAX) {
            getTSPResult_RawCapData_Result(notiHandler);
            return true;
        } else if (tspID == TSP_ID__TRX_SHORT_TEST) {
            getTSPResult_ShortData_Result(notiHandler);
            return true;
        } else if (tspID == TSP_ID__TRX_OPEN_TEST) {
            getTSPResult_OpenData_Result(notiHandler);
            return true;
        } else if (tspID == TSP_ID__TX_SHORT_TEST || tspID == TSP_ID__RX_SHORT_TEST) {
            getTSPResult_Need_Handler(tspID, notiHandler);
            return true;
        } else {
            this.mTSP.getTSPResult(tspID, null, notiHandler);
            return true;
        }
    }

    public String getTSPResult(int tspID, String subCommand) {
        if (tspID == TSP_ID__EXPANSION__CONNECTION) {
            return getTSPResult_Connection(null);
        }
        if (tspID == TSP_ID__RAWCAP__NODE__RETURN_MIN_MAX) {
            return getTSPResult_Connection_Rawcap(null);
        }
        return this.mTSP.getTSPResult(tspID, subCommand);
    }

    public String getTSPResult(int tspID) {
        if (tspID == TSP_ID__EXPANSION__CONNECTION) {
            return getTSPResult_Connection(null);
        }
        if (tspID == TSP_ID__RAWCAP__NODE__RETURN_MIN_MAX) {
            return getTSPResult_Connection_Rawcap(null);
        }
        if (tspID == TSP_ID__KEY_RAW_DATA) {
            return getTSPResult_Key_Raw_Data(null);
        }
        if (tspID == TSP_ID__CONNECTION_CHECK) {
            return getTSPResult_Connection_Check();
        }
        return this.mTSP.getTSPResult(tspID, null);
    }

    public String getTSPResultData(int tspID, String subCommand) {
        return this.mTSP.getTSPResultData(tspID, subCommand);
    }

    public void setTSPConnectionSpec() {
        String str = this.CLASS_NAME;
        FtUtil.log_i(str, "setTSPConnectionSpec", "mTSPModuleVendor=" + this.mTSPModuleVendor);
        String[] parsedVendor = this.mTSPModuleVendor.split(",");
        if ("OK".equals(parsedVendor[0])) {
            String str2 = this.CLASS_NAME;
            FtUtil.log_i(str2, "setTSPConnectionSpec", parsedVendor[0] + ", [ModuleVendorID]: parsedVendor[1]=" + parsedVendor[1]);
            int moduleID = Integer.parseInt(parsedVendor[1]);
            if (moduleID == 0) {
                String str3 = this.CLASS_NAME;
                FtUtil.log_i(str3, "setTSPConnectionSpec", "moduleID=" + String.valueOf(moduleID));
                this.mTSPConnectionSpec_Min = Support.Spec.getInt("TSP_SELFTEST_MIN_" + this.mTSPVendorName);
                this.mTSPConnectionSpec_Max = Support.Spec.getInt("TSP_SELFTEST_MAX_" + this.mTSPVendorName);
            } else if (moduleID == 1) {
                String str4 = this.CLASS_NAME;
                FtUtil.log_i(str4, "setTSPConnectionSpec", "moduleID=" + String.valueOf(moduleID));
                this.mTSPConnectionSpec_Min = Support.Spec.getInt("TSP_SELFTEST_MIN_" + this.mTSPVendorName + "_2ND");
                int i = Support.Spec.getInt("TSP_SELFTEST_MAX_" + this.mTSPVendorName + "_2ND");
                this.mTSPConnectionSpec_Max = i;
                if (this.mTSPConnectionSpec_Min == -1 || i == -1) {
                    this.mTSPConnectionSpec_Min = Support.Spec.getInt("TSP_SELFTEST_MIN_" + this.mTSPVendorName);
                    this.mTSPConnectionSpec_Max = Support.Spec.getInt("TSP_SELFTEST_MAX_" + this.mTSPVendorName);
                }
            } else {
                String str5 = this.CLASS_NAME;
                FtUtil.log_i(str5, "setTSPConnectionSpec", "moduleID=" + String.valueOf(moduleID));
                this.mTSPConnectionSpec_Min = Support.Spec.getInt("TSP_SELFTEST_MIN_" + this.mTSPVendorName);
                this.mTSPConnectionSpec_Max = Support.Spec.getInt("TSP_SELFTEST_MAX_" + this.mTSPVendorName);
            }
        } else if ("NA".equals(parsedVendor[0]) || "NG".equals(parsedVendor[0])) {
            String str6 = this.CLASS_NAME;
            FtUtil.log_i(str6, "setTSPConnectionSpec", parsedVendor[0] + ", applied default TSP Selftest Spec");
            this.mTSPConnectionSpec_Min = Support.Spec.getInt("TSP_SELFTEST_MIN_" + this.mTSPVendorName);
            this.mTSPConnectionSpec_Max = Support.Spec.getInt("TSP_SELFTEST_MAX_" + this.mTSPVendorName);
        } else {
            String str7 = this.CLASS_NAME;
            FtUtil.log_i(str7, "setTSPConnectionSpec", parsedVendor[0] + ", TSP Command ERROR");
        }
        String str8 = this.CLASS_NAME;
        FtUtil.log_i(str8, "setTSPConnectionSpec", "TSP Connection Spec : min=" + this.mTSPConnectionSpec_Min + " max=" + this.mTSPConnectionSpec_Max);
    }

    public String getTSPVendorName() {
        return this.mTSPVendorName;
    }

    public String getTSPModuleVendor() {
        return this.mTSPModuleVendor;
    }

    public String getTSPPanelType() {
        return this.mTSPPanelType;
    }

    public String getTSPDeviceType() {
        return this.mTSPDeviceType;
    }

    public int getTSPConnectionSpecMin() {
        return this.mTSPConnectionSpec_Min;
    }

    public int getTSPConnectionSpecMax() {
        return this.mTSPConnectionSpec_Max;
    }

    public int getTSPConnectionHoveringSpecMin_Y() {
        return this.mTSPConnectionHoveringSpec_Min_Y;
    }

    public int getTSPConnectionHoveringSpecMax_Y() {
        return this.mTSPConnectionHoveringSpec_Max_Y;
    }

    public int getTSPConnectionHoveringSpecMin_X() {
        return this.mTSPConnectionHoveringSpec_Min_X;
    }

    public int getTSPConnectionHoveringSpecMax_X() {
        return this.mTSPConnectionHoveringSpec_Max_X;
    }

    public int getTSPReferenceGapSpec_X() {
        return this.mTSPReferenceGapSpec_X;
    }

    public int getTSPReferenceGapSpec_Y() {
        return this.mTSPReferenceGapSpec_Y;
    }

    public String getTSPChipName() {
        String result = this.mTSP.getTSPResult(TSP_ID__CHIP_NAME, null);
        FtUtil.log_d(this.CLASS_NAME, "getTSPChipName", result);
        return result;
    }

    public String getTSPFirmwareVersionBinary() {
        String result = this.mTSP.getTSPResult(TSP_ID__FW_VERSION_BINARY, null);
        FtUtil.log_d(this.CLASS_NAME, "getTSPFirmwareVersionBinary", result);
        return result;
    }

    public String getTSPFirmwareVersionIC() {
        String result = this.mTSP.getTSPResult(TSP_ID__FW_VERSION_IC, null);
        FtUtil.log_d(this.CLASS_NAME, "getTSPFirmwareVersionIC", result);
        return result;
    }

    public int getTspDevCount() {
        if (this.tspDevCount == -1) {
            this.tspDevCount = 1;
            String tspDevCountTemp = getTSPResult(TSP_ID__DEV_COUNT);
            if (tspDevCountTemp != null && tspDevCountTemp.split(",").length > 1 && "OK".equals(tspDevCountTemp.split(",")[0])) {
                this.tspDevCount = Integer.parseInt(tspDevCountTemp.split(",")[1]);
            }
        }
        String str = this.CLASS_NAME;
        FtUtil.log_i(str, "getTspDevCount", "TspDevCount : " + this.tspDevCount);
        return this.tspDevCount;
    }

    public String getTSPChannelCountX() {
        if (this.mTSPChannelCountX == null) {
            String result = this.mTSP.getTSPResult(TSP_ID__NUMBER_X_CHANNEL, null);
            if (result.equals("NG") || result.equals("NA")) {
                return result;
            }
            this.mTSPChannelCountX = result;
            String str = this.CLASS_NAME;
            FtUtil.log_d(str, "getTSPChannelCountX", "set X : " + this.mTSPChannelCountX);
        }
        String result2 = this.CLASS_NAME;
        FtUtil.log_d(result2, "getTSPChannelCountX", "X : " + this.mTSPChannelCountX);
        return this.mTSPChannelCountX;
    }

    public String getTSPChannelCountY() {
        if (this.mTSPChannelCountY == null) {
            String result = this.mTSP.getTSPResult(TSP_ID__NUMBER_Y_CHANNEL, null);
            if (result.equals("NG") || result.equals("NA")) {
                return result;
            }
            this.mTSPChannelCountY = result;
            String str = this.CLASS_NAME;
            FtUtil.log_d(str, "getTSPChannelCountY", "set Y : " + this.mTSPChannelCountY);
        }
        String result2 = this.CLASS_NAME;
        FtUtil.log_d(result2, "getTSPChannelCountY", "Y : " + this.mTSPChannelCountY);
        return this.mTSPChannelCountY;
    }

    public String getTSPCmCountX() {
        if (this.mTSPChannelCountX == null) {
            String result = this.mTSP.getTSPResult(TSP_ID__NUMBER_X_CX, null);
            if (result.equals("NG") || result.equals("NA")) {
                return result;
            }
            this.mTSPChannelCountX = result;
            String str = this.CLASS_NAME;
            FtUtil.log_d(str, "getTSPCmCountX", "set X : " + this.mTSPChannelCountX);
        }
        String result2 = this.CLASS_NAME;
        FtUtil.log_d(result2, "getTSPCmCountX", "X : " + this.mTSPChannelCountX);
        return this.mTSPChannelCountX;
    }

    public String getTSPCmCountY() {
        if (this.mTSPChannelCountY == null) {
            String result = this.mTSP.getTSPResult(TSP_ID__NUMBER_Y_CX, null);
            if (result.equals("NG") || result.equals("NA")) {
                return result;
            }
            this.mTSPChannelCountY = result;
            String str = this.CLASS_NAME;
            FtUtil.log_d(str, "getTSPCmCountY", "set Y : " + this.mTSPChannelCountY);
        }
        String result2 = this.CLASS_NAME;
        FtUtil.log_d(result2, "getTSPCmCountY", "Y : " + this.mTSPChannelCountY);
        return this.mTSPChannelCountY;
    }

    public String getTSPCrossCountX() {
        if (this.mTSPChannelCrossCountX == null) {
            String result = this.mTSP.getTSPResult(TSP_ID__NUMBER_X_CROSS, null);
            if (result.equals("NG") || result.equals("NA")) {
                return result;
            }
            this.mTSPChannelCrossCountX = result;
            String str = this.CLASS_NAME;
            FtUtil.log_d(str, "getTSPCrossCountX", "set X : " + this.mTSPChannelCrossCountX);
        }
        String result2 = this.CLASS_NAME;
        FtUtil.log_d(result2, "getTSPCrossCountX", "X : " + this.mTSPChannelCrossCountX);
        return this.mTSPChannelCrossCountX;
    }

    public String getTSPCrossCountY() {
        if (this.mTSPChannelCrossCountY == null) {
            String result = this.mTSP.getTSPResult(TSP_ID__NUMBER_Y_CROSS, null);
            if (result.equals("NG") || result.equals("NA")) {
                return result;
            }
            this.mTSPChannelCrossCountY = result;
            String str = this.CLASS_NAME;
            FtUtil.log_d(str, "getTSPCrossCountY", "set Y : " + this.mTSPChannelCrossCountY);
        }
        String result2 = this.CLASS_NAME;
        FtUtil.log_d(result2, "getTSPCrossCountY", "Y : " + this.mTSPChannelCrossCountY);
        return this.mTSPChannelCrossCountY;
    }

    public String TSPHoveringEdge(String argu) {
        String result = this.mTSP.getTSPResult(TSP_HOVER_CMD__HOVER_SET_EDGE_DEADLOCK, argu);
        String str = this.CLASS_NAME;
        FtUtil.log_d(str, "TSPHoveringEdge", "result : " + result);
        return result;
    }

    public boolean isTSPSupport() {
        if (this.mTSPVendorName.equals(TSP_VENDOR_NAME__ATMEL) || this.mTSPVendorName.equals(TSP_VENDOR_NAME__CYPRESS) || this.mTSPVendorName.equals(TSP_VENDOR_NAME__MELFAS) || this.mTSPVendorName.equals(TSP_VENDOR_NAME__SILAB) || this.mTSPVendorName.equals(TSP_VENDOR_NAME__SYNAPTICS) || this.mTSPVendorName.equals(TSP_VENDOR_NAME__ZINITIX) || this.mTSPVendorName.equals(TSP_VENDOR_NAME__G2) || this.mTSPVendorName.equals(TSP_VENDOR_NAME__ZI) || this.mTSPVendorName.equals(TSP_VENDOR_NAME__IMAGIS) || this.mTSPVendorName.equals(TSP_VENDOR_NAME__STM) || this.mTSPVendorName.equals(TSP_VENDOR_NAME__SEC)) {
            return true;
        }
        return false;
    }

    private String getTSPResult_Connection(Handler notiHandler) {
        if (notiHandler == null) {
            String result = this.mTSP.getTSPResult(TSP_ID__EXPANSION__CONNECTION, null);
            String str = this.CLASS_NAME;
            FtUtil.log_d(str, "getTSPResult_Connection", "result : [" + result + "]");
            if (result.equals("NA") || result.equals("NG")) {
                return result;
            }
            String result2 = checkTSPConnectionSpec(result);
            if (result2.equals("NG")) {
                return "NG";
            }
            return result2;
        }
        this.mTSP.getTSPResult(TSP_ID__EXPANSION__CONNECTION, null, this.mTSPHandler);
        return null;
    }

    private String getTSPResult_Connection_Rawcap(Handler notiHandler) {
        this.mTSP.getTSPResult(TSP_ID__RAWCAP__NODE__RETURN_MIN_MAX, null, this.mTSPHandler);
        return null;
    }

    private String getTSPResult_Key_Raw_Data(Handler notiHandler) {
        return String.format("%s,%s", Support.Kernel.read(Support.Kernel.TOUCH_KEY_RECENT_CP_DATA), Support.Kernel.read(Support.Kernel.TOUCH_KEY_BACK_CP_DATA));
    }

    private void getTSPResult_Connection_Hovering(Handler notiHandler) {
        this.mTSP.getTSPResult(TSP_ID__EXPANSION__CONNECTION_HOVERING, null, this.mTSPHandler);
    }

    private String getTSPResult_Rawcap_Gap_Result(Handler notiHandler) {
        this.mTSP.getTSPResult(TSP_ID__RAWCAP__NODE, null, this.mTSPHandler);
        return null;
    }

    private String getTSPResult_CxData_Gap_Result(Handler notiHandler) {
        this.mTSP.getTSPResult(TSP_ID__CX_DATA_GAP_NODE, null, this.mTSPHandler);
        return null;
    }

    private String getTSPResult_CxData_All_Result(Handler notiHandler) {
        this.mTSP.getTSPResult(TSP_ID__CX_DATA_ALL_NODE, null, this.mTSPHandler);
        return null;
    }

    private String getTSPResult_Connection_Check() {
        String[] arr_tkcx2 = getTSPResult(TSP_ID__KEY_READ2).split(",");
        if ("0".equals(arr_tkcx2[0]) || "0".equals(arr_tkcx2[1])) {
            return "NG";
        }
        String[] arr_cx2 = this.mTSP.getTSPResult_Cx2().split(",");
        if ("0".equals(arr_cx2[0]) || "0".equals(arr_cx2[1])) {
            return "NG";
        }
        return "OK";
    }

    private String getOpenShortResult(String readNode) {
        String[] rawValue = Support.Kernel.readAllFromID(readNode).split("  ");
        if (rawValue.length < 2) {
            return "NG";
        }
        String result = rawValue[1].trim();
        for (int i = 2; i < rawValue.length; i++) {
            result = result + "," + rawValue[i].trim();
        }
        return result;
    }

    private String getTSPResult_WTR_Result(int tspID, Handler notiHandler) {
        this.mTSP.getTSPResult(tspID, null, this.mTSPHandler);
        return null;
    }

    private String getTSPResult_Key_Read1_Result(Handler notiHandler) {
        this.mTSP.getTSPResult(TSP_ID__KEY_READ1, null, this.mTSPHandler);
        return null;
    }

    private String getTSPResult_ViewCpData_Result(Handler notiHandler) {
        this.mTSP.getTSPResult(TSP_ID__VIEW_CP_DATA, null, this.mTSPHandler);
        return null;
    }

    private String getTSPResult_DummyCpData_Result(Handler notiHandler) {
        this.mTSP.getTSPResult(TSP_ID__DUMMY_CP_DATA, null, this.mTSPHandler);
        return null;
    }

    private String getTSPResult_RawCapData_Result(Handler notiHandler) {
        this.mTSP.getTSPResult(TSP_ID__RAWCAP__ALL_NODE__RETURN_MIN_MAX, null, this.mTSPHandler);
        return null;
    }

    private String getTSPResult_ShortData_Result(Handler notiHandler) {
        this.mTSP.getTSPResult(TSP_ID__TRX_SHORT_TEST, null, this.mTSPHandler);
        return null;
    }

    private String getTSPResult_OpenData_Result(Handler notiHandler) {
        this.mTSP.getTSPResult(TSP_ID__TRX_OPEN_TEST, null, this.mTSPHandler);
        return null;
    }

    private void getTSPResult_Need_Handler(int tspID, Handler notiHandler) {
        this.mTSP.getTSPResult(tspID, null, this.mTSPHandler);
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private String checkTSPConnectionSpec(String result) {
        boolean temp;
        int i;
        String[] data = result.split(",");
        String str = "NG";
        if (data.length == 2 || data.length == 3) {
            int min = Integer.valueOf(data[0].trim()).intValue();
            int max = Integer.valueOf(data[1].trim()).intValue();
            String str2 = this.CLASS_NAME;
            FtUtil.log_i(str2, "checkTSPConnectionSpec", "min : " + min + " , max : " + max);
            boolean isCheckMaxMinusMin = false;
            String mTestCase = Support.FactoryTestMenu.getTestCase("10");
            if (mTestCase != null && mTestCase.contains("CHECK_SELF_MAX_MINUS_MIN")) {
                isCheckMaxMinusMin = true;
            }
            int i2 = this.mTSPConnectionSpec_Min;
            if (i2 > min || min > (i = this.mTSPConnectionSpec_Max)) {
                FtUtil.log_e(this.CLASS_NAME, "checkTSPConnectionSpec", "Spec Out => MIN");
                temp = false;
            } else if (i2 > max || max > i) {
                FtUtil.log_e(this.CLASS_NAME, "checkTSPConnectionSpec", "Spec Out => MAX");
                temp = false;
            } else if (isCheckMaxMinusMin) {
                int spec_MaxMinusMin = Support.Spec.getInt(Support.Spec.TSP_SELFTEST_SPEC_MAX_MINUS_MIN);
                String str3 = this.CLASS_NAME;
                FtUtil.log_i(str3, "checkTSPConnectionSpec", "max - min : " + (max - min) + " , spec_MaxMinusMin : " + spec_MaxMinusMin);
                if (max - min <= spec_MaxMinusMin) {
                    temp = true;
                } else {
                    temp = false;
                }
            } else {
                temp = true;
            }
            StringBuilder sb = new StringBuilder();
            if (temp) {
                str = "OK";
            }
            sb.append(str);
            sb.append(",");
            sb.append(result);
            return sb.toString();
        }
        String str4 = this.CLASS_NAME;
        FtUtil.log_d(str4, "getTSPResult_Connection", "data.length!=2 or data.length!=3 => length:" + data.length);
        return str;
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private String checkTSPConnectionHoveringSpec(String result) {
        int i;
        int i2;
        String[] data = result.split(",");
        int ynode = Integer.parseInt(getTSPChannelCountY());
        int xnode = Integer.parseInt(getTSPChannelCountX());
        int min_y = 999999999;
        int max_y = -999999999;
        int min_x = 999999999;
        int max_x = -999999999;
        String str = this.CLASS_NAME;
        FtUtil.log_d(str, "checkTSPConnectionHoveringSpec", "Y node : " + ynode + " X node : " + xnode);
        for (int y = 0; y < ynode; y++) {
            if (Integer.valueOf(data[y].trim()).intValue() < min_y) {
                min_y = Integer.valueOf(data[y].trim()).intValue();
            } else if (Integer.valueOf(data[y].trim()).intValue() > max_y) {
                max_y = Integer.valueOf(data[y].trim()).intValue();
            }
        }
        String str2 = this.CLASS_NAME;
        FtUtil.log_d(str2, "checkTSPConnectionHoveringSpec", "min_y : " + min_y + " max_y : " + max_y);
        for (int x = ynode; x < ynode + xnode; x++) {
            if (Integer.valueOf(data[x].trim()).intValue() < min_x) {
                min_x = Integer.valueOf(data[x].trim()).intValue();
            } else if (Integer.valueOf(data[x].trim()).intValue() > max_x) {
                max_x = Integer.valueOf(data[x].trim()).intValue();
            }
        }
        String str3 = this.CLASS_NAME;
        FtUtil.log_d(str3, "checkTSPConnectionHoveringSpec", "min_x : " + min_x + " max_x : " + max_x);
        String str4 = "NG";
        if (data.length == ynode + xnode) {
            boolean temp = true;
            int i3 = this.mTSPConnectionHoveringSpec_Min_Y;
            if (i3 > min_y || min_y > (i2 = this.mTSPConnectionHoveringSpec_Max_Y)) {
                temp = false;
                FtUtil.log_e(this.CLASS_NAME, "checkTSPConnectionHoveringSpec", "Spec Out => Y_MIN");
            } else if (i3 > max_y || max_y > i2) {
                temp = false;
                FtUtil.log_e(this.CLASS_NAME, "checkTSPConnectionHoveringSpec", "Spec Out => Y_MAX");
            }
            int i4 = this.mTSPConnectionHoveringSpec_Min_X;
            if (i4 > min_x || min_x > (i = this.mTSPConnectionHoveringSpec_Max_X)) {
                temp = false;
                FtUtil.log_e(this.CLASS_NAME, "checkTSPConnectionHoveringSpec", "Spec Out => Y_MIN");
            } else if (i4 > max_x || max_x > i) {
                temp = false;
                FtUtil.log_e(this.CLASS_NAME, "checkTSPConnectionHoveringSpec", "Spec Out => Y_MAX");
            }
            StringBuilder sb = new StringBuilder();
            if (temp) {
                str4 = "OK";
            }
            sb.append(str4);
            sb.append(",");
            sb.append(min_y);
            sb.append(",");
            sb.append(max_y);
            sb.append(",");
            sb.append(min_x);
            sb.append(",");
            sb.append(max_x);
            return sb.toString();
        }
        String str5 = this.CLASS_NAME;
        FtUtil.log_d(str5, "checkTSPConnectionHoveringSpec", "data.length!=4 => length:" + data.length);
        return str4;
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private String checkTSPReferenceGapSpec(String result) {
        boolean temp;
        String[] data = result.split(",");
        String str = "NG";
        if (data.length == 2) {
            float dataGapX = Float.valueOf(data[0].trim()).floatValue();
            float dataGapY = Float.valueOf(data[1].trim()).floatValue();
            String str2 = this.CLASS_NAME;
            FtUtil.log_i(str2, "checkTSPReferenceGapSpec", "dataGapX : " + dataGapX + " , dataGapY : " + dataGapY);
            if (dataGapX > ((float) this.mTSPReferenceGapSpec_X) || dataGapY > ((float) this.mTSPReferenceGapSpec_Y)) {
                FtUtil.log_e(this.CLASS_NAME, "checkTSPReferenceGapSpec", "Spec Out");
                temp = false;
            } else {
                FtUtil.log_d(this.CLASS_NAME, "checkTSPReferenceGapSpec", "Spec In");
                temp = true;
            }
            StringBuilder sb = new StringBuilder();
            if (temp) {
                str = "OK";
            }
            sb.append(str);
            sb.append(",");
            sb.append(data[0]);
            sb.append(",");
            sb.append(data[1]);
            return sb.toString();
        }
        String str3 = this.CLASS_NAME;
        FtUtil.log_d(str3, "checkTSPReferenceGapSpec", "data.length!=2 => length:" + data.length);
        return str;
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private String checkCxDataGapSpec(String result) {
        boolean temp;
        String[] data = result.split(",");
        String str = "NG";
        if (data.length == 2) {
            float dataGapX = Float.valueOf(data[0].trim()).floatValue();
            float dataGapY = Float.valueOf(data[1].trim()).floatValue();
            String str2 = this.CLASS_NAME;
            FtUtil.log_i(str2, "checkCxDataGapSpec", "dataGapX : " + dataGapX + " , dataGapY : " + dataGapY);
            if (dataGapX > ((float) this.mTSPCxDataGapSpec_X) || dataGapY > ((float) this.mTSPCxDataGapSpec_Y)) {
                FtUtil.log_e(this.CLASS_NAME, "checkCxDataGapSpec", "Spec Out");
                temp = false;
            } else {
                FtUtil.log_d(this.CLASS_NAME, "checkCxDataGapSpec", "Spec In");
                temp = true;
            }
            StringBuilder sb = new StringBuilder();
            if (temp) {
                str = "OK";
            }
            sb.append(str);
            sb.append(",");
            sb.append(data[0]);
            sb.append(",");
            sb.append(data[1]);
            return sb.toString();
        }
        String str3 = this.CLASS_NAME;
        FtUtil.log_d(str3, "checkCxDataGapSpec", "data.length!=2 => length:" + data.length);
        return str;
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private String checkCxDataAllSpec(String result) {
        boolean temp;
        String[] data = result.split(",");
        String str = "NG";
        if (data.length == 2) {
            float dataMin = Float.valueOf(data[0].trim()).floatValue();
            float dataMax = Float.valueOf(data[1].trim()).floatValue();
            String str2 = this.CLASS_NAME;
            FtUtil.log_i(str2, "checkCxDataAllSpec", "dataMin : " + dataMin + " , dataMax : " + dataMax);
            String str3 = this.CLASS_NAME;
            FtUtil.log_i(str3, "checkCxDataAllSpec", "mTSPCxDataSpec_Min : " + this.mTSPCxDataSpec_Min + " , mTSPCxDataSpec_Max : " + this.mTSPCxDataSpec_Max);
            if (((float) this.mTSPCxDataSpec_Min) > dataMin || dataMax > ((float) this.mTSPCxDataSpec_Max)) {
                FtUtil.log_e(this.CLASS_NAME, "checkCxDataAllSpec", "Spec Out");
                temp = false;
            } else {
                FtUtil.log_d(this.CLASS_NAME, "checkCxDataAllSpec", "Spec In");
                temp = true;
            }
            StringBuilder sb = new StringBuilder();
            if (temp) {
                str = "OK";
            }
            sb.append(str);
            sb.append(",");
            sb.append(data[0]);
            sb.append(",");
            sb.append(data[1]);
            return sb.toString();
        }
        String str4 = this.CLASS_NAME;
        FtUtil.log_d(str4, "checkCxDataAllSpec", "data.length!=2 => length:" + data.length);
        return str;
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private String checkViewCpDataSpec(String result) {
        boolean temp;
        String[] data = result.split(",");
        String str = "NG";
        if (data.length == 2) {
            float dataMin = Float.valueOf(data[0].trim()).floatValue();
            float dataMax = Float.valueOf(data[1].trim()).floatValue();
            String str2 = this.CLASS_NAME;
            FtUtil.log_i(str2, "checkViewCpDataSpec", "dataMin : " + dataMin + " , dataMax : " + dataMax);
            if (((float) this.mTSPViewCpDataSpec_Min) > dataMin || dataMax > ((float) this.mTSPViewCpDataSpec_Max)) {
                FtUtil.log_e(this.CLASS_NAME, "checkViewCpDataSpec", "Spec Out");
                temp = false;
            } else {
                FtUtil.log_d(this.CLASS_NAME, "checkViewCpDataSpec", "Spec In");
                temp = true;
            }
            StringBuilder sb = new StringBuilder();
            if (temp) {
                str = "OK";
            }
            sb.append(str);
            sb.append(",");
            sb.append(data[0]);
            sb.append(",");
            sb.append(data[1]);
            return sb.toString();
        }
        String str3 = this.CLASS_NAME;
        FtUtil.log_d(str3, "checkViewCpDataSpec", "data.length!=2 => length:" + data.length);
        return str;
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private String checkDummyCpDataSpec(String result) {
        boolean temp;
        String[] data = result.split(",");
        String str = "NG";
        if (data.length == 2) {
            float dataMin = Float.valueOf(data[0].trim()).floatValue();
            float dataMax = Float.valueOf(data[1].trim()).floatValue();
            String str2 = this.CLASS_NAME;
            FtUtil.log_i(str2, "checkDummyCpDataSpec", "dataMin : " + dataMin + " , dataMax : " + dataMax);
            if (((float) this.mTSPDummyCpDataSpec_Min) > dataMin || dataMax > ((float) this.mTSPDummyCpDataSpec_Max)) {
                FtUtil.log_e(this.CLASS_NAME, "checkDummyCpDataSpec", "Spec Out");
                temp = false;
            } else {
                FtUtil.log_d(this.CLASS_NAME, "checkDummyCpDataSpec", "Spec In");
                temp = true;
            }
            StringBuilder sb = new StringBuilder();
            if (temp) {
                str = "OK";
            }
            sb.append(str);
            sb.append(",");
            sb.append(data[0]);
            sb.append(",");
            sb.append(data[1]);
            return sb.toString();
        }
        String str3 = this.CLASS_NAME;
        FtUtil.log_d(str3, "checkDummyCpDataSpec", "data.length!=2 => length:" + data.length);
        return str;
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private String checkRawCapDataSpec(String result) {
        boolean temp;
        String[] data = result.split(",");
        String str = "NG";
        if (data.length == 4) {
            float topBottomDataMin = Float.valueOf(data[0].trim()).floatValue();
            float topBottomDataMax = Float.valueOf(data[1].trim()).floatValue();
            float middleDataMin = Float.valueOf(data[2].trim()).floatValue();
            float middleDataMax = Float.valueOf(data[3].trim()).floatValue();
            String str2 = this.CLASS_NAME;
            FtUtil.log_i(str2, "checkRawCapDataSpec", "firstDataMin : " + topBottomDataMin + " , dataMax : " + topBottomDataMax + "secondDataMin : " + middleDataMin + " , secondDataMax : " + middleDataMax);
            if (((float) this.mTSPRawCapTopBottomSpec_Min) > topBottomDataMin || topBottomDataMax > ((float) this.mTSPRawCapTopBottomSpec_Max) || ((float) this.mTSPRawCapMiddleSpec_Min) > middleDataMin || middleDataMax > ((float) this.mTSPRawCapMiddleSpec_Max)) {
                FtUtil.log_e(this.CLASS_NAME, "checkRawCapDataSpec", "Spec Out");
                temp = false;
            } else {
                FtUtil.log_d(this.CLASS_NAME, "checkRawCapDataSpec", "Spec In");
                temp = true;
            }
            StringBuilder sb = new StringBuilder();
            if (temp) {
                str = "OK";
            }
            sb.append(str);
            sb.append(",");
            sb.append(data[0]);
            sb.append(",");
            sb.append(data[1]);
            sb.append(",");
            sb.append(data[2]);
            sb.append(",");
            sb.append(data[3]);
            return sb.toString();
        }
        String str3 = this.CLASS_NAME;
        FtUtil.log_d(str3, "checkRawCapDataSpec", "data.length!=4 => length:" + data.length);
        return str;
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private String checkSeparateRawCapDataSpec(String result) {
        String result2 = result.replaceAll(" ", "");
        String[] data = result2.split(",");
        int separateCount = Integer.parseInt(Support.TestCase.getString(Support.TestCase.TSP_SELFTEST_SEPARATE_COUNT));
        String str = "NG";
        if (data.length >= separateCount * 2) {
            String minSpecStr = Support.Spec.getString("TSP_SELFTEST_MIN_SYNAPTICS_INCELL");
            String maxSpecStr = Support.Spec.getString("TSP_SELFTEST_MAX_SYNAPTICS_INCELL");
            String minSpecStr2 = minSpecStr.replaceAll(" ", "");
            String maxSpecStr2 = maxSpecStr.replaceAll(" ", "");
            String[] minSpecData = minSpecStr2.split(",");
            String[] maxSpecData = maxSpecStr2.split(",");
            int[] iArr = new int[2];
            char c = 1;
            iArr[1] = 2;
            char c2 = 0;
            iArr[0] = separateCount;
            int[][] minMaxSpec = (int[][]) Array.newInstance(int.class, iArr);
            int[] iArr2 = new int[2];
            iArr2[1] = 2;
            iArr2[0] = separateCount;
            int[][] minMaxValue = (int[][]) Array.newInstance(int.class, iArr2);
            if (separateCount != minSpecData.length) {
                FtUtil.log_d(this.CLASS_NAME, "data mismatching!! please check separate features");
                return str;
            }
            int j = 0;
            int i = 0;
            while (i < separateCount) {
                minMaxSpec[i][c2] = Integer.parseInt(minSpecData[i]);
                minMaxSpec[i][c] = Integer.parseInt(maxSpecData[i]);
                int j2 = j + 1;
                minMaxValue[i][c2] = Integer.parseInt(data[j]);
                minMaxValue[i][c] = Integer.parseInt(data[j2]);
                String str2 = this.CLASS_NAME;
                FtUtil.log_i(str2, "checkSeparateRawCapDataSpec", "min (" + i + ") : " + minMaxValue[i][0] + " , max (" + i + ") : " + minMaxValue[i][1]);
                i++;
                j = j2 + 1;
                minSpecData = minSpecData;
                c = 1;
                c2 = 0;
            }
            boolean temp = true;
            int i2 = 0;
            while (true) {
                if (i2 >= separateCount) {
                    break;
                } else if (minMaxSpec[i2][0] > minMaxValue[i2][0] || minMaxSpec[i2][1] < minMaxValue[i2][1]) {
                    temp = false;
                    String str3 = this.CLASS_NAME;
                    FtUtil.log_i(str3, "checkSeparateRawCapDataSpec", "Spec Out (" + i2 + ") , value = " + minMaxValue[i2][0] + ", " + minMaxValue[i2][1]);
                } else {
                    i2++;
                    j = j;
                }
            }
            temp = false;
            String str32 = this.CLASS_NAME;
            FtUtil.log_i(str32, "checkSeparateRawCapDataSpec", "Spec Out (" + i2 + ") , value = " + minMaxValue[i2][0] + ", " + minMaxValue[i2][1]);
            StringBuilder sb = new StringBuilder();
            if (temp) {
                str = "OK";
            }
            sb.append(str);
            sb.append(",");
            sb.append(result2);
            return sb.toString();
        }
        String str4 = this.CLASS_NAME;
        FtUtil.log_d(str4, "checkSeparateRawCapDataSpec", "data.length is short" + data.length);
        return str;
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private String checkShortDataSpec(String result) {
        boolean temp;
        String[] data = result.split(",");
        String str = "NG";
        if (data.length == 4) {
            float firstDataMin = Float.valueOf(data[0].trim()).floatValue();
            float firstDataMax = Float.valueOf(data[1].trim()).floatValue();
            float secondDataMin = Float.valueOf(data[2].trim()).floatValue();
            float secondDataMax = Float.valueOf(data[3].trim()).floatValue();
            String str2 = this.CLASS_NAME;
            FtUtil.log_i(str2, "checkShortDataSpec", "firstDataMin : " + firstDataMin + " , dataMax : " + firstDataMax + "secondDataMin : " + secondDataMin + " , secondDataMax : " + secondDataMax);
            if (((float) this.mTSPShortEtoeA_Min) > firstDataMin || firstDataMax > ((float) this.mTSPShortEtoeA_Max) || ((float) this.mTSPShortEtoeB_Min) > secondDataMin || secondDataMax > ((float) this.mTSPShortEtoeB_Max)) {
                FtUtil.log_e(this.CLASS_NAME, "checkShortDataSpec", "Spec Out");
                temp = false;
            } else {
                FtUtil.log_d(this.CLASS_NAME, "checkShortDataSpec", "Spec In");
                temp = true;
            }
            StringBuilder sb = new StringBuilder();
            if (temp) {
                str = "OK";
            }
            sb.append(str);
            sb.append(",");
            sb.append(data[0]);
            sb.append(",");
            sb.append(data[1]);
            sb.append(",");
            sb.append(data[2]);
            sb.append(",");
            sb.append(data[3]);
            return sb.toString();
        }
        String str3 = this.CLASS_NAME;
        FtUtil.log_d(str3, "checkShortDataSpec", "data.length!=4 => length:" + data.length);
        return str;
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    /* JADX WARNING: Removed duplicated region for block: B:17:0x00b6  */
    private String checkDataUsing4Spec(String result, int min1, int max1, int min2, int max2) {
        boolean temp;
        String[] data = result.split(",");
        String str = "NG";
        if (data.length == 4) {
            float firstDataMin = Float.valueOf(data[0].trim()).floatValue();
            float firstDataMax = Float.valueOf(data[1].trim()).floatValue();
            float secondDataMin = Float.valueOf(data[2].trim()).floatValue();
            float secondDataMax = Float.valueOf(data[3].trim()).floatValue();
            String str2 = this.CLASS_NAME;
            FtUtil.log_i(str2, "checkDataUsing4Spec", "firstDataMin : " + firstDataMin + " , dataMax : " + firstDataMax + "secondDataMin : " + secondDataMin + " , secondDataMax : " + secondDataMax);
            if (((float) min1) <= firstDataMin) {
                if (firstDataMax <= ((float) max1)) {
                    if (((float) min2) <= secondDataMin) {
                        if (secondDataMax <= ((float) max2)) {
                            FtUtil.log_d(this.CLASS_NAME, "checkDataUsing4Spec", "Spec In");
                            temp = true;
                            StringBuilder sb = new StringBuilder();
                            if (temp) {
                                str = "OK";
                            }
                            sb.append(str);
                            sb.append(",");
                            sb.append(data[0]);
                            sb.append(",");
                            sb.append(data[1]);
                            sb.append(",");
                            sb.append(data[2]);
                            sb.append(",");
                            sb.append(data[3]);
                            return sb.toString();
                        }
                        FtUtil.log_e(this.CLASS_NAME, "checkDataUsing4Spec", "Spec Out");
                        temp = false;
                        StringBuilder sb2 = new StringBuilder();
                        if (temp) {
                        }
                        sb2.append(str);
                        sb2.append(",");
                        sb2.append(data[0]);
                        sb2.append(",");
                        sb2.append(data[1]);
                        sb2.append(",");
                        sb2.append(data[2]);
                        sb2.append(",");
                        sb2.append(data[3]);
                        return sb2.toString();
                    }
                    FtUtil.log_e(this.CLASS_NAME, "checkDataUsing4Spec", "Spec Out");
                    temp = false;
                    StringBuilder sb22 = new StringBuilder();
                    if (temp) {
                    }
                    sb22.append(str);
                    sb22.append(",");
                    sb22.append(data[0]);
                    sb22.append(",");
                    sb22.append(data[1]);
                    sb22.append(",");
                    sb22.append(data[2]);
                    sb22.append(",");
                    sb22.append(data[3]);
                    return sb22.toString();
                }
            }
            FtUtil.log_e(this.CLASS_NAME, "checkDataUsing4Spec", "Spec Out");
            temp = false;
            StringBuilder sb222 = new StringBuilder();
            if (temp) {
            }
            sb222.append(str);
            sb222.append(",");
            sb222.append(data[0]);
            sb222.append(",");
            sb222.append(data[1]);
            sb222.append(",");
            sb222.append(data[2]);
            sb222.append(",");
            sb222.append(data[3]);
            return sb222.toString();
        }
        String str3 = this.CLASS_NAME;
        FtUtil.log_d(str3, "checkDataUsing4Spec", "data.length!=4 => length:" + data.length);
        return str;
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private String checkOpenDataSpec(String result) {
        boolean temp;
        boolean temp2;
        String[] data = result.split(",");
        String str = "OK";
        if (Support.TestCase.getEnabled(Support.TestCase.SUPPORT_SYNAPTICS_TRX_OPEN_AVERAGE_TEST)) {
            if (data.length >= 1) {
                float average = Float.valueOf(data[0].trim()).floatValue();
                String str2 = this.CLASS_NAME;
                FtUtil.log_i(str2, "checkOpenDataSpec", "average : " + average);
                if (((float) this.mTSPOpenApmOpen1_Min) > average || average > ((float) this.mTSPOpenApmOpen1_Max)) {
                    FtUtil.log_e(this.CLASS_NAME, "checkOpenDataSpec", "Spec Out");
                    temp2 = false;
                } else {
                    FtUtil.log_d(this.CLASS_NAME, "checkOpenDataSpec", "Spec In");
                    temp2 = true;
                }
                StringBuilder sb = new StringBuilder();
                if (!temp2) {
                    str = "NG";
                }
                sb.append(str);
                sb.append(",");
                sb.append(data[0]);
                return sb.toString();
            }
            String str3 = this.CLASS_NAME;
            FtUtil.log_d(str3, "checkOpenDataSpec", "data.length!=1 => length:" + data.length);
            return "NG";
        } else if (data.length == 4) {
            float firstDataMin = Float.valueOf(data[0].trim()).floatValue();
            float firstDataMax = Float.valueOf(data[1].trim()).floatValue();
            float secondDataMin = Float.valueOf(data[2].trim()).floatValue();
            float secondDataMax = Float.valueOf(data[3].trim()).floatValue();
            String str4 = this.CLASS_NAME;
            FtUtil.log_i(str4, "checkOpenDataSpec", "firstDataMin : " + firstDataMin + " , dataMax : " + firstDataMax + "secondDataMin : " + secondDataMin + " , secondDataMax : " + secondDataMax);
            if (((float) this.mTSPOpenApmOpen1_Min) > firstDataMin || firstDataMax > ((float) this.mTSPOpenApmOpen1_Max) || ((float) this.mTSPOpenApmOpen2_Min) > secondDataMin || secondDataMax > ((float) this.mTSPOpenApmOpen2_Max)) {
                FtUtil.log_e(this.CLASS_NAME, "checkOpenDataSpec", "Spec Out");
                temp = false;
            } else {
                FtUtil.log_d(this.CLASS_NAME, "checkOpenDataSpec", "Spec In");
                temp = true;
            }
            StringBuilder sb2 = new StringBuilder();
            if (!temp) {
                str = "NG";
            }
            sb2.append(str);
            sb2.append(",");
            sb2.append(data[0]);
            sb2.append(",");
            sb2.append(data[1]);
            sb2.append(",");
            sb2.append(data[2]);
            sb2.append(",");
            sb2.append(data[3]);
            return sb2.toString();
        } else {
            String str5 = this.CLASS_NAME;
            FtUtil.log_d(str5, "checkOpenDataSpec", "data.length!=4 => length:" + data.length);
            return "NG";
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private String checkWTRSpec(int tspId, String result) {
        boolean temp;
        boolean temp2;
        boolean temp3;
        String[] data = result.split(",");
        String str = "NG";
        if (data.length == 4) {
            float dataTxMin = Float.valueOf(data[0].trim()).floatValue();
            float dataTxMax = Float.valueOf(data[1].trim()).floatValue();
            float dataRxMin = Float.valueOf(data[2].trim()).floatValue();
            float dataRxMax = Float.valueOf(data[3].trim()).floatValue();
            String str2 = this.CLASS_NAME;
            FtUtil.log_i(str2, "checkWTRSpec", "ID: " + convertorTSPID(tspId) + " dataTx : " + dataTxMin + "," + dataTxMax + ", dataRx : " + dataRxMin + "," + dataRxMax);
            String str3 = this.CLASS_NAME;
            StringBuilder sb = new StringBuilder();
            sb.append("spec: ");
            sb.append(this.mTSPWTRRawSpec_TxMin);
            sb.append(" ~ ");
            sb.append(this.mTSPWTRRawSpec_TxMax);
            FtUtil.log_i(str3, "checkWTRSpec", sb.toString());
            if (tspId == TSP_ID__WTR_SELF_RAWDATA) {
                if (dataTxMin < ((float) this.mTSPWTRRawSpec_TxMin) || dataTxMax > ((float) this.mTSPWTRRawSpec_TxMax) || dataRxMin < ((float) this.mTSPWTRRawSpec_RxMin) || dataRxMax > ((float) this.mTSPWTRRawSpec_RxMax)) {
                    FtUtil.log_e(this.CLASS_NAME, "checkWTRSpec", "Spec Out");
                    temp3 = false;
                } else {
                    FtUtil.log_d(this.CLASS_NAME, "checkWTRSpec", "Spec In");
                    temp3 = true;
                }
                StringBuilder sb2 = new StringBuilder();
                if (temp3) {
                    str = "OK";
                }
                sb2.append(str);
                sb2.append(",");
                sb2.append(data[0]);
                sb2.append(",");
                sb2.append(data[1]);
                sb2.append(",");
                sb2.append(data[2]);
                sb2.append(",");
                sb2.append(data[3]);
                return sb2.toString();
            } else if (tspId == TSP_ID__WTR_IX_DATA) {
                if (dataTxMin < ((float) this.mTSPWTRIxSpec_TxMin) || dataTxMax > ((float) this.mTSPWTRIxSpec_TxMax) || dataRxMin < ((float) this.mTSPWTRIxSpec_RxMin) || dataRxMax > ((float) this.mTSPWTRIxSpec_RxMax)) {
                    FtUtil.log_e(this.CLASS_NAME, "checkWTRSpec", "Spec Out");
                    temp2 = false;
                } else {
                    FtUtil.log_d(this.CLASS_NAME, "checkWTRSpec", "Spec In");
                    temp2 = true;
                }
                StringBuilder sb3 = new StringBuilder();
                if (temp2) {
                    str = "OK";
                }
                sb3.append(str);
                sb3.append(",");
                sb3.append(data[0]);
                sb3.append(",");
                sb3.append(data[1]);
                sb3.append(",");
                sb3.append(data[2]);
                sb3.append(",");
                sb3.append(data[3]);
                return sb3.toString();
            } else if (tspId == TSP_ID__WTR_CX2_DATA) {
                if (dataTxMin < ((float) this.mTSPWTRCx2Spec_TxMin) || dataTxMax > ((float) this.mTSPWTRCx2Spec_TxMax) || dataRxMin < ((float) this.mTSPWTRCx2Spec_RxMin) || dataRxMax > ((float) this.mTSPWTRCx2Spec_RxMax)) {
                    FtUtil.log_e(this.CLASS_NAME, "checkWTRSpec", "Spec Out");
                    temp = false;
                } else {
                    FtUtil.log_d(this.CLASS_NAME, "checkWTRSpec", "Spec In");
                    temp = true;
                }
                StringBuilder sb4 = new StringBuilder();
                if (temp) {
                    str = "OK";
                }
                sb4.append(str);
                sb4.append(",");
                sb4.append(data[0]);
                sb4.append(",");
                sb4.append(data[1]);
                sb4.append(",");
                sb4.append(data[2]);
                sb4.append(",");
                sb4.append(data[3]);
                return sb4.toString();
            } else {
                String str4 = this.CLASS_NAME;
                FtUtil.log_d(str4, "checkWTRSpec", "wrong TSP ID: " + convertorTSPID(tspId));
                return str;
            }
        } else {
            String str5 = this.CLASS_NAME;
            FtUtil.log_d(str5, "checkWTRSpec", "data.length!=4 => length:" + data.length);
            return str;
        }
    }

    public int[] getRawDataPartialMinMax(int[][] ret, int startX, int startY, int endX, int endY) {
        FtUtil.log_d(this.CLASS_NAME, "getRawDataPartialMinMax");
        int[] result = new int[2];
        int DataMin = 99999;
        int DataMax = 0;
        for (int y = startY; y < endY; y++) {
            for (int x = startX; x < endX; x++) {
                if (ret[y][x] > DataMax) {
                    DataMax = ret[y][x];
                }
                if (ret[y][x] < DataMin) {
                    DataMin = ret[y][x];
                }
            }
        }
        result[0] = DataMin;
        result[1] = DataMax;
        return result;
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private String checkKeyCmDataAllSpec(String result) {
        boolean temp;
        String[] data = result.split(",");
        String str = "NG";
        if (data.length == 2) {
            float dataMin = Float.valueOf(data[1].trim()).floatValue();
            float dataMax = Float.valueOf(data[0].trim()).floatValue();
            String str2 = this.CLASS_NAME;
            FtUtil.log_i(str2, "checkKeyCmDataAllSpec", "dataMin : " + dataMin + " , dataMax : " + dataMax);
            if (((float) this.mTSPKeyCmDataSpec_Min) > dataMin || dataMax > ((float) this.mTSPKeyCmDataSpec_Max)) {
                FtUtil.log_e(this.CLASS_NAME, "checkKeyCmDataAllSpec", "Spec Out");
                temp = false;
            } else {
                FtUtil.log_d(this.CLASS_NAME, "checkKeyCmDataAllSpec", "Spec In");
                temp = true;
            }
            StringBuilder sb = new StringBuilder();
            if (temp) {
                str = "OK";
            }
            sb.append(str);
            sb.append(",");
            sb.append(data[0]);
            sb.append(",");
            sb.append(data[1]);
            return sb.toString();
        }
        String str3 = this.CLASS_NAME;
        FtUtil.log_d(str3, "checkKeyCmDataAllSpec", "data.length!=2 => length:" + data.length);
        return str;
    }

    public String getTSPResult_RawCapAllNode() {
        String result = this.mTSP.getTSPResult(TSP_ID__RAWCAP__ALL_NODE__RETURN_MIN_MAX, null);
        FtUtil.log_d(this.CLASS_NAME, "getTSPResult_RawCapAllNode", "result : " + result);
        if (result.equals("NG") || result.equals("NA")) {
            return result;
        }
        String result2 = "";
        int width = Integer.valueOf(getTSPChannelCountX()).intValue();
        FtUtil.log_d(this.CLASS_NAME, "getTSPResult_RawCapAllNode", "width : " + width);
        for (int line = 0; line < width; line++) {
            result2 = result2 + getTSPNodeAllWidth(TSP_ID__RAWCAP__NODE, line);
            if (line < width - 1) {
                result2 = result2 + ',';
            }
        }
        return result2;
    }

    public String getTSPResult_Read(int readNumber, int lineNumber) {
        String str = this.CLASS_NAME;
        FtUtil.log_i(str, "getTSPResult_Read", "readNumber : " + readNumber + " , lineNumber : " + lineNumber);
        int lineNumber2 = lineNumber - 1;
        FtUtil.log_d(this.CLASS_NAME, "getTSPResult_Read", "checkNodeHeight");
        String result = checkNodeHeight(lineNumber2);
        if (!result.equals("OK")) {
            return result;
        }
        if ("NA".equals(this.mTSPVendorName)) {
            setTSPInfo(Default_testID);
        }
        if (this.mTSPVendorName.equalsIgnoreCase(TSP_VENDOR_NAME__ATMEL)) {
            if (readNumber == 1) {
                String result2 = this.mTSP.getTSPResult(TSP_ID__REFERENCE__ALL_NODE__RETURN_MIN_MAX, null);
                String result3 = this.CLASS_NAME;
                FtUtil.log_d(result3, "getTSPResult_Read", "Read1 == result : " + result2);
                if (result2.equals("NG") || result2.equals("NA")) {
                    return result2;
                }
                return getTSPNodeAllWidth(TSP_ID__REFERENCE__NODE, lineNumber2);
            } else if (readNumber == 2) {
                String result4 = this.mTSP.getTSPResult(TSP_ID__DELTA__ALL_NODE__RETURN_NONE, null);
                String result5 = this.CLASS_NAME;
                FtUtil.log_d(result5, "getTSPResult_Read", "Read2 == result : " + result4);
                if (result4.equals("NG") || result4.equals("NA")) {
                    return result4;
                }
                return getTSPNodeAllWidth(TSP_ID__DELTA__NODE, lineNumber2);
            }
        } else if (this.mTSPVendorName.equalsIgnoreCase(TSP_VENDOR_NAME__CYPRESS)) {
            if (readNumber == 1) {
                String result6 = this.mTSP.getTSPResult(TSP_ID__RAW_COUNT__ALL_NODE__RETURN_MIN_MAX, null);
                String result7 = this.CLASS_NAME;
                FtUtil.log_d(result7, "getTSPResult_Read", "Read1 == result : " + result6);
                if (result6.equals("NG") || result6.equals("NA")) {
                    return result6;
                }
                return getTSPNodeAllWidth(TSP_ID__RAW_COUNT__NODE, lineNumber2);
            } else if (readNumber == 2) {
                String result8 = this.mTSP.getTSPResult(TSP_ID__DIFFERENCE__ALL_NODE__RETURN_NONE, null);
                String result9 = this.CLASS_NAME;
                FtUtil.log_d(result9, "getTSPResult_Read", "Read2 == result : " + result8);
                if (result8.equals("NG") || result8.equals("NA")) {
                    return result8;
                }
                return getTSPNodeAllWidth(TSP_ID__DIFFERENCE__NODE, lineNumber2);
            } else if (readNumber == 3) {
                String result10 = this.mTSP.getTSPResult(TSP_ID__LOCAL_IDAC__ALL_NODE__RETURN_NONE, null);
                String result11 = this.CLASS_NAME;
                FtUtil.log_d(result11, "getTSPResult_Read", "Read3 == result : " + result10);
                if (result10.equals("NG") || result10.equals("NA")) {
                    return result10;
                }
                return getTSPNodeAllWidth(TSP_ID__LOCAL_IDAC__NODE, lineNumber2);
            } else if (readNumber == 4) {
                String result12 = this.mTSP.getTSPResult(TSP_ID__GLOBAL_IDAC__ALL_NODE__RETURN_NONE, null);
                String result13 = this.CLASS_NAME;
                FtUtil.log_d(result13, "getTSPResult_Read", "Read4 == result : " + result12);
                if (result12.equals("NG") || result12.equals("NA")) {
                    return result12;
                }
                return getTSPNodeAllWidth(TSP_ID__GLOBAL_IDAC__NODE, lineNumber2);
            }
        } else if (this.mTSPVendorName.equalsIgnoreCase(TSP_VENDOR_NAME__MELFAS)) {
            if (readNumber == 1) {
                String result14 = this.mTSP.getTSPResult(TSP_ID__CM_ABS__ALL_NODE__RETURN_MIN_MAX, null);
                String result15 = this.CLASS_NAME;
                FtUtil.log_d(result15, "getTSPResult_Read", "Read1 == result : " + result14);
                if (result14.equals("NG") || result14.equals("NA")) {
                    return result14;
                }
                return getTSPNodeAllWidth(TSP_ID__CM_ABS__NODE, lineNumber2);
            } else if (readNumber == 2) {
                String result16 = this.mTSP.getTSPResult(TSP_ID__DELTA__ALL_NODE__RETURN_MIN_MAX, null);
                String result17 = this.CLASS_NAME;
                FtUtil.log_d(result17, "getTSPResult_Read", "Read2 == result : " + result16);
                if (result16.equals("NG") || result16.equals("NA")) {
                    return result16;
                }
                return getTSPNodeAllWidth(TSP_ID__DELTA__NODE, lineNumber2);
            } else if (readNumber == 3) {
                String result18 = this.mTSP.getTSPResult(TSP_ID__INTENSITY__ALL_NODE__RETURN_MIN_MAX, null);
                String result19 = this.CLASS_NAME;
                FtUtil.log_d(result19, "getTSPResult_Read", "Read3 == result : " + result18);
                if (result18.equals("NG") || result18.equals("NA")) {
                    return result18;
                }
                return getTSPNodeAllWidth(TSP_ID__INTENSITY__NODE, lineNumber2);
            }
        } else if (this.mTSPVendorName.equalsIgnoreCase(TSP_VENDOR_NAME__SILAB)) {
            if (readNumber == 1 || readNumber == 2 || readNumber == 3) {
                return "NG";
            }
        } else if (this.mTSPVendorName.equalsIgnoreCase(TSP_VENDOR_NAME__SYNAPTICS)) {
            if (readNumber == 1) {
                String result20 = this.mTSP.getTSPResult(TSP_ID__RAWCAP__ALL_NODE__RETURN_MIN_MAX, null);
                String result21 = this.CLASS_NAME;
                FtUtil.log_d(result21, "getTSPResult_Read", "Read1 == result : " + result20);
                if (result20.equals("NG") || result20.equals("NA")) {
                    return result20;
                }
                return getTSPNodeAllWidth(TSP_ID__RAWCAP__NODE, lineNumber2);
            } else if (readNumber == 2) {
                String result22 = this.mTSP.getTSPResult(TSP_ID__RX_TO_RX__ALL_NODE__RETURN_NONE, null);
                String result23 = this.CLASS_NAME;
                FtUtil.log_d(result23, "getTSPResult_Read", "Read2 == result : " + result22);
                if (result22.equals("NG") || result22.equals("NA")) {
                    return result22;
                }
                return getTSPNodeAllWidth(TSP_ID__RX_TO_RX__NODE, lineNumber2);
            } else if (readNumber == 3) {
                String result24 = this.mTSP.getTSPResult(TSP_ID__TX_TO_GND__ALL_NODE__RETURN_NONE, null);
                String result25 = this.CLASS_NAME;
                FtUtil.log_d(result25, "getTSPResult_Read", "Read2 == result : " + result24);
                if (result24.equals("NG") || result24.equals("NA")) {
                    return result24;
                }
                return getTSPNodeAllWidth(TSP_ID__TX_TO_GND__NODE, lineNumber2);
            } else if (readNumber == 4) {
                String result26 = this.mTSP.getTSPResult(TSP_ID__TX_TO_TX__ALL_NODE__RETURN_NONE, null);
                String result27 = this.CLASS_NAME;
                FtUtil.log_d(result27, "getTSPResult_Read", "Read2 == result : " + result26);
                if (result26.equals("NG") || result26.equals("NA")) {
                    return result26;
                }
                return getTSPNodeAllWidth(TSP_ID__TX_TO_TX__NODE, lineNumber2);
            } else if (readNumber == 5) {
                String result28 = this.mTSP.getTSPResult(TSP_ID__MUTUALCAP__ALL_NODE__RETURN_MIN_MAX, null);
                String result29 = this.CLASS_NAME;
                FtUtil.log_d(result29, "getTSPResult_Read", "Read5 == result : " + result28);
                if (result28.equals("NG") || result28.equals("NA")) {
                    return result28;
                }
                return getTSPNodeAllWidth(TSP_ID__MUTUALCAP__NODE, lineNumber2);
            } else if (readNumber == 6) {
                return this.mTSP.getTSPResult(TSP_HOVER_ID__ABS_CAP, null);
            } else {
                if (readNumber == 7) {
                    return this.mTSP.getTSPResult(TSP_HOVER_ID__ABS_DELTA, null);
                }
                if (readNumber == 8) {
                    return this.mTSP.getTSPResult(TSP_SIDETOUCH_ID__ABS_CAP, null);
                }
                if (readNumber == 9) {
                    return this.mTSP.getTSPResult(TSP_SIDETOUCH_ID__DELTA, null);
                }
            }
        } else if (this.mTSPVendorName.equalsIgnoreCase(TSP_VENDOR_NAME__ZINITIX) || this.mTSPVendorName.equalsIgnoreCase(TSP_VENDOR_NAME__ZI)) {
            if ("ZT7548".equalsIgnoreCase(this.mTSPChipName) || "ZT7538".equalsIgnoreCase(this.mTSPChipName) || Support.TestCase.getEnabled(Support.TestCase.IS_NEW_TSP_SELFTEST_ZINITIX_GF1)) {
                if (readNumber == 1) {
                    String result30 = this.mTSP.getTSPResult(TSP_ID__DND__ALL_NODE__RETURN_MIN_MAX, null);
                    String result31 = this.CLASS_NAME;
                    FtUtil.log_d(result31, "getTSPResult_Read", "Read1 == result : " + result30);
                    if ("NG".equals(result30) || "NA".equals(result30)) {
                        return result30;
                    }
                    return getTSPNodeAllWidth(TSP_ID__DND__NODE, lineNumber2);
                } else if (readNumber == 2) {
                    String result32 = this.mTSP.getTSPResult(TSP_ID__DND__ALL_NODE__RETURN_MIN_MAX, null);
                    String result33 = this.CLASS_NAME;
                    FtUtil.log_d(result33, "getTSPResult_Read", "Ready to read v-gap data... (1st sequence : run_dnd_read)" + result32);
                    if ("NG".equals(result32) || "NA".equals(result32)) {
                        return result32;
                    }
                    String result34 = this.mTSP.getTSPResult(TSP_ID__V_GAP__ALL_NODE__RETURN_NONE, null);
                    String str2 = this.CLASS_NAME;
                    FtUtil.log_d(str2, "getTSPResult_Read", "Read2 == result : " + result34);
                    if ("NG".equals(result34) || "NA".equals(result34)) {
                        return result34;
                    }
                    return getTSPNodeGapWidth(TSP_ID__V_GAP__NODE, lineNumber2);
                } else if (readNumber == 3) {
                    String result35 = this.mTSP.getTSPResult(TSP_ID__DND__ALL_NODE__RETURN_MIN_MAX, null);
                    String result36 = this.CLASS_NAME;
                    FtUtil.log_d(result36, "getTSPResult_Read", "Ready to read h-gap data... (1st sequence : run_dnd_read)" + result35);
                    if ("NG".equals(result35) || "NA".equals(result35)) {
                        return result35;
                    }
                    String result37 = this.mTSP.getTSPResult(TSP_ID__H_GAP__ALL_NODE__RETURN_NONE, null);
                    String str3 = this.CLASS_NAME;
                    FtUtil.log_d(str3, "getTSPResult_Read", "Read3 == result : " + result37);
                    if ("NG".equals(result37) || "NA".equals(result37)) {
                        return result37;
                    }
                    return getTSPNodeGapWidth(TSP_ID__H_GAP__NODE, lineNumber2);
                } else if (readNumber == 4) {
                    String result38 = this.mTSP.getTSPResult(TSP_ID__SELF__DND__ALL_NODE__RETURN_NONE, null);
                    String result39 = this.CLASS_NAME;
                    FtUtil.log_d(result39, "getTSPResult_Read", "Ready to read slef h-gap data... (1st sequence : run_self_dnd_read)" + result38);
                    if ("NG".equals(result38) || "NA".equals(result38)) {
                        return result38;
                    }
                    String result40 = this.mTSP.getTSPResult(TSP_ID__SELF__H_GAP__ALL_NODE__RETURN_NONE, null);
                    String str4 = this.CLASS_NAME;
                    FtUtil.log_d(str4, "getTSPResult_Read", "Read4 == result : " + result40);
                    if ("NG".equals(result40) || "NA".equals(result40)) {
                        return result40;
                    }
                    return getTSPNodeGapWidth(TSP_ID__SELF__H_GAP__NODE, lineNumber2);
                } else if (readNumber == 5) {
                    String result41 = this.mTSP.getTSPResult(TSP_ID__HIGH_FREQUENCY__ALL_NODE__RETURN_NONE, null);
                    String result42 = this.CLASS_NAME;
                    FtUtil.log_d(result42, "getTSPResult_Read", "Read4 == result : " + result41);
                    if ("NG".equals(result41) || "NA".equals(result41)) {
                        return result41;
                    }
                    return getTSPNodeAllWidth(TSP_ID__HIGH_FREQUENCY, lineNumber2);
                } else if (readNumber == 6) {
                    String result43 = this.mTSP.getTSPResult(TSP_ID__REFERENCE__ALL_NODE__RETURN_MIN_MAX, null);
                    String result44 = this.CLASS_NAME;
                    FtUtil.log_d(result44, "getTSPResult_Read", "Read5 == result : " + result43);
                    if ("NG".equals(result43) || "NA".equals(result43)) {
                        return result43;
                    }
                    return getTSPNodeAllWidth(TSP_ID__REFERENCE__NODE_SINGLE, lineNumber2);
                } else if (readNumber == 7) {
                    String result45 = this.mTSP.getTSPResult(TSP_ID__SELF__DND__ALL_NODE__RETURN_NONE, null);
                    String result46 = this.CLASS_NAME;
                    FtUtil.log_d(result46, "getTSPResult_Read", "Read1 == result : " + result45);
                    if ("NG".equals(result45) || "NA".equals(result45)) {
                        return result45;
                    }
                    return getTSPNodeAllWidth(TSP_ID__SELF__DND__ALL_NODE, lineNumber2);
                }
            } else if (readNumber == 1) {
                String result47 = this.mTSP.getTSPResult(TSP_ID__REFERENCE__ALL_NODE__RETURN_NONE, null);
                String result48 = this.CLASS_NAME;
                FtUtil.log_d(result48, "getTSPResult_Read", "Read1 == result : " + result47);
                if ("NG".equals(result47) || "NA".equals(result47)) {
                    return result47;
                }
                return getTSPNodeAllWidth(TSP_ID__REFERENCE__NODE, lineNumber2);
            } else if (readNumber == 2) {
                String result49 = this.mTSP.getTSPResult(TSP_ID__SCANTIME__ALL_NODE__RETURN_NONE, null);
                String result50 = this.CLASS_NAME;
                FtUtil.log_d(result50, "getTSPResult_Read", "Read2 == result : " + result49);
                if ("NG".equals(result49) || "NA".equals(result49)) {
                    return result49;
                }
                return getTSPNodeAllWidth(TSP_ID__SCANTIME__NODE, lineNumber2);
            } else if (readNumber == 3) {
                String result51 = this.mTSP.getTSPResult(TSP_ID__DELTA__ALL_NODE__RETURN_NONE, null);
                String result52 = this.CLASS_NAME;
                FtUtil.log_d(result52, "getTSPResult_Read", "Read3 == result : " + result51);
                if ("NG".equals(result51) || "NA".equals(result51)) {
                    return result51;
                }
                return getTSPNodeAllWidth(TSP_ID__DELTA__NODE, lineNumber2);
            } else if (readNumber == 4) {
                String result53 = this.mTSP.getTSPResult(TSP_ID__DND__ALL_NODE__RETURN_NONE, null);
                String result54 = this.CLASS_NAME;
                FtUtil.log_d(result54, "getTSPResult_Read", "Read4 == result : " + result53);
                if ("NG".equals(result53) || "NA".equals(result53)) {
                    return result53;
                }
                return getTSPNodeAllWidth(TSP_ID__DND__NODE, lineNumber2);
            }
        } else if (this.mTSPVendorName.equalsIgnoreCase(TSP_VENDOR_NAME__IMAGIS)) {
            if (readNumber == 1) {
                String result55 = this.mTSP.getTSPResult(TSP_ID__CM_DATA__ALL_NODE__RETURN_MIN_MAX, null);
                String result56 = this.CLASS_NAME;
                FtUtil.log_d(result56, "getTSPResult_Read", "Read1 == result : " + result55);
                if (result55.equals("NG") || result55.equals("NA")) {
                    return result55;
                }
                return getTSPNodeAllWidth(TSP_ID__CM_DATA__NODE, lineNumber2);
            } else if (readNumber == 2) {
                String result57 = this.mTSP.getTSPResult(TSP_ID__REFERENCE__ALL_NODE__RETURN_MIN_MAX, null);
                String result58 = this.CLASS_NAME;
                FtUtil.log_d(result58, "getTSPResult_Read", "Read2 == result : " + result57);
                if (result57.equals("NG") || result57.equals("NA")) {
                    return result57;
                }
                return getTSPNodeAllWidth(TSP_ID__REFERENCE__NODE, lineNumber2);
            }
        } else if (!this.mTSPVendorName.equalsIgnoreCase(TSP_VENDOR_NAME__STM)) {
            FtUtil.log_e(this.CLASS_NAME, "getTSPResult_Read", "Vendor Name : Unknown");
            return "NG";
        } else if (readNumber == 1) {
            String result59 = this.mTSP.getTSPResult(TSP_ID__RAWCAP__ALL_NODE__RETURN_MIN_MAX, null);
            String result60 = this.CLASS_NAME;
            FtUtil.log_d(result60, "getTSPResult_Read", "Read1 == result : " + result59);
            if (result59.equals("NG") || result59.equals("NA")) {
                return result59;
            }
            return getTSPNodeAllWidth(TSP_ID__RAWCAP__NODE, lineNumber2);
        } else if (readNumber == 2) {
            String result61 = this.mTSP.getTSPResult(TSP_ID__CX_DATA__ALL_NODE__RETURN_NONE, null);
            String result62 = this.CLASS_NAME;
            FtUtil.log_d(result62, "getTSPResult_Read", "Read2 == result : " + result61);
            if (result61.equals("NG") || result61.equals("NA")) {
                return result61;
            }
            return getTSPNodeAllWidth(TSP_ID__CX_DATA__NODE, lineNumber2);
        } else if (readNumber == 3) {
            String str5 = this.CLASS_NAME;
            FtUtil.log_d(str5, "getTSPResult_Read", "Read3 == result : " + result);
            return this.mTSP.getTSPResult(TSP_ID__WTR_SELF_RAWDATA__ALL_NODE, null);
        } else if (readNumber == 4) {
            int cmdNumber = lineNumber2 + 1;
            if (cmdNumber == 1) {
                String str6 = this.CLASS_NAME;
                FtUtil.log_d(str6, "getTSPResult_Read", "Read4 == cmd : " + cmdNumber);
                return this.mTSP.getTSPResult(TSP_ID__WTR_IX_DATA__ALL_NODE, null);
            } else if (cmdNumber != 2) {
                return "NG";
            } else {
                String str7 = this.CLASS_NAME;
                FtUtil.log_d(str7, "getTSPResult_Read", "Read4 == cmd : " + cmdNumber);
                return this.mTSP.getTSPResult(TSP_ID__WTR_CX2_DATA__ALL_NODE, null);
            }
        } else if (readNumber == 5) {
            String result63 = this.mTSP.getTSPResult(TSP_ID__MUTUALCAP__ALL_NODE__RETURN_MIN_MAX, null);
            String result64 = this.CLASS_NAME;
            FtUtil.log_d(result64, "getTSPResult_Read", "Read5 == result : " + result63);
            if (result63.equals("NG") || result63.equals("NA")) {
                return result63;
            }
            return getTSPNodeAllWidth(TSP_ID__MUTUALCAP__NODE, lineNumber2);
        } else if (readNumber == 6) {
            if (this.mTSP.setHoverEnable(TouchScreenPanel.TSP_STM_HOVER_ENABLE, EgisFingerprint.MAJOR_VERSION)) {
                String result65 = this.mTSP.getTSPResult(TSP_HOVER_ID__ABS_CAP, null);
                this.mTSP.setHoverEnable(TouchScreenPanel.TSP_STM_HOVER_ENABLE, "0");
                return result65;
            }
        } else if (readNumber == 7 && this.mTSP.setHoverEnable(TouchScreenPanel.TSP_STM_HOVER_ENABLE, EgisFingerprint.MAJOR_VERSION)) {
            String result66 = this.mTSP.getTSPResult(TSP_HOVER_ID__ABS_DELTA, null);
            this.mTSP.setHoverEnable(TouchScreenPanel.TSP_STM_HOVER_ENABLE, "0");
            return result66;
        }
        String result67 = this.CLASS_NAME;
        FtUtil.log_e(result67, "getTSPResult_Read", "Read Number : " + readNumber + " (N/A)");
        return "NA";
    }

    private String checkNodeHeight(int number) {
        String height;
        if (this.mIsStandardChannel) {
            height = getTSPChannelCountX();
        } else {
            height = getTSPChannelCountY();
        }
        if (height.equals("NG")) {
            return "NG";
        }
        if (!height.equals("NA") && number >= 0 && number < Integer.valueOf(height).intValue()) {
            return "OK";
        }
        return "NA";
    }

    private String getTSPNodeAllWidth(int tspID, int number) {
        String width;
        String result;
        FtUtil.log_i(this.CLASS_NAME, "getTSPNodeAllWidth", "TSP ID : " + convertorTSPID(tspID));
        String temp = "";
        if (this.mIsStandardChannel) {
            width = getTSPChannelCountY();
        } else {
            width = getTSPChannelCountX();
        }
        if (width.equals("NG")) {
            return "NG";
        }
        if (width.equals("NA")) {
            return "NA";
        }
        int count = Integer.valueOf(width).intValue();
        for (int i = 0; i < count; i++) {
            if (this.mIsStandardChannel) {
                result = this.mTSP.getTSPResult(tspID, "" + number + "," + i);
            } else {
                result = this.mTSP.getTSPResult(tspID, "" + i + "," + number);
            }
            if (result.equals("NG")) {
                return "NG";
            }
            if (result.equals("NA")) {
                return "NA";
            }
            temp = temp + result;
            if (i < count - 1) {
                temp = temp + ",";
            }
        }
        FtUtil.log_i(this.CLASS_NAME, "getTSPNodeAllWidth", "result : " + temp);
        return temp;
    }

    private String getTSPNodeGapWidth(int tspID, int number) {
        String width;
        String result;
        FtUtil.log_i(this.CLASS_NAME, "getTSPNodeGapWidth", "TSP ID : " + convertorTSPID(tspID));
        String temp = "";
        if (this.mIsStandardChannel) {
            width = getTSPChannelCountY();
        } else {
            width = getTSPChannelCountX();
        }
        if (width.equals("NG")) {
            return "NG";
        }
        if (width.equals("NA")) {
            return "NA";
        }
        int count = Integer.valueOf(width).intValue() - 1;
        for (int i = 0; i < count; i++) {
            if (this.mIsStandardChannel) {
                result = this.mTSP.getTSPResult(tspID, "" + number + "," + i);
            } else {
                result = this.mTSP.getTSPResult(tspID, "" + i + "," + number);
            }
            if (result.equals("NG")) {
                return "NG";
            }
            if (result.equals("NA")) {
                return "NA";
            }
            temp = temp + result;
            if (i < count - 1) {
                temp = temp + ",";
            }
        }
        FtUtil.log_i(this.CLASS_NAME, "getTSPNodeAllWidth", "result : " + temp);
        return temp;
    }

    public static String convertorTSPID(int tspID) {
        if (tspID == TSP_ID__MIS_CAL) {
            return "TSP_ID__MIS_CAL";
        }
        if (tspID == TSP_ID__DEV_COUNT) {
            return "TSP_ID__DEV_COUNT";
        }
        if (tspID == TSP_ID__FW_UPDATE) {
            return "TSP_ID__FW_UPDATE";
        }
        if (tspID == TSP_ID__FW_VERSION_BINARY) {
            return "TSP_ID__FW_VERSION_BINARY";
        }
        if (tspID == TSP_ID__FW_VERSION_IC) {
            return "TSP_ID__FW_VERSION_IC";
        }
        if (tspID == TSP_ID__FW_CHECKSUM_DATA) {
            return "TSP_ID__FW_CHECKSUM_DATA";
        }
        if (tspID == TSP_ID__CONFIG_VERSION) {
            return "TSP_ID__CONFIG_VERSION";
        }
        if (tspID == TSP_ID__THRESHOLD) {
            return "TSP_ID__THRESHOLD";
        }
        if (tspID == TSP_ID__POWER_OFF) {
            return "TSP_ID__POWER_OFF";
        }
        if (tspID == TSP_ID__POWER_ON) {
            return "TSP_ID__POWER_ON";
        }
        if (tspID == TSP_ID__POWER_OFF_SECOND_CHIP) {
            return "TSP_ID__POWER_OFF_SECOND_CHIP";
        }
        if (tspID == TSP_ID__POWER_ON_SECOND_CHIP) {
            return "TSP_ID__POWER_ON_SECOND_CHIP";
        }
        if (tspID == TSP_ID__VENDOR_NAME) {
            return "TSP_ID__VENDOR_NAME";
        }
        if (tspID == TSP_ID__MODULE_VENDOR) {
            return "TSP_ID__MODULE_VENDOR";
        }
        if (tspID == TSP_ID__CHIP_NAME) {
            return "TSP_ID__CHIP_NAME";
        }
        if (tspID == TSP_ID__NUMBER_X_CHANNEL) {
            return "TSP_ID__NUMBER_X_CHANNEL";
        }
        if (tspID == TSP_ID__NUMBER_Y_CHANNEL) {
            return "TSP_ID__NUMBER_Y_CHANNEL";
        }
        if (tspID == TSP_ID__NUMBER_X_CX) {
            return "TSP_ID__NUMBER_X_CX";
        }
        if (tspID == TSP_ID__NUMBER_Y_CX) {
            return "TSP_ID__NUMBER_Y_CX";
        }
        if (tspID == TSP_ID__NUMBER_X_CROSS) {
            return "TSP_ID__NUMBER_X_CROSS";
        }
        if (tspID == TSP_ID__NUMBER_Y_CROSS) {
            return "TSP_ID__NUMBER_Y_CROSS";
        }
        if (tspID == TSP_ID__PAT_INFOMATION) {
            return "TSP_ID__PAT_INFOMATION";
        }
        if (tspID == TSP_ID__CLEAR_HISTORY) {
            return "TSP_ID__CLEAR_HISTORY";
        }
        if (tspID == TSP_ID__SET_TSP_RESULT) {
            return "TSP_ID__SET_TSP_RESULT";
        }
        if (tspID == TSP_ID__SELECT_TSP) {
            return "TSP_ID__SELECT_TSP";
        }
        int i = TSP_ID__REFERENCE__ALL_NODE__RETURN_MIN_MAX;
        if (tspID == i) {
            return "TSP_ID__REFERENCE__ALL_NODE__RETURN_MIN_MAX";
        }
        if (tspID == TSP_ID__REFERENCE__ALL_NODE__RETURN_NONE) {
            return "TSP_ID__REFERENCE__ALL_NODE__RETURN_NONE";
        }
        if (tspID == TSP_ID__REFERENCE__NODE) {
            return "TSP_ID__REFERENCE__NODE";
        }
        if (tspID == TSP_ID__REFERENCE__NODE_SINGLE) {
            return "TSP_ID__REFERENCE__NODE_SINGLE";
        }
        if (tspID == TSP_ID__DELTA__ALL_NODE__RETURN_MIN_MAX) {
            return "TSP_ID__DELTA__ALL_NODE__RETURN_MIN_MAX";
        }
        if (tspID == TSP_ID__DELTA__ALL_NODE__RETURN_NONE) {
            return "TSP_ID__DELTA__ALL_NODE__RETURN_NONE";
        }
        if (tspID == TSP_ID__DELTA__NODE) {
            return "TSP_ID__DELTA__NODE";
        }
        if (tspID == TSP_ID__CM_ABS__ALL_NODE__RETURN_MIN_MAX) {
            return "TSP_ID__CM_ABS__ALL_NODE__RETURN_MIN_MAX";
        }
        if (tspID == TSP_ID__CM_ABS__NODE) {
            return "TSP_ID__CM_ABS__NODE";
        }
        if (tspID == TSP_ID__CM_FORCE_CAL_DATA) {
            return "TSP_ID__CM_FORCE_CAL_DATA";
        }
        if (tspID == TSP_ID__INSPECTION__ALL_NODE__RETURN_MIN_MAX) {
            return "TSP_ID__INSPECTION__ALL_NODE__RETURN_MIN_MAX";
        }
        if (tspID == TSP_ID__INSPECTION__NODE) {
            return "TSP_ID__INSPECTION__NODE";
        }
        if (tspID == TSP_ID__INTENSITY__ALL_NODE__RETURN_MIN_MAX) {
            return "TSP_ID__INTENSITY__ALL_NODE__RETURN_MIN_MAX";
        }
        if (tspID == TSP_ID__INTENSITY__NODE) {
            return "TSP_ID__INTENSITY__NODE";
        }
        if (tspID == TSP_ID__SCANTIME__ALL_NODE__RETURN_NONE) {
            return "TSP_ID__SCANTIME__ALL_NODE__RETURN_NONE";
        }
        if (tspID == TSP_ID__SCANTIME__NODE) {
            return "TSP_ID__SCANTIME__NODE";
        }
        if (tspID == TSP_ID__RAWCAP__ALL_NODE__RETURN_MIN_MAX) {
            return "TSP_ID__RAWCAP__ALL_NODE__RETURN_MIN_MAX";
        }
        if (tspID == TSP_ID__RAWCAP__NODE__RETURN_MIN_MAX) {
            return "TSP_ID__RAWCAP__NODE__RETURN_MIN_MAX";
        }
        if (tspID == TSP_ID__RAWCAP__NODE) {
            return "TSP_ID__RAWCAP__NODE";
        }
        if (tspID == TSP_ID__RX_TO_RX__ALL_NODE__RETURN_NONE) {
            return "TSP_ID__RX_TO_RX__ALL_NODE__RETURN_NONE";
        }
        if (tspID == TSP_ID__RX_TO_RX__NODE) {
            return "TSP_ID__RX_TO_RX__NODE";
        }
        if (tspID == TSP_ID__TX_TO_TX__ALL_NODE__RETURN_NONE) {
            return "TSP_ID__TX_TO_TX__ALL_NODE__RETURN_NONE";
        }
        if (tspID == TSP_ID__TX_TO_TX__NODE) {
            return "TSP_ID__TX_TO_TX__NODE";
        }
        if (tspID == TSP_ID__TX_TO_GND__ALL_NODE__RETURN_NONE) {
            return "TSP_ID__TX_TO_GND__ALL_NODE__RETURN_NONE";
        }
        if (tspID == TSP_ID__TX_TO_GND__NODE) {
            return "TSP_ID__TX_TO_GND__NODE";
        }
        if (tspID == TSP_ID__RAW_COUNT__ALL_NODE__RETURN_MIN_MAX) {
            return "TSP_ID__RAW_COUNT__ALL_NODE__RETURN_MIN_MAX";
        }
        if (tspID == TSP_ID__RAW_COUNT__NODE) {
            return "TSP_ID__RAW_COUNT__NODE";
        }
        if (tspID == TSP_ID__DIFFERENCE__ALL_NODE__RETURN_NONE) {
            return "TSP_ID__DIFFERENCE__ALL_NODE__RETURN_NONE";
        }
        if (tspID == TSP_ID__DIFFERENCE__NODE) {
            return "TSP_ID__DIFFERENCE__NODE";
        }
        if (tspID == TSP_ID__LOCAL_IDAC__ALL_NODE__RETURN_NONE) {
            return "TSP_ID__LOCAL_IDAC__ALL_NODE__RETURN_NONE";
        }
        if (tspID == TSP_ID__LOCAL_IDAC__NODE) {
            return "TSP_ID__LOCAL_IDAC__NODE";
        }
        if (tspID == TSP_ID__GLOBAL_IDAC__ALL_NODE__RETURN_NONE) {
            return "TSP_ID__GLOBAL_IDAC__ALL_NODE__RETURN_NONE";
        }
        if (tspID == TSP_ID__GLOBAL_IDAC__NODE) {
            return "TSP_ID__GLOBAL_IDAC__NODE";
        }
        if (tspID == TSP_ID__MUTUALCAP__ALL_NODE__RETURN_MIN_MAX) {
            return "TSP_ID__MUTUALCAP__ALL_NODE__RETURN_MIN_MAX";
        }
        if (tspID == TSP_ID__MUTUALCAP__NODE) {
            return "TSP_ID__MUTUALCAP__NODE";
        }
        if (tspID == TSP_ID__REGSITER__RESULT) {
            return "TSP_ID__REGSITER__RESULT";
        }
        if (tspID == TSP_HOVER_CMD__HOVER_SET_EDGE_DEADLOCK) {
            return "TSP_HOVER_CMD__HOVER_SET_EDGE";
        }
        if (tspID == TSP_SIDETOUCH_ID__ABS_CAP) {
            return "TSP_SIDETOUCH_ID__ABS_CAP";
        }
        if (tspID == TSP_SIDETOUCH_ID__DELTA) {
            return "TSP_SIDETOUCH_ID__ABS_DELTA";
        }
        if (tspID == TSP_ID__TRX_SHORT_TEST) {
            return "TSP_ID__SHORT_TEST";
        }
        if (tspID == i) {
            return "TSP_ID__DND__ALL_NODE__RETURN_MIN_MAX";
        }
        if (tspID == TSP_ID__DND__ALL_NODE__RETURN_NONE) {
            return "TSP_ID__DND__ALL_NODE__RETURN_NONE";
        }
        if (tspID == TSP_ID__DND__NODE) {
            return "TSP_ID__DND__NODE";
        }
        if (tspID == TSP_ID__SELF__DND__ALL_NODE__RETURN_NONE) {
            return "TSP_ID__SELF__DND__ALL_NODE__RETURN_NONE";
        }
        if (tspID == TSP_ID__SELF__DND__ALL_NODE) {
            return "TSP_ID__SELF__DND__ALL_NODE";
        }
        if (tspID == TSP_ID__TX_SHORT_NODE_RETURN) {
            return "TSP_ID__TX_SHORT_NODE_RETURN";
        }
        if (tspID == TSP_ID__RX_SHORT_NODE_RETURN) {
            return "TSP_ID__RX_SHORT_NODE_RETURN";
        }
        if (tspID == TSP_ID__TXRX_SHORT_BY_BIT_NODE_RETURN) {
            return "TSP_ID__TXRX_SHORT_BY_BIT_NODE_RETURN";
        }
        if (tspID == TSP_ID__V_GAP__ALL_NODE__RETURN_NONE) {
            return "TSP_ID__V_GAP__ALL_NODE__RETURN_NONE";
        }
        if (tspID == TSP_ID__V_GAP__NODE) {
            return "TSP_ID__V_GAP__NODE";
        }
        if (tspID == TSP_ID__H_GAP__ALL_NODE__RETURN_NONE) {
            return "TSP_ID__H_GAP__ALL_NODE__RETURN_NONE";
        }
        if (tspID == TSP_ID__H_GAP__NODE) {
            return "TSP_ID__H_GAP__NODE";
        }
        if (tspID == TSP_ID__SELF__H_GAP__ALL_NODE__RETURN_NONE) {
            return "TSP_ID__SELF__H_GAP__ALL_NODE__RETURN_NONE";
        }
        if (tspID == TSP_ID__SELF__H_GAP__NODE) {
            return "TSP_ID__SELF__H_GAP__NODE";
        }
        if (tspID == TSP_ID__HIGH_FREQUENCY__ALL_NODE__RETURN_NONE) {
            return "TSP_ID__HIGH_FREQUENCY__ALL_NODE__RETURN_NONE";
        }
        if (tspID == TSP_ID__HIGH_FREQUENCY) {
            return "TSP_ID__HIGH_FREQUENCY";
        }
        if (tspID == TSP_ID__HIGH_FREQUENCY_V_GAP__ALL_NODE__RETURN_NONE) {
            return "TSP_ID__HIGH_FREQUENCY_V_GAP__ALL_NODE__RETURN_NONE";
        }
        if (tspID == TSP_ID__HIGH_FREQUENCY_V_GAP__NODE) {
            return "TSP_ID__HIGH_FREQUENCY_V_GAP__NODE";
        }
        if (tspID == TSP_ID__HIGH_FREQUENCY_H_GAP__ALL_NODE__RETURN_NONE) {
            return "TSP_ID__HIGH_FREQUENCY_H_GAP__ALL_NODE__RETURN_NONE";
        }
        if (tspID == TSP_ID__HIGH_FREQUENCY_H_GAP__NODE) {
            return "TSP_ID__HIGH_FREQUENCY_H_GAP__NODE";
        }
        if (tspID == TSP_ID__GAP_JITTER__ALL_NODE) {
            return "TSP_ID__GAP_JITTER__ALL_NODE";
        }
        int i2 = TSP_ID__RUN_CALIBRATION;
        if (tspID == i2) {
            return "TSP_ID__RUN_CALIBRATION";
        }
        if (tspID == TSP_ID__RUN_FORCE_CALIBRATION_CENT) {
            return "TSP_ID__RUN_FORCE_CALIBRATION_CENT";
        }
        if (tspID == TSP_ID__RUN_FORCE_CALIBRATION_FACT) {
            return "TSP_ID__RUN_FORCE_CALIBRATION_FACT";
        }
        if (tspID == TSP_ID__RUN_FORCE_CALIBRATION_LCIA) {
            return "TSP_ID__RUN_FORCE_CALIBRATION_LCIA";
        }
        if (tspID == TSP_ID__RUN_FORCE_CALIBRATION_OUTS) {
            return "TSP_ID__RUN_FORCE_CALIBRATION_OUTS";
        }
        if (tspID == TSP_ID__SET_EXTERNAL_FACTORY) {
            return "TSP_ID__SET_EXTERNAL_FACTORY";
        }
        if (tspID == TSP_ID__HIGH_FREQUENCY_SPEC_ADJUST) {
            return "TSP_ID__HIGH_FREQUENCY_SPEC_ADJUST";
        }
        if (tspID == TSP_ID__MIS_CALIBRATION_CHECK) {
            return "TSP_ID__MIS_CALIBRATION_CHECK";
        }
        if (tspID == TSP_ID__WET_MODE_CHECK) {
            return "TSP_ID__WET_MODE_CHECK";
        }
        if (tspID == TSP_ID__MIS_CALIBRATION__ALL_NODE__RETURN_MIN_MAX) {
            return "TSP_ID__MIS_CALIBRATION__ALL_NODE__RETURN_MIN_MAX";
        }
        if (tspID == i2) {
            return "TSP_ID__RUN_CALIBRATION";
        }
        if (tspID == TSP_ID__WTR_SELF_RAWDATA) {
            return "TSP_ID__WTR_SELF_RAWDATA";
        }
        if (tspID == TSP_ID__WTR_IX_DATA) {
            return "TSP_ID__WTR_IX_DATA";
        }
        if (tspID == TSP_ID__WTR_CX2_DATA) {
            return "TSP_ID__WTR_CX2_DATA";
        }
        if (tspID == TSP_ID__ABS_CAP_NODE) {
            return "TSP_ID__ABS_CAP_NODE";
        }
        if (tspID == TSP_ID__INTERFERENCE_METRIC_DATA) {
            return "TSP_ID__INTERFERENCE_METRIC_DATA";
        }
        if (tspID == TSP_ID__CM_OFFSET_DATA_GAP) {
            return "TSP_ID__CM_OFFSET_DATA_GAP";
        }
        if (tspID == TSP_ID__CM_OFFSET_DATA_ALL) {
            return "TSP_ID__CM_OFFSET_DATA_ALL";
        }
        if (tspID == TSP_ID__CM_OFFSET_DATA_GAP_SPLIT_CORNER) {
            return "TSP_ID__CM_OFFSET_DATA_GAP_SPLIT_CORNER";
        }
        if (tspID == TSP_ID__CM_OFFSET_DATA_GAP_GREAT_STYLE) {
            return "TSP_ID__CM_OFFSET_DATA_GAP_GREAT_STYLE";
        }
        if (tspID == TSP_ID__CM_OFFSET_DATA_GAP_LOW_FREQ) {
            return "TSP_ID__CM_OFFSET_DATA_GAP_LOW_FREQ";
        }
        if (tspID == TSP_ID__CM_SPEC_OVER) {
            return "TSP_ID__CM_SPEC_OVER";
        }
        if (tspID == TSP_ID__SELF_OFFSET) {
            return "TSP_ID__SELF_OFFSET";
        }
        if (tspID == TSP_ID__SELF_OFFSET_ALL) {
            return "TSP_ID__SELF_OFFSET_ALL";
        }
        if (tspID == TSP_ID__CM_PRE_DELTA) {
            return "TSP_ID__CM_PRE_DELTA";
        }
        if (tspID == TSP_ID__CM_PRE_DELTA_ALL) {
            return "TSP_ID__CM_PRE_DELTA_ALL";
        }
        if (tspID == TSP_ID__SELF_PRE_DELTA) {
            return "TSP_ID__SELF_PRE_DELTA";
        }
        if (tspID == TSP_ID__SELF_PRE_DELTA_GAP) {
            return "TSP_ID__SELF_PRE_DELTA_GAP";
        }
        if (tspID == TSP_ID__VIEW_CP_DATA) {
            return "TSP_ID__VIEW_CP_DATA";
        }
        if (tspID == TSP_ID__DUMMY_CP_DATA) {
            return "TSP_ID__DUMMY_CP_DATA";
        }
        if (tspID == TSP_ID__RUN_CP_SHORT_DATA) {
            return "TSP_ID__RUN_CP_SHORT_DATA";
        }
        if (tspID == TSP_ID__RUN_CP_LPM_DATA) {
            return "TSP_ID__RUN_CP_LPM_DATA";
        }
        if (tspID == TSP_ID__KEY_RAW_DATA) {
            return "TSP_ID__KEY_RAW_DATA";
        }
        if (tspID == TSP_ID_UNIT_CAL_FLAG_CHECK) {
            return "TSP_ID_UNIT_CAL_FLAG_CHECK";
        }
        if (tspID == TSP_ID__CR_VARIANCE_READ) {
            return "TSP_ID__CR_VARIANCE_READ";
        }
        if (tspID == TSP_ID__EXPANSION__CONNECTION) {
            return "TSP_ID__EXPANSION__CONNECTION";
        }
        if (tspID == TSP_ID_HOVER_ENABLE) {
            return "TSP_ID_HOVER_ENABLE";
        }
        if (tspID == TSP_ID_HOVER_DISABLE) {
            return "TSP_ID_HOVER_DISABLE";
        }
        if (tspID == TSP_ID_SLOPE_CMCS_TEST) {
            return "TSP_ID_SLOPE_CMCS_TEST";
        }
        int i3 = TSP_ID_SLOPE0;
        if (tspID == i3) {
            return "TSP_ID_SLOPE0";
        }
        if (tspID == TSP_ID_SLOPE1) {
            return "TSP_ID_SLOPE1";
        }
        if (tspID == TSP_ID__MIS_CALIBRATION) {
            return "TSP_ID__MIS_CALIBRATION";
        }
        if (tspID == FORCE_ID__PRESSURE_RAWDATA_READ) {
            return "FORCE_ID__PRESSURE_RAWDATA_READ";
        }
        if (tspID == FORCE_ID__PRESSURE_STRENGTH_READ) {
            return "FORCE_ID__PRESSURE_STRENGTH_READ";
        }
        if (tspID == FORCE_ID__PRESSURE_STRENGTH_SET) {
            return "FORCE_ID__PRESSURE_STRENGTH_SET";
        }
        if (tspID == FORCE_ID__PRESSURE_CAL_READ) {
            return "FORCE_ID__PRESSURE_CAL_READ";
        }
        if (tspID == FORCE_ID__PRESSURE_IX_READ) {
            return "FORCE_ID__PRESSURE_IX_READ";
        }
        if (tspID == FORCE_ID__PRESSURE_STRENGTH_INDEX_READ) {
            return "FORCE_ID__PRESSURE_STRENGTH_INDEX_READ";
        }
        if (tspID == FORCE_ID__PRESSURE_STRENGTH_INDEX_SET) {
            return "FORCE_ID__PRESSURE_STRENGTH_INDEX_SET";
        }
        if (tspID == FORCE_ID__PRESSURE_CAL_CLEAR) {
            return "FORCE_ID__PRESSURE_CAL_CLEAR";
        }
        if (tspID == FORCE_ID__PRESSURE_OFFSET_READ) {
            return "FORCE_ID__PRESSURE_OFFSET_READ";
        }
        if (tspID == FORCE_ID__PRESSURE_TEST_MODE_SET) {
            return "FORCE_ID__PRESSURE_TEST_MODE_SET";
        }
        if (tspID == FORCE_ID__PRESSURE_STRENGTH_FILTERED_READ) {
            return "FORCE_ID__PRESSURE_STRENGTH_FILTERED_READ";
        }
        if (tspID == FORCE_ID__RUN_FORCE_PRESSURE_CALIBRATION) {
            return "FORCE_ID__RUN_FORCE_PRESSURE_CALIBRATION";
        }
        if (tspID == i3) {
            return "TSP_ID_SLOPE0";
        }
        if (tspID == TSP_ID__TX_RX_SELF_CR) {
            return "TSP_ID__TX_RX_SELF_CR";
        }
        if (tspID == TSP_ID__CM_GAP_TX_RX) {
            return "TSP_ID__CM_GAP_TX_RX";
        }
        if (tspID == TSP_ID__CHECK_CONNECTION) {
            return "TSP_ID__CHECK_CONNECTION";
        }
        return Support.Properties.PROPERTIES_DEFAULT_STRING;
    }

    public static String convertorTSPWhat(int what) {
        if (what == TSP_WHAT_STATUS_OK) {
            return "TSP_WHAT_STATUS_OK";
        }
        if (what == TSP_WHAT_STATUS_NG) {
            return "TSP_WHAT_STATUS_NG";
        }
        if (what == TSP_WHAT_STATUS_NA) {
            return "TSP_WHAT_STATUS_NA";
        }
        return Support.Properties.PROPERTIES_DEFAULT_STRING;
    }
}
