package egis.finger;

public interface ICS1Native {
    boolean abort();

    int cleanup();

    boolean dataDelete(String str, String str2);

    String dataRead(String str, String str2);

    boolean dataSet(String str, String str2, String str3);

    boolean deleteFeature(String str);

    boolean doEnrollToDB(String str);

    int eepromTest(int i, int i2, int i3);

    boolean enroll(String str);

    String getEnrollList(String str);

    int[] getEnrollStatus();

    boolean getIsSaveDataSet();

    byte[] getMatchedImg();

    int[] getMatchedImgInfo();

    String getMatchedUserID();

    int getOperationType();

    String getSensorInfo();

    int getSensorStatus();

    byte[] getTinyMap();

    int[] getTinyMapInfo();

    String[] getUserIdList();

    String getVersion();

    boolean identify(String str);

    int sensorControl(int i, int i2);

    int sensorDeviceEnable(boolean z);

    int setAccuracyLevel(int i);

    void setIsSaveDataSet(boolean z);

    boolean swipeEnroll(String str);

    boolean testEnrollmentAndVerification(boolean z);
}
