package org.apache.poi.hssf.record;

public final class FooterRecord extends HeaderFooterBase implements Cloneable {
    public static final short sid = 21;

    public FooterRecord(String text) {
        super(text);
    }

    public FooterRecord(RecordInputStream in) {
        super(in);
    }

    @Override // org.apache.poi.hssf.record.Record
    public String toString() {
        StringBuffer buffer = new StringBuffer();
        buffer.append("[FOOTER]\n");
        buffer.append("    .footer = ");
        buffer.append(getText());
        buffer.append("\n");
        buffer.append("[/FOOTER]\n");
        return buffer.toString();
    }

    @Override // org.apache.poi.hssf.record.Record
    public short getSid() {
        return 21;
    }

    @Override // org.apache.poi.hssf.record.Record, java.lang.Object
    public FooterRecord clone() {
        return new FooterRecord(getText());
    }
}
