package org.apache.poi.ss.format;

import java.awt.Color;

public class CellFormatResult {
    public final boolean applies;
    public final String text;
    public final Color textColor;

    public CellFormatResult(boolean applies2, String text2, Color textColor2) throws IllegalArgumentException {
        this.applies = applies2;
        if (text2 != null) {
            this.text = text2;
            this.textColor = applies2 ? textColor2 : null;
            return;
        }
        throw new IllegalArgumentException("CellFormatResult text may not be null");
    }
}
