package org.apache.poi.ss.formula;

import org.apache.poi.util.Internal;

@Internal
public enum FormulaType {
    CELL(0),
    SHARED(1),
    ARRAY(2),
    CONDFORMAT(3),
    NAMEDRANGE(4),
    DATAVALIDATION_LIST(5);
    
    private final int code;

    private FormulaType(int code2) {
        this.code = code2;
    }

    public static FormulaType forInt(int code2) {
        FormulaType[] arr$ = values();
        for (FormulaType type : arr$) {
            if (type.code == code2) {
                return type;
            }
        }
        throw new IllegalArgumentException("Invalid FormulaType code: " + code2);
    }
}
